REM MER100/S
REM Source for Master Emulation ROM
 
OS_CLI=&FFF7:OSBYTE=&FFF4:OSWORD=&FFF1:OSWRCH=&FFEE
OSWRCR=&FFEC:OSNEWL=&FFE7:OSASCI=&FFE3:OSRDCH=&FFE0
 
load%=&8000
DIM mcode% &4014
FOR P=0 TO 1
P%=load%:O%=mcode%
[OPT P*3+4
.exec%
.L8000
BRK              :\ 8000= 00          .
BRK              :\ 8001= 00          .
BRK              :\ 8002= 00          .
.L8003
JMP L8043        :\ 8003= 4C 43 80    LC.
 
EQUB &82         :\ 8006= 82          .
EQUB L801D-L8000
EQUB &01
EQUS "Master Emulation ROM"
.L801D
EQUB 0
EQUS "(C)Dabs Press 1987"
EQUB 0
.L8032
EQUS "V1.00 (5/10/87)"
EQUB 0

\ SERVICE ROUTINE
\ ===============
.L8043
PHA:TXA:PHA:TYA:PHA    :\ Save registers
LDA &0DF0,X:BMI L80B6  :\ Exit if disabled
TSX:LDA &0103,X        :\ Get stacked A
CMP #&01:BNE L805C     :\ Not Serv01, check for others
LDA #&F8:STA &0264     :\ Set BELL amplitude
BNE L80B6              :\ Jump to exit

.L805C
CMP #&06:BNE L8063     :\ Not Serv06, check for others
JMP LA36F              :\ Jump to deal with errors
 
.L8063
CMP #&08:BNE L806A     :\ Not Serv08, check others
JMP L87C1              :\ Jump to deal with OSWORDs
 
.L806A
CMP #&09:BNE L8071     :\ Not Serv09, check others
JMP L8533              :\ Jump to deal with *HELP
 
.L8071
CMP #&0F:BNE L8078     :\ Not Serv0F, check others
JMP LA3D0              :\ Jump to deal with VectorsChanged
 
.L8078
CMP #&12:BNE L807F     :\ Not Serv12, check others
JMP LA2AF              :\ Jump to deal with SelectFS
 
.L807F
CMP #&26:BNE L8086     :\ Not Serv26, check others
JMP LA780              :\ Jump to deal with Shut
 
.L8086
CMP #&FF:BNE L80B2     :\ Not ServFF, check others

\ TUBE POSTINIT
\ -------------
JSR L81E6        :\ 808A= 20 E6 81     f.
JSR L9F4C        :\ 808D= 20 4C 9F     L.
JSR LA0EE        :\ Check ROM frugal bits
LDA #&A1         :\ 8093= A9 A1       )!
LDX #&0F         :\ 8095= A2 0F       ".
JSR OSBYTE       :\ 8097= 20 F4 FF     t.
TYA              :\ 809A= 98          .
LSR A            :\ 809B= 4A          J
BCS L80A4        :\ 809C= B0 06       0.
TSX              :\ 809E= BA          :
LDA #&80         :\ 809F= A9 80       ).
STA &0103,X      :\ 80A1= 9D 03 01    ...
.L80A4
LDY #&07         :\ 80A4= A0 07        .
.L80A6
LDA &039F,Y      :\ 80A6= B9 9F 03    9..
.L80A9
STA &0208,Y      :\ 80A9= 99 08 02    ...
DEY              :\ 80AC= 88          .
BPL L80A6        :\ 80AD= 10 F7       .w
JMP L80B6        :\ 80AF= 4C B6 80    L6.
 
.L80B2
CMP #&FE:BEQ L80BC     :\ ServFE, jump to deal with TubePreInit
.L80B6
PLA:TAY:PLA:TAX:PLA    :\ Restore registers
RTS                    :\ Exit unclaimed
 
\ SERVICE FE - TUBE PREINIT
\ -------------------------
\ Y=Tube presence flag
\ Do lots of setup here
.L80BC
JSR LB7F0
LDX #&00:STX &0D99     :\ Clear some locations
STX &0D84:STX &0D85
STX &0243              :\ Set primary OSWHM/Poll Semaphore to zero
JSR L81E6
LDA &0203:BEQ L80F1    :\ If BRKV directed to zero page, jump...
LDA #&F6:STA &0202     :\ Point BRKV to L07F6 to jump to me
LDA #&07:STA &0203
LDX #&00
.L80E1
LDA L8243,X:STA &07F6,X :\ Copy code to main memory to
INX:CPX #&0A:BNE L80E1  :\ select my ROM and jump to my code
LDA &F4:STA &07F7       :\ Insert my ROM number into paging code
.L80F1
LDA &028D:TAX:BEQ L8106 :\ If Soft Break, jump...
LDA #&FF:STA &0D82      :\ Set something to &FF
STA &0D98
CPX #&01:BNE L8106      :\ If PowerOn, jump to...
STX &0D96               :\ Set something to &FF
.L8106
JSR L9F4C
JSR L9FE7               :\ Read CMOS and set configuration
JSR LA0EE               :\ Check ROM frugal bits
LDX &F4
LDA #&FF:STA &0DF0,X    :\ Disable myself
PLA:TAY
LDA #&8F:LDX #&FE
JSR OSBYTE              :\ Re-issue ServFE
PLA:PLA:PLA:PLA         :\ Drop return addresses
TXA:PHA                 :\ Save return value
LDX &F4
LDA #&00:STA &0DF0,X    :\ Enable myself
PLA:BPL L8146           :\ If ServFE claimed, don't print banner
LDY #&00
.L8131
LDA L8235,Y:BEQ L813C    :\ End of banner text
JSR OSASCI:INY:BNE L8131 :\ Print banner text
.L813C
LDA &028D:BEQ L8146      :\ SoftBreak, don't emit BELL
LDA #&07:JSR OSWRCH      :\ Beep on Hard/Power Break
.L8146
LDX #&FF:STX &0D80       :\ Set something to &FF
STX &0D89
INX:STX &0D8C            :\ Set oldLangROM to zero
LDA #&ED:STA &0D88
LDA #&01:STA &0D8B
LDA &0287                :\ Check Break Intercept Vector
CMP #&4C:BNE L8166       :\ Not set, don't call
JSR &0287                :\ Call Break Intercept Vector
.L8166
LDX #&27:LDA #&8F
JSR OSBYTE               :\ Issue Service &27 - Reset Occured
CLI:CLC:CLV:JSR LAC17    :\ Read Shift Key state
LSR A:LSR A:LSR A        :\ EOR with configured Boot setting
EOR &028F:AND #&08:TAY   :\ Get Boot state to b3
LDX &0D83
LDA &028D:BEQ L8190      :\ Soft Break, jump...
TYA:PHA:LDX #&05
JSR L9C4B:AND #&0F:TAX
PLA:TAY
.L8190
LDA &02A1,X      :\ 8190= BD A1 02    =!.
BPL L81B2        :\ 8193= 10 1D       ..
CPX &F4          :\ 8195= E4 F4       dt
BNE L81AB        :\ 8197= D0 12       P.
TYA              :\ 8199= 98          .
PHA              :\ 819A= 48          H
LDA #&7A         :\ 819B= A9 7A       )z
JSR OSBYTE       :\ 819D= 20 F4 FF     t.
PLA              :\ 81A0= 68          h
TAY              :\ 81A1= A8          (
CPX #&62         :\ 81A2= E0 62       `b
BEQ L81BC        :\ 81A4= F0 16       p.
INX              :\ 81A6= E8          h
BEQ L81BC        :\ 81A7= F0 13       p.
BNE L81B2        :\ 81A9= D0 07       P.
.L81AB
JSR L8229        :\ 81AB= 20 29 82     ).
CMP #&00         :\ 81AE= C9 00       I.
BEQ L81E3        :\ 81B0= F0 31       p1
.L81B2
LDX #&03         :\ 81B2= A2 03       ".
LDA #&8F         :\ 81B4= A9 8F       ).
JSR OSBYTE       :\ 81B6= 20 F4 FF     t.
TXA              :\ 81B9= 8A          .
BEQ L81E3        :\ 81BA= F0 27       p'
.L81BC
CPY #&00         :\ 81BC= C0 00       @.
BNE L81D8        :\ 81BE= D0 18       P.
LDA #&8D         :\ 81C0= A9 8D       ).
JSR OSBYTE       :\ 81C2= 20 F4 FF     t.
DEC &0267        :\ 81C5= CE 67 02    Ng.
LDX #&1A         :\ 81C8= A2 1A       ".
LDY #&AC         :\ 81CA= A0 AC        ,
JSR OS_CLI       :\ 81CC= 20 F7 FF     w.
INC &0267        :\ 81CF= EE 67 02    ng.
JMP L81E3        :\ 81D2= 4C E3 81    Lc.
 
.L81D5
INC &0267        :\ 81D5= EE 67 02    ng.
.L81D8
LDX #&FF         :\ 81D8= A2 FF       ".
STX &0D80        :\ 81DA= 8E 80 0D    ...
INX              :\ 81DD= E8          h
LDA #&8C         :\ 81DE= A9 8C       ).
JSR L8626        :\ 81E0= 20 26 86     &.
.L81E3
JMP L8C9A        :\ 81E3= 4C 9A 8C    L..
 
\ Save and redirect vectors
\ =========================
.L81E6
LDY #&07                 :\ Copy CLIV...WRCHV
.L81E8
LDA &0208,Y:STA &039F,Y  :\ Copy vectors to &039F-&03A6
DEY:BPL L81E8            :\ Spare locations in OS 1.xx
LDY #&11
.L81F3
LDA L8515,Y              :\ Get byte from new vector table
BNE L81FA:LDA &F4        :\ if zero, replace with my ROM number
.L81FA
STA &0D9F,Y:DEY          :\ Store in extended vector table
CPY #&0C:BCS L81F3       :\ Loop for XCLIV...XWRCHV
LDY #&15
.L8204
LDA L8512,Y
BNE L820B:LDA &F4
.L820B
STA &0D9F,Y:INY
CPY #&18:BNE L8204
LDY #&00
.L8215
LDA L852A,Y:STA &0208,Y  :\ Redirect CLIV..WRCHV
INY:CPY #&08:BEQ L8228
CPY #&04:BNE L8215       :\ Skip WORDV
LDY #&06:BNE L8215
.L8228
RTS
 
.L8229
TXA              :\ 8229= 8A          .
PHA              :\ 822A= 48          H
JSR LA34C        :\ 822B= 20 4C A3     L#
PLA              :\ 822E= 68          h
TAX              :\ 822F= AA          *
LDA #&03         :\ 8230= A9 03       ).
JMP &0128        :\ 8232= 4C 28 01    L(.
 
.L8235
ASL &410D,X      :\ 8235= 1E 0D 41    ..A
EQUB &63         :\ 8238= 63          c
BBR 6,&72,&82AA  :\ 8239= 6F 72 6E    orn
JSR &4F4D        :\ 823C= 20 4D 4F     MO
EQUB &53         :\ 823F= 53          S
ORA &000D        :\ 8240= 0D 0D 00    ...

\ Code copied to &07F6 to jump into this ROM
\ ------------------------------------------
.L8243
LDA #&00         :\ 8243= A9 00       ).
STA &F4          :\ 8245= 85 F4       .t
STA &FE30        :\ 8247= 8D 30 FE    .0~
JMP L921A        :\ 824A= 4C 1A 92    L..
 
\ newOSCLI
\ ========
.L824D
STX &6B:STY &6C     :\ Trash language workspace
TYA:BPL L8286       :\ If command in low memory, scan it
CMP #&C0:BCS L8286  :\ If command in MOS ROM, scan it
\ Copy command out of sideways ROM
STX &F6:STY &F7
TSX:LDA &0103,X
PHA:LDX #&00
.L8263
PLA:PHA:TAY:STX &63
JSR &FFB9
LDX &63:STA &0A80,X
CMP #&0D:BEQ L8281
INC &F6:BNE L827A:INC &F7
.L827A
INX:CPX #&80:BNE L8263
PLA:RTS
 
.L8281
PLA:LDX #&80:LDY #&0A :\ Point to copy of command at &0A80
.L8286
STX &F2:STY &F3       :\ Store string pointer
LDA &0D80:JSR LA275   :\ Do something
LDA #&08:JSR L8372    :\ Warn FS vis FSCV
LDY #&00:STY &0D8A    :\ Clear something
DEY
.L829B
INY:LDA (&F2),Y       :\ Skip '*'s and ' 's
CMP #&20:BEQ L829B
CMP #&2A:BEQ L829B
CMP #&0D:BNE L82AB
.L82AA
RTS
 
.L82AB
CMP #&7C:BEQ L82AA    :\ *| - comment
CMP #&2D:BNE L82C9    :\ Not *-, skip temp. FS checking
JSR LA4EE        :\ 82B3= 20 EE A4     n$
JSR LA275        :\ 82B6= 20 75 A2     u"
TYA              :\ 82B9= 98          .
CLC              :\ 82BA= 18          .
ADC &F2          :\ 82BB= 65 F2       er
STA &6B          :\ 82BD= 85 6B       .k
LDA &F3          :\ 82BF= A5 F3       %s
ADC #&00         :\ 82C1= 69 00       i.
STA &6C          :\ 82C3= 85 6C       .l
SEC              :\ 82C5= 38          8
ROR &0D8A        :\ 82C6= 6E 8A 0D    n..
.L82C9
LDA (&F2),Y
CMP #&2F:BNE L82DE   :\ Not */, skip to...
TYA:SEC:ADC &F2:TAX  :\ Convert F2 to XY
LDA &F3:ADC #&00:TAY
LDA #&02:JMP (&021E) :\ FSCV2 - */filename
 
.L82DE
CMP #&27:BNE L82ED   :\ Not *', skip to...
INY:JSR L9086        :\ Update F2
LDX &F2:LDY &F3      :\ Get string pointer back
JMP (&039F)          :\ Pass on to oldOSCLI
 
\ Check command
\ -------------
.L82ED
LDX #&00
LDA #&7C:STA &A8     :\ Point to command table at L837C
LDA #&83:STA &A9
STY &AA
.L82F9
LDA (&F2),Y      :\ 82F9= B1 F2       1r
AND #&DF         :\ 82FB= 29 DF       )_
CMP #&41         :\ 82FD= C9 41       IA
BCC L830F        :\ 82FF= 90 0E       ..
CMP #&5B         :\ 8301= C9 5B       I[
BCS L830F        :\ 8303= B0 0A       0.
EOR (&A8,X)      :\ 8305= 41 A8       A(
BNE L8319        :\ 8307= D0 10       P.
JSR L8342        :\ 8309= 20 42 83     B.
INY              :\ 830C= C8          H
BNE L82F9        :\ 830D= D0 EA       Pj
.L830F
LDA (&A8,X)      :\ 830F= A1 A8       !(
BMI L8330        :\ 8311= 30 1D       0.
LDA (&F2),Y      :\ 8313= B1 F2       1r
CMP #&2E         :\ 8315= C9 2E       I.
BEQ L8328        :\ 8317= F0 0F       p.
.L8319
JSR L8342        :\ 8319= 20 42 83     B.
BEQ L834D        :\ 831C= F0 2F       p/
BPL L8319        :\ 831E= 10 F9       .y
JSR L8342        :\ 8320= 20 42 83     B.
LDY &AA          :\ 8323= A4 AA       $*
JMP L82F9        :\ 8325= 4C F9 82    Ly.
 
.L8328
JSR L8342        :\ 8328= 20 42 83     B.
BPL L8328        :\ 832B= 10 FB       .{
INY              :\ 832D= C8          H
BNE L8333        :\ 832E= D0 03       P.
.L8330
JSR L8342        :\ 8330= 20 42 83     B.
.L8333
PHA              :\ 8333= 48          H
JSR L8342        :\ 8334= 20 42 83     B.
PHA              :\ 8337= 48          H
DEY              :\ 8338= 88          .
.L8339
INY              :\ 8339= C8          H
LDA (&F2),Y      :\ 833A= B1 F2       1r
CMP #&20         :\ 833C= C9 20       I 
BEQ L8339        :\ 833E= F0 F9       py
PHP              :\ 8340= 08          .
RTI              :\ 8341= 40          @
 
.L8342
LDA (&A8,X)      :\ 8342= A1 A8       !(
PHA              :\ 8344= 48          H
INC &A8          :\ 8345= E6 A8       f(
BNE L834B        :\ 8347= D0 02       P.
INC &A9          :\ 8349= E6 A9       f)
.L834B
PLA              :\ 834B= 68          h
RTS              :\ 834C= 60          `
 
.L834D
LDY &AA          :\ 834D= A4 AA       $*
TYA              :\ 834F= 98          .
PHA              :\ 8350= 48          H
BIT &0D8A        :\ 8351= 2C 8A 0D    ,..
BMI L8367        :\ 8354= 30 11       0.
LDA #&00         :\ 8356= A9 00       ).
STA &0D8A        :\ 8358= 8D 8A 0D    ...
LDX #&04         :\ 835B= A2 04       ".
LDA #&8F         :\ 835D= A9 8F       ).
JSR OSBYTE       :\ 835F= 20 F4 FF     t.
TXA              :\ 8362= 8A          .
BNE L8367        :\ 8363= D0 02       P.
PLA              :\ 8365= 68          h
RTS              :\ 8366= 60          `
 
.L8367
PLA              :\ 8367= 68          h
TAY              :\ 8368= A8          (
.L8369
JSR L9086        :\ 8369= 20 86 90     ..
LDX &F2          :\ 836C= A6 F2       &r
LDY &F3          :\ 836E= A4 F3       $s
LDA #&03         :\ 8370= A9 03       ).
.L8372
JMP (&021E)      :\ 8372= 6C 1E 02    l..
 
.L8375
LDX &6B          :\ 8375= A6 6B       &k
LDY &6C          :\ 8377= A4 6C       $l
JMP (&039F)      :\ 8379= 6C 9F 03    l..
 
EQUB &43         :\ 837C= 43          C
EOR (&54,X)      :\ 837D= 41 54       AT
EQUB &83         :\ 837F= 83          .
ADC &41,X        :\ 8380= 75 41       uA
EQUB &44         :\ 8382= 44          D
LSR &53          :\ 8383= 46 53       FS
EQUB &83         :\ 8385= 83          .
.L8386
EOR &5041        :\ 8386= 4D 41 50    MAP
BVC L83D0        :\ 8389= 50 45       PE
LSR L9544        :\ 838B= 4E 44 95    ND.
RTS              :\ 838E= 60          `
 
EQUB &42         :\ 838F= 42          B
EOR (&53,X)      :\ 8390= 41 53       AS
EOR #&43         :\ 8392= 49 43       IC
STA (&F7)        :\ 8394= 92 F7       .w
EQUB &42         :\ 8396= 42          B
EOR &49,X        :\ 8397= 55 49       UI
JMP L9544        :\ 8399= 4C 44 95    LD.
 
ADC #&43         :\ 839C= 69 43       iC
JMP &534F        :\ 839E= 4C 4F 53    LOS
 
EOR &8A          :\ 83A1= 45 8A       E.
ADC &4F43        :\ 83A3= 6D 43 4F    mCO

\ CONFIGURE

LSR &4946        :\ 83A6= 4E 46 49    NFI
EQUB &47         :\ 83A9= 47          G
EOR &52,X        :\ 83AA= 55 52       UR
EOR &97          :\ 83AC= 45 97       E.
TSB &43          :\ 83AE= 07 43       .C

\ L9707

BBR 4,&44,&83F8  :\ 83B0= 4F 44 45    ODE
STA &4381        :\ 83B3= 8D 81 43    ..C
EOR (&45)        :\ 83B6= 52 45       RE
EOR (&54,X)      :\ 83B8= 41 54       AT
EOR &8A          :\ 83BA= 45 8A       E.
CPY &44          :\ 83BC= C7 44       GD
EOR &4D,X        :\ 83BE= 55 4D       UM
BVC L834D        :\ 83C0= 50 8B       P.
ASL &44,X        :\ 83C2= 16 44       .D
EOR &4C          :\ 83C4= 45 4C       EL
EOR &54          :\ 83C6= 45 54       ET
EOR &8A          :\ 83C8= 45 8A       E.
LDA (&45)        :\ 83CA= B2 45       2E
CLI              :\ 83CC= 58          X
EOR &43          :\ 83CD= 45 43       EC
STA (&C0),Y      :\ 83CF= 91 C0       .@
EOR &58          :\ 83D1= 45 58       EX
LDA #&0E         :\ 83D3= A9 0E       ).
LSR &52          :\ 83D5= 46 52       FR
EOR &45          :\ 83D7= 45 45       EE
LDY &462A        :\ 83D9= AC 2A 46    ,*F
CLI              :\ 83DC= 58          X
STA &4642        :\ 83DD= 8D 42 46    .BF
BBR 4,&52,&8430  :\ 83E0= 4F 52 4D    ORM
BBS 2,&87,&842C  :\ 83E3= AF 87 46    /.F
BBR 4,&52,&8436  :\ 83E6= 4F 52 4D    ORM
EOR (&54,X)      :\ 83E9= 41 54       AT
LDA (&76),Y      :\ 83EB= B1 76       1v
EQUB &47         :\ 83ED= 47          G
BBR 4,&49,&8440  :\ 83EE= 4F 49 4F    OIO
STY &473B        :\ 83F1= 8C 3B 47    .;G
BBR 4,&8C,&8440  :\ 83F4= 4F 8C 49    O.I
.L83F7
PHA              :\ 83F7= 48          H
EOR &4C          :\ 83F8= 45 4C       EL
BVC L8386        :\ 83FA= 50 8A       P.
ADC &4E49,X      :\ 83FC= 7D 49 4E    }IN
LSR &4F          :\ 83FF= 46 4F       FO
TAY              :\ 8401= A8          (
BBS 7,&49,&844C  :\ 8402= FF 49 47    .IG
LSR &524F        :\ 8405= 4E 4F 52    NOR
EOR &8D          :\ 8408= 45 8D       E.
STA (&49),Y      :\ 840A= 91 49       .I
LSR &4553        :\ 840C= 4E 53 45    NSE
EOR (&54)        :\ 840F= 52 54       RT
BBS 0,&37,&845F  :\ 8411= 8F 37 4B    .7K
EOR &59          :\ 8414= 45 59       EY
EQUB &83         :\ 8416= 83          .
ADC &4C,X        :\ 8417= 75 4C       uL
BBR 4,&41,&8460  :\ 8419= 4F 41 44    OAD
EQUB &83         :\ 841C= 83          .
ADC &4C,X        :\ 841D= 75 4C       uL
EQUB &43         :\ 841F= 43          C
BBR 4,&4E,&8469  :\ 8420= 4F 4E 46    ONF
EOR #&47         :\ 8423= 49 47       IG
LDA (&23,X)      :\ 8425= A1 23       !#
JMP &5349        :\ 8427= 4C 49 53    LIS
 
EQUB &54         :\ 842A= 54          T
STY &7D,X        :\ 842B= 94 7D       .}
JMP &4E49        :\ 842D= 4C 49 4E    LIN
 
EOR &83          :\ 8430= 45 83       E.
ADC &4C,X        :\ 8432= 75 4C       uL
EOR #&42         :\ 8434= 49 42       IB
LSR &53          :\ 8436= 46 53       FS
LDX #&3D         :\ 8438= A2 3D       "=
EOR &544F        :\ 843A= 4D 4F 54    MOT
BBR 4,&52,&83CD  :\ 843D= 4F 52 8D    OR.
ADC &4F4D,X      :\ 8440= 7D 4D 4F    }MO
LSR &45,X        :\ 8443= 56 45       VE
TAX              :\ 8445= AA          *
BBR 5,&4D,&848A  :\ 8446= 5F 4D 41    _MA
BVC L83F7        :\ 8449= 50 AC       P,
AND &4F4D        :\ 844B= 2D 4D 4F    -MO
EQUB &44         :\ 844E= 44          D
EOR &4C          :\ 844F= 45 4C       EL
EQUB &42         :\ 8451= 42          B
STA &E9          :\ 8452= 85 E9       .i
LSR &494F        :\ 8454= 4E 4F 49    NOI
EQUB &44         :\ 8457= 44          D
STA &4FB2        :\ 8458= 8D B2 4F    .2O
BVC L84B1        :\ 845B= 50 54       PT
STA &5079        :\ 845D= 8D 79 50    .yP
EOR (&49)        :\ 8460= 52 49       RI
LSR L9454        :\ 8462= 4E 54 94    NT.
EQUB &77         :\ 8465= 77          w
EOR (&55)        :\ 8466= 52 55       RU
LSR &7583        :\ 8468= 4E 83 75    N.u
EOR (&45)        :\ 846B= 52 45       RE
EOR &564F        :\ 846D= 4D 4F 56    MOV
EOR &8A          :\ 8470= 45 8A       E.
STZ &4F52        :\ 8472= 9C 52 4F    .RO
EOR &7583        :\ 8475= 4D 83 75    M.u
EOR (&4F)        :\ 8478= 52 4F       RO
EOR L8D53        :\ 847A= 4D 53 8D    MS.
CPY &52          :\ 847D= C4 52       DR
EQUB &42         :\ 847F= 42          B
BBR 4,&4F,&84D7  :\ 8480= 4F 4F 54    OOT
CLV              :\ 8483= B8          8
BBS 4,&53,&84C8  :\ 8484= CF 53 41    OSA
LSR &45,X        :\ 8487= 56 45       VE
EQUB &83         :\ 8489= 83          .
ADC &53,X        :\ 848A= 75 53       uS
EQUB &43         :\ 848C= 43          C
BBR 4,&4E,&84D6  :\ 848D= 4F 4E 46    ONF
EOR #&47         :\ 8490= 49 47       IG
LDA (&61,X)      :\ 8492= A1 61       !a
EQUB &53         :\ 8494= 53          S
EOR &54          :\ 8495= 45 54       ET
LSR L9156        :\ 8497= 4E 56 91    NV.
BMI L84EF        :\ 849A= 30 53       0S
PHA              :\ 849C= 48          H
EOR (&44,X)      :\ 849D= 41 44       AD
BBR 4,&57,&842F  :\ 849F= 4F 57 8D    OW.
STA &4853        :\ 84A2= 8D 53 48    .SH
BBR 4,&57,&843B  :\ 84A5= 4F 57 93    OW.
PLY              :\ 84A8= 7A          z
EQUB &53         :\ 84A9= 53          S
PHA              :\ 84AA= 48          H
EOR &54,X        :\ 84AB= 55 54       UT
LDX #&44         :\ 84AD= A2 44       "D
EQUB &53         :\ 84AF= 53          S
BVC L8501        :\ 84B0= 50 4F       PO
BBR 4,&4C,&8438  :\ 84B2= 4F 4C 83    OL.
ADC &53,X        :\ 84B5= 75 53       uS
BVC L8508        :\ 84B7= 50 4F       PO
BBR 4,&4C,&850B  :\ 84B9= 4F 4C 4F    OLO
LSR &4094        :\ 84BC= 4E 94 40    N.@
EQUB &53         :\ 84BF= 53          S
EOR (&44)        :\ 84C0= 52 44       RD
EOR (&54,X)      :\ 84C2= 41 54       AT
EOR (&B8,X)      :\ 84C4= 41 B8       A8
CMP &5253,X      :\ 84C6= DD 53 52    ]SR
JMP &414F        :\ 84C9= 4C 4F 41    LOA
 
EQUB &44         :\ 84CC= 44          D
LDA &5385,Y      :\ 84CD= B9 85 53    9.S
EOR (&52)        :\ 84D0= 52 52       RR
EOR &41          :\ 84D2= 45 41       EA
EQUB &44         :\ 84D4= 44          D
LDA &53CE,Y      :\ 84D5= B9 CE 53    9NS
EOR (&52)        :\ 84D8= 52 52       RR
BBR 4,&4D,&8495  :\ 84DA= 4F 4D B8    OM8
PHX              :\ 84DD= DA          Z
EQUB &53         :\ 84DE= 53          S
EOR (&53)        :\ 84DF= 52 53       RS
EOR (&56,X)      :\ 84E1= 41 56       AV
EOR &B9          :\ 84E3= 45 B9       E9
STA &5253,Y      :\ 84E5= 99 53 52    .SR
EQUB &57         :\ 84E8= 57          W
EOR (&49)        :\ 84E9= 52 49       RI
EQUB &54         :\ 84EB= 54          T
EOR &B9          :\ 84EC= 45 B9       E9
CMP (&53),Y      :\ 84EE= D1 53       QS
EQUB &54         :\ 84F0= 54          T
EOR (&54,X)      :\ 84F1= 41 54       AT
EOR &53,X        :\ 84F3= 55 53       US
STY &0A,X        :\ 84F5= 97 0A       ..
EQUB &54         :\ 84F7= 54          T
EOR (&50,X)      :\ 84F8= 41 50       AP
EOR &8D          :\ 84FA= 45 8D       E.
BIT #&54         :\ 84FC= 89 54       .T
LSR &8D,X        :\ 84FE= 56 8D       V.
STA &54          :\ 8500= 85 54       .T
EOR #&4D         :\ 8502= 49 4D       IM
EOR &8E          :\ 8504= 45 8E       E.
BBS 7,&54,&8562  :\ 8506= FF 54 59    .TY
BVC L8550        :\ 8509= 50 45       PE
STY &87,X        :\ 850B= 94 87       ..
EOR &4E,X        :\ 850D= 55 4E       UN
BVC L855D        :\ 850F= 50 4C       PL
EOR &47,X        :\ 8511= 55 47       UG
BBS 0,&34,&856C  :\ 8513= 8F 34 56    .4V
EOR &52          :\ 8516= 45 52       ER
EOR #&46         :\ 8518= 49 46       IF
EOR L97AE,Y      :\ 851A= 59 AE 97    Y..
CLI              :\ 851D= 58          X

TXA              :\ 851E= 8A          .
EQUB &77         :\ 851F= 77          w
BRK              :\ 8520= 00          .

\ Replacement vector table
\ ------------------------
.L8521
EOR &0082        :\ 8521= 4D 82 00    M.. newCLIV  L824D
EQUB &F3         :\ 8524= F3          s   newBYTEV L85F3
STA &00          :\ 8525= 85 00       ..  newWRCHV L8FAF
BBS 2,&8F,&852A  :\ 8527= AF 8F 00    /.. 

.L852A
TSB &0FFF        :\ 852A= 0C FF 0F    ... XCLIV  &FF0C
BBS 7,&00,&8530  :\ 852D= FF 00 00    ... XBYTEV &FF0F
ORA &FF,X        :\ 8530= 15 FF       ..  XWRCH  &FF15
RTS              :\ 8532= 60          `
 
.L8533
DEY              :\ 8533= 88          .
.L8534
INY              :\ 8534= C8          H
LDA (&F2),Y      :\ 8535= B1 F2       1r
CMP #&20         :\ 8537= C9 20       I 
BEQ L8534        :\ 8539= F0 F9       py
BCS L8550        :\ 853B= B0 13       0.
JSR L85BC        :\ 853D= 20 BC 85     <.
JSR L98CA        :\ 8540= 20 CA 98     J.
JSR &4D20        :\ 8543= 20 20 4D      M
BBR 4,&53,&8556  :\ 8546= 4F 53 0D    OS.
NOP              :\ 8549= EA          j
.L854A
PLA              :\ 854A= 68          h
TAY              :\ 854B= A8          (
PLA              :\ 854C= 68          h
TAX              :\ 854D= AA          *
PLA              :\ 854E= 68          h
RTS              :\ 854F= 60          `
 
.L8550
LDX #&00         :\ 8550= A2 00       ".
.L8552
LDA (&F2),Y      :\ 8552= B1 F2       1r
EOR L85CB,X      :\ 8554= 5D CB 85    ]K.
AND #&DF         :\ 8557= 29 DF       )_
BNE L855F        :\ 8559= D0 04       P.
INY              :\ 855B= C8          H
INX              :\ 855C= E8          h
.L855D
BNE L8552        :\ 855D= D0 F3       Ps
.L855F
LDA (&F2),Y      :\ 855F= B1 F2       1r
CMP #&2E         :\ 8561= C9 2E       I.
BEQ L8576        :\ 8563= F0 11       p.
AND #&DF         :\ 8565= 29 DF       )_
CMP #&41         :\ 8567= C9 41       IA
BCC L856F        :\ 8569= 90 04       ..
CMP #&5B         :\ 856B= C9 5B       I[
BCC L854A        :\ 856D= 90 DB       .[
.L856F
LDA L85CB,X      :\ 856F= BD CB 85    =K.
BNE L854A        :\ 8572= D0 D6       PV
BEQ L857B        :\ 8574= F0 05       p.
.L8576
LDA L85CB,X      :\ 8576= BD CB 85    =K.
BEQ L854A        :\ 8579= F0 CF       pO
.L857B
JSR L85BC        :\ 857B= 20 BC 85     <.
LDA #&7C         :\ 857E= A9 7C       )|
STA &A8          :\ 8580= 85 A8       .(
LDA #&83         :\ 8582= A9 83       ).
STA &A9          :\ 8584= 85 A9       .)
LDX #&00         :\ 8586= A2 00       ".
.L8588
STX &AA          :\ 8588= 86 AA       .*
JSR L8C36        :\ 858A= 20 36 8C     6.
JSR OSWRCH       :\ 858D= 20 EE FF     n.
.L8590
LDA (&A8,X)      :\ 8590= A1 A8       !(
BEQ L85B6        :\ 8592= F0 22       p"
BMI L85A0        :\ 8594= 30 0A       0.
JSR OSASCI       :\ 8596= 20 E3 FF     c.
INC &AA          :\ 8599= E6 AA       f*
JSR L8342        :\ 859B= 20 42 83     B.
BNE L8590        :\ 859E= D0 F0       Pp
.L85A0
LDA &AA          :\ 85A0= A5 AA       %*
CMP #&12         :\ 85A2= C9 12       I.
BEQ L85AD        :\ 85A4= F0 07       p.
JSR L8C36        :\ 85A6= 20 36 8C     6.
INC &AA          :\ 85A9= E6 AA       f*
BNE L85A0        :\ 85AB= D0 F3       Ps
.L85AD
JSR L8342        :\ 85AD= 20 42 83     B.
JSR L8342        :\ 85B0= 20 42 83     B.
JMP L8588        :\ 85B3= 4C 88 85    L..
 
.L85B6
JSR OSNEWL       :\ 85B6= 20 E7 FF     g.
JMP L854A        :\ 85B9= 4C 4A 85    LJ.
 
.L85BC
JSR L98CA        :\ 85BC= 20 CA 98     J.
ORA &4F4D        :\ 85BF= 0D 4D 4F    .MO
EQUB &53         :\ 85C2= 53          S
JSR &2E33        :\ 85C3= 20 33 2E     3.
AND (&36)        :\ 85C6= 32 36       26
ORA &60EA        :\ 85C8= 0D EA 60    .j`
.L85CB
EOR &534F        :\ 85CB= 4D 4F 53    MOS
BRK              :\ 85CE= 00          .
BIT &D0          :\ 85CF= 24 D0       $P
BVS L85D8        :\ 85D1= 70 05       p.
LDA #&86         :\ 85D3= A9 86       ).
JMP L8626        :\ 85D5= 4C 26 86    L&.
 
.L85D8
LDA &0364        :\ 85D8= AD 64 03    -d.
SEC              :\ 85DB= 38          8
SBC &0308        :\ 85DC= ED 08 03    m..
TAX              :\ 85DF= AA          *
LDA &0365        :\ 85E0= AD 65 03    -e.
SEC              :\ 85E3= 38          8
SBC &030B        :\ 85E4= ED 0B 03    m..
TAY              :\ 85E7= A8          (
RTS              :\ 85E8= 60          `
 
LDX &F4          :\ 85E9= A6 F4       &t
LDA #&FF         :\ 85EB= A9 FF       ).
STA &0DF0,X      :\ 85ED= 9D F0 0D    .p.
JMP (&FFFC)      :\ 85F0= 6C FC FF    l|.

\ newBYTE
\ =======
.L85F3 
STX &68:STY &69:STA &6A  :\ Trash language workspace
LDX #&00
.L85FB
LDA L8631+0,X            :\ Check my match table
CMP #&FF:BEQ L8620       :\ End of table
CMP &6A:BNE L861B        :\ Doesn't match, try next one
LDA L8631+2,X:STA &0119  :\ Get address of routine
LDA L8631+1,X:STA &0118
JSR L8629                :\ Call replacement routine
LDA &6A:LDY &69:CLV      :\ Restore A,Y, return 'OK'
RTS
 
.L861B
INX:INX:INX:BNE L85FB    :\ Step to next and try again

.L8620
LDX &68:LDY &69:LDA &6A  :\ Restore registers
.L8626
JMP (&03A1)              :\ Jump to oldBYTEV
 
.L8629
JMP (&0118)      :\ 8629= 6C 18 01    l..
 
.L862C
PLA              :\ 862C= 68          h
PLA              :\ 862D= 68          h
JMP L8620        :\ 862E= 4C 20 86    L .

\ OSBYTE intercept values
\ ----------------------- 
.L8631
EQUB &00:EQUW L867A      :\ OSBYTE 0
BRK              :\ 8631= 00          .
PLY              :\ 8632= 7A          z
STX &06          :\ 8633= 86 06       ..
EQUB &93         :\ 8635= 93          .
STX &14          :\ 8636= 86 14       ..
STA &1686,X      :\ 8638= 9D 86 16    ...
LDX &86,X        :\ 863B= B6 86       6.
TRB &BC          :\ 863D= 17 BC       .<
STX &44          :\ 863F= 86 44       .D
ORA &45B8,Y      :\ 8641= 19 B8 45    .8E
EQUB &3B         :\ 8644= 3B          ;
CLV              :\ 8645= B8          8
ROR A            :\ 8646= 6B          k
EQUB &C2         :\ 8647= C2          B
STX &6C          :\ 8648= 86 6C       .l
AND (&85)        :\ 864A= 32 85       2.
ADC LA24B        :\ 864C= 6D 4B A2    mK"
BVS L8683        :\ 864F= 70 32       p2
STA &71          :\ 8651= 85 71       .q
AND (&85)        :\ 8653= 32 85       2.
ADC (&8B)        :\ 8655= 72 8B       r.
STY &81          :\ 8657= 87 81       ..
CMP &86          :\ 8659= C5 86       E.
STA &92          :\ 865B= 85 92       ..
STY &8C          :\ 865D= 87 8C       ..
CPY L8DA4        :\ 865F= CC A4 8D    L$.
CMP L8EA4,Y      :\ 8662= D9 A4 8E    Y$.
STA &8C,X        :\ 8665= 95 8C       ..
BBS 0,&D4,&860C  :\ 8667= 8F D4 A2    .T"
LDA (&16,X)      :\ 866A= A1 16       !.
TXA              :\ 866C= 8A          .
LDX #&16         :\ 866D= A2 16       ".
TXA              :\ 866F= 8A          .
LDY &2A          :\ 8670= A4 2A       $*
STY &A5          :\ 8672= 87 A5       .%
BBS 4,&85,&8666  :\ 8674= CF 85 EF    O.o
TAX              :\ 8677= AA          *
STY &FF          :\ 8678= 87 FF       ..

\ OSBYTE 0 - Read host type
\ -------------------------
.L867A
LDA &0D96:BEQ L862C   :\ If flag=0, jump to oldBYTE
LDA &68:BEQ L8686     :\ If X=0, jump to generate error
.L8683
LDX #&03:RTS          :\ Return X=3 indicating Master
 
.L8686
JSR L8F94             :\ Generate error
EQUB &F7:EQUS "MOD 3.23":BRK

.L8693
LDA &0246        :\ 8693= AD 46 02    -F.
AND #&7F         :\ 8696= 29 7F       ).
STA &0246        :\ 8698= 8D 46 02    .F.
BPL L8620        :\ 869B= 10 83       ..
LDA &0246        :\ 869D= AD 46 02    -F.
PHA              :\ 86A0= 48          H
AND #&7F         :\ 86A1= 29 7F       ).
STA &0246        :\ 86A3= 8D 46 02    .F.
JSR L8620        :\ 86A6= 20 20 86      .
PLA              :\ 86A9= 68          h
BMI L86AD        :\ 86AA= 30 01       0.
RTS              :\ 86AC= 60          `
 
.L86AD
LDA &0246        :\ 86AD= AD 46 02    -F.
ORA #&80         :\ 86B0= 09 80       ..
STA &0246        :\ 86B2= 8D 46 02    .F.
RTS              :\ 86B5= 60          `
 
INC &0243        :\ 86B6= EE 43 02    nC.
JMP L8788        :\ 86B9= 4C 88 87    L..
 
DEC &0243        :\ 86BC= CE 43 02    NC.
JMP L8788        :\ 86BF= 4C 88 87    L..
 
JMP L8788        :\ 86C2= 4C 88 87    L..
 
LDA &69          :\ 86C5= A5 69       %i
CMP #&FF         :\ 86C7= C9 FF       I.
BEQ L86CE        :\ 86C9= F0 03       p.
.L86CB
JMP L862C        :\ 86CB= 4C 2C 86    L,.
 
.L86CE
LDA &68          :\ 86CE= A5 68       %h
BNE L86DE        :\ 86D0= D0 0C       P.
LDA &0D96        :\ 86D2= AD 96 0D    -..
BEQ L86F6        :\ 86D5= F0 1F       p.
LDA #&00         :\ 86D7= A9 00       ).
STA &69          :\ 86D9= 85 69       .i
LDX #&F4         :\ 86DB= A2 F4       "t
RTS              :\ 86DD= 60          `
 
.L86DE
LDA &68          :\ 86DE= A5 68       %h
AND #&0F         :\ 86E0= 29 0F       ).
CMP #&06         :\ 86E2= C9 06       I.
BCS L86CB        :\ 86E4= B0 E5       0e
LDX #&13         :\ 86E6= A2 13       ".
LDY #&00         :\ 86E8= A0 00        .
.L86EA
LDA &68          :\ 86EA= A5 68       %h
CMP L8706,Y      :\ 86EC= D9 06 87    Y..
BEQ L86F9        :\ 86EF= F0 08       p.
INY              :\ 86F1= C8          H
INY              :\ 86F2= C8          H
DEX              :\ 86F3= CA          J
BNE L86EA        :\ 86F4= D0 F4       Pt
.L86F6
JMP L862C        :\ 86F6= 4C 2C 86    L,.
 
.L86F9
LDA L8707,Y      :\ 86F9= B9 07 87    9..
TAX              :\ 86FC= AA          *
LDY #&FF         :\ 86FD= A0 FF        .
PLA              :\ 86FF= 68          h
PLA              :\ 8700= 68          h
LDA #&81         :\ 8701= A9 81       ).
JMP (&03A1)      :\ 8703= 6C A1 03    l!.
 
.L8706
STA &D8,X        :\ 8706= 95 D8       .X
STY &CF,X        :\ 8708= 94 CF       .O
EQUB &83         :\ 870A= 83          .
DEC &EE93        :\ 870B= CE 93 EE    N.n
STA &ED          :\ 870E= 85 ED       .m
STY &EC          :\ 8710= 84 EC       .l
SBC &CB          :\ 8712= E5 CB       eK
CPX &DB          :\ 8714= E4 DB       d[
CMP &EA,X        :\ 8716= D5 EA       Uj
EQUB &D4         :\ 8718= D4          T
CMP LA8C5,Y      :\ 8719= D9 C5 A8    YE(
CPY &D7          :\ 871C= C4 D7       DW
LDA &97,X        :\ 871E= B5 97       5.
LDA &EE          :\ 8720= A5 EE       %n
LDY &B7          :\ 8722= A4 B7       $7
EQUB &A3         :\ 8724= A3          #
STA LB6C3,Y      :\ 8725= 99 C3 B6    .C6
LDY &A6,X        :\ 8728= B4 A6       4&
LDY #&07         :\ 872A= A0 07        .
LDA (&68),Y      :\ 872C= B1 68       1h
TAY              :\ 872E= A8          (
LDX #&03         :\ 872F= A2 03       ".
.L8731
LDA (&68),Y      :\ 8731= B1 68       1h
EOR L8784,X      :\ 8733= 5D 84 87    ]..
BNE L8788        :\ 8736= D0 50       PP
INY              :\ 8738= C8          H
DEX              :\ 8739= CA          J
BPL L8731        :\ 873A= 10 F5       .u
LDY #&06         :\ 873C= A0 06        .
LDA (&68),Y      :\ 873E= B1 68       1h
AND #&40         :\ 8740= 29 40       )@
BNE L875F        :\ 8742= D0 1B       P.
.L8744
JSR L8F94        :\ 8744= 20 94 8F     ..
BRK              :\ 8747= 00          .
EQUB &54         :\ 8748= 54          T
PLA              :\ 8749= 68          h
ADC #&73         :\ 874A= 69 73       is
JSR &7369        :\ 874C= 20 69 73     is
JSR &6F6E        :\ 874F= 20 6E 6F     no
STZ &20,X        :\ 8752= 74 20       t 
ADC (&20,X)      :\ 8754= 61 20       a 
JMP (&6E61)      :\ 8756= 6C 61 6E    lan
 
EQUB &67         :\ 8759= 67          g
ADC &61,X        :\ 875A= 75 61       ua
EQUB &67         :\ 875C= 67          g
ADC &00          :\ 875D= 65 00       e.
.L875F
LDA (&68),Y      :\ 875F= B1 68       1h
AND #&07         :\ 8761= 29 07       ).
BEQ L8788        :\ 8763= F0 23       p#
CMP #&02         :\ 8765= C9 02       I.
BEQ L8788        :\ 8767= F0 1F       p.
.L8769
JSR L8F94        :\ 8769= 20 94 8F     ..
BRK              :\ 876C= 00          .
EOR #&20         :\ 876D= 49 20       I 
EQUB &63         :\ 876F= 63          c
ADC (&6E,X)      :\ 8770= 61 6E       an
ROR &746F        :\ 8772= 6E 6F 74    not
JSR &7572        :\ 8775= 20 72 75     ru
ROR &7420        :\ 8778= 6E 20 74    n t
PLA              :\ 877B= 68          h
ADC #&73         :\ 877C= 69 73       is
JSR &6F63        :\ 877E= 20 63 6F     co
STZ &65          :\ 8781= 64 65       de
BRK              :\ 8783= 00          .
.L8784
AND #&43         :\ 8784= 29 43       )C
PLP              :\ 8786= 28          (
BRK              :\ 8787= 00          .
.L8788
LDX &68          :\ 8788= A6 68       &h
RTS              :\ 878A= 60          `
 
\ OSBYTE &72 - Shadow setting
\ ---------------------------
.L878B
LDA #&00:STA &69
JMP L87AA
 
.L8792
LDA &68          :\ 8792= A5 68       %h
BMI L879B        :\ 8794= 30 05       0.
LDX &0D98        :\ 8796= AE 98 0D    ...
BNE L879F        :\ 8799= D0 04       P.
.L879B
LDA #&80         :\ 879B= A9 80       ).
BNE L87A5        :\ 879D= D0 06       P.
.L879F
AND #&07         :\ 879F= 29 07       ).
TAX              :\ 87A1= AA          *
LDA LAB6E,X      :\ 87A2= BD 6E AB    =n+
.L87A5
STA &69          :\ 87A5= 85 69       .i
LDX #&00         :\ 87A7= A2 00       ".
RTS              :\ 87A9= 60          `
 
\ Change shadow setting
\ ---------------------
.L87AA
LDA &0D98        :\ 87AA= AD 98 0D    -..
TAX              :\ 87AD= AA          *
AND &69          :\ 87AE= 25 69       %i
EOR &68          :\ 87B0= 45 68       Eh
STA &0D98        :\ 87B2= 8D 98 0D    ...
STA &027F        :\ 87B5= 8D 7F 02    ...
LDY &0280        :\ 87B8= AC 80 02    ,..
STY &69          :\ 87BB= 84 69       .i
RTS              :\ 87BD= 60          `
 
.L87BE
JMP LBCC5        :\ 87BE= 4C C5 BC    LE<
 
.L87C1
LDA &EF
CMP #&0E:BNE L87BE
LDA &F0:STA &A8
LDA &F1:STA &A9
LDY #&00:LDA (&A8),Y
CMP #&02:BNE L87DA
JMP L887B
 
.L87DA
BCS L87F3        :\ 87DA= B0 17       0.
LDX &F4          :\ 87DC= A6 F4       &t
DEC &0DF0,X      :\ 87DE= DE F0 0D    ^p.
PHA              :\ 87E1= 48          H
LDA #&8F         :\ 87E2= A9 8F       ).
LDX #&08         :\ 87E4= A2 08       ".
JSR OSBYTE       :\ 87E6= 20 F4 FF     t.
CPX #&01         :\ 87E9= E0 01       `.
PLA              :\ 87EB= 68          h
LDX &F4          :\ 87EC= A6 F4       &t
INC &0DF0,X      :\ 87EE= FE F0 0D    ~p.
BCS L87F6        :\ 87F1= B0 03       0.
.L87F3
JMP L80B6        :\ 87F3= 4C B6 80    L6.
 
\ Nobody else claimed OSWORD 14, do it myself
\ -------------------------------------------
\ Uses &0118... as workspace
.L87F6
PHA:LDA #&20
BIT &FEA1:BNE L881B
LDA #&00         :\ 87FE= A9 00       ).
STA &0118        :\ 8800= 8D 18 01    ...
STA &011A        :\ 8803= 8D 1A 01    ...
LDA #&20         :\ 8806= A9 20       ) 
STA &0119        :\ 8808= 8D 19 01    ...
LDA #&10         :\ 880B= A9 10       ).
STA &011B        :\ 880D= 8D 1B 01    ...
LDX #&18         :\ 8810= A2 18       ".
LDY #&01         :\ 8812= A0 01        .
LDA #&14         :\ 8814= A9 14       ).
JSR OSWORD       :\ Fetch time from file server
BVC L8828        :\ 8819= 50 0D       P.
.L881B
LDX #&06         :\ 881B= A2 06       ".
.L881D
LDA L89CA,X:STA &0118,X      :\ Return 31/12/99/23;59;59
DEX:BPL L881D:BMI L8860
.L8828
LDA &011C:JSR L8991:STA &011A :\ Get day - needs AND #31
LDA &011D:PHA                 :\ Get year/month
AND #&0F:JSR L8991:STA &0119  :\ Store month
PLA:AND #&F0
LSR A:LSR A:LSR A:LSR A       :\ Needs merging with &011C b5-b7
ADC #&51:JSR L8991:STA &0118  :\ year=year+81, store year
LDA #&00:STA &011B:TAY
.L8852
LDA &011E,Y      :\ 8852= B9 1E 01    9..
JSR L8991        :\ 8855= 20 91 89     ..
STA &011C,Y      :\ 8858= 99 1C 01    ...
INY              :\ 885B= C8          H
CPY #&03         :\ 885C= C0 03       @.
BNE L8852        :\ 885E= D0 F2       Pr
.L8860
JSR L89AA        :\ 8860= 20 AA 89     *.
LDX #&06         :\ 8863= A2 06       ".
LDY #&06         :\ 8865= A0 06        .
PLA              :\ 8867= 68          h
PHA              :\ 8868= 48          H
BNE L886C        :\ 8869= D0 01       P.
INY              :\ 886B= C8          H
.L886C
LDA &0118,X      :\ 886C= BD 18 01    =..
STA (&A8),Y      :\ 886F= 91 A8       .(
DEY              :\ 8871= 88          .
DEX              :\ 8872= CA          J
BPL L886C        :\ 8873= 10 F7       .w
PLA              :\ 8875= 68          h
BEQ L887B        :\ 8876= F0 03       p.
JMP L8906        :\ 8878= 4C 06 89    L..
 
.L887B
LDY #&07         :\ 887B= A0 07        .
.L887D
LDA (&A8),Y      :\ 887D= B1 A8       1(
STA &0117,Y      :\ 887F= 99 17 01    ...
DEY              :\ 8882= 88          .
BNE L887D        :\ 8883= D0 F8       Px
JSR L89AA        :\ 8885= 20 AA 89     *.
LDY #&18         :\ 8888= A0 18        .
LDA #&0D         :\ 888A= A9 0D       ).
STA (&A8),Y      :\ 888C= 91 A8       .(
LDX #&06         :\ 888E= A2 06       ".
DEY              :\ 8890= 88          .
JSR L897D        :\ 8891= 20 7D 89     }.
.L8894
LDA #&3A         :\ 8894= A9 3A       ):
STA (&A8),Y      :\ 8896= 91 A8       .(
DEY              :\ 8898= 88          .
DEX              :\ 8899= CA          J
JSR L897D        :\ 889A= 20 7D 89     }.
CPX #&04         :\ 889D= E0 04       `.
BNE L8894        :\ 889F= D0 F3       Ps
DEX              :\ 88A1= CA          J
LDA #&2E         :\ 88A2= A9 2E       ).
STA (&A8),Y      :\ 88A4= 91 A8       .(
DEY              :\ 88A6= 88          .
LDA &0118        :\ 88A7= AD 18 01    -..
JSR L8980        :\ 88AA= 20 80 89     ..
LDA &0118        :\ 88AD= AD 18 01    -..
CMP #&87         :\ 88B0= C9 87       I.
LDA #&80         :\ 88B2= A9 80       ).
ROL A            :\ 88B4= 2A          *
EOR #&FF         :\ 88B5= 49 FF       I.
ADC #&14         :\ 88B7= 69 14       i.
JSR L8991        :\ 88B9= 20 91 89     ..
JSR L8980        :\ 88BC= 20 80 89     ..
LDA #&20         :\ 88BF= A9 20       ) 
STA (&A8),Y      :\ 88C1= 91 A8       .(
LDA &011B        :\ 88C3= AD 1B 01    -..
STA &AA          :\ 88C6= 85 AA       .*
ASL A            :\ 88C8= 0A          .
ADC &AA          :\ 88C9= 65 AA       e*
TAX              :\ 88CB= AA          *
LDY #&00         :\ 88CC= A0 00        .
.L88CE
LDA L89F2,X      :\ 88CE= BD F2 89    =r.
STA (&A8),Y      :\ 88D1= 91 A8       .(
INX              :\ 88D3= E8          h
INY              :\ 88D4= C8          H
CPY #&03         :\ 88D5= C0 03       @.
BNE L88CE        :\ 88D7= D0 F5       Pu
LDA #&2C         :\ 88D9= A9 2C       ),
STA (&A8),Y      :\ 88DB= 91 A8       .(
INY              :\ 88DD= C8          H
INY              :\ 88DE= C8          H
LDA &011A        :\ 88DF= AD 1A 01    -..
JSR L8980        :\ 88E2= 20 80 89     ..
LDY #&06         :\ 88E5= A0 06        .
LDA #&20         :\ 88E7= A9 20       ) 
STA (&A8),Y      :\ 88E9= 91 A8       .(
INY              :\ 88EB= C8          H
LDA &0119        :\ 88EC= AD 19 01    -..
CMP #&10         :\ 88EF= C9 10       I.
BCC L88F5        :\ 88F1= 90 02       ..
SBC #&06         :\ 88F3= E9 06       i.
.L88F5
STA &AA          :\ 88F5= 85 AA       .*
ASL A            :\ 88F7= 0A          .
ADC &AA          :\ 88F8= 65 AA       e*
TAX              :\ 88FA= AA          *
.L88FB
LDA L89CE,X      :\ 88FB= BD CE 89    =N.
STA (&A8),Y      :\ 88FE= 91 A8       .(
INX              :\ 8900= E8          h
INY              :\ 8901= C8          H
CPY #&0A         :\ 8902= C0 0A       @.
BNE L88FB        :\ 8904= D0 F5       Pu
.L8906
PLA              :\ 8906= 68          h
TAY              :\ 8907= A8          (
PLA              :\ 8908= 68          h
TAX              :\ 8909= AA          *
PLA              :\ 890A= 68          h
LDA #&00         :\ 890B= A9 00       ).
RTS              :\ 890D= 60          `
 
.L890E
PHA              :\ 890E= 48          H
AND #&F0         :\ 890F= 29 F0       )p
LSR A            :\ 8911= 4A          J
STA &64          :\ 8912= 85 64       .d
LSR A            :\ 8914= 4A          J
LSR A            :\ 8915= 4A          J
CLC              :\ 8916= 18          .
ADC &64          :\ 8917= 65 64       ed
STA &64          :\ 8919= 85 64       .d
PLA              :\ 891B= 68          h
AND #&0F         :\ 891C= 29 0F       ).
ADC &64          :\ 891E= 65 64       ed
RTS              :\ 8920= 60          `
 
.L8921
CMP #&57         :\ 8921= C9 57       IW
BCS L8927        :\ 8923= B0 02       0.
ADC #&64         :\ 8925= 69 64       id
.L8927
STA &64          :\ 8927= 85 64       .d
LDA L8A09,X      :\ 8929= BD 09 8A    =..
STA &65          :\ 892C= 85 65       .e
TXA              :\ 892E= 8A          .
PHA              :\ 892F= 48          H
LDX #&57         :\ 8930= A2 57       "W
.L8932
CPX &64          :\ 8932= E4 64       dd
BEQ L8946        :\ 8934= F0 10       p.
JSR L8970        :\ 8936= 20 70 89     p.
TXA              :\ 8939= 8A          .
LSR A            :\ 893A= 4A          J
BCS L8943        :\ 893B= B0 06       0.
LSR A            :\ 893D= 4A          J
BCS L8943        :\ 893E= B0 03       0.
JSR L8970        :\ 8940= 20 70 89     p.
.L8943
INX              :\ 8943= E8          h
BNE L8932        :\ 8944= D0 EC       Pl
.L8946
DEY              :\ 8946= 88          .
TYA              :\ 8947= 98          .
.L8948
SEC              :\ 8948= 38          8
SBC #&07         :\ 8949= E9 07       i.
BEQ L894F        :\ 894B= F0 02       p.
BCS L8948        :\ 894D= B0 F9       0y
.L894F
CLC              :\ 894F= 18          .
ADC #&07         :\ 8950= 69 07       i.
CLC              :\ 8952= 18          .
ADC &65          :\ 8953= 65 65       ee
CMP #&08         :\ 8955= C9 08       I.
BCC L895B        :\ 8957= 90 02       ..
SBC #&07         :\ 8959= E9 07       i.
.L895B
STA &65          :\ 895B= 85 65       .e
PLA              :\ 895D= 68          h
CMP #&03         :\ 895E= C9 03       I.
BCC L896D        :\ 8960= 90 0B       ..
LDA &64          :\ 8962= A5 64       %d
LSR A            :\ 8964= 4A          J
BCS L896D        :\ 8965= B0 06       0.
LSR A            :\ 8967= 4A          J
BCS L896D        :\ 8968= B0 03       0.
JSR L8970        :\ 896A= 20 70 89     p.
.L896D
LDA &65          :\ 896D= A5 65       %e
RTS              :\ 896F= 60          `
 
.L8970
INC &65          :\ 8970= E6 65       fe
LDA &65          :\ 8972= A5 65       %e
CMP #&08         :\ 8974= C9 08       I.
BNE L897C        :\ 8976= D0 04       P.
LDA #&01         :\ 8978= A9 01       ).
STA &65          :\ 897A= 85 65       .e
.L897C
RTS              :\ 897C= 60          `
 
.L897D
LDA &0118,X      :\ 897D= BD 18 01    =..
.L8980
PHA              :\ 8980= 48          H
JSR L8989        :\ 8981= 20 89 89     ..
PLA              :\ 8984= 68          h
LSR A            :\ 8985= 4A          J
LSR A            :\ 8986= 4A          J
LSR A            :\ 8987= 4A          J
LSR A            :\ 8988= 4A          J
.L8989
AND #&0F         :\ 8989= 29 0F       ).
ORA #&30         :\ 898B= 09 30       .0
STA (&A8),Y      :\ 898D= 91 A8       .(
DEY              :\ 898F= 88          .
RTS              :\ 8990= 60          `
 
\ Convert Binary to BCD
\ ---------------------
.L8991
LDX #&00         :\ 8991= A2 00       ".
STX &AA          :\ 8993= 86 AA       .*
.L8995
SEC              :\ 8995= 38          8
SBC #&0A         :\ 8996= E9 0A       i.
BCC L89A4        :\ 8998= 90 0A       ..
PHA              :\ 899A= 48          H
LDA &AA          :\ 899B= A5 AA       %*
ADC #&0F         :\ 899D= 69 0F       i.
STA &AA          :\ 899F= 85 AA       .*
PLA              :\ 89A1= 68          h
BCC L8995        :\ 89A2= 90 F1       .q
.L89A4
ADC #&0A         :\ 89A4= 69 0A       i.
CLC              :\ 89A6= 18          .
ADC &AA          :\ 89A7= 65 AA       e*
RTS              :\ 89A9= 60          `
 
.L89AA
LDA &011B        :\ 89AA= AD 1B 01    -..
BNE L89C9        :\ 89AD= D0 1A       P.
LDA &0119        :\ 89AF= AD 19 01    -..
JSR L890E        :\ 89B2= 20 0E 89     ..
TAX              :\ 89B5= AA          *
LDA &011A        :\ 89B6= AD 1A 01    -..
JSR L890E        :\ 89B9= 20 0E 89     ..
TAY              :\ 89BC= A8          (
LDA &0118        :\ 89BD= AD 18 01    -..
JSR L890E        :\ 89C0= 20 0E 89     ..
JSR L8921        :\ 89C3= 20 21 89     !.
STA &011B        :\ 89C6= 8D 1B 01    ...
.L89C9
RTS              :\ 89C9= 60          `
 
.L89CA
STA &3112,Y      :\ 89CA= 99 12 31    ..1
ASL &23          :\ 89CD= 06 23       .#
EOR &4A59,Y      :\ 89CF= 59 59 4A    YYJ
ADC (&6E,X)      :\ 89D2= 61 6E       an
LSR &65          :\ 89D4= 46 65       Fe
EQUB &62         :\ 89D6= 62          b
EOR &7261        :\ 89D7= 4D 61 72    Mar
EOR (&70,X)      :\ 89DA= 41 70       Ap
ADC (&4D)        :\ 89DC= 72 4D       rM
ADC (&79,X)      :\ 89DE= 61 79       ay
LSR A            :\ 89E0= 4A          J
ADC &6E,X        :\ 89E1= 75 6E       un
LSR A            :\ 89E3= 4A          J
ADC &6C,X        :\ 89E4= 75 6C       ul
EOR (&75,X)      :\ 89E6= 41 75       Au
EQUB &67         :\ 89E8= 67          g
EQUB &53         :\ 89E9= 53          S
ADC &70          :\ 89EA= 65 70       ep
BBR 4,&63,&8A63  :\ 89EC= 4F 63 74    Oct
LSR &766F        :\ 89EF= 4E 6F 76    Nov
.L89F2
EQUB &44         :\ 89F2= 44          D
ADC &63          :\ 89F3= 65 63       ec
EQUB &53         :\ 89F5= 53          S
ADC &6E,X        :\ 89F6= 75 6E       un
EOR &6E6F        :\ 89F8= 4D 6F 6E    Mon
EQUB &54         :\ 89FB= 54          T
ADC &65,X        :\ 89FC= 75 65       ue
EQUB &57         :\ 89FE= 57          W
ADC &64          :\ 89FF= 65 64       ed
EQUB &54         :\ 8A01= 54          T
PLA              :\ 8A02= 68          h
ADC &46,X        :\ 8A03= 75 46       uF
ADC (&69)        :\ 8A05= 72 69       ri
EQUB &53         :\ 8A07= 53          S
ADC (&74,X)      :\ 8A08= 61 74       at
ORA &01          :\ 8A0A= 05 01       ..
ORA (&04,X)      :\ 8A0C= 01 04       ..
ASL &02          :\ 8A0E= 06 02       ..
TSB &07          :\ 8A10= 04 07       ..
EQUB &03         :\ 8A12= 03          .
ORA &01          :\ 8A13= 05 01       ..
EQUB &03         :\ 8A15= 03          .

\ OSBYTE &A1, &A2 - Read/Write CMOS
\ =================================
.L8A16
JSR L8620        :\ 8A16= 20 20 86      .
BVC L8A45        :\ 8A19= 50 2A       P*
LDX &68          :\ 8A1B= A6 68       &h
CPX #&32         :\ 8A1D= E0 32       `2
BCS L8A45        :\ 8A1F= B0 24       0$
LDA &6A          :\ 8A21= A5 6A       %j
CMP #&A1         :\ 8A23= C9 A1       I!
BEQ L8A48        :\ 8A25= F0 21       p!
BIT &0D97        :\ 8A27= 2C 97 0D    ,..
BPL L8A32        :\ 8A2A= 10 06       ..
LDA &69          :\ 8A2C= A5 69       %i
STA &0140,X      :\ 8A2E= 9D 40 01    .@.
RTS              :\ 8A31= 60          `
 
\ Use SRAM for CMOS storage
\ -------------------------
.L8A32
LDX &0D97        :\ 8A32= AE 97 0D    ...
JSR LB764        :\ 8A35= 20 64 B7     d7
JSR L8A61        :\ 8A38= 20 61 8A     a.
LDA &69          :\ 8A3B= A5 69       %i
LDY #&00         :\ 8A3D= A0 00        .
JSR LB7AD        :\ 8A3F= 20 AD B7     -7
JSR LB7BA        :\ 8A42= 20 BA B7     :7
.L8A45
JMP L8788        :\ 8A45= 4C 88 87    L..
 
.L8A48
BIT &0D97        :\ 8A48= 2C 97 0D    ,..
BPL L8A53        :\ 8A4B= 10 06       ..
LDA &0140,X      :\ 8A4D= BD 40 01    =@.
STA &69          :\ 8A50= 85 69       .i
RTS              :\ 8A52= 60          `
 
\ Read CMOS byte from SRAM
\ ------------------------
.L8A53
LDY &0D97         :\ Get CMOS SRAM number
JSR L8A61         :\ Calculate address of CMOS byte
JSR &FFB9         :\ Read from SRAM
STA &69:JMP L8788 :\ Store byte and return
 
\ CMOS bytes stored at &BFCE..BFFF
\ --------------------------------
.L8A61
LDA #&BF:STA &F7  :\ High byte =&BFxx
LDA &68:CLC       :\ Get CMOS byte number
ADC #&CE:STA &F6  :\ Low byte =&CE+offset
RTS

.L8A6D 
JSR L8F75        :\ 8A6D= 20 75 8F     u.
LDA #&00         :\ 8A70= A9 00       ).
LDY #&00         :\ 8A72= A0 00        .
JMP OSFIND       :\ 8A74= 4C CE FF    LN.
 
STA &FEE8        :\ 8A77= 8D E8 FE    .h~
.L8A7A
JMP L8A7A        :\ 8A7A= 4C 7A 8A    Lz.
 
LDA &D0          :\ 8A7D= A5 D0       %P
PHA              :\ 8A7F= 48          H
LDA #&0E         :\ 8A80= A9 0E       ).
JSR OSWRCH       :\ 8A82= 20 EE FF     n.
LDA #&8F         :\ 8A85= A9 8F       ).
LDX #&09         :\ 8A87= A2 09       ".
JSR OSBYTE       :\ 8A89= 20 F4 FF     t.
LDX #&18         :\ 8A8C= A2 18       ".
JSR OSBYTE       :\ 8A8E= 20 F4 FF     t.
PLA              :\ 8A91= 68          h
AND #&04         :\ 8A92= 29 04       ).
BNE L8A9B        :\ 8A94= D0 05       P.
LDA #&0F         :\ 8A96= A9 0F       ).
JMP OSWRCH       :\ 8A98= 4C EE FF    Ln.
 
.L8A9B
RTS              :\ 8A9B= 60          `
 
.L8A9C
JSR L9086        :\ 8A9C= 20 86 90     ..
LDX &F2          :\ 8A9F= A6 F2       &r
STX &02ED        :\ 8AA1= 8E ED 02    .m.
LDX &F3          :\ 8AA4= A6 F3       &s
STX &02EE        :\ 8AA6= 8E EE 02    .n.
LDA #&06         :\ 8AA9= A9 06       ).
.L8AAB
LDX #&ED         :\ 8AAB= A2 ED       "m
LDY #&02         :\ 8AAD= A0 02        .
JMP OSFILE       :\ 8AAF= 4C DD FF    L].
 
JSR L8A9C        :\ 8AB2= 20 9C 8A     ..
TAY              :\ 8AB5= A8          (
BEQ L8AB9        :\ 8AB6= F0 01       p.
RTS              :\ 8AB8= 60          `
 
.L8AB9
JSR L8F94        :\ Generate error
EQUB &D6:EQUS "Not found":BRK

.L8AC7
JSR L9086        :\ 8AC7= 20 86 90     ..
LDA &F2          :\ 8ACA= A5 F2       %r
STA &02ED        :\ 8ACC= 8D ED 02    .m.
LDA &F3          :\ 8ACF= A5 F3       %s
STA &02EE        :\ 8AD1= 8D EE 02    .n.
LDX #&0F         :\ 8AD4= A2 0F       ".
.L8AD6
LDA #&00         :\ 8AD6= A9 00       ).
STA &02EF,X      :\ 8AD8= 9D EF 02    .o.
DEX              :\ 8ADB= CA          J
BPL L8AD6        :\ 8ADC= 10 F8       .x
CLC              :\ 8ADE= 18          .
JSR &FFC2        :\ 8ADF= 20 C2 FF     B.
.L8AE2
JSR &FFC5        :\ 8AE2= 20 C5 FF     E.
BCC L8AE2        :\ 8AE5= 90 FB       .{
JSR L9041        :\ 8AE7= 20 41 90     A.
BCS L8AEF        :\ 8AEA= B0 03       0.
JMP L8F84        :\ 8AEC= 4C 84 8F    L..
 
.L8AEF
JSR L8F75        :\ 8AEF= 20 75 8F     u.
LDX #&03         :\ 8AF2= A2 03       ".
.L8AF4
LDA &6B,X        :\ 8AF4= B5 6B       5k
STA &02FB,X      :\ 8AF6= 9D FB 02    .{.
DEX              :\ 8AF9= CA          J
BPL L8AF4        :\ 8AFA= 10 F8       .x
LDA #&07         :\ 8AFC= A9 07       ).
BNE L8AAB        :\ 8AFE= D0 AB       P+
.L8B00
LDA #&00         :\ 8B00= A9 00       ).
JSR OSFIND       :\ 8B02= 20 CE FF     N.
JSR L8F94        :\ 8B05= 20 94 8F     ..
LDY &4F,X        :\ 8B08= B7 4F       7O
ADC &74,X        :\ 8B0A= 75 74       ut
EQUB &73         :\ 8B0C= 73          s
ADC #&64         :\ 8B0D= 69 64       id
ADC &20          :\ 8B0F= 65 20       e 
ROR &69          :\ 8B11= 66 69       fi
JMP (&0065)      :\ 8B13= 6C 65 00    le.

.L8B16 
JSR L9086        :\ 8B16= 20 86 90     ..
LDA &F2          :\ 8B19= A5 F2       %r
STA &A8          :\ 8B1B= 85 A8       .(
LDA &F3          :\ 8B1D= A5 F3       %s
STA &A9          :\ 8B1F= 85 A9       .)
LDX #&07         :\ 8B21= A2 07       ".
LDA #&00         :\ 8B23= A9 00       ).
.L8B25
STA &02ED,X      :\ 8B25= 9D ED 02    .m.
DEX              :\ 8B28= CA          J
BPL L8B25        :\ 8B29= 10 FA       .z
CLC              :\ 8B2B= 18          .
JSR &FFC2        :\ 8B2C= 20 C2 FF     B.
.L8B2F
JSR &FFC5        :\ 8B2F= 20 C5 FF     E.
BCC L8B2F        :\ 8B32= 90 FB       .{
JSR L9041        :\ 8B34= 20 41 90     A.
BCC L8B55        :\ 8B37= 90 1C       ..
LDX #&03         :\ 8B39= A2 03       ".
.L8B3B
LDA &6B,X        :\ 8B3B= B5 6B       5k
STA &02ED,X      :\ 8B3D= 9D ED 02    .m.
STA &02F1,X      :\ 8B40= 9D F1 02    .q.
DEX              :\ 8B43= CA          J
BPL L8B3B        :\ 8B44= 10 F5       .u
JSR L9041        :\ 8B46= 20 41 90     A.
BCC L8B55        :\ 8B49= 90 0A       ..
LDX #&03         :\ 8B4B= A2 03       ".
.L8B4D
LDA &6B,X        :\ 8B4D= B5 6B       5k
STA &02F1,X      :\ 8B4F= 9D F1 02    .q.
DEX              :\ 8B52= CA          J
BPL L8B4D        :\ 8B53= 10 F8       .x
.L8B55
JSR L8F75        :\ 8B55= 20 75 8F     u.
LDX &A8          :\ 8B58= A6 A8       &(
LDY &A9          :\ 8B5A= A4 A9       $)
JSR L9502        :\ 8B5C= 20 02 95     ..
STY &A8          :\ 8B5F= 84 A8       .(
LDX #&A9         :\ 8B61= A2 A9       ")
LDA #&02         :\ 8B63= A9 02       ).
JSR OSARGS       :\ 8B65= 20 DA FF     Z.
LDX #&03         :\ 8B68= A2 03       ".
PHP              :\ 8B6A= 08          .
.L8B6B
PLP              :\ 8B6B= 28          (
LDA &A9,X        :\ 8B6C= B5 A9       5)
CMP &02ED,X      :\ 8B6E= DD ED 02    ]m.
BCC L8B00        :\ 8B71= 90 8D       ..
BNE L8B7F        :\ 8B73= D0 0A       P.
PHP              :\ 8B75= 08          .
DEX              :\ 8B76= CA          J
BPL L8B6B        :\ 8B77= 10 F2       .r
PLP              :\ 8B79= 28          (
BNE L8B7F        :\ 8B7A= D0 03       P.
JMP L8C31        :\ 8B7C= 4C 31 8C    L1.
 
.L8B7F
LDX #&03         :\ 8B7F= A2 03       ".
.L8B81
LDA &02ED,X      :\ 8B81= BD ED 02    =m.
STA &A9,X        :\ 8B84= 95 A9       .)
DEX              :\ 8B86= CA          J
BPL L8B81        :\ 8B87= 10 F8       .x
LDX #&A9         :\ 8B89= A2 A9       ")
LDA #&01         :\ 8B8B= A9 01       ).
JSR OSARGS       :\ 8B8D= 20 DA FF     Z.
LDA &02F1        :\ 8B90= AD F1 02    -q.
AND #&07         :\ 8B93= 29 07       ).
STA &A9          :\ 8B95= 85 A9       .)
LDA #&FF         :\ 8B97= A9 FF       ).
STA &AA          :\ 8B99= 85 AA       .*
.L8B9B
LDA &02F3        :\ 8B9B= AD F3 02    -s.
JSR L8F1E        :\ 8B9E= 20 1E 8F     ..
LDA &02F2        :\ 8BA1= AD F2 02    -r.
JSR L8F1E        :\ 8BA4= 20 1E 8F     ..
LDA &02F1        :\ 8BA7= AD F1 02    -q.
JSR L8F1E        :\ 8BAA= 20 1E 8F     ..
JSR L8C36        :\ 8BAD= 20 36 8C     6.
LDX #&00         :\ 8BB0= A2 00       ".
.L8BB2
CPX &AA          :\ 8BB2= E4 AA       d*
BCS L8BBA        :\ 8BB4= B0 04       0.
CPX &A9          :\ 8BB6= E4 A9       d)
BCS L8BC3        :\ 8BB8= B0 09       0.
.L8BBA
JSR L8C36        :\ 8BBA= 20 36 8C     6.
JSR L8C36        :\ 8BBD= 20 36 8C     6.
JMP L8BD2        :\ 8BC0= 4C D2 8B    LR.
 
.L8BC3
JSR OSBGET       :\ 8BC3= 20 D7 FF     W.
BCC L8BCC        :\ 8BC6= 90 04       ..
STX &AA          :\ 8BC8= 86 AA       .*
BCS L8BBA        :\ 8BCA= B0 EE       0n
.L8BCC
STA &02F8,X      :\ 8BCC= 9D F8 02    .x.
JSR L8F1E        :\ 8BCF= 20 1E 8F     ..
.L8BD2
JSR L8C36        :\ 8BD2= 20 36 8C     6.
INX              :\ 8BD5= E8          h
CPX #&08         :\ 8BD6= E0 08       `.
BNE L8BB2        :\ 8BD8= D0 D8       PX
LDX #&00         :\ 8BDA= A2 00       ".
.L8BDC
LDA #&20         :\ 8BDC= A9 20       ) 
CPX &AA          :\ 8BDE= E4 AA       d*
BCS L8BF3        :\ 8BE0= B0 11       0.
CPX &A9          :\ 8BE2= E4 A9       d)
BCC L8BF3        :\ 8BE4= 90 0D       ..
LDA &02F8,X      :\ 8BE6= BD F8 02    =x.
CMP #&7F         :\ 8BE9= C9 7F       I.
BCS L8BF1        :\ 8BEB= B0 04       0.
CMP #&20         :\ 8BED= C9 20       I 
BCS L8BF3        :\ 8BEF= B0 02       0.
.L8BF1
LDA #&2E         :\ 8BF1= A9 2E       ).
.L8BF3
JSR OSWRCH       :\ 8BF3= 20 EE FF     n.
INX              :\ 8BF6= E8          h
CPX #&08         :\ 8BF7= E0 08       `.
BNE L8BDC        :\ 8BF9= D0 E1       Pa
BIT &FF          :\ 8BFB= 24 FF       $.
BPL L8C02        :\ 8BFD= 10 03       ..
JMP L94F7        :\ 8BFF= 4C F7 94    Lw.
 
.L8C02
LDA #&00         :\ 8C02= A9 00       ).
STA &A9          :\ 8C04= 85 A9       .)
JSR OSNEWL       :\ 8C06= 20 E7 FF     g.
LDA &AA          :\ 8C09= A5 AA       %*
CMP #&FF         :\ 8C0B= C9 FF       I.
BNE L8C31        :\ 8C0D= D0 22       P"
LDA &02F1        :\ 8C0F= AD F1 02    -q.
AND #&F8         :\ 8C12= 29 F8       )x
CLC              :\ 8C14= 18          .
ADC #&08         :\ 8C15= 69 08       i.
STA &02F1        :\ 8C17= 8D F1 02    .q.
BCC L8C24        :\ 8C1A= 90 08       ..
INC &02F2        :\ 8C1C= EE F2 02    nr.
BNE L8C24        :\ 8C1F= D0 03       P.
INC &02F3        :\ 8C21= EE F3 02    ns.
.L8C24
TYA              :\ 8C24= 98          .
TAX              :\ 8C25= AA          *
LDA #&7F         :\ 8C26= A9 7F       ).
JSR OSBYTE       :\ 8C28= 20 F4 FF     t.
TXA              :\ 8C2B= 8A          .
BNE L8C31        :\ 8C2C= D0 03       P.
JMP L8B9B        :\ 8C2E= 4C 9B 8B    L..
 
.L8C31
LDA #&00         :\ 8C31= A9 00       ).
JMP OSFIND       :\ 8C33= 4C CE FF    LN.
 
.L8C36
LDA #&20         :\ 8C36= A9 20       ) 
JMP OSWRCH       :\ 8C38= 4C EE FF    Ln.
 
JSR L9041        :\ 8C3B= 20 41 90     A.
BCS L8C43        :\ 8C3E= B0 03       0.
JMP L9121        :\ 8C40= 4C 21 91    L!.
 
.L8C43
JSR L8F75        :\ 8C43= 20 75 8F     u.
JMP (&006B)      :\ 8C46= 6C 6B 00    lk.
 
JSR L9041        :\ 8C49= 20 41 90     A.
BCS L8C43        :\ 8C4C= B0 F5       0u
JSR L8F75        :\ 8C4E= 20 75 8F     u.
.L8C51
LDX #&FF         :\ 8C51= A2 FF       ".
TXS              :\ 8C53= 9A          .
CLI              :\ 8C54= 58          X
LDA #&1A         :\ 8C55= A9 1A       ).
STA &0202        :\ 8C57= 8D 02 02    ...
LDA #&92         :\ 8C5A= A9 92       ).
STA &0203        :\ 8C5C= 8D 03 02    ...
LDA &F4          :\ 8C5F= A5 F4       %t
ORA #&10         :\ 8C61= 09 10       ..
STA &028C        :\ 8C63= 8D 8C 02    ...
.L8C66
LDA #&2A         :\ 8C66= A9 2A       )*
JSR OSWRCH       :\ 8C68= 20 EE FF     n.
LDX #&90         :\ 8C6B= A2 90       ".
LDY #&8C         :\ 8C6D= A0 8C        .
LDA #&00         :\ 8C6F= A9 00       ).
JSR OSWORD       :\ 8C71= 20 F1 FF     q.
BCC L8C86        :\ 8C74= 90 10       ..
.L8C76
LDA #&7E         :\ 8C76= A9 7E       )~
JSR OSBYTE       :\ 8C78= 20 F4 FF     t.
JSR L8F94        :\ 8C7B= 20 94 8F     ..
ORA (&45),Y      :\ 8C7E= 11 45       .E
EQUB &73         :\ 8C80= 73          s
EQUB &63         :\ 8C81= 63          c
ADC (&70,X)      :\ 8C82= 61 70       ap
ADC &00          :\ 8C84= 65 00       e.
.L8C86
LDX #&00         :\ 8C86= A2 00       ".
LDY #&07         :\ 8C88= A0 07        .
JSR OS_CLI       :\ 8C8A= 20 F7 FF     w.
JMP L8C66        :\ 8C8D= 4C 66 8C    Lf.
 
BRK              :\ 8C90= 00          .
TSB &C0          :\ 8C91= 07 C0       .@
JSR LA6FF        :\ 8C93= 20 FF A6     .&
PLA              :\ 8C96= 68          h
SEC              :\ 8C97= 38          8
BCS L8CB5        :\ 8C98= B0 1B       0.
.L8C9A
LDA &028D        :\ 8C9A= AD 8D 02    -..
BNE L8CA9        :\ 8C9D= D0 0A       P.
LDA &028C        :\ 8C9F= AD 8C 02    -..
CMP #&10         :\ 8CA2= C9 10       I.
BCC L8CB3        :\ 8CA4= 90 0D       ..
JMP L8D17        :\ 8CA6= 4C 17 8D    L..
 
.L8CA9
LDX #&05         :\ 8CA9= A2 05       ".
JSR L9C4B        :\ 8CAB= 20 4B 9C     K.
TYA              :\ 8CAE= 98          .
LSR A            :\ 8CAF= 4A          J
LSR A            :\ 8CB0= 4A          J
LSR A            :\ 8CB1= 4A          J
LSR A            :\ 8CB2= 4A          J
.L8CB3
TAX              :\ 8CB3= AA          *
CLC              :\ 8CB4= 18          .
.L8CB5
LDA &02A1,X      :\ 8CB5= BD A1 02    =!.
PHA              :\ 8CB8= 48          H
AND #&40         :\ 8CB9= 29 40       )@
BNE L8CC0        :\ 8CBB= D0 03       P.
JMP L8744        :\ 8CBD= 4C 44 87    LD.
 
.L8CC0
PLA              :\ 8CC0= 68          h
PHP              :\ 8CC1= 08          .
BCC L8CDE        :\ 8CC2= 90 1A       ..
LDA &02A1,X      :\ 8CC4= BD A1 02    =!.
AND #&0D         :\ 8CC7= 29 0D       ).
BEQ L8CD3        :\ 8CC9= F0 08       p.
BIT &027A        :\ 8CCB= 2C 7A 02    ,z.
BMI L8CD3        :\ 8CCE= 30 03       0.
.L8CD0
JMP L8769        :\ 8CD0= 4C 69 87    Li.
 
.L8CD3
TXA              :\ 8CD3= 8A          .
PHA              :\ 8CD4= 48          H
LDX #&2A         :\ 8CD5= A2 2A       "*
LDA #&8F         :\ 8CD7= A9 8F       ).
JSR OSBYTE       :\ 8CD9= 20 F4 FF     t.
PLA              :\ 8CDC= 68          h
TAX              :\ 8CDD= AA          *
.L8CDE
STX &028C        :\ 8CDE= 8E 8C 02    ...
TXA              :\ 8CE1= 8A          .
PHA              :\ 8CE2= 48          H
LDA #&09         :\ 8CE3= A9 09       ).
STA &F6          :\ 8CE5= 85 F6       .v
LDA #&80         :\ 8CE7= A9 80       ).
STA &F7          :\ 8CE9= 85 F7       .w
.L8CEB
PLA              :\ 8CEB= 68          h
PHA              :\ 8CEC= 48          H
TAY              :\ 8CED= A8          (
JSR &FFB9        :\ 8CEE= 20 B9 FF     9.
JSR OSWRCH       :\ 8CF1= 20 EE FF     n.
INC &F6          :\ 8CF4= E6 F6       fv
CMP #&00         :\ 8CF6= C9 00       I.
BNE L8CEB        :\ 8CF8= D0 F1       Pq
LDA &F6          :\ 8CFA= A5 F6       %v
SBC #&01         :\ 8CFC= E9 01       i.
STA &FD          :\ 8CFE= 85 FD       .}
LDA &F7          :\ 8D00= A5 F7       %w
STA &FE          :\ 8D02= 85 FE       .~
JSR OSNEWL       :\ 8D04= 20 E7 FF     g.
JSR OSNEWL       :\ 8D07= 20 E7 FF     g.
PLA              :\ 8D0A= 68          h
TAX              :\ 8D0B= AA          *
PLP              :\ 8D0C= 28          (
BIT &027A        :\ 8D0D= 2C 7A 02    ,z.
BPL L8D23        :\ 8D10= 10 11       ..
LDA #&01         :\ 8D12= A9 01       ).
.L8D14
JMP &0400        :\ 8D14= 4C 00 04    L..
 
.L8D17
BIT &027A        :\ 8D17= 2C 7A 02    ,z.
BMI L8D1F        :\ 8D1A= 30 03       0.
JMP L8C51        :\ 8D1C= 4C 51 8C    LQ.
 
.L8D1F
LDA #&00         :\ 8D1F= A9 00       ).
BEQ L8D14        :\ 8D21= F0 F1       pq
.L8D23
LDA &02A1,X      :\ 8D23= BD A1 02    =!.
AND #&0D         :\ 8D26= 29 0D       ).
BNE L8CD0        :\ 8D28= D0 A6       P&
LDY #&07         :\ 8D2A= A0 07        .
.L8D2C
LDA L8D3A,Y      :\ 8D2C= B9 3A 8D    9:.
STA &0118,Y      :\ 8D2F= 99 18 01    ...
DEY              :\ 8D32= 88          .
BPL L8D2C        :\ 8D33= 10 F7       .w
LDA #&01         :\ 8D35= A9 01       ).
JMP &0118        :\ 8D37= 4C 18 01    L..
 
.L8D3A
STX &F4          :\ 8D3A= 86 F4       .t
STX &FE30        :\ 8D3C= 8E 30 FE    .0~
JMP L8000        :\ 8D3F= 4C 00 80    L..
 
.L8D42
JSR L90CA        :\ 8D42= 20 CA 90     J.
BCC L8D76        :\ 8D45= 90 2F       ./

\ Pass *command to OSBYTE
\ -----------------------
.L8D47
STA &EF          :\ 8D47= 85 EF       .o
LDA #&00         :\ 8D49= A9 00       ).
STA &F0          :\ 8D4B= 85 F0       .p
STA &F1          :\ 8D4D= 85 F1       .q
JSR L90B8        :\ 8D4F= 20 B8 90     8.
BCC L8D6A        :\ 8D52= 90 16       ..
JSR L90CA        :\ 8D54= 20 CA 90     J.
BCC L8D76        :\ 8D57= 90 1D       ..
STA &F0          :\ 8D59= 85 F0       .p
JSR L90B8        :\ 8D5B= 20 B8 90     8.
BCC L8D6A        :\ 8D5E= 90 0A       ..
JSR L90CA        :\ 8D60= 20 CA 90     J.
BCC L8D76        :\ 8D63= 90 11       ..
STA &F1          :\ 8D65= 85 F1       .q
JSR L8F75        :\ 8D67= 20 75 8F     u.
.L8D6A
LDA &EF          :\ 8D6A= A5 EF       %o
LDX &F0          :\ 8D6C= A6 F0       &p
LDY &F1          :\ 8D6E= A4 F1       $q
JSR OSBYTE       :\ 8D70= 20 F4 FF     t.
BVS L8D76        :\ 8D73= 70 01       p.
RTS              :\ 8D75= 60          `
 
.L8D76
JMP L8F84        :\ 8D76= 4C 84 8F    L..
 
.L8D79
LDA #&8B         :\ 8D79= A9 8B       ).
BNE L8D47        :\ 8D7B= D0 CA       PJ
LDA #&89         :\ 8D7D= A9 89       ).
BNE L8D47        :\ 8D7F= D0 C6       PF
LDA #&88         :\ 8D81= A9 88       ).
BNE L8D47        :\ 8D83= D0 C2       PB
LDA #&90         :\ 8D85= A9 90       ).
BNE L8D47        :\ 8D87= D0 BE       P>
LDA #&8C         :\ 8D89= A9 8C       ).
BNE L8D47        :\ 8D8B= D0 BA       P:

\ *Shadow
\ =======
.L8D8D
LDA #&72:BNE L8D47  :\ Do OSBYTE &72

.L8D91
JSR L90CA        :\ 8D91= 20 CA 90     J.
PHP              :\ 8D94= 08          .
PHA              :\ 8D95= 48          H
JSR L8F75        :\ 8D96= 20 75 8F     u.
PLA              :\ 8D99= 68          h
PLP              :\ 8D9A= 28          (
BCS L8DA6        :\ 8D9B= B0 09       0.
LDA &0246        :\ 8D9D= AD 46 02    -F.
ORA #&80         :\ 8DA0= 09 80       ..
STA &0246        :\ 8DA2= 8D 46 02    .F.
RTS              :\ 8DA5= 60          `
 
.L8DA6
STA &0286        :\ 8DA6= 8D 86 02    ...
LDA &0246        :\ 8DA9= AD 46 02    -F.
AND #&7F         :\ 8DAC= 29 7F       ).
STA &0246        :\ 8DAE= 8D 46 02    .F.
RTS              :\ 8DB1= 60          `

\ *NOID <nn>
\ ==========
.L8DB2
JSR L90CA         :\ Get numeric parameter
PHP:PHA:JSR L8F75 :\ Skip spaces
PLA:PLP:BCS L8DC0
LDA #&00
.L8DC0
STA &0D96:RTS     :\ Store NOID setting

.L8DC4
JSR L90CA        :\ 8DC4= 20 CA 90     J.
PHA              :\ 8DC7= 48          H
PHP              :\ 8DC8= 08          .
JSR L8F75        :\ 8DC9= 20 75 8F     u.
JSR LB7E3        :\ 8DCC= 20 E3 B7     c7
STA &A8          :\ 8DCF= 85 A8       .(
PLP              :\ 8DD1= 28          (
PLA              :\ 8DD2= 68          h
BCC L8DE4        :\ 8DD3= 90 0F       ..
CMP #&10         :\ 8DD5= C9 10       I.
BCC L8DDD        :\ 8DD7= 90 04       ..
PLA              :\ 8DD9= 68          h
JMP L8F84        :\ 8DDA= 4C 84 8F    L..
 
.L8DDD
TAY              :\ 8DDD= A8          (
JSR L8DF1        :\ 8DDE= 20 F1 8D     q.
JMP L8E7F        :\ 8DE1= 4C 7F 8E    L..
 
.L8DE4
LDY #&0F         :\ 8DE4= A0 0F        .
.L8DE6
JSR L8DF1        :\ 8DE6= 20 F1 8D     q.
LDY &A9          :\ 8DE9= A4 A9       $)
DEY              :\ 8DEB= 88          .
BPL L8DE6        :\ 8DEC= 10 F8       .x
JMP L8E7F        :\ 8DEE= 4C 7F 8E    L..
 
.L8DF1
STY &A9          :\ 8DF1= 84 A9       .)
LDA #&52         :\ 8DF3= A9 52       )R
JSR OSWRCH       :\ 8DF5= 20 EE FF     n.
JSR L8E8A        :\ 8DF8= 20 8A 8E     ..
LDA #&4F         :\ 8DFB= A9 4F       )O
BCC L8E01        :\ 8DFD= 90 02       ..
LDA #&41         :\ 8DFF= A9 41       )A
.L8E01
JSR OSWRCH       :\ 8E01= 20 EE FF     n.
LDA #&4D         :\ 8E04= A9 4D       )M
JSR OSWRCH       :\ 8E06= 20 EE FF     n.
JSR L8C36        :\ 8E09= 20 36 8C     6.
TYA              :\ 8E0C= 98          .
JSR L8F29        :\ 8E0D= 20 29 8F     ).
JSR L8C36        :\ 8E10= 20 36 8C     6.
JSR L8ED7        :\ 8E13= 20 D7 8E     W.
BCC L8E3B        :\ 8E16= 90 23       .#
LDA #&09         :\ 8E18= A9 09       ).
STA &F6          :\ 8E1A= 85 F6       .v
LDA #&80         :\ 8E1C= A9 80       ).
STA &F7          :\ 8E1E= 85 F7       .w
.L8E20
LDY &A9          :\ 8E20= A4 A9       $)
JSR &FFB9        :\ 8E22= 20 B9 FF     9.
CMP #&20         :\ 8E25= C9 20       I 
BCC L8E38        :\ 8E27= 90 0F       ..
CMP #&7F         :\ 8E29= C9 7F       I.
BCS L8E3B        :\ 8E2B= B0 0E       0.
JSR OSWRCH       :\ 8E2D= 20 EE FF     n.
INC &F6          :\ 8E30= E6 F6       fv
BIT &F6          :\ 8E32= 24 F6       $v
BVC L8E20        :\ 8E34= 50 EA       Pj
BVS L8E3B        :\ 8E36= 70 03       p.
.L8E38
TAX              :\ 8E38= AA          *
BEQ L8E43        :\ 8E39= F0 08       p.
.L8E3B
LDA #&3F         :\ 8E3B= A9 3F       )?
JSR OSWRCH       :\ 8E3D= 20 EE FF     n.
JMP L8E52        :\ 8E40= 4C 52 8E    LR.
 
.L8E43
JSR L8C36        :\ 8E43= 20 36 8C     6.
LDA #&08         :\ 8E46= A9 08       ).
STA &F6          :\ 8E48= 85 F6       .v
LDY &A9          :\ 8E4A= A4 A9       $)
JSR &FFB9        :\ 8E4C= 20 B9 FF     9.
JSR L8F1E        :\ 8E4F= 20 1E 8F     ..
.L8E52
LDA &A9          :\ 8E52= A5 A9       %)
LDX #&06         :\ 8E54= A2 06       ".
CMP #&08         :\ 8E56= C9 08       I.
BCC L8E5D        :\ 8E58= 90 03       ..
AND #&07         :\ 8E5A= 29 07       ).
INX              :\ 8E5C= E8          h
.L8E5D
PHA              :\ 8E5D= 48          H
LDA #&A1         :\ 8E5E= A9 A1       )!
JSR OSBYTE       :\ 8E60= 20 F4 FF     t.
.L8E63
PLA              :\ 8E63= 68          h
TAX              :\ 8E64= AA          *
LDA L8ECF,X      :\ 8E65= BD CF 8E    =O.
STA &AA          :\ 8E68= 85 AA       .*
TYA              :\ 8E6A= 98          .
AND &AA          :\ 8E6B= 25 AA       %*
BNE L8E7C        :\ 8E6D= D0 0D       P.
LDX #&00         :\ 8E6F= A2 00       ".
.L8E71
LDA L8EC4,X      :\ 8E71= BD C4 8E    =D.
BEQ L8E7C        :\ 8E74= F0 06       p.
JSR OSWRCH       :\ 8E76= 20 EE FF     n.
INX              :\ 8E79= E8          h
BNE L8E71        :\ 8E7A= D0 F5       Pu
.L8E7C
JMP OSNEWL       :\ 8E7C= 4C E7 FF    Lg.
 
.L8E7F
LDA &A8          :\ 8E7F= A5 A8       %(
.L8E81
JSR LB7BA        :\ 8E81= 20 BA B7     :7
LDA &A8          :\ 8E84= A5 A8       %(
STA L8008        :\ 8E86= 8D 08 80    ...
RTS              :\ 8E89= 60          `
 
.L8E8A
TYA              :\ 8E8A= 98          .
PHA              :\ 8E8B= 48          H
TAX              :\ 8E8C= AA          *
JSR LB764        :\ 8E8D= 20 64 B7     d7
LDA #&08:STA &F6    :\ Point to &8008
LDA #&80:STA &F7
JSR &FFB9           :\ Read byte from ROM Y
STA &011F        :\ 8E9B= 8D 1F 01    ...
EOR #&FF         :\ 8E9E= 49 FF       I.
LDY #&00         :\ 8EA0= A0 00        .
JSR LB7AD        :\ 8EA2= 20 AD B7     -7
PLA              :\ 8EA5= 68          h
PHA              :\ 8EA6= 48          H
TAY              :\ 8EA7= A8          (
JSR &FFB9        :\ 8EA8= 20 B9 FF     9.
CMP &011F        :\ 8EAB= CD 1F 01    M..
BEQ L8EBB        :\ 8EAE= F0 0B       p.
LDY #&00         :\ 8EB0= A0 00        .
LDA &011F        :\ 8EB2= AD 1F 01    -..
JSR LB7AD        :\ 8EB5= 20 AD B7     -7
SEC              :\ 8EB8= 38          8
BCS L8EBC        :\ 8EB9= B0 01       0.
.L8EBB
CLC              :\ 8EBB= 18          .
.L8EBC
PHP              :\ 8EBC= 08          .
JSR LB7BA        :\ 8EBD= 20 BA B7     :7
PLP              :\ 8EC0= 28          (
PLA              :\ 8EC1= 68          h
TAY              :\ 8EC2= A8          (
RTS              :\ 8EC3= 60          `
 
.L8EC4
JSR &6E75        :\ 8EC4= 20 75 6E     un
BVS L8F35        :\ 8EC7= 70 6C       pl
ADC &67,X        :\ 8EC9= 75 67       ug
EQUB &67         :\ 8ECB= 67          g
ADC &64          :\ 8ECC= 65 64       ed
BRK              :\ 8ECE= 00          .
.L8ECF
ORA (&02,X)      :\ 8ECF= 01 02       ..
TSB &08          :\ 8ED1= 04 08       ..
BPL L8EF5        :\ 8ED3= 10 20       . 
RTI              :\ 8ED5= 40          @
 
BRA L8E81        :\ 8ED6= 80 A9       .)
 
TSB &85          :\ 8ED8= 07 85       ..
INC &A9,X        :\ 8EDA= F6 A9       v)
BRA L8E63        :\ 8EDC= 80 85       ..
 
EQUB &F7         :\ 8EDE= F7          w
LDY &A9          :\ 8EDF= A4 A9       $)
JSR &FFB9        :\ 8EE1= 20 B9 FF     9.
STA &F6          :\ 8EE4= 85 F6       .v
LDX #&03         :\ 8EE6= A2 03       ".
.L8EE8
STX &AB          :\ 8EE8= 86 AB       .+
LDY &A9          :\ 8EEA= A4 A9       $)
JSR &FFB9        :\ 8EEC= 20 B9 FF     9.
LDX &AB          :\ 8EEF= A6 AB       &+
CMP L8784,X      :\ 8EF1= DD 84 87    ]..
BNE L8EFD        :\ 8EF4= D0 07       P.
INC &F6          :\ 8EF6= E6 F6       fv
DEX              :\ 8EF8= CA          J
BPL L8EE8        :\ 8EF9= 10 ED       .m
SEC              :\ 8EFB= 38          8
RTS              :\ 8EFC= 60          `
 
.L8EFD
CLC              :\ 8EFD= 18          .
RTS              :\ 8EFE= 60          `
 
\ *TIME
\ =====
.L8EFF
JSR L8F75        :\ 8EFF= 20 75 8F     u.
LDA #&00         :\ 8F02= A9 00       ).
STA &0180        :\ 8F04= 8D 80 01    ...
LDA #&0E         :\ 8F07= A9 0E       ).
LDX #&80         :\ 8F09= A2 80       ".
LDY #&01         :\ 8F0B= A0 01        .
JSR OSWORD       :\ 8F0D= 20 F1 FF     q.
LDX #&00         :\ 8F10= A2 00       ".
.L8F12
LDA &0180,X      :\ 8F12= BD 80 01    =..
JSR OSASCI       :\ 8F15= 20 E3 FF     c.
INX              :\ 8F18= E8          h
CPX #&19         :\ 8F19= E0 19       `.
BNE L8F12        :\ 8F1B= D0 F5       Pu
RTS              :\ 8F1D= 60          `
 
.L8F1E
PHA              :\ 8F1E= 48          H
LSR A            :\ 8F1F= 4A          J
LSR A            :\ 8F20= 4A          J
LSR A            :\ 8F21= 4A          J
LSR A            :\ 8F22= 4A          J
JSR L8F29        :\ 8F23= 20 29 8F     ).
PLA              :\ 8F26= 68          h
AND #&0F         :\ 8F27= 29 0F       ).
.L8F29
ORA #&30         :\ 8F29= 09 30       .0
CMP #&3A         :\ 8F2B= C9 3A       I:
BCC L8F31        :\ 8F2D= 90 02       ..
ADC #&06         :\ 8F2F= 69 06       i.
.L8F31
JMP OSWRCH       :\ 8F31= 4C EE FF    Ln.
 
SEC              :\ 8F34= 38          8
.L8F35
BCS L8F38        :\ 8F35= B0 01       0.
CLC              :\ 8F37= 18          .
.L8F38
PHP              :\ 8F38= 08          .
JSR L90CA        :\ 8F39= 20 CA 90     J.
BCS L8F41        :\ 8F3C= B0 03       0.
.L8F3E
JMP L8F84        :\ 8F3E= 4C 84 8F    L..
 
.L8F41
PHA              :\ 8F41= 48          H
JSR L8F75        :\ 8F42= 20 75 8F     u.
PLA              :\ 8F45= 68          h
CMP #&10         :\ 8F46= C9 10       I.
BCS L8F3E        :\ 8F48= B0 F4       0t
LDX #&06         :\ 8F4A= A2 06       ".
CMP #&08         :\ 8F4C= C9 08       I.
BCC L8F53        :\ 8F4E= 90 03       ..
INX              :\ 8F50= E8          h
AND #&07         :\ 8F51= 29 07       ).
.L8F53
STA &A8          :\ 8F53= 85 A8       .(
STX &A9          :\ 8F55= 86 A9       .)
LDA #&A1         :\ 8F57= A9 A1       )!
JSR OSBYTE       :\ 8F59= 20 F4 FF     t.
STY &AA          :\ 8F5C= 84 AA       .*
LDX &A8          :\ 8F5E= A6 A8       &(
LDA L8ECF,X      :\ 8F60= BD CF 8E    =O.
EOR #&FF         :\ 8F63= 49 FF       I.
AND &AA          :\ 8F65= 25 AA       %*
PLP              :\ 8F67= 28          (
BCS L8F6D        :\ 8F68= B0 03       0.
EOR L8ECF,X      :\ 8F6A= 5D CF 8E    ]O.
.L8F6D
TAY              :\ 8F6D= A8          (
LDX &A9          :\ 8F6E= A6 A9       &)
LDA #&A2         :\ 8F70= A9 A2       )"
JMP OSBYTE       :\ 8F72= 4C F4 FF    Lt.
 
.L8F75
JSR L9086        :\ 8F75= 20 86 90     ..
LDY #&FF         :\ 8F78= A0 FF        .
.L8F7A
INY              :\ 8F7A= C8          H
LDA (&F2),Y      :\ 8F7B= B1 F2       1r
CMP #&20         :\ 8F7D= C9 20       I 
BEQ L8F7A        :\ 8F7F= F0 F9       py
BCS L8F84        :\ 8F81= B0 01       0.
RTS              :\ 8F83= 60          `
 
.L8F84
JSR L8F94        :\ 8F84= 20 94 8F     ..
INC &6142,X      :\ 8F87= FE 42 61    ~Ba
STZ &20          :\ 8F8A= 64 20       d 
EQUB &63         :\ 8F8C= 63          c
BBR 6,&6D,&8FFD  :\ 8F8D= 6F 6D 6D    omm
ADC (&6E,X)      :\ 8F90= 61 6E       an
STZ &00          :\ 8F92= 64 00       d.
.L8F94
PLA              :\ 8F94= 68          h
STA &63          :\ 8F95= 85 63       .c
PLA              :\ 8F97= 68          h
STA &64          :\ 8F98= 85 64       .d
LDY #&01         :\ 8F9A= A0 01        .
LDA (&63),Y      :\ 8F9C= B1 63       1c
.L8F9E
STA &0100,Y      :\ 8F9E= 99 00 01    ...
INY              :\ 8FA1= C8          H
LDA (&63),Y      :\ 8FA2= B1 63       1c
BNE L8F9E        :\ 8FA4= D0 F8       Px
STA &0100,Y      :\ 8FA6= 99 00 01    ...
STA &0100        :\ 8FA9= 8D 00 01    ...
JMP &0100        :\ 8FAC= 4C 00 01    L..
 
\ newWRCH
\ =======
.L8FAF
PHP              :\ 8FAF= 08          .
PHA              :\ 8FB0= 48          H
LDA &D0          :\ 8FB1= A5 D0       %P
LSR A            :\ 8FB3= 4A          J
BCC L9002        :\ 8FB4= 90 4C       .L
LDA &026A        :\ 8FB6= AD 6A 02    -j.
ORA &0260        :\ 8FB9= 0D 60 02    .`.
BMI L9002        :\ 8FBC= 30 44       0D
TXA              :\ 8FBE= 8A          .
PHA              :\ 8FBF= 48          H
LDA &027C        :\ 8FC0= AD 7C 02    -|.
PHA              :\ 8FC3= 48          H
ORA #&40         :\ 8FC4= 09 40       .@
STA &027C        :\ 8FC6= 8D 7C 02    .|.
TSX              :\ 8FC9= BA          :
LDA &0103,X      :\ 8FCA= BD 03 01    =..
JSR L9004        :\ 8FCD= 20 04 90     ..
PLA              :\ 8FD0= 68          h
STA &027C        :\ 8FD1= 8D 7C 02    .|.
LDA &0103,X      :\ 8FD4= BD 03 01    =..
CMP #&20         :\ 8FD7= C9 20       I 
BCS L8FE3        :\ 8FD9= B0 08       0.
CMP #&08         :\ 8FDB= C9 08       I.
BCC L8FFD        :\ 8FDD= 90 1E       ..
CMP #&0E         :\ 8FDF= C9 0E       I.
BCS L8FFD        :\ 8FE1= B0 1A       0.
.L8FE3
BIT &0246        :\ 8FE3= 2C 46 02    ,F.
BMI L8FED        :\ 8FE6= 30 05       0.
CMP &0286        :\ 8FE8= CD 86 02    M..
BEQ L8FFD        :\ 8FEB= F0 10       p.
.L8FED
TYA              :\ 8FED= 98          .
PHA              :\ 8FEE= 48          H
LDA #&01         :\ 8FEF= A9 01       ).
JSR &FFBC        :\ 8FF1= 20 BC FF     <.
TSX              :\ 8FF4= BA          :
LDA &0103,X      :\ 8FF5= BD 03 01    =..
JSR &FFBC        :\ 8FF8= 20 BC FF     <.
PLA              :\ 8FFB= 68          h
TAY              :\ 8FFC= A8          (
.L8FFD
PLA              :\ 8FFD= 68          h
TAX              :\ 8FFE= AA          *
PLA              :\ 8FFF= 68          h
PLP              :\ 9000= 28          (
RTS              :\ 9001= 60          `
 
.L9002
PLA              :\ 9002= 68          h
PLP              :\ 9003= 28          (
.L9004
BIT &026A        :\ 9004= 2C 6A 02    ,j.
BMI L9013        :\ 9007= 30 0A       0.
CMP #&16         :\ 9009= C9 16       I.
BNE L9010        :\ 900B= D0 03       P.
DEC &0D99        :\ 900D= CE 99 0D    N..
.L9010
JMP (&03A5)      :\ 9010= 6C A5 03    l%.
 
.L9013
BIT &0D99        :\ 9013= 2C 99 0D    ,..
BPL L9010        :\ 9016= 10 F8       .x
INC &0D99        :\ 9018= EE 99 0D    n..
PHA              :\ 901B= 48          H
LDA &028F        :\ 901C= AD 8F 02    -..
AND #&F8         :\ 901F= 29 F8       )x
STA &028F        :\ 9021= 8D 8F 02    ...
PLA              :\ 9024= 68          h
PHA              :\ 9025= 48          H
CMP #&80         :\ 9026= C9 80       I.
BCC L902E        :\ 9028= 90 04       ..
LDA #&00         :\ 902A= A9 00       ).
BEQ L9031        :\ 902C= F0 03       p.
.L902E
LDA &0D98        :\ 902E= AD 98 0D    -..
.L9031
JSR L91E7        :\ 9031= 20 E7 91     g.
PLA              :\ 9034= 68          h
AND #&07         :\ 9035= 29 07       ).
PHA              :\ 9037= 48          H
ORA &028F        :\ 9038= 0D 8F 02    ...
STA &028F        :\ 903B= 8D 8F 02    ...
PLA              :\ 903E= 68          h
BPL L9010        :\ 903F= 10 CF       .O
.L9041
DEY              :\ 9041= 88          .
.L9042
INY              :\ 9042= C8          H
LDA (&F2),Y      :\ 9043= B1 F2       1r
CMP #&20         :\ 9045= C9 20       I 
BEQ L9042        :\ 9047= F0 F9       py
.L9049
JSR L90A4        :\ 9049= 20 A4 90     $.
BCS L9053        :\ 904C= B0 05       0.
JSR L9086        :\ 904E= 20 86 90     ..
CLC              :\ 9051= 18          .
RTS              :\ 9052= 60          `
 
.L9053
LDA #&00         :\ 9053= A9 00       ).
STA &6B          :\ 9055= 85 6B       .k
STA &6C          :\ 9057= 85 6C       .l
STA &6D          :\ 9059= 85 6D       .m
STA &6E          :\ 905B= 85 6E       .n
DEY              :\ 905D= 88          .
.L905E
INY              :\ 905E= C8          H
LDA (&F2),Y      :\ 905F= B1 F2       1r
JSR L90A4        :\ 9061= 20 A4 90     $.
BCC L9086        :\ 9064= 90 20       . 
CMP #&3A         :\ 9066= C9 3A       I:
BCC L906C        :\ 9068= 90 02       ..
SBC #&07         :\ 906A= E9 07       i.
.L906C
AND #&0F         :\ 906C= 29 0F       ).
PHA              :\ 906E= 48          H
LDX #&03         :\ 906F= A2 03       ".
.L9071
ASL &6B          :\ 9071= 06 6B       .k
ROL &6C          :\ 9073= 26 6C       &l
ROL &6D          :\ 9075= 26 6D       &m
ROL &6E          :\ 9077= 26 6E       &n
BCS L9094        :\ 9079= B0 19       0.
DEX              :\ 907B= CA          J
BPL L9071        :\ 907C= 10 F3       .s
PLA              :\ 907E= 68          h
ORA &6B          :\ 907F= 05 6B       .k
STA &6B          :\ 9081= 85 6B       .k
JMP L905E        :\ 9083= 4C 5E 90    L^.
 
.L9086
TYA              :\ 9086= 98          .
CLC              :\ 9087= 18          .
ADC &F2          :\ 9088= 65 F2       er
STA &F2          :\ 908A= 85 F2       .r
BCC L9090        :\ 908C= 90 02       ..
INC &F3          :\ 908E= E6 F3       fs
.L9090
LDY #&00         :\ 9090= A0 00        .
SEC              :\ 9092= 38          8
RTS              :\ 9093= 60          `
 
.L9094
JSR L8F94        :\ 9094= 20 94 8F     ..
PLY              :\ 9097= 7A          z
EQUB &42         :\ 9098= 42          B
ADC (&64,X)      :\ 9099= 61 64       ad
JSR &6461        :\ 909B= 20 61 64     ad
STZ &72          :\ 909E= 64 72       dr
ADC &73          :\ 90A0= 65 73       es
EQUB &73         :\ 90A2= 73          s
BRK              :\ 90A3= 00          .
.L90A4
CMP #&30         :\ 90A4= C9 30       I0
BCC L90B5        :\ 90A6= 90 0D       ..
CMP #&3A         :\ 90A8= C9 3A       I:
BCC L90B6        :\ 90AA= 90 0A       ..
CMP #&41         :\ 90AC= C9 41       IA
BCC L90B5        :\ 90AE= 90 05       ..
CMP #&47         :\ 90B0= C9 47       IG
BCC L90B6        :\ 90B2= 90 02       ..
CLC              :\ 90B4= 18          .
.L90B5
RTS              :\ 90B5= 60          `
 
.L90B6
SEC              :\ 90B6= 38          8
RTS              :\ 90B7= 60          `
 
.L90B8
DEY              :\ 90B8= 88          .
.L90B9
INY              :\ 90B9= C8          H
LDA (&F2),Y      :\ 90BA= B1 F2       1r
CMP #&20         :\ 90BC= C9 20       I 
BEQ L90B9        :\ 90BE= F0 F9       py
BCS L90C3        :\ 90C0= B0 01       0.
RTS              :\ 90C2= 60          `
 
.L90C3
CMP #&2C         :\ 90C3= C9 2C       I,
BNE L90C8        :\ 90C5= D0 01       P.
INY              :\ 90C7= C8          H
.L90C8
SEC              :\ 90C8= 38          8
RTS              :\ 90C9= 60          `
 
.L90CA
DEY              :\ 90CA= 88          .
.L90CB
INY              :\ 90CB= C8          H
LDA (&F2),Y      :\ 90CC= B1 F2       1r
CMP #&20         :\ 90CE= C9 20       I 
BEQ L90CB        :\ 90D0= F0 F9       py
CMP #&26         :\ 90D2= C9 26       I&
BNE L90E7        :\ 90D4= D0 11       P.
INY              :\ 90D6= C8          H
LDA (&F2),Y      :\ 90D7= B1 F2       1r
JSR L9049        :\ 90D9= 20 49 90     I.
LDA &6C          :\ 90DC= A5 6C       %l
ORA &6D          :\ 90DE= 05 6D       .m
ORA &6E          :\ 90E0= 05 6E       .n
BNE L9121        :\ 90E2= D0 3D       P=
LDA &6B          :\ 90E4= A5 6B       %k
RTS              :\ 90E6= 60          `
 
.L90E7
JSR L9124        :\ 90E7= 20 24 91     $.
BCS L90F1        :\ 90EA= B0 05       0.
JSR L9086        :\ 90EC= 20 86 90     ..
CLC              :\ 90EF= 18          .
RTS              :\ 90F0= 60          `
 
.L90F1
DEY              :\ 90F1= 88          .
LDA #&00         :\ 90F2= A9 00       ).
STA &63          :\ 90F4= 85 63       .c
.L90F6
INY              :\ 90F6= C8          H
LDA (&F2),Y      :\ 90F7= B1 F2       1r
JSR L9124        :\ 90F9= 20 24 91     $.
BCC L911B        :\ 90FC= 90 1D       ..
AND #&0F         :\ 90FE= 29 0F       ).
PHA              :\ 9100= 48          H
LDA &63          :\ 9101= A5 63       %c
ASL A            :\ 9103= 0A          .
BCS L9121        :\ 9104= B0 1B       0.
ASL A            :\ 9106= 0A          .
BCS L9121        :\ 9107= B0 18       0.
ADC &63          :\ 9109= 65 63       ec
BCS L9121        :\ 910B= B0 14       0.
ASL A            :\ 910D= 0A          .
BCS L9121        :\ 910E= B0 11       0.
STA &63          :\ 9110= 85 63       .c
PLA              :\ 9112= 68          h
ADC &63          :\ 9113= 65 63       ec
BCS L9121        :\ 9115= B0 0A       0.
STA &63          :\ 9117= 85 63       .c
BCC L90F6        :\ 9119= 90 DB       .[
.L911B
JSR L9086        :\ 911B= 20 86 90     ..
LDA &63          :\ 911E= A5 63       %c
RTS              :\ 9120= 60          `
 
.L9121
JMP L8F84        :\ 9121= 4C 84 8F    L..
 
.L9124
CMP #&30         :\ 9124= C9 30       I0
BCC L912D        :\ 9126= 90 05       ..
CMP #&3A         :\ 9128= C9 3A       I:
BCS L912E        :\ 912A= B0 02       0.
SEC              :\ 912C= 38          8
.L912D
RTS              :\ 912D= 60          `
 
.L912E
CLC              :\ 912E= 18          .
RTS              :\ 912F= 60          `
 
JSR LB848        :\ 9130= 20 48 B8     H8
CMP #&20         :\ 9133= C9 20       I 
BCS L9177        :\ 9135= B0 40       0@
JSR L98CA        :\ 9137= 20 CA 98     J.
EQUB &43         :\ 913A= 43          C
EOR &534F        :\ 913B= 4D 4F 53    MOS
JSR &4152        :\ 913E= 20 52 41     RA
EOR &4520        :\ 9141= 4D 20 45    M E
ADC &6C75        :\ 9144= 6D 75 6C    mul
ADC (&74,X)      :\ 9147= 61 74       at
BBR 6,&72,&916C  :\ 9149= 6F 72 20    or 
ADC #&6E         :\ 914C= 69 6E       in
JSR LADEA        :\ 914E= 20 EA AD     j-
STY &0D,X        :\ 9151= 97 0D       ..
BPL L9161        :\ 9153= 10 0C       ..
JSR L98CA        :\ 9155= 20 CA 98     J.
BVS L91BB        :\ 9158= 70 61       pa
EQUB &67         :\ 915A= 67          g
ADC &20          :\ 915B= 65 20       e 
AND (&0D),Y      :\ 915D= 31 0D       1.
NOP              :\ 915F= EA          j
RTS              :\ 9160= 60          `
 
.L9161
PHA              :\ 9161= 48          H
JSR L98CA        :\ 9162= 20 CA 98     J.
EQUB &53         :\ 9165= 53          S
EOR (&41)        :\ 9166= 52 41       RA
EOR &6220        :\ 9168= 4D 20 62    M b
ADC (&6E,X)      :\ 916B= 61 6E       an
ROR A            :\ 916D= 6B          k
JSR &68EA        :\ 916E= 20 EA 68     jh
JSR L8F29        :\ 9171= 20 29 8F     ).
JMP OSNEWL       :\ 9174= 4C E7 FF    Lg.
 
.L9177
CMP #&40         :\ 9177= C9 40       I@
BNE L9180        :\ 9179= D0 05       P.
INY              :\ 917B= C8          H
LDA #&FF         :\ 917C= A9 FF       ).
BNE L918A        :\ 917E= D0 0A       P.
.L9180
JSR LB87D        :\ 9180= 20 7D B8     }8
STY &A9          :\ 9183= 84 A9       .)
JSR LB89B        :\ 9185= 20 9B B8     .8
LDY &A9          :\ 9188= A4 A9       $)
.L918A
PHA              :\ 918A= 48          H
JSR L8F75        :\ 918B= 20 75 8F     u.
LDX #&31         :\ 918E= A2 31       "1
.L9190
STX &A8          :\ 9190= 86 A8       .(
LDA #&A1         :\ 9192= A9 A1       )!
JSR OSBYTE       :\ 9194= 20 F4 FF     t.
TYA              :\ 9197= 98          .
LDX &A8          :\ 9198= A6 A8       &(
.L919A
STA &0ACE,X      :\ 919A= 9D CE 0A    .N.
.L919D
DEX              :\ 919D= CA          J
BPL L9190        :\ 919E= 10 F0       .p
LDA #&A2         :\ 91A0= A9 A2       )"
LDX #&01         :\ 91A2= A2 01       ".
LDY #&00         :\ 91A4= A0 00        .
JSR OSBYTE       :\ 91A6= 20 F4 FF     t.
PLA              :\ 91A9= 68          h
STA &0D97        :\ 91AA= 8D 97 0D    ...
LDX #&31         :\ 91AD= A2 31       "1
.L91AF
STX &A8          :\ 91AF= 86 A8       .(
LDA &0ACE,X      :\ 91B1= BD CE 0A    =N.
TAY              :\ 91B4= A8          (
LDA #&A2         :\ 91B5= A9 A2       )"
JSR OSBYTE       :\ 91B7= 20 F4 FF     t.
LDX &A8          :\ 91BA= A6 A8       &(
DEX              :\ 91BC= CA          J
BPL L91AF        :\ 91BD= 10 F0       .p
RTS              :\ 91BF= 60          `
 
JSR L9086        :\ 91C0= 20 86 90     ..
LDA &F2          :\ 91C3= A5 F2       %r
PHA              :\ 91C5= 48          H
LDA &F3          :\ 91C6= A5 F3       %s
PHA              :\ 91C8= 48          H
LDY &0256        :\ 91C9= AC 56 02    ,V.
BEQ L91D3        :\ 91CC= F0 05       p.
LDA #&00         :\ 91CE= A9 00       ).
JSR OSFIND       :\ 91D0= 20 CE FF     N.
.L91D3
PLA              :\ 91D3= 68          h
TAY              :\ 91D4= A8          (
PLA              :\ 91D5= 68          h
TAX              :\ 91D6= AA          *
LDA #&40         :\ 91D7= A9 40       )@
JSR OSFIND       :\ 91D9= 20 CE FF     N.
CMP #&00         :\ 91DC= C9 00       I.
BNE L91E3        :\ 91DE= D0 03       P.
JMP L8AB9        :\ 91E0= 4C B9 8A    L9.
 
.L91E3
STA &0256        :\ 91E3= 8D 56 02    .V.
RTS              :\ 91E6= 60          `
 
.L91E7
PHA              :\ 91E7= 48          H
LDA &0D95        :\ 91E8= AD 95 0D    -..
CMP #&01         :\ 91EB= C9 01       I.
BCS L91F4        :\ 91ED= B0 05       0.
PLA              :\ 91EF= 68          h
STA &027F        :\ 91F0= 8D 7F 02    ...
RTS              :\ 91F3= 60          `
 
.L91F4
BEQ L9204        :\ 91F4= F0 0E       p.
LDX #&0F         :\ 91F6= A2 0F       ".
LDY #&92         :\ 91F8= A0 92        .
PLA              :\ 91FA= 68          h
BNE L9201        :\ 91FB= D0 04       P.
LDX #&16         :\ 91FD= A2 16       ".
LDY #&92         :\ 91FF= A0 92        .
.L9201
JMP OS_CLI       :\ 9201= 4C F7 FF    Lw.
 
.L9204
PLA              :\ 9204= 68          h
BEQ L9209        :\ 9205= F0 02       p.
LDA #&01         :\ 9207= A9 01       ).
.L9209
TAX              :\ 9209= AA          *
LDA #&6F         :\ 920A= A9 6F       )o
JMP OSBYTE       :\ 920C= 4C F4 FF    Lt.
 
CLI              :\ 920F= 58          X
BBR 4,&46,&9259  :\ 9210= 4F 46 46    OFF
JSR &0D32        :\ 9213= 20 32 0D     2.
CLI              :\ 9216= 58          X
BBR 4,&4E,&9227  :\ 9217= 4F 4E 0D    ON.

.L921A
LDA #&00         :\ 921A= A9 00       ).
STA &026A        :\ 921C= 8D 6A 02    .j.
LDY #&01         :\ 921F= A0 01        .
.L9221
LDA (&FD),Y      :\ 9221= B1 FD       1}
BEQ L922B        :\ 9223= F0 06       p.
JSR OSWRCH       :\ 9225= 20 EE FF     n.
INY              :\ 9228= C8          H
BNE L9221        :\ 9229= D0 F6       Pv
.L922B
JSR OSNEWL       :\ 922B= 20 E7 FF     g.
LDA &0267        :\ 922E= AD 67 02    -g.
LSR A            :\ 9231= 4A          J
BCS L923A        :\ 9232= B0 06       0.
JSR OSNEWL       :\ 9234= 20 E7 FF     g.
JMP L81D5        :\ 9237= 4C D5 81    LU.
 
.L923A
JMP L8C51        :\ 923A= 4C 51 8C    LQ.
 
.L923D
LDA &00:STA &AB
LDA &01:STA &AC
LDA &020C:STA &A9
LDA &020D:STA &AA
LDA #&2A:STA &020C
LDA #&06:STA &020D
.L9259
LDA #&BB         :\ 9259= A9 BB       );
LDX #&00         :\ 925B= A2 00       ".
LDY #&FF         :\ 925D= A0 FF        .
JSR OSBYTE       :\ 925F= 20 F4 FF     t.
LDA #&8E         :\ 9262= A9 8E       ).
JMP OSBYTE       :\ 9264= 4C F4 FF    Lt.
 
CMP #&00         :\ 9267= C9 00       I.
BEQ L926E        :\ 9269= F0 03       p.
JMP (&00A9)      :\ 926B= 6C A9 00    l).
 
.L926E
STY &5E          :\ 926E= 84 5E       .^
STX &5D          :\ 9270= 86 5D       .]
LDY #&00         :\ 9272= A0 00        .
LDA (&5D),Y      :\ 9274= B1 5D       1]
STA &5F          :\ 9276= 85 5F       ._
INY              :\ 9278= C8          H
LDA (&5D),Y      :\ 9279= B1 5D       1]
STA &60          :\ 927B= 85 60       .`
.L927D
LDY #&00         :\ 927D= A0 00        .
.L927F
LDA (&AB),Y      :\ 927F= B1 AB       1+
CMP #&0D         :\ 9281= C9 0D       I.
BEQ L92A3        :\ 9283= F0 1E       p.
INY              :\ 9285= C8          H
CPY #&E0         :\ 9286= C0 E0       @`
BNE L927F        :\ 9288= D0 F5       Pu
LDA &A9          :\ 928A= A5 A9       %)
STA &020C        :\ 928C= 8D 0C 02    ...
LDA &AA          :\ 928F= A5 AA       %*
STA &020D        :\ 9291= 8D 0D 02    ...
LDA #&06         :\ 9294= A9 06       ).
JSR OSASCI       :\ 9296= 20 E3 FF     c.
LDA #&0D         :\ 9299= A9 0D       ).
LDY #&00         :\ 929B= A0 00        .
STA (&5F),Y      :\ 929D= 91 5F       ._
LDY #&00         :\ 929F= A0 00        .
CLC              :\ 92A1= 18          .
RTS              :\ 92A2= 60          `
 
.L92A3
STY &A8          :\ 92A3= 84 A8       .(
LDY #&FF         :\ 92A5= A0 FF        .
.L92A7
INY              :\ 92A7= C8          H
LDA (&AB),Y      :\ 92A8= B1 AB       1+
CMP #&20         :\ 92AA= C9 20       I 
BEQ L92A7        :\ 92AC= F0 F9       py
.L92AE
LDA (&AB),Y      :\ 92AE= B1 AB       1+
CMP #&30         :\ 92B0= C9 30       I0
BCC L92BB        :\ 92B2= 90 07       ..
CMP #&3A         :\ 92B4= C9 3A       I:
BCS L92BB        :\ 92B6= B0 03       0.
INY              :\ 92B8= C8          H
BNE L92AE        :\ 92B9= D0 F3       Ps
.L92BB
TYA              :\ 92BB= 98          .
BEQ L92D8        :\ 92BC= F0 1A       p.
LDY #&00         :\ 92BE= A0 00        .
.L92C0
LDA (&AB),Y      :\ 92C0= B1 AB       1+
STA (&5F),Y      :\ 92C2= 91 5F       ._
CMP #&0D         :\ 92C4= C9 0D       I.
BEQ L92CB        :\ 92C6= F0 03       p.
INY              :\ 92C8= C8          H
BNE L92C0        :\ 92C9= D0 F5       Pu
.L92CB
TYA              :\ 92CB= 98          .
SEC              :\ 92CC= 38          8
ADC &AB          :\ 92CD= 65 AB       e+
STA &AB          :\ 92CF= 85 AB       .+
BCC L92D6        :\ 92D1= 90 03       ..
INC &AC          :\ 92D3= E6 AC       f,
CLC              :\ 92D5= 18          .
.L92D6
DEY              :\ 92D6= 88          .
RTS              :\ 92D7= 60          `
 
.L92D8
LDA &A8          :\ 92D8= A5 A8       %(
SEC              :\ 92DA= 38          8
ADC &AB          :\ 92DB= 65 AB       e+
STA &AB          :\ 92DD= 85 AB       .+
LDA &AC          :\ 92DF= A5 AC       %,
ADC #&00         :\ 92E1= 69 00       i.
STA &AC          :\ 92E3= 85 AC       .,
CLC              :\ 92E5= 18          .
BCC L927D        :\ 92E6= 90 95       ..
.L92E8
LDX #&5D         :\ 92E8= A2 5D       "]
LDY #&00         :\ 92EA= A0 00        .
JMP &0406        :\ 92EC= 4C 06 04    L..
 
.L92EF
EQUB &42         :\ 92EF= 42          B
EOR (&53,X)      :\ 92F0= 41 53       AS
EOR #&43         :\ 92F2= 49 43       IC
ORA &150D        :\ 92F4= 0D 0D 15    ...
JSR L9086        :\ 92F7= 20 86 90     ..
LDA #&BB         :\ 92FA= A9 BB       );
LDX #&00         :\ 92FC= A2 00       ".
LDY #&FF         :\ 92FE= A0 FF        .
JSR OSBYTE       :\ 9300= 20 F4 FF     t.
INX              :\ 9303= E8          h
BNE L9309        :\ 9304= D0 03       P.
JMP L8375        :\ 9306= 4C 75 83    Lu.
 
.L9309
LDX #&14         :\ 9309= A2 14       ".
LDY #&00         :\ 930B= A0 00        .
.L930D
LDA (&F2),Y      :\ 930D= B1 F2       1r
CMP #&0D         :\ 930F= C9 0D       I.
BEQ L931B        :\ 9311= F0 08       p.
CMP #&40         :\ 9313= C9 40       I@
BEQ L931E        :\ 9315= F0 07       p.
INY              :\ 9317= C8          H
DEX              :\ 9318= CA          J
BNE L930D        :\ 9319= D0 F2       Pr
.L931B
JMP L9259        :\ 931B= 4C 59 92    LY.
 
.L931E
INY              :\ 931E= C8          H
LDA (&F2),Y      :\ 931F= B1 F2       1r
CMP #&0D         :\ 9321= C9 0D       I.
BNE L931B        :\ 9323= D0 F6       Pv
LDY #&00         :\ 9325= A0 00        .
.L9327
LDA L92EF,Y      :\ 9327= B9 EF 92    9o.
JSR OSASCI       :\ 932A= 20 E3 FF     c.
INY              :\ 932D= C8          H
CPY #&08         :\ 932E= C0 08       @.
BNE L9327        :\ 9330= D0 F5       Pu
LDA #&EA         :\ 9332= A9 EA       )j
LDX #&00         :\ 9334= A2 00       ".
LDY #&FF         :\ 9336= A0 FF        .
JSR OSBYTE       :\ 9338= 20 F4 FF     t.
TXA              :\ 933B= 8A          .
BNE L934C        :\ 933C= D0 0E       P.
LDY #&00         :\ 933E= A0 00        .
.L9340
LDA L923D,Y      :\ 9340= B9 3D 92    9=.
STA &0600,Y      :\ 9343= 99 00 06    ...
INY              :\ 9346= C8          H
BNE L9340        :\ 9347= D0 F7       Pw
JMP &0600        :\ 9349= 4C 00 06    L..
 
.L934C
LDA #&00         :\ 934C= A9 00       ).
STA &5D          :\ 934E= 85 5D       .]
STA &5F          :\ 9350= 85 5F       ._
STA &60          :\ 9352= 85 60       .`
LDA #&06         :\ 9354= A9 06       ).
STA &5E          :\ 9356= 85 5E       .^
LDA #&07         :\ 9358= A9 07       ).
JSR L92E8        :\ 935A= 20 E8 92     h.
LDY #&00         :\ 935D= A0 00        .
.L935F
LDA L923D,Y      :\ 935F= B9 3D 92    9=.
.L9362
BIT &FEE4        :\ 9362= 2C E4 FE    ,d~
BVC L9362        :\ 9365= 50 FB       P{
STA &FEE5        :\ 9367= 8D E5 FE    .e~
INY              :\ 936A= C8          H
BNE L935F        :\ 936B= D0 F2       Pr
LDA #&00         :\ 936D= A9 00       ).
STA &5D          :\ 936F= 85 5D       .]
LDA #&06         :\ 9371= A9 06       ).
STA &5E          :\ 9373= 85 5E       .^
LDA #&04         :\ 9375= A9 04       ).
JMP L92E8        :\ 9377= 4C E8 92    Lh.
 
\ *SHOW
\ =====
.L937A
JSR L90CA         :\ Read numeric parameter
PHA:PHP:JSR L8F75
PLP:PLA:BCC L9391
CMP #&10:BCC L938D
JMP L8F84
 
.L938D
TAY              :\ 938D= A8          (
JMP L93C1        :\ 938E= 4C C1 93    LA.
 
.L9391
LDA #&00         :\ 9391= A9 00       ).
STA &63          :\ 9393= 85 63       .c
.L9395
JSR L93A6        :\ 9395= 20 A6 93     &.
LDY &63          :\ 9398= A4 63       $c
JSR L93C1        :\ 939A= 20 C1 93     A.
INC &63          :\ 939D= E6 63       fc
LDA &63          :\ 939F= A5 63       %c
CMP #&10         :\ 93A1= C9 10       I.
BCC L9395        :\ 93A3= 90 F0       .p
RTS              :\ 93A5= 60          `
 
.L93A6
LDX #&03         :\ 93A6= A2 03       ".
.L93A8
LDA L9401,X      :\ 93A8= BD 01 94    =..
JSR OSWRCH       :\ 93AB= 20 EE FF     n.
DEX              :\ 93AE= CA          J
BPL L93A8        :\ 93AF= 10 F7       .w
LDA &63          :\ 93B1= A5 63       %c
ORA #&30         :\ 93B3= 09 30       .0
CMP #&3A         :\ 93B5= C9 3A       I:
BCC L93BB        :\ 93B7= 90 02       ..
ADC #&06         :\ 93B9= 69 06       i.
.L93BB
JSR OSWRCH       :\ 93BB= 20 EE FF     n.
JMP L8C36        :\ 93BE= 4C 36 8C    L6.
 
.L93C1
LDA #&22         :\ 93C1= A9 22       )"
JSR OSWRCH       :\ 93C3= 20 EE FF     n.
STY &A8          :\ 93C6= 84 A8       .(
LDA &0B00,Y      :\ 93C8= B9 00 0B    9..
STA &A9          :\ 93CB= 85 A9       .)
LDY #&00         :\ 93CD= A0 00        .
STY &AA          :\ 93CF= 84 AA       .*
.L93D1
CPY &A8          :\ 93D1= C4 A8       D(
BEQ L93E3        :\ 93D3= F0 0E       p.
LDA &0B00,Y      :\ 93D5= B9 00 0B    9..
SEC              :\ 93D8= 38          8
SBC &A9          :\ 93D9= E5 A9       e)
BCC L93E3        :\ 93DB= 90 06       ..
CMP &AA          :\ 93DD= C5 AA       E*
BCC L93E3        :\ 93DF= 90 02       ..
STA &AA          :\ 93E1= 85 AA       .*
.L93E3
INY              :\ 93E3= C8          H
CPY #&11         :\ 93E4= C0 11       @.
BNE L93D1        :\ 93E6= D0 E9       Pi
LDY &A9          :\ 93E8= A4 A9       $)
.L93EA
LDA &AA          :\ 93EA= A5 AA       %*
BEQ L93F9        :\ 93EC= F0 0B       p.
LDA &0B01,Y      :\ 93EE= B9 01 0B    9..
JSR L9405        :\ 93F1= 20 05 94     ..
INY              :\ 93F4= C8          H
DEC &AA          :\ 93F5= C6 AA       F*
BNE L93EA        :\ 93F7= D0 F1       Pq
.L93F9
LDA #&22         :\ 93F9= A9 22       )"
JSR OSWRCH       :\ 93FB= 20 EE FF     n.
JMP OSNEWL       :\ 93FE= 4C E7 FF    Lg.
 
.L9401
JSR &6579        :\ 9401= 20 79 65     ye
LSR A            :\ 9404= 4B          K
.L9405
CMP #&80         :\ 9405= C9 80       I.
BCC L9415        :\ 9407= 90 0C       ..
AND #&7F         :\ 9409= 29 7F       ).
PHA              :\ 940B= 48          H
JSR L9438        :\ 940C= 20 38 94     8.
LDA #&21         :\ 940F= A9 21       )!
JSR OSWRCH       :\ 9411= 20 EE FF     n.
PLA              :\ 9414= 68          h
.L9415
CMP #&7F         :\ 9415= C9 7F       I.
BNE L9421        :\ 9417= D0 08       P.
JSR L9438        :\ 9419= 20 38 94     8.
LDA #&3F         :\ 941C= A9 3F       )?
JMP OSWRCH       :\ 941E= 4C EE FF    Ln.
 
.L9421
CMP #&20         :\ 9421= C9 20       I 
BCS L942A        :\ 9423= B0 05       0.
ADC #&40         :\ 9425= 69 40       i@
JSR L9438        :\ 9427= 20 38 94     8.
.L942A
CMP #&22         :\ 942A= C9 22       I"
BEQ L9432        :\ 942C= F0 04       p.
CMP #&7C         :\ 942E= C9 7C       I|
BNE L9435        :\ 9430= D0 03       P.
.L9432
JSR L9438        :\ 9432= 20 38 94     8.
.L9435
JMP OSWRCH       :\ 9435= 4C EE FF    Ln.
 
.L9438
PHA              :\ 9438= 48          H
LDA #&7C         :\ 9439= A9 7C       )|
JSR OSWRCH       :\ 943B= 20 EE FF     n.
PLA              :\ 943E= 68          h
RTS              :\ 943F= 60          `
 
JSR L9086        :\ 9440= 20 86 90     ..
LDY &0257        :\ 9443= AC 57 02    ,W.
BEQ L9450        :\ 9446= F0 08       p.
LDA #&00         :\ 9448= A9 00       ).
STA &0257        :\ 944A= 8D 57 02    .W.
JSR OSFIND       :\ 944D= 20 CE FF     N.
.L9450
LDY #&00         :\ 9450= A0 00        .
LDA (&F2),Y      :\ 9452= B1 F2       1r
.L9454
CMP #&20         :\ 9454= C9 20       I 
BCS L9459        :\ 9456= B0 01       0.
RTS              :\ 9458= 60          `
 
.L9459
LDY &F3          :\ 9459= A4 F3       $s
LDX &F2          :\ 945B= A6 F2       &r
LDA #&C0         :\ 945D= A9 C0       )@
JSR OSFIND       :\ 945F= 20 CE FF     N.
TAY              :\ 9462= A8          (
BNE L9468        :\ 9463= D0 03       P.
JMP L8F84        :\ 9465= 4C 84 8F    L..
 
.L9468
STA &0257        :\ 9468= 8D 57 02    .W.
LDX #&A8         :\ 946B= A2 A8       "(
LDA #&02         :\ 946D= A9 02       ).
JSR OSARGS       :\ 946F= 20 DA FF     Z.
LDA #&01         :\ 9472= A9 01       ).
JMP OSARGS       :\ 9474= 4C DA FF    LZ.
 
LDA #&C0         :\ 9477= A9 C0       )@
STA &A8          :\ 9479= 85 A8       .(
BNE L9490        :\ 947B= D0 13       P.
LSR &A8          :\ 947D= 46 A8       F(
LDA #&00         :\ 947F= A9 00       ).
STA &A9          :\ 9481= 85 A9       .)
STA &AA          :\ 9483= 85 AA       .*
BEQ L948A        :\ 9485= F0 03       p.
SEC              :\ 9487= 38          8
ROR &A8          :\ 9488= 66 A8       f(
.L948A
LDA #&00         :\ 948A= A9 00       ).
STA &AB          :\ 948C= 85 AB       .+
LSR &A8          :\ 948E= 46 A8       F(
.L9490
JSR L9086        :\ 9490= 20 86 90     ..
LDX &F2          :\ 9493= A6 F2       &r
LDY &F3          :\ 9495= A4 F3       $s
JSR L9502        :\ 9497= 20 02 95     ..
.L949A
BIT &FF          :\ 949A= 24 FF       $.
BMI L94F7        :\ 949C= 30 59       0Y
JSR OSBGET       :\ 949E= 20 D7 FF     W.
BCS L94D3        :\ 94A1= B0 30       00
BIT &A8          :\ 94A3= 24 A8       $(
BVS L94AC        :\ 94A5= 70 05       p.
PHA              :\ 94A7= 48          H
JSR L950E        :\ 94A8= 20 0E 95     ..
PLA              :\ 94AB= 68          h
.L94AC
BIT &A8          :\ 94AC= 24 A8       $(
BMI L94C4        :\ 94AE= 30 14       0.
CMP #&0A         :\ 94B0= C9 0A       I.
BEQ L94D8        :\ 94B2= F0 24       p$
CMP #&0D         :\ 94B4= C9 0D       I.
BEQ L94D8        :\ 94B6= F0 20       p 
STA &AB          :\ 94B8= 85 AB       .+
CMP #&22         :\ 94BA= C9 22       I"
BEQ L94C4        :\ 94BC= F0 06       p.
JSR L9405        :\ 94BE= 20 05 94     ..
JMP L94C7        :\ 94C1= 4C C7 94    LG.
 
.L94C4
JSR OSWRCH       :\ 94C4= 20 EE FF     n.
.L94C7
BIT &FF          :\ 94C7= 24 FF       $.
BMI L94F7        :\ 94C9= 30 2C       0,
JSR OSBGET       :\ 94CB= 20 D7 FF     W.
BCC L94AC        :\ 94CE= 90 DC       .\
JSR OSNEWL       :\ 94D0= 20 E7 FF     g.
.L94D3
LDA #&00         :\ 94D3= A9 00       ).
JMP OSFIND       :\ 94D5= 4C CE FF    LN.
 
.L94D8
CMP &AB          :\ 94D8= C5 AB       E+
BEQ L94EA        :\ 94DA= F0 0E       p.
PHA              :\ 94DC= 48          H
LDA &AB          :\ 94DD= A5 AB       %+
CMP #&0D         :\ 94DF= C9 0D       I.
BEQ L94F0        :\ 94E1= F0 0D       p.
CMP #&0A         :\ 94E3= C9 0A       I.
BEQ L94F0        :\ 94E5= F0 09       p.
PLA              :\ 94E7= 68          h
STA &AB          :\ 94E8= 85 AB       .+
.L94EA
JSR OSNEWL       :\ 94EA= 20 E7 FF     g.
JMP L949A        :\ 94ED= 4C 9A 94    L..
 
.L94F0
PLA              :\ 94F0= 68          h
LDA #&00         :\ 94F1= A9 00       ).
STA &AB          :\ 94F3= 85 AB       .+
BEQ L94C7        :\ 94F5= F0 D0       pP
.L94F7
JSR OSNEWL       :\ 94F7= 20 E7 FF     g.
LDA #&00         :\ 94FA= A9 00       ).
JSR OSFIND       :\ 94FC= 20 CE FF     N.
JMP L8C76        :\ 94FF= 4C 76 8C    Lv.
 
.L9502
LDA #&40         :\ 9502= A9 40       )@
JSR OSFIND       :\ 9504= 20 CE FF     N.
TAY              :\ 9507= A8          (
BEQ L950B        :\ 9508= F0 01       p.
RTS              :\ 950A= 60          `
 
.L950B
JMP L8AB9        :\ 950B= 4C B9 8A    L9.
 
.L950E
SEI              :\ 950E= 78          x
SED              :\ 950F= F8          x
CLC              :\ 9510= 18          .
LDA &A9          :\ 9511= A5 A9       %)
ADC #&01         :\ 9513= 69 01       i.
STA &A9          :\ 9515= 85 A9       .)
LDA &AA          :\ 9517= A5 AA       %*
ADC #&00         :\ 9519= 69 00       i.
STA &AA          :\ 951B= 85 AA       .*
CLD              :\ 951D= D8          X
CLI              :\ 951E= 58          X
SEC              :\ 951F= 38          8
PHP              :\ 9520= 08          .
LDA &AA          :\ 9521= A5 AA       %*
LSR A            :\ 9523= 4A          J
LSR A            :\ 9524= 4A          J
LSR A            :\ 9525= 4A          J
LSR A            :\ 9526= 4A          J
PLP              :\ 9527= 28          (
JSR L954A        :\ 9528= 20 4A 95     J.
PHP              :\ 952B= 08          .
LDA &AA          :\ 952C= A5 AA       %*
AND #&0F         :\ 952E= 29 0F       ).
PLP              :\ 9530= 28          (
JSR L954A        :\ 9531= 20 4A 95     J.
PHP              :\ 9534= 08          .
LDA &A9          :\ 9535= A5 A9       %)
LSR A            :\ 9537= 4A          J
LSR A            :\ 9538= 4A          J
LSR A            :\ 9539= 4A          J
LSR A            :\ 953A= 4A          J
PLP              :\ 953B= 28          (
JSR L954A        :\ 953C= 20 4A 95     J.
LDA &A9          :\ 953F= A5 A9       %)
AND #&0F         :\ 9541= 29 0F       ).
CLC              :\ 9543= 18          .
.L9544
JSR L954A        :\ 9544= 20 4A 95     J.
JMP L8C36        :\ 9547= 4C 36 8C    L6.
 
.L954A
ORA #&30         :\ 954A= 09 30       .0
PHP              :\ 954C= 08          .
CMP #&30         :\ 954D= C9 30       I0
BNE L9558        :\ 954F= D0 07       P.
PLP              :\ 9551= 28          (
BCC L955A        :\ 9552= 90 06       ..
LDA #&20         :\ 9554= A9 20       ) 
BNE L955A        :\ 9556= D0 02       P.
.L9558
PLP              :\ 9558= 28          (
CLC              :\ 9559= 18          .
.L955A
PHP              :\ 955A= 08          .
JSR OSWRCH       :\ 955B= 20 EE FF     n.
PLP              :\ 955E= 28          (
RTS              :\ 955F= 60          `
 
LDA #&C0         :\ 9560= A9 C0       )@
BNE L956B        :\ 9562= D0 07       P.
BRK              :\ 9564= 00          .
ASL A            :\ 9565= 0A          .
BEQ L9588        :\ 9566= F0 20       p 
ROR L80A9,X      :\ 9568= 7E A9 80    ~).
.L956B
PHA              :\ 956B= 48          H
JSR L9086        :\ 956C= 20 86 90     ..
PLA              :\ 956F= 68          h
LDX &F2          :\ 9570= A6 F2       &r
LDY &F3          :\ 9572= A4 F3       $s
JSR OSFIND       :\ 9574= 20 CE FF     N.
TAY              :\ 9577= A8          (
BNE L957D        :\ 9578= D0 03       P.
JMP L8AB9        :\ 957A= 4C B9 8A    L9.
 
.L957D
LDX #&A8         :\ 957D= A2 A8       "(
LDA #&02         :\ 957F= A9 02       ).
JSR OSARGS       :\ 9581= 20 DA FF     Z.
LDA #&01         :\ 9584= A9 01       ).
JSR OSARGS       :\ 9586= 20 DA FF     Z.
LDA #&00         :\ 9589= A9 00       ).
STA &A9          :\ 958B= 85 A9       .)
STA &AA          :\ 958D= 85 AA       .*
STY &02ED        :\ 958F= 8C ED 02    .m.
.L9592
JSR L950E        :\ 9592= 20 0E 95     ..
LDA #&00         :\ 9595= A9 00       ).
LDX #&64         :\ 9597= A2 64       "d
LDY #&95         :\ 9599= A0 95        .
JSR OSWORD       :\ 959B= 20 F1 FF     q.
PHP              :\ 959E= 08          .
BCC L95B2        :\ 959F= 90 11       ..
LDA #&0D         :\ 95A1= A9 0D       ).
STA &0A00,Y      :\ 95A3= 99 00 0A    ...
JSR OSNEWL       :\ 95A6= 20 E7 FF     g.
TYA              :\ 95A9= 98          .
PHA              :\ 95AA= 48          H
LDA #&7E         :\ 95AB= A9 7E       )~
JSR OSBYTE       :\ 95AD= 20 F4 FF     t.
PLA              :\ 95B0= 68          h
TAY              :\ 95B1= A8          (
.L95B2
CPY #&00         :\ 95B2= C0 00       @.
BNE L95C5        :\ 95B4= D0 0F       P.
PLP              :\ 95B6= 28          (
BCS L9626        :\ 95B7= B0 6D       0m
PHP              :\ 95B9= 08          .
LDA #&0D         :\ 95BA= A9 0D       ).
LDY &02ED        :\ 95BC= AC ED 02    ,m.
JSR OSBPUT       :\ 95BF= 20 D4 FF     T.
JMP L9592        :\ 95C2= 4C 92 95    L..
 
.L95C5
LDX #&00         :\ 95C5= A2 00       ".
STX &F2          :\ 95C7= 86 F2       .r
DEX              :\ 95C9= CA          J
LDY #&FF         :\ 95CA= A0 FF        .
LDA #&0A         :\ 95CC= A9 0A       ).
STA &F3          :\ 95CE= 85 F3       .s
.L95D0
INY              :\ 95D0= C8          H
INX              :\ 95D1= E8          h
LDA (&F2),Y      :\ 95D2= B1 F2       1r
CMP #&20         :\ 95D4= C9 20       I 
BEQ L95D0        :\ 95D6= F0 F8       px
CMP #&22         :\ 95D8= C9 22       I"
BEQ L95D0        :\ 95DA= F0 F4       pt
SEC              :\ 95DC= 38          8
JSR &FFC2        :\ 95DD= 20 C2 FF     B.
.L95E0
LDA (&F2),Y      :\ 95E0= B1 F2       1r
CMP #&22         :\ 95E2= C9 22       I"
BEQ L95EC        :\ 95E4= F0 06       p.
JSR &FFC5        :\ 95E6= 20 C5 FF     E.
JMP L95EE        :\ 95E9= 4C EE 95    Ln.
 
.L95EC
INY              :\ 95EC= C8          H
CLC              :\ 95ED= 18          .
.L95EE
STA &0A00,X      :\ 95EE= 9D 00 0A    ...
INX              :\ 95F1= E8          h
BCC L95E0        :\ 95F2= 90 EC       .l
PLP              :\ 95F4= 28          (
PHP              :\ 95F5= 08          .
BCC L95F9        :\ 95F6= 90 01       ..
DEX              :\ 95F8= CA          J
.L95F9
LDA #&FF         :\ 95F9= A9 FF       ).
STA &02F0        :\ 95FB= 8D F0 02    .p.
STA &02F1        :\ 95FE= 8D F1 02    .q.
LDA #&00         :\ 9601= A9 00       ).
STA &02EE        :\ 9603= 8D EE 02    .n.
STA &02F3        :\ 9606= 8D F3 02    .s.
STA &02F4        :\ 9609= 8D F4 02    .t.
STA &02F5        :\ 960C= 8D F5 02    .u.
LDA #&0A         :\ 960F= A9 0A       ).
STA &02EF        :\ 9611= 8D EF 02    .o.
STX &02F2        :\ 9614= 8E F2 02    .r.
LDA #&02         :\ 9617= A9 02       ).
LDX #&ED         :\ 9619= A2 ED       "m
LDY #&02         :\ 961B= A0 02        .
JSR OSGBPB       :\ 961D= 20 D1 FF     Q.
PLP              :\ 9620= 28          (
BCS L9626        :\ 9621= B0 03       0.
JMP L9592        :\ 9623= 4C 92 95    L..
 
.L9626
LDY &02ED        :\ 9626= AC ED 02    ,m.
LDA #&00         :\ 9629= A9 00       ).
JMP OSFIND       :\ 962B= 4C CE FF    LN.
 
\ CONFIGURE table
\ ===============
EQUS "Acorn"  :EQUB &9C
EQUS "Aries"  :EQUB &9D
EQUS "Baud"   :EQUB &80
EQUS "Boot"   :EQUB &81
EQUS "Caps"   :EQUB &82
EQUS "Data"   :EQUB &83
EQUS "Delay"  :EQUB &84
EQUS "Dfs"    :EQUB &A1
EQUS "Dir"    :EQUB &85
EQUS "ExTube" :EQUB &86
EQUS "FDrive" :EQUB &87
EQUS "File"   :EQUB &88
EQUS "Floppy" :EQUB &89
EQUS "Hard"   :EQUB &8A
EQUS "Ignore" :EQUB &8B
.L9682
EQUS "InTube" :EQUB &8C
EQUS "Lang"   :EQUB &8D
EQUS "Loud"   :EQUB &8E
EQUS "Mode"   :EQUB &8F
EQUS "Nfs"    :EQUB &A2
EQUS "No Boot":EQUB &90
EQUS "No Caps":EQUB &91
EQUS "No Dir" :EQUB &92
EQUS "No Scroll":EQUB &93
EQUS "NoTube" :EQUB &94
EQUS "Print"  :EQUB &95
EQUS "Quiet"  :EQUB &96
EQUS "Repeat" :EQUB &97
EQUS "Scroll" :EQUB &98
EQUS "Shadow" :EQUB &A0
EQUS "ShCaps" :EQUB &99
EQUS "Solidisk":EQUB &9E
EQUS "Tube"   :EQUB &9A
EQUS "TV"     :EQUB &9B
EQUS "Watford":EQUB &9F
EQUB &00

.L9707
EQUB &18
\ CONFIGURE
\ =========
\ On entry, P=result of CMP #32
.L9708
BCC L970B:SEC
.L970B
PHP
JSR L9086
LDA (&F2),Y
CMP #&20:BCS L9718
JMP L97B2
 
.L9718
LDA #&2D:STA &A8   :\ Point to string table at L962D
LDA #&96:STA &A9
LDX #&00
DEY
.L9723
JSR L978F        :\ 9723= 20 8F 97     ..
.L9726
LDA (&A8,X)      :\ 9726= A1 A8       !(
CMP #&20         :\ 9728= C9 20       I 
BNE L9731        :\ 972A= D0 05       P.
JSR L978F        :\ 972C= 20 8F 97     ..
LDA (&A8,X)      :\ 972F= A1 A8       !(
.L9731
AND #&DF         :\ 9731= 29 DF       )_
STA &63          :\ 9733= 85 63       .c
INY              :\ 9735= C8          H
LDA (&F2),Y      :\ 9736= B1 F2       1r
CMP #&2E         :\ 9738= C9 2E       I.
.L973A
BEQ L9781        :\ 973A= F0 45       pE
AND #&DF         :\ 973C= 29 DF       )_
CMP &63          :\ 973E= C5 63       Ec
BEQ L9723        :\ 9740= F0 E1       pa
LDA (&A8,X)      :\ 9742= A1 A8       !(
BPL L9761        :\ 9744= 10 1B       ..
LDA (&F2),Y      :\ 9746= B1 F2       1r
AND #&DF         :\ 9748= 29 DF       )_
CMP #&41         :\ 974A= C9 41       IA
BCC L9752        :\ 974C= 90 04       ..
CMP #&5B         :\ 974E= C9 5B       I[
BCC L9768        :\ 9750= 90 16       ..
.L9752
DEY              :\ 9752= 88          .
.L9753
INY              :\ 9753= C8          H
LDA (&F2),Y      :\ 9754= B1 F2       1r
CMP #&20         :\ 9756= C9 20       I 
BEQ L9753        :\ 9758= F0 F9       py
JSR L9086        :\ 975A= 20 86 90     ..
LDA (&A8,X)      :\ 975D= A1 A8       !(
BMI L9799        :\ 975F= 30 38       08
.L9761
JSR L978F        :\ 9761= 20 8F 97     ..
LDA (&A8,X)      :\ 9764= A1 A8       !(
BPL L9761        :\ 9766= 10 F9       .y
.L9768
LDY #&FF         :\ 9768= A0 FF        .
JSR L978F        :\ 976A= 20 8F 97     ..
LDA (&A8,X)      :\ 976D= A1 A8       !(
BNE L9726        :\ 976F= D0 B5       P5
LDA #&00         :\ 9771= A9 00       ).
PLP              :\ 9773= 28          (
ADC #&28         :\ 9774= 69 28       i(
TAX              :\ 9776= AA          *
LDY #&00         :\ 9777= A0 00        .
LDA #&8F         :\ 9779= A9 8F       ).
JSR OSBYTE       :\ Issue STATUS or CONFIGURE service call
TXA:BNE L9796
.L9781
INY              :\ 9781= C8          H
LDA (&A8,X)      :\ 9782= A1 A8       !(
BMI L9768        :\ 9784= 30 E2       0b
.L9786
JSR L978F        :\ 9786= 20 8F 97     ..
LDA (&A8,X)      :\ 9789= A1 A8       !(
BPL L9786        :\ 978B= 10 F9       .y
BMI L9752        :\ 978D= 30 C3       0C
.L978F
INC &A8          :\ 978F= E6 A8       f(
BNE L9795        :\ 9791= D0 02       P.
INC &A9          :\ 9793= E6 A9       f)
.L9795
RTS              :\ 9795= 60          `
 
.L9796
JMP L8F84        :\ 9796= 4C 84 8F    L..
 
\ A=configure option byte
\ -----------------------
.L9799
PLP:PHP:BCC L97A4   :\ CC=CONFIGURE command
PHA
LDY #&00:JSR L8F75
PLA
.L97A4
PLP:ROL A:ASL A:TAX
LDA L9BA6,X:PHA
LDA L9BA5,X:PHA
PHP:RTI              :\ Jump to stacked address
 
.L97B2
PLP              :\ 97B2= 28          (
BCC L97B8        :\ 97B3= 90 03       ..
JMP L98ED        :\ 97B5= 4C ED 98    Lm.
 
.L97B8
JSR L98CA        :\ 97B8= 20 CA 98     J.
EQUB &43         :\ 97BB= 43          C
BBR 6,&6E,&9825  :\ 97BC= 6F 6E 66    onf
ADC #&67         :\ 97BF= 69 67       ig
ADC &72,X        :\ 97C1= 75 72       ur
ADC (&74,X)      :\ 97C3= 61 74       at
ADC #&6F         :\ 97C5= 69 6F       io
ROR &6F20        :\ 97C7= 6E 20 6F    n o
BVS L9840        :\ 97CA= 70 74       pt
ADC #&6F         :\ 97CC= 69 6F       io
ROR &3A73        :\ 97CE= 6E 73 3A    ns:
ORA LA9EA        :\ 97D1= 0D EA A9    .j)
ROL LA885        :\ 97D4= 2E 85 A8    ..(
LDA #&96         :\ 97D7= A9 96       ).
STA &A9          :\ 97D9= 85 A9       .)
LDX #&00         :\ 97DB= A2 00       ".
.L97DD
LDY #&00         :\ 97DD= A0 00        .
.L97DF
LDA (&A8,X)      :\ 97DF= A1 A8       !(
BMI L97EC        :\ 97E1= 30 09       0.
JSR OSWRCH       :\ 97E3= 20 EE FF     n.
JSR L978F        :\ 97E6= 20 8F 97     ..
INY              :\ 97E9= C8          H
BNE L97DF        :\ 97EA= D0 F3       Ps
.L97EC
AND #&7F         :\ 97EC= 29 7F       ).
TAX              :\ 97EE= AA          *
LDA L98A7,X      :\ 97EF= BD A7 98    ='.
BEQ L982B        :\ 97F2= F0 37       p7
PHA              :\ 97F4= 48          H
.L97F5
JSR L8C36        :\ 97F5= 20 36 8C     6.
INY              :\ 97F8= C8          H
CPY #&09         :\ 97F9= C0 09       @.
BNE L97F5        :\ 97FB= D0 F8       Px
PLA              :\ 97FD= 68          h
CMP #&01         :\ 97FE= C9 01       I.
BNE L980C        :\ 9800= D0 0A       P.
JSR L98CA        :\ 9802= 20 CA 98     J.
BIT &3E44,X      :\ 9805= 3C 44 3E    <D>
NOP              :\ 9808= EA          j
JMP L982B        :\ 9809= 4C 2B 98    L+.
 
.L980C
CMP #&02         :\ 980C= C9 02       I.
BNE L981C        :\ 980E= D0 0C       P.
JSR L98CA        :\ 9810= 20 CA 98     J.
EQUB &5B         :\ 9813= 5B          [
BIT &3E44,X      :\ 9814= 3C 44 3E    <D>
EOR &4CEA,X      :\ 9817= 5D EA 4C    ]jL
ROL A            :\ 981A= 2B          +
TYA              :\ 981B= 98          .
.L981C
JSR L98CA        :\ 981C= 20 CA 98     J.
EQUB &5B         :\ 981F= 5B          [
BIT &3E44,X      :\ 9820= 3C 44 3E    <D>
EQUB &5B         :\ 9823= 5B          [
BIT &443C        :\ 9824= 2C 3C 44    ,<D
ROL &5D5D,X      :\ 9827= 3E 5D 5D    >]]
NOP              :\ 982A= EA          j
.L982B
JSR OSNEWL       :\ 982B= 20 E7 FF     g.
LDX #&00         :\ 982E= A2 00       ".
JSR L978F        :\ 9830= 20 8F 97     ..
LDA (&A8,X)      :\ 9833= A1 A8       !(
BNE L97DD        :\ 9835= D0 A6       P&
LDY #&00         :\ 9837= A0 00        .
LDX #&28         :\ 9839= A2 28       "(
LDA #&8F         :\ 983B= A9 8F       ).
JSR OSBYTE       :\ 983D= 20 F4 FF     t.
.L9840
JSR L98CA        :\ 9840= 20 CA 98     J.
EQUB &57         :\ 9843= 57          W
PLA              :\ 9844= 68          h
ADC &72          :\ 9845= 65 72       er
ADC &3A          :\ 9847= 65 3A       e:
ORA &2044        :\ 9849= 0D 44 20    .D 
ADC #&73         :\ 984C= 69 73       is
JSR &2061        :\ 984E= 20 61 20     a 
STZ &65          :\ 9851= 64 65       de
EQUB &63         :\ 9853= 63          c
ADC #&6D         :\ 9854= 69 6D       im
ADC (&6C,X)      :\ 9856= 61 6C       al
JSR &756E        :\ 9858= 20 6E 75     nu
ADC &6562        :\ 985B= 6D 62 65    mbe
ADC (&2C)        :\ 985E= 72 2C       r,
JSR &726F        :\ 9860= 20 6F 72     or
ORA &2061        :\ 9863= 0D 61 20    .a 
PLA              :\ 9866= 68          h
ADC &78          :\ 9867= 65 78       ex
ADC (&64,X)      :\ 9869= 61 64       ad
ADC &63          :\ 986B= 65 63       ec
ADC #&6D         :\ 986D= 69 6D       im
ADC (&6C,X)      :\ 986F= 61 6C       al
JSR &756E        :\ 9871= 20 6E 75     nu
ADC &6562        :\ 9874= 6D 62 65    mbe
ADC (&20)        :\ 9877= 72 20       r 
BVS L98ED        :\ 9879= 70 72       pr
ADC &63          :\ 987B= 65 63       ec
ADC &64          :\ 987D= 65 64       ed
ADC &64          :\ 987F= 65 64       ed
JSR &7962        :\ 9881= 20 62 79     by
JSR &0D26        :\ 9884= 20 26 0D     &.
EOR #&74         :\ 9887= 49 74       It
ADC &6D          :\ 9889= 65 6D       em
EQUB &73         :\ 988B= 73          s
JSR &6977        :\ 988C= 20 77 69     wi
STZ &68,X        :\ 988F= 74 68       th
ADC #&6E         :\ 9891= 69 6E       in
JSR &205B        :\ 9893= 20 5B 20     [ 
EOR &6120,X      :\ 9896= 5D 20 61    ] a
ADC (&65)        :\ 9899= 72 65       re
JSR &706F        :\ 989B= 20 6F 70     op
STZ &69,X        :\ 989E= 74 69       ti
BBR 6,&6E,&9904  :\ 98A0= 6F 6E 61    ona
JMP (&EA0D)      :\ 98A3= 6C 0D EA    l.j
 
RTS              :\ 98A6= 60          `
 
.L98A7
ORA (&00,X)      :\ 98A7= 01 00       ..
BRK              :\ 98A9= 00          .
ORA (&01,X)      :\ 98AA= 01 01       ..
BRK              :\ 98AC= 00          .
BRK              :\ 98AD= 00          .
ORA (&01,X)      :\ 98AE= 01 01       ..
BRK              :\ 98B0= 00          .
BRK              :\ 98B1= 00          .
EQUB &02         :\ 98B2= 02          .
BRK              :\ 98B3= 00          .
ORA (&00,X)      :\ 98B4= 01 00       ..
ORA (&00,X)      :\ 98B6= 01 00       ..
BRK              :\ 98B8= 00          .
BRK              :\ 98B9= 00          .
BRK              :\ 98BA= 00          .
BRK              :\ 98BB= 00          .
ORA (&00,X)      :\ 98BC= 01 00       ..
ORA (&00,X)      :\ 98BE= 01 00       ..
BRK              :\ 98C0= 00          .
BRK              :\ 98C1= 00          .
EQUB &03         :\ 98C2= 03          .
BRK              :\ 98C3= 00          .
BRK              :\ 98C4= 00          .
BRK              :\ 98C5= 00          .
BRK              :\ 98C6= 00          .
ORA (&00,X)      :\ 98C7= 01 00       ..
BRK              :\ 98C9= 00          .
.L98CA
STY &AD          :\ 98CA= 84 AD       .-
PLA              :\ 98CC= 68          h
STA &AE          :\ 98CD= 85 AE       ..
PLA              :\ 98CF= 68          h
STA &AF          :\ 98D0= 85 AF       ./
.L98D2
INC &AE          :\ 98D2= E6 AE       f.
BNE L98D8        :\ 98D4= D0 02       P.
INC &AF          :\ 98D6= E6 AF       f/
.L98D8
LDY #&00         :\ 98D8= A0 00        .
LDA (&AE),Y      :\ 98DA= B1 AE       1.
CMP #&EA         :\ 98DC= C9 EA       Ij
BEQ L98E6        :\ 98DE= F0 06       p.
JSR OSASCI       :\ 98E0= 20 E3 FF     c.
JMP L98D2        :\ 98E3= 4C D2 98    LR.
 
.L98E6
LDY &AD          :\ 98E6= A4 AD       $-
LDA #&00         :\ 98E8= A9 00       ).
JMP (&00AE)      :\ 98EA= 6C AE 00    l..
 
.L98ED
LDX #&00         :\ 98ED= A2 00       ".
.L98EF
LDY #&00         :\ 98EF= A0 00        .
.L98F1
LDA L992D,X      :\ 98F1= BD 2D 99    =-.
BMI L98FD        :\ 98F4= 30 07       0.
JSR OSASCI       :\ 98F6= 20 E3 FF     c.
INY              :\ 98F9= C8          H
INX              :\ 98FA= E8          h
BNE L98F1        :\ 98FB= D0 F4       Pt
.L98FD
CPY #&00         :\ 98FD= C0 00       @.
BEQ L9909        :\ 98FF= F0 08       p.
.L9901
JSR L8C36        :\ 9901= 20 36 8C     6.
INY              :\ 9904= C8          H
CPY #&09         :\ 9905= C0 09       @.
BNE L9901        :\ 9907= D0 F8       Px
.L9909
TXA              :\ 9909= 8A          .
PHA              :\ 990A= 48          H
LDA #&99         :\ 990B= A9 99       ).
PHA              :\ 990D= 48          H
LDA #&1A         :\ 990E= A9 1A       ).
PHA              :\ 9910= 48          H
LDA L992D,X      :\ 9911= BD 2D 99    =-.
PHA              :\ 9914= 48          H
LDA L992E,X      :\ 9915= BD 2E 99    =..
PHA              :\ 9918= 48          H
PHP              :\ 9919= 08          .
RTI              :\ 991A= 40          @
 
PLA              :\ 991B= 68          h
TAX              :\ 991C= AA          *
INX              :\ 991D= E8          h
INX              :\ 991E= E8          h
LDA L992D,X      :\ 991F= BD 2D 99    =-.
BNE L98EF        :\ 9922= D0 CB       PK
LDX #&29         :\ 9924= A2 29       ")
LDY #&00         :\ 9926= A0 00        .
LDA #&8F         :\ 9928= A9 8F       ).
JMP OSBYTE       :\ 992A= 4C F4 FF    Lt.
 
.L992D
STZ &42CE,X      :\ 992D= 9E CE 42    .NB
ADC (&75,X)      :\ 9930= 61 75       au
STZ &9C          :\ 9932= 64 9C       d.
TSX              :\ 9934= BA          :
STZ L9E63,X      :\ 9935= 9E 63 9E    .c.
CPX &6144        :\ 9938= EC 44 61    lDa
STZ &61,X        :\ 993B= 74 61       ta
STZ &44CE        :\ 993D= 9C CE 44    .ND
ADC &6C          :\ 9940= 65 6C       el
ADC (&79,X)      :\ 9942= 61 79       ay
STA L9CED,X      :\ 9944= 9D ED 9C    .m.
TAX              :\ 9947= AA          *
STZ L9E76,X      :\ 9948= 9E 76 9E    .v.
TAX              :\ 994B= AA          *
LSR &64          :\ 994C= 46 64       Fd
ADC (&69)        :\ 994E= 72 69       ri
ROR &65,X        :\ 9950= 76 65       ve
STZ &46DA        :\ 9952= 9C DA 46    .ZF
ADC #&6C         :\ 9955= 69 6C       il
ADC &9C          :\ 9957= 65 9C       e.
CPX L919D        :\ 9959= EC 9D 91    l..
STZ L9E00,X      :\ 995C= 9E 00 9E    ...
LDY &4C,X        :\ 995F= B4 4C       4L
ADC (&6E,X)      :\ 9961= 61 6E       an
EQUB &67         :\ 9963= 67          g
STZ L9EF9        :\ 9964= 9C F9 9E    .y.
LDY &6F4D,X      :\ 9967= BC 4D 6F    <Mo
STZ &65          :\ 996A= 64 65       de
STZ L9C26,X      :\ 996C= 9E 26 9C    .&.
LDA (&9E)        :\ 996F= B2 9E       2.
ROR &FB9E        :\ 9971= 6E 9E FB    n.{
STZ L9E80,X      :\ 9974= 9E 80 9E    ...
STA (&9E)        :\ 9977= 92 9E       ..
EQUB &A3         :\ 9979= A3          #
BVC L99EE        :\ 997A= 50 72       Pr
ADC #&6E         :\ 997C= 69 6E       in
STZ &9D,X        :\ 997E= 74 9D       t.
TSB &9E          :\ 9980= 04 9E       ..
DEC &52          :\ 9982= C6 52       FR
ADC &70          :\ 9984= 65 70       ep
ADC &61          :\ 9986= 65 61       ea
STZ &9D,X        :\ 9988= 74 9D       t.
SED              :\ 998A= F8          x
STZ &5388,X      :\ 998B= 9E 88 53    ..S
PLA              :\ 998E= 68          h
ADC (&64,X)      :\ 998F= 61 64       ad
BBR 6,&77,&9930  :\ 9991= 6F 77 9C    ow.
EQUB &E3         :\ 9994= E3          c
BBS 1,&03,&9936  :\ 9995= 9F 03 9E    ...
CLD              :\ 9998= D8          X
STZ &549A,X      :\ 9999= 9E 9A 54    ..T
LSR &9E,X        :\ 999C= 56 9E       V.
AND &E29E,Y      :\ 999E= 39 9E E2    9.b
BRK              :\ 99A1= 00          .

.L99A2
STA &A8          :\ 99A2= 85 A8       .(
STY &A9          :\ 99A4= 84 A9       .)
STX &AA          :\ 99A6= 86 AA       .*
LDA #&A1         :\ 99A8= A9 A1       )!
JSR OSBYTE       :\ 99AA= 20 F4 FF     t.
TYA              :\ 99AD= 98          .
AND &A8          :\ 99AE= 25 A8       %(
ORA &A9          :\ 99B0= 05 A9       .)
TAY              :\ 99B2= A8          (
LDX &AA          :\ 99B3= A6 AA       &*
LDA #&A2         :\ 99B5= A9 A2       )"
JMP OSBYTE       :\ 99B7= 4C F4 FF    Lt.
 
JSR L8F75        :\ 99BA= 20 75 8F     u.
LDY #&00         :\ 99BD= A0 00        .
BEQ L99D4        :\ 99BF= F0 13       p.
JSR L8F75        :\ 99C1= 20 75 8F     u.
LDY #&02         :\ 99C4= A0 02        .
BNE L99D4        :\ 99C6= D0 0C       P.
.L99C8
JSR L8F75        :\ 99C8= 20 75 8F     u.
LDY #&03         :\ 99CB= A0 03        .
BNE L99D4        :\ 99CD= D0 05       P.
.L99CF
JSR L8F75        :\ 99CF= 20 75 8F     u.
LDY #&01         :\ 99D2= A0 01        .
.L99D4
LDA #&FC         :\ 99D4= A9 FC       )|
.L99D6
LDX #&09         :\ 99D6= A2 09       ".
JMP L99A2        :\ 99D8= 4C A2 99    L".
 
.L99DB
JSR L8F75        :\ 99DB= 20 75 8F     u.
LDY #&10         :\ 99DE= A0 10        .
BNE L99E7        :\ 99E0= D0 05       P.
JSR L8F75        :\ 99E2= 20 75 8F     u.
LDY #&00         :\ 99E5= A0 00        .
.L99E7
LDA #&EF         :\ 99E7= A9 EF       )o
BNE L99D6        :\ 99E9= D0 EB       Pk

\ *Config. Shadow <n>
\ -------------------
.L99EB
JSR L9B94
.L99EE
CMP #&02:BCC L99F5  :\ If 0..1, jump to set it
JMP L9AB8           :\ Give 'Bad command' error
 
.L99F5
AND #&01:TAY        :\ Keep b0
LDA #&FE:BNE L9A03  :\ Jump to merge into CMOS location 16

\ *Config. Boot
\ -------------
.L99FC
JSR L8F75        :\ 99FC= 20 75 8F     u.
LDA #&EF         :\ 99FF= A9 EF       )o
LDY #&10         :\ 9A01= A0 10        .
.L9A03
LDX #&10         :\ 9A03= A2 10       ".
BNE L99A2        :\ 9A05= D0 9B       P.

.L9A07
JSR L8F75        :\ 9A07= 20 75 8F     u.
LDA #&C7         :\ 9A0A= A9 C7       )G
LDY #&20         :\ 9A0C= A0 20         
.L9A0E
LDX #&0B         :\ 9A0E= A2 0B       ".
BNE L99A2        :\ 9A10= D0 90       P.
JSR L8F75        :\ 9A12= 20 75 8F     u.
LDA #&BF         :\ 9A15= A9 BF       )?
LDY #&00         :\ 9A17= A0 00        .
BEQ L9A0E        :\ 9A19= F0 F3       ps
.L9A1B
JSR L8F75        :\ 9A1B= 20 75 8F     u.
LDA #&FB         :\ 9A1E= A9 FB       ){
LDY #&04         :\ 9A20= A0 04        .
BNE L9A03        :\ 9A22= D0 DF       P_
JSR L8F75        :\ 9A24= 20 75 8F     u.
LDA #&7F         :\ 9A27= A9 7F       ).
LDY #&80         :\ 9A29= A0 80        .
BNE L9A0E        :\ 9A2B= D0 E1       Pa
JSR L8F75        :\ 9A2D= 20 75 8F     u.
LDA #&7F         :\ 9A30= A9 7F       ).
LDY #&00         :\ 9A32= A0 00        .
BEQ L9A0E        :\ 9A34= F0 D8       pX
.L9A36
JSR L8F75        :\ 9A36= 20 75 8F     u.
LDA #&FB         :\ 9A39= A9 FB       ){
LDY #&00         :\ 9A3B= A0 00        .
BEQ L9A03        :\ 9A3D= F0 C4       pD

\
.L9A3F
JSR L8F75        :\ 9A3F= 20 75 8F     u.
LDA #&FD         :\ 9A42= A9 FD       )}
LDY #&02         :\ 9A44= A0 02        .
BNE L9A03        :\ 9A46= D0 BB       P;
JSR L8F75        :\ 9A48= 20 75 8F     u.
LDA #&EF         :\ 9A4B= A9 EF       )o
LDY #&00         :\ 9A4D= A0 00        .
BEQ L9A03        :\ 9A4F= F0 B2       p2
JSR L8F75        :\ 9A51= 20 75 8F     u.
LDA #&C7         :\ 9A54= A9 C7       )G
LDY #&10         :\ 9A56= A0 10        .
BNE L9A0E        :\ 9A58= D0 B4       P4
JSR L8F75        :\ 9A5A= 20 75 8F     u.
LDA #&BF         :\ 9A5D= A9 BF       )?
LDY #&40         :\ 9A5F= A0 40        @
BNE L9A0E        :\ 9A61= D0 AB       P+
.L9A63
JSR L8F75        :\ 9A63= 20 75 8F     u.
LDA #&F7         :\ 9A66= A9 F7       )w
LDY #&08         :\ 9A68= A0 08        .
BNE L9A03        :\ 9A6A= D0 97       P.
.L9A6C
JSR L8F75        :\ 9A6C= 20 75 8F     u.
LDA #&FE         :\ 9A6F= A9 FE       )~
LDY #&00         :\ 9A71= A0 00        .
.L9A73
LDX #&0F         :\ 9A73= A2 0F       ".
JMP L99A2        :\ 9A75= 4C A2 99    L".
 
.L9A78
JSR L8F75        :\ 9A78= 20 75 8F     u.
LDA #&FD         :\ 9A7B= A9 FD       )}
LDY #&00         :\ 9A7D= A0 00        .
BEQ L9A03        :\ 9A7F= F0 82       p.
.L9A81
JSR L8F75        :\ 9A81= 20 75 8F     u.
LDA #&F7         :\ 9A84= A9 F7       )w
LDY #&00         :\ 9A86= A0 00        .
JMP L9A03        :\ 9A88= 4C 03 9A    L..
 
.L9A8B
JSR L8F75        :\ 9A8B= 20 75 8F     u.
LDA #&C7         :\ 9A8E= A9 C7       )G
LDY #&08         :\ 9A90= A0 08        .
JMP L9A0E        :\ 9A92= 4C 0E 9A    L..
 
JSR L8F75        :\ 9A95= 20 75 8F     u.
LDA #&FE         :\ 9A98= A9 FE       )~
LDY #&01         :\ 9A9A= A0 01        .
BNE L9A73        :\ 9A9C= D0 D5       PU
.L9A9E
JSR L9B94        :\ 9A9E= 20 94 9B     ..
LDA #&00         :\ 9AA1= A9 00       ).
LDX #&0C         :\ 9AA3= A2 0C       ".
.L9AA5
JMP L99A2        :\ 9AA5= 4C A2 99    L".
 
JSR L9B94        :\ 9AA8= 20 94 9B     ..
LDA #&00         :\ 9AAB= A9 00       ).
LDX #&0D         :\ 9AAD= A2 0D       ".
BNE L9AA5        :\ 9AAF= D0 F4       Pt
JSR L9B94        :\ 9AB1= 20 94 9B     ..
CMP #&10         :\ 9AB4= C9 10       I.
BCC L9ABB        :\ 9AB6= 90 03       ..
.L9AB8
JMP L8F84        :\ 9AB8= 4C 84 8F    L..
 
.L9ABB
ASL A            :\ 9ABB= 0A          .
ASL A            :\ 9ABC= 0A          .
ASL A            :\ 9ABD= 0A          .
ASL A            :\ 9ABE= 0A          .
TAY              :\ 9ABF= A8          (
LDA #&0F         :\ 9AC0= A9 0F       ).
.L9AC2
LDX #&05         :\ 9AC2= A2 05       ".
BNE L9AA5        :\ 9AC4= D0 DF       P_
.L9AC6
JSR L9B94        :\ 9AC6= 20 94 9B     ..
CMP #&10         :\ 9AC9= C9 10       I.
BCS L9AB8        :\ 9ACB= B0 EB       0k
LDA #&F0         :\ 9ACD= A9 F0       )p
BNE L9AC2        :\ 9ACF= D0 F1       Pq
.L9AD1
JSR L90CA        :\ 9AD1= 20 CA 90     J.
PHA              :\ 9AD4= 48          H
PHP              :\ 9AD5= 08          .
JSR L8F75        :\ 9AD6= 20 75 8F     u.
PLP              :\ 9AD9= 28          (
PLA              :\ 9ADA= 68          h
BCC L9AE9        :\ 9ADB= 90 0C       ..
TAY              :\ 9ADD= A8          (
LDA #&00         :\ 9ADE= A9 00       ).
LDX #&0E         :\ 9AE0= A2 0E       ".
JSR L99A2        :\ 9AE2= 20 A2 99     ".
LDY #&00         :\ 9AE5= A0 00        .
BEQ L9AEB        :\ 9AE7= F0 02       p.
.L9AE9
LDY #&02         :\ 9AE9= A0 02        .
.L9AEB
LDA #&FD         :\ 9AEB= A9 FD       )}
.L9AED
BNE L9A73        :\ 9AED= D0 84       P.
JSR L9B94        :\ 9AEF= 20 94 9B     ..
CMP #&08         :\ 9AF2= C9 08       I.
BCS L9AB8        :\ 9AF4= B0 C2       0B
LDA #&F8         :\ 9AF6= A9 F8       )x
LDX #&0B         :\ 9AF8= A2 0B       ".
JMP L99A2        :\ 9AFA= 4C A2 99    L".
 
JSR L9B94        :\ 9AFD= 20 94 9B     ..
CMP #&05         :\ 9B00= C9 05       I.
BCS L9AB8        :\ 9B02= B0 B4       04
ASL A            :\ 9B04= 0A          .
ASL A            :\ 9B05= 0A          .
ASL A            :\ 9B06= 0A          .
ASL A            :\ 9B07= 0A          .
ASL A            :\ 9B08= 0A          .
TAY              :\ 9B09= A8          (
LDA #&1F         :\ 9B0A= A9 1F       ).
BNE L9AED        :\ 9B0C= D0 DF       P_
JSR L9B94        :\ 9B0E= 20 94 9B     ..
CMP #&08         :\ 9B11= C9 08       I.
BCS L9AB8        :\ 9B13= B0 A3       0#
ASL A            :\ 9B15= 0A          .
ASL A            :\ 9B16= 0A          .
ASL A            :\ 9B17= 0A          .
ASL A            :\ 9B18= 0A          .
ASL A            :\ 9B19= 0A          .
TAY              :\ 9B1A= A8          (
LDA #&1F         :\ 9B1B= A9 1F       ).
LDX #&10         :\ 9B1D= A2 10       ".
JMP L99A2        :\ 9B1F= 4C A2 99    L".
 
JSR L9B94        :\ 9B22= 20 94 9B     ..
BEQ L9B2F        :\ 9B25= F0 08       p.
CMP #&09         :\ 9B27= C9 09       I.
BCS L9AB8        :\ 9B29= B0 8D       0.
SBC #&00         :\ 9B2B= E9 00       i.
BCS L9B31        :\ 9B2D= B0 02       0.
.L9B2F
LDA #&06         :\ 9B2F= A9 06       ).
.L9B31
ASL A            :\ 9B31= 0A          .
ASL A            :\ 9B32= 0A          .
TAY              :\ 9B33= A8          (
LDA #&E3         :\ 9B34= A9 E3       )c
BNE L9AED        :\ 9B36= D0 B5       P5
.L9B38
JMP L9AB8        :\ 9B38= 4C B8 9A    L8.
 
JSR L9B94        :\ 9B3B= 20 94 9B     ..
AND #&7F         :\ 9B3E= 29 7F       ).
CMP #&08         :\ 9B40= C9 08       I.
BCS L9B38        :\ 9B42= B0 F4       0t
STA &A8          :\ 9B44= 85 A8       .(
TYA              :\ 9B46= 98          .
AND #&80         :\ 9B47= 29 80       ).
LSR A            :\ 9B49= 4A          J
LSR A            :\ 9B4A= 4A          J
LSR A            :\ 9B4B= 4A          J
LSR A            :\ 9B4C= 4A          J
ORA &A8          :\ 9B4D= 05 A8       .(
TAY              :\ 9B4F= A8          (
LDA #&F0         :\ 9B50= A9 F0       )p
.L9B52
LDX #&0A         :\ 9B52= A2 0A       ".
JMP L99A2        :\ 9B54= 4C A2 99    L".
 
LDA #&00         :\ 9B57= A9 00       ).
STA &A8          :\ 9B59= 85 A8       .(
STA &A9          :\ 9B5B= 85 A9       .)
JSR L90CA        :\ 9B5D= 20 CA 90     J.
BCC L9B74        :\ 9B60= 90 12       ..
STA &A8          :\ 9B62= 85 A8       .(
JSR L90B8        :\ 9B64= 20 B8 90     8.
BCC L9B74        :\ 9B67= 90 0B       ..
JSR L90CA        :\ 9B69= 20 CA 90     J.
BCC L9B38        :\ 9B6C= 90 CA       .J
CMP #&02         :\ 9B6E= C9 02       I.
BCS L9B38        :\ 9B70= B0 C6       0F
STA &A9          :\ 9B72= 85 A9       .)
.L9B74
LDA &A8          :\ 9B74= A5 A8       %(
BMI L9B7E        :\ 9B76= 30 06       0.
CMP #&04         :\ 9B78= C9 04       I.
BCS L9B38        :\ 9B7A= B0 BC       0<
BCC L9B88        :\ 9B7C= 90 0A       ..
.L9B7E
EOR #&FF         :\ 9B7E= 49 FF       I.
CMP #&04         :\ 9B80= C9 04       I.
BCS L9B38        :\ 9B82= B0 B4       04
LDA &A8          :\ 9B84= A5 A8       %(
ADC #&08         :\ 9B86= 69 08       i.
.L9B88
ASL A            :\ 9B88= 0A          .
ORA &A9          :\ 9B89= 05 A9       .)
ASL A            :\ 9B8B= 0A          .
ASL A            :\ 9B8C= 0A          .
ASL A            :\ 9B8D= 0A          .
ASL A            :\ 9B8E= 0A          .
TAY              :\ 9B8F= A8          (
LDA #&0F         :\ 9B90= A9 0F       ).
BNE L9B52        :\ 9B92= D0 BE       P>
.L9B94
JSR L90CA        :\ 9B94= 20 CA 90     J.
PHA              :\ 9B97= 48          H
PHP              :\ 9B98= 08          .
JSR L8F75        :\ 9B99= 20 75 8F     u.
PLP              :\ 9B9C= 28          (
PLA              :\ 9B9D= 68          h
BCS L9BA3        :\ 9B9E= B0 03       0.
JMP L8F84        :\ 9BA0= 4C 84 8F    L..
 
.L9BA3
TAY              :\ 9BA3= A8          (
RTS              :\ 9BA4= 60          `
 
\ Configure/Status subcommands
\ ----------------------------
.L9BA5                                             Config Status
EQUB &22         :\ 9BA5= 22          "    :\ &80 - 9B22   9CBA  Baud
.L9BA6
EQUB &9B         :\ 9BA6= 9B          .
TSX              :\ 9BA7= BA          :
STZ L99FC        :\ 9BA8= 9C,FC 99    .|.  :\ &81 - 99FC   9D0C  Boot
TSB &079D        :\ 9BAB= 0C 9D,07    ...
TXS              :\ 9BAE= 9A          .    :\ &82 - 9A07   9D21  Caps
AND (&9D,X)      :\ 9BAF= 21 9D,      !.
ASL &CE9B        :\ 9BB1= 0E 9B CE    ..N  :\ &83 - 9B0E   9CCE  Data
STZ L9A9E        :\ 9BB4= 9C,9E 9A    ...  :\ &84 - 9A9E   9DED  Delay
SBC &129D        :\ 9BB7= ED 9D,12    m..
TXS              :\ 9BBA= 9A          .    :\ &85 - 9A12   9D4B  Dir
LSR A            :\ 9BBB= 4B          K
STA L9A1B,X      :\ 9BBC= 9D,1B 9A    ...  :\ &86 - 9A1B   9D64  ExTube
STZ &9D          :\ 9BBF= 64 9D,      d.
BBS 6,&9A,&9B9E  :\ 9BC1= EF 9A DA    o.Z  :\ &87 - 9AEF   9CDA  FDrive
STZ L9AC6        :\ 9BC4= 9C,C6 9A    .F.  :\ &88 - 9AC6   9CEC  File
CPX &249C        :\ 9BC7= EC 9C,24    l.$  :\ &89 - 9A24   9D91  Floppy
TXS              :\ 9BCA= 9A          .
STA (&9D),Y      :\ 9BCB= 91 9D,      ..
AND L919A        :\ 9BCD= 2D 9A 91    -..  :\ &8A - 9A2D   9D91  Hard
STA L9AD1,X      :\ 9BD0= 9D,D1 9A    .Q.  :\ &8B - 9AD1   9E00  Ignore
BRK              :\ 9BD3= 00          .
STZ L9A36,X      :\ 9BD4= 9E,36 9A    .6.  :\ &8C - 9A36   9D64  InTube
STZ &9D          :\ 9BD7= 64 9D,      d.
LDA (&9A),Y      :\ 9BD9= B1 9A       1.   :\ &8D - 9AB1   9CF9  Lang
SBC &3F9C,Y      :\ 9BDB= F9 9C,3F    y.?  :\ &8E - 9A3F   9DAF  Loud
TXS              :\ 9BDE= 9A          .
BBS 2,&9D,&9C1D  :\ 9BDF= AF 9D,3B    /.;  :\ &8F - 9B3B   9E26  Mode
EQUB &9B         :\ 9BE2= 9B          .
ROL &9E          :\ 9BE3= 26 9E,      &.
PHA              :\ 9BE5= 48          H
TXS              :\ 9BE6= 9A          .
TSB &519D        :\ 9BE7= 0C 9D,51    ..Q
TXS              :\ 9BEA= 9A          .
AND (&9D,X)      :\ 9BEB= 21 9D,      !.
PHY              :\ 9BED= 5A          Z
TXS              :\ 9BEE= 9A          .
LSR A            :\ 9BEF= 4B          K
STA L9A63,X      :\ 9BF0= 9D,63 9A    .c.
EQUB &CB         :\ 9BF3= CB          K
STA L9A6C,X      :\ 9BF4= 9D,6C 9A    .l.
SBC (&9D,X)      :\ 9BF7= E1 9D       a.
SBC &049A,X      :\ 9BF9= FD 9A 04    }..
STA L9A78,X      :\ 9BFC= 9D 78 9A    .x.
BBS 2,&9D,&9BAA  :\ 9BFF= AF 9D A8    /.(
TXS              :\ 9C02= 9A          .
SED              :\ 9C03= F8          x
STA L9A81,X      :\ 9C04= 9D 81 9A    ...
EQUB &CB         :\ 9C07= CB          K
STA L9A8B,X      :\ 9C08= 9D 8B 9A    ...
AND (&9D,X)      :\ 9C0B= 21 9D       !.
STA &9A,X        :\ 9C0D= 95 9A       ..
SBC (&9D,X)      :\ 9C0F= E1 9D,      a.
EQUB &57         :\ 9C11= 57          W   :\ &9B TV
EQUB &9B         :\ 9C12= 9B          .
AND LBA9E,Y      :\ 9C13= 39 9E,BA    9.: :\ &9C 99BA 9C6B - Acorn
STA L9C6B,Y      :\ 9C16= 99 6B 9C,   .k.
CMP (&99,X)      :\ 9C19= C1 99       A.  :\ &9D 99C1 9C6B - Aries
ROR A            :\ 9C1B= 6B          k
STZ L99C8        :\ 9C1C= 9C,C8 99    .H. :\ &9E 99C8 9C6B - Solidisk
ROR A            :\ 9C1F= 6B          k
STZ L99CF        :\ 9C20= 9C,CF 99    .O. :\ &9F 99CF 9C6B - Watford
ROR A            :\ 9C23= 6B          k
STZ L99EB        :\ 9C24= 9C,EB 99    .k. :\ &A0 99EB 9CE3 - Shadow
EQUB &E3         :\ 9C27= E3          c
STZ L99DB        :\ 9C28= 9C,DB 99    .[. :\ &A1 99DB 9C52 - Dfs
EOR (&9C)        :\ 9C2B= 52 9C,      R.
EQUB &E2         :\ 9C2D= E2          b   :\ &A2 99E2 9C52 - Nfs
STA L9C52,Y      :\ 9C2E= 99 52 9C,   .R.

.L9C31
JSR L98CA
EQUS "No":NOP
RTS
 
.L9C39
LDX #&09         :\ 9C39= A2 09       ".
BNE L9C4B        :\ 9C3B= D0 0E       P.
.L9C3D
LDX #&0A         :\ 9C3D= A2 0A       ".
BNE L9C4B        :\ 9C3F= D0 0A       P.
.L9C41
LDX #&0B         :\ 9C41= A2 0B       ".
BNE L9C4B        :\ 9C43= D0 06       P.
.L9C45
LDX #&0F         :\ 9C45= A2 0F       ".
BNE L9C4B        :\ 9C47= D0 02       P.
.L9C49
LDX #&10         :\ 9C49= A2 10       ".
.L9C4B
LDA #&A1         :\ 9C4B= A9 A1       )!
JSR OSBYTE       :\ 9C4D= 20 F4 FF     t.
TYA              :\ 9C50= 98          .
RTS              :\ 9C51= 60          `
 
\ *Status Dfs, *Status Nfs
\ ------------------------
.L9C52
JSR L9C39:AND #&10  :\ Get CMOS byte 9, b4
BEQ L9C62           :\ If unset, jump to print 'NFS'
JSR L98CA           :\ If set, print 'DFS'
EQUS "Dfs":EQUB 13:NOP
RTS
.L9C62
JSR L98CA
EQUS "Nfs":EQUB 13:NOP
RTS

\ *Status Acorn/Aries/Solidisk/Watford
\ ------------------------------------
.L9C6B
JSR L9C39:AND #&03  :\ Get CMOS byte 9, b0-b1
TAX:BNE L9C7E       :\ If <>0, jump past
JSR L98CA
EQUS "Acorn":EQUB 13:NOP
RTS
.L9C7E
DEX:BNE L9C8E       :\ If <>1, jump past
JSR L98CA
EQUS "Watford":EQUB 13:NOP
RTS
.L9C8E
DEX:BNE L9C9C       :\ If <>2, jump past
JSR L98CA
EQUS "Aries":EQUB 13:NOP
RTS
.L9C9C
JSR L98CA
EQUS "Solidisk":EQUB 13:NOP
RTS

.L9CAA
JSR L9C39:AND #&10  :\ Get CMOS byte 9, b4
BNE L9C52:RTS       :\ If set, jump to print 'DFS'
 
.L9CB2
JSR L9C39:AND #&10  :\ Get CMOS byte 9, b4
BEQ L9C52:RTS       :\ If unset, jump to print 'NFS'
 
\ *Status Baud
\ ------------
.L9CBA
LDX #&0F:JSR L9C4B   :\ Get CMOS byte 15
AND #&1C:LSR A:LSR A :\ Keep b2-b4, move to b0-b1
CLC:ADC #&01         :\ Convert to 1..9
.L9CC6
ORA #&30:JSR OSWRCH  :\ Convert to digit and print it
JMP OSNEWL           :\ Print NEWL and return

\ *Status Data
\ ------------ 
.L9CCE
LDX #&10:JSR L9C4B   :\ Get CMOS byte 16
.L9CD3
LSR A:LSR A:LSR A    :\ Move b7-b5 to b0-b2
LSR A:LSR A
BPL L9CC6            :\ Print as digit

\ *Status FDrive
\ --------------
.L9CDA
LDX #&0B:JSR L9C4B   :\ Get CMOS byte 11
AND #&07:BPL L9CC6   :\ Keep b0-b3, print as digit

\ *Status Shadow
\ --------------
.L9CE3
JSR L9C49        :\ Get CMOS location 16
AND #&01         :\ Keep b0
BPL L9CC6        :\ Print '0'...'1'

.L9CEA
BRK
BRK

\ *Status File
\ ------------
.L9CEC
LDX #&05:JSR L9C4B   :\ Get CMOS location 5
AND #&0F             :\ Keep b0-b3
.L9CF3
JSR L9F0B:JMP OSNEWL :\ Print in decimal

.L9CF9
LDX #&05         :\ 9CF9= A2 05       ".
JSR L9C4B        :\ 9CFB= 20 4B 9C     K.
LSR A            :\ 9CFE= 4A          J
LSR A            :\ 9CFF= 4A          J
LSR A            :\ 9D00= 4A          J
LSR A            :\ 9D01= 4A          J
BPL L9CF3        :\ 9D02= 10 EF       .o
LDX #&0F         :\ 9D04= A2 0F       ".
JSR L9C4B        :\ 9D06= 20 4B 9C     K.
JMP L9CD3        :\ 9D09= 4C D3 9C    LS.
 
\ *Status Boot
\ ------------
.L9D0C
JSR L9C49          :\ Get CMOS location 16
AND #&10:BNE L9D16 :\ Boot - jump to print 'Boot'
JSR L9C31          :\ NoBoot - print 'No' prefix
.L9D16
JSR L98CA
EQUS "Boot":NOP
.L9D1E
JMP OSNEWL

\ *Status Caps
\ ------------ 
.L9D21
JSR L9C41:AND #&38 :\ Get CMOS location 11 b3-b5
CMP #&08:BNE L9D3A :\ Not ShCaps, jump past
JSR L98CA
EQUS "ShiftCaps":NOP
BEQ L9D1E

.L9D3A
CMP #&10:BNE L9D41 :\ Not NoCaps, jump past
JSR L9C31          :\ Print 'No' prefix
.L9D41
JSR L98CA
EQUS "Caps":NOP
BEQ L9D1E

\ *Status Dir
\ -----------
.L9D4B
JSR L9C41:AND #&40 :\ Get CMOS location 11, b6
BEQ L9D55          :\ Dir, skip past 'No'
JSR L9C31          :\ Print 'No' prefix
.L9D55
JSR L98CA
EQUS "Directory":NOP
BEQ L9D1E        :\ 9D62= F0 BA       p:

\ *Status ExTube
\ --------------
.L9D64
JSR L9C49:AND #&04 :\ Get CMOS location 16, b2
BEQ L9D7A          :\ Internal, jump to print 'Internal'
JSR L98CA
EQUS "External":NOP
BEQ L9D87
.L9D7A
JSR L98CA
EQUS "Internal":NOP
.L9D87
JSR L98CA
EQUS "Tube":NOP
BEQ L9D1E        :\ 9D8F= F0 8D       p.

.L9D91
JSR L9C41        :\ 9D91= 20 41 9C     A.
AND #&80         :\ 9D94= 29 80       ).
BEQ L9DA4        :\ 9D96= F0 0C       p.
JSR L98CA        :\ 9D98= 20 CA 98     J.
LSR &6C          :\ 9D9B= 46 6C       Fl
BBR 6,&70,&9E10  :\ 9D9D= 6F 70 70    opp
ADC &F0EA,Y      :\ 9DA0= 79 EA F0    yjp
PHP              :\ 9DA3= 08          .
.L9DA4
JSR L98CA        :\ 9DA4= 20 CA 98     J.
PHA              :\ 9DA7= 48          H
ADC (&72,X)      :\ 9DA8= 61 72       ar
STZ &EA          :\ 9DAA= 64 EA       dj
.L9DAC
JMP L9D1E        :\ 9DAC= 4C 1E 9D    L..
 
.L9DAF
JSR L9C49        :\ 9DAF= 20 49 9C     I.
AND #&02         :\ 9DB2= 29 02       ).
BEQ L9DC0        :\ 9DB4= F0 0A       p.
JSR L98CA        :\ 9DB6= 20 CA 98     J.
JMP &756F        :\ 9DB9= 4C 6F 75    Lou
 
STZ &EA          :\ 9DBC= 64 EA       dj
BEQ L9DAC        :\ 9DBE= F0 EC       pl
.L9DC0
JSR L98CA        :\ 9DC0= 20 CA 98     J.
EOR (&75),Y      :\ 9DC3= 51 75       Qu
ADC #&65         :\ 9DC5= 69 65       ie
STZ &EA,X        :\ 9DC7= 74 EA       tj
BEQ L9DAC        :\ 9DC9= F0 E1       pa
.L9DCB
JSR L9C49        :\ 9DCB= 20 49 9C     I.
AND #&08         :\ 9DCE= 29 08       ).
BEQ L9DD5        :\ 9DD0= F0 03       p.
JSR L9C31        :\ 9DD2= 20 31 9C     1.
.L9DD5
JSR L98CA        :\ 9DD5= 20 CA 98     J.
EQUB &53         :\ 9DD8= 53          S
EQUB &63         :\ 9DD9= 63          c
ADC (&6F)        :\ 9DDA= 72 6F       ro
JMP (&EA6C)      :\ 9DDC= 6C 6C EA    llj
 
BEQ L9DAC        :\ 9DDF= F0 CB       pK
.L9DE1
JSR L9C45        :\ 9DE1= 20 45 9C     E.
LSR A            :\ 9DE4= 4A          J
BCS L9DEA        :\ 9DE5= B0 03       0.
JSR L9C31        :\ 9DE7= 20 31 9C     1.
.L9DEA
JMP L9D87        :\ 9DEA= 4C 87 9D    L..

\ *Status Delay
\ -------------
.L9DED 
LDX #&0C:JSR L9C4B   :\ Get CMOS location 12
.L9DF2
JSR L9F0B:JMP OSNEWL :\ Print as decimal

.L9DF8 
LDX #&0D:JSR L9C4B   :\ Get CMOS location 13
JMP L9DF2            :\ Print as decimal
 
.L9E00
JSR L9C45        :\ 9E00= 20 45 9C     E.
LSR A            :\ 9E03= 4A          J
LSR A            :\ 9E04= 4A          J
PHP              :\ 9E05= 08          .
BCC L9E0B        :\ 9E06= 90 03       ..
JSR L9C31        :\ 9E08= 20 31 9C     1.
.L9E0B
JSR L98CA        :\ 9E0B= 20 CA 98     J.
EOR #&67         :\ 9E0E= 49 67       Ig
ROR &726F        :\ 9E10= 6E 6F 72    nor
ADC &20          :\ 9E13= 65 20       e 
JSR &EA20        :\ 9E15= 20 20 EA      j
PLP              :\ 9E18= 28          (
BCS L9E23        :\ 9E19= B0 08       0.
LDX #&0E         :\ 9E1B= A2 0E       ".
JSR L9C4B        :\ 9E1D= 20 4B 9C     K.
.L9E20
JSR L9F0B        :\ 9E20= 20 0B 9F     ..
.L9E23
JMP OSNEWL       :\ 9E23= 4C E7 FF    Lg.
 
\ *Status Mode
\ ------------
JSR L9C3D:AND #&08   :\ Get CMOS byte 10 to Y, b3 to A
ASL A:ASL A:ASL A
ASL A:STA &A8        :\ Move b3 to b7
TYA:AND #&07         :\ Get MODE b0-b2
ORA &A8:JMP L9E20    :\ Merge with b7 and print as decimal

.L9E39
JSR L9C3D        :\ 9E39= 20 3D 9C     =.
STA &A8          :\ 9E3C= 85 A8       .(
LSR A            :\ 9E3E= 4A          J
LSR A            :\ 9E3F= 4A          J
LSR A            :\ 9E40= 4A          J
LSR A            :\ 9E41= 4A          J
LSR A            :\ 9E42= 4A          J
CMP #&04         :\ 9E43= C9 04       I.
BCC L9E49        :\ 9E45= 90 02       ..
SBC #&08         :\ 9E47= E9 08       i.
.L9E49
JSR L9F0B        :\ 9E49= 20 0B 9F     ..
LDA #&2C         :\ 9E4C= A9 2C       ),
JSR OSWRCH       :\ 9E4E= 20 EE FF     n.
LDA &A8          :\ 9E51= A5 A8       %(
AND #&10         :\ 9E53= 29 10       ).
PHP              :\ 9E55= 08          .
LDA #&30         :\ 9E56= A9 30       )0
PLP              :\ 9E58= 28          (
BEQ L9E5D        :\ 9E59= F0 02       p.
LDA #&31         :\ 9E5B= A9 31       )1
.L9E5D
JSR OSWRCH       :\ 9E5D= 20 EE FF     n.
JMP OSNEWL       :\ 9E60= 4C E7 FF    Lg.
 
.L9E63
JSR L9C49        :\ 9E63= 20 49 9C     I.
AND #&10         :\ 9E66= 29 10       ).
BEQ L9E6D        :\ 9E68= F0 03       p.
.L9E6A
JMP L9D0C        :\ 9E6A= 4C 0C 9D    L..
 
.L9E6D
RTS              :\ 9E6D= 60          `
 
JSR L9C49        :\ 9E6E= 20 49 9C     I.
AND #&10         :\ 9E71= 29 10       ).
BEQ L9E6A        :\ 9E73= F0 F5       pu
RTS              :\ 9E75= 60          `
 
.L9E76
JSR L9C41        :\ 9E76= 20 41 9C     A.
AND #&40         :\ 9E79= 29 40       )@
BNE L9E6D        :\ 9E7B= D0 F0       Pp
.L9E7D
JMP L9D4B        :\ 9E7D= 4C 4B 9D    LK.
 
.L9E80
JSR L9C41        :\ 9E80= 20 41 9C     A.
AND #&40         :\ 9E83= 29 40       )@
BNE L9E7D        :\ 9E85= D0 F6       Pv
RTS              :\ 9E87= 60          `
 
JSR L9C49        :\ 9E88= 20 49 9C     I.
AND #&08         :\ 9E8B= 29 08       ).
BNE L9E6D        :\ 9E8D= D0 DE       P^
.L9E8F
JMP L9DCB        :\ 9E8F= 4C CB 9D    LK.
 
JSR L9C49        :\ 9E92= 20 49 9C     I.
AND #&08         :\ 9E95= 29 08       ).
BNE L9E8F        :\ 9E97= D0 F6       Pv
RTS              :\ 9E99= 60          `
 
JSR L9C45        :\ 9E9A= 20 45 9C     E.
LSR A            :\ 9E9D= 4A          J
BCC L9E6D        :\ 9E9E= 90 CD       .M
.L9EA0
JMP L9DE1        :\ 9EA0= 4C E1 9D    La.
 
JSR L9C45        :\ 9EA3= 20 45 9C     E.
LSR A            :\ 9EA6= 4A          J
BCC L9EA0        :\ 9EA7= 90 F7       .w
RTS              :\ 9EA9= 60          `
 
JSR L9C49        :\ 9EAA= 20 49 9C     I.
AND #&04         :\ 9EAD= 29 04       ).
BEQ L9E6D        :\ 9EAF= F0 BC       p<
.L9EB1
JMP L9D64        :\ 9EB1= 4C 64 9D    Ld.
 
JSR L9C49        :\ 9EB4= 20 49 9C     I.
AND #&04         :\ 9EB7= 29 04       ).
BEQ L9EB1        :\ 9EB9= F0 F6       pv
RTS              :\ 9EBB= 60          `
 
JSR L9C49        :\ 9EBC= 20 49 9C     I.
AND #&02         :\ 9EBF= 29 02       ).
BEQ L9E6D        :\ 9EC1= F0 AA       p*
.L9EC3
JMP L9DAF        :\ 9EC3= 4C AF 9D    L/.
 
JSR L9C49        :\ 9EC6= 20 49 9C     I.
AND #&02         :\ 9EC9= 29 02       ).
BEQ L9EC3        :\ 9ECB= F0 F6       pv
RTS              :\ 9ECD= 60          `
 
.L9ECE
JSR L9C39:AND #&01  :\ Get CMOS byte 9 b0
BNE L9E6D           :\ If Aries/Solidisk, exit
.L9ED5
JMP L9C6B           :\ Jump to display Acorn/Watford

.L9ED8 
JSR L9C39:AND #&03  :\ Get CMOS byte 9 b0-b1
CMP #&03:BEQ L9ED5  :\ If Watford, jump to display Watford
RTS

.L9EE2 
JSR L9C39:AND #&03  :\ Get CMOS byte 9 b0-b1
CMP #&01:BEQ L9ED5  :\ If Aries, jump to display Aries
RTS

.L9EEC
JSR L9C41        :\ 9EEC= 20 41 9C     A.
AND #&38         :\ 9EEF= 29 38       )8
BEQ L9EF8        :\ 9EF1= F0 05       p.
AND #&20         :\ 9EF3= 29 20       ) 
BNE L9EF8        :\ 9EF5= D0 01       P.
RTS              :\ 9EF7= 60          `
 
.L9EF8
JMP L9D21        :\ 9EF8= 4C 21 9D    L!.
 
JSR L9C41        :\ 9EFB= 20 41 9C     A.
AND #&10         :\ 9EFE= 29 10       ).
BNE L9EF8        :\ 9F00= D0 F6       Pv
RTS              :\ 9F02= 60          `
 
JSR L9C41        :\ 9F03= 20 41 9C     A.
AND #&08         :\ 9F06= 29 08       ).
BNE L9EF8        :\ 9F08= D0 EE       Pn
RTS              :\ 9F0A= 60          `
 

\ Print Decimal
\ -------------
.L9F0B
LDY #&00:STY &A9
DEY:SEC
.L9F11
SBC #&64:INY
BCS L9F11
ADC #&64         :\ 9F16= 69 64       id
PHA              :\ 9F18= 48          H
TYA              :\ 9F19= 98          .
BEQ L9F21        :\ 9F1A= F0 05       p.
DEC &A9          :\ 9F1C= C6 A9       F)
JSR L8F29        :\ 9F1E= 20 29 8F     ).
.L9F21
PLA              :\ 9F21= 68          h
LDY #&FF         :\ 9F22= A0 FF        .
SEC              :\ 9F24= 38          8
.L9F25
SBC #&0A         :\ 9F25= E9 0A       i.
INY              :\ 9F27= C8          H
BCS L9F25        :\ 9F28= B0 FB       0{
ADC #&0A         :\ 9F2A= 69 0A       i.
PHA              :\ 9F2C= 48          H
TYA              :\ 9F2D= 98          .
ORA &A9          :\ 9F2E= 05 A9       .)
BEQ L9F36        :\ 9F30= F0 04       p.
TYA              :\ 9F32= 98          .
JSR L8F29        :\ 9F33= 20 29 8F     ).
.L9F36
PLA              :\ 9F36= 68          h
JSR L8F29        :\ 9F37= 20 29 8F     ).
.L9F3A
RTS              :\ 9F3A= 60          `
 
\ Default CMOS settings
.L9F3B
EQUS "David"     :\ Validity string, uses Stn,FS,PS locations
EQUB &00         :\ Lang+File
EQUW &FFFF       :\ ROM frugral bits - all inserted
EQUB &00         :\ Edit=00
EQUB &00         :\ MER settings, DFS+Acorn
EQUB &00         :\ TV0,0+NoCaps+FDrive
EQUB &20         :\ Repeat 32
EQUB &08         :\ Delay 8
EQUB &0A         :\ Ignore 10
EQUB &39         :\ Print 1+Baud 7+Ignore+ExTube
EQUB &86         :\ Data 4+NoBoot+ExTube+Load+Shadow 0

.L9F4C
JSR LA1BD
JSR L9FCA:BCS L9F3A     :\ If CMOS valid, exit
\
\ Initialise CMOS locations with validity string,
\ keyboard links, default file and lang.
\
LDX #&10                :\ Copy 'David' and default settings to CMOS storage
.L9F56
TXA:PHA:LDA L9F3B,X     :\ Get byte from 'David' string
TAY:LDA #&A2:JSR OSBYTE :\ Store it in CMOS
PLA:TAX:DEX:BPL L9F56   :\ Loop for whole check string
LDA &028F:PHA           :\ Get keyboard links
LSR A:LSR A:LSR A:LSR A :\ Move FDrive to b0-b1
AND #&03:ORA #&E0:TAY   :\ Set CMOS byte 11 to FDrive/NoCaps/Dir/Hard
LDA #&A2:LDX #&0B:JSR OSBYTE
PLA:PHA:AND #&47        :\ Get Mode+Opt6
CMP #&40:AND #&07       :\ Keep Mode number 0-7
BCS L9F86:ORA #&08      :\ Opt6 becomes Mode b7
.L9F86
ORA #&10:TAY            :\ Set CMOS byte 10 to Mode/TV 0,1
LDA #&A2:LDX #&0A:JSR OSBYTE
PLA:ASL A:BCC L9F9D     :\ If DFS/NFS set to DFS, jump past
LDA #&A2:LDY #&10       :\ Set CMOS byte 9 to NFS
LDX #&09:JSR OSBYTE
.L9F9D
LDX #&00
.L9F9F                  :\ Look for lowest non-language ROM
LDA &02A1,X:AND #&C0    :\ Get ROM flag b7-b6
CMP #&80:BEQ L9FAD      :\ ROM present with no language, jump forward
INX:CPX #&10:BNE L9F9F  :\ Loop through all 16 ROMs
.L9FAD
STX &63:LDX #&10        :\ Save ROM number, start at ROM 16 (error?)
.L9FB1                  :\ Look for highest language ROM
LDA &02A1,X             :\ Get ROM flag (or INKEY countdown timer)
AND #&40:BNE L9FBB      :\ If language, jump to use it
DEX:BPL L9FB1           :\ Loop through all 17 ROMs
.L9FBB
TXA:ASL A:ASL A:ASL A   :\ Move ROM number to b4-b7
ASL A:ORA &63:TAY       :\ Merge with lowest non-language to use as FILE
LDX #&05:LDA #&A2       :\ Set CMOS location 5 to Lang+File
JMP OSBYTE
 
\ Check if CMOS valid - does it start with 'David'?
\ -------------------------------------------------
.L9FCA
LDX #&04         :\ 9FCA= A2 04       ".
.L9FCC
TXA              :\ 9FCC= 8A          .
PHA              :\ 9FCD= 48          H
LDA #&A1         :\ 9FCE= A9 A1       )!
JSR OSBYTE       :\ 9FD0= 20 F4 FF     t.
PLA              :\ 9FD3= 68          h
TAX              :\ 9FD4= AA          *
TYA              :\ 9FD5= 98          .
CMP L9FE2,X      :\ 9FD6= DD E2 9F    ]b.
BNE L9FDF        :\ 9FD9= D0 04       P.
DEX              :\ 9FDB= CA          J
BNE L9FCC        :\ 9FDC= D0 EE       Pn
DEX              :\ 9FDE= CA          J
.L9FDF
TXA              :\ 9FDF= 8A          .
ASL A            :\ 9FE0= 0A          .
RTS              :\ 9FE1= 60          `
 
.L9FE2
EQUB &44         :\ 9FE2= 44          D
ADC (&76,X)      :\ 9FE3= 61 76       av
ADC #&64         :\ 9FE5= 69 64       id

.L9FE7
JSR L9C39:AND #&03      :\ Get CMOS location 9, b0-b1 - Acorn/Aries/Solidisk/Watford
STA &0D94               :\ Store it
LDX #&0C:JSR L9C4B      :\ Get CMOS location 12
TAX:LDA #&0B:JSR OSBYTE :\ Set keyboard delay
LDX #&0D:JSR L9C4B
TAX:LDA #&0C:JSR OSBYTE :\ Set keyboard repeat
LDX #&0E:JSR L9C4B
TAX:LDA #&06:JSR OSBYTE
JSR L9C45:LSR A:LSR A   :\ CMOS 15
PHA              :\ A015= 48          H
LDA #&00         :\ A016= A9 00       ).
ROR A            :\ A018= 6A          j
ORA &0246        :\ A019= 0D 46 02    .F.
STA &0246        :\ A01C= 8D 46 02    .F.
PLA              :\ A01F= 68          h
AND #&07         :\ A020= 29 07       ).
PHA              :\ A022= 48          H
TAX              :\ A023= AA          *
LDA #&07         :\ A024= A9 07       ).
INX              :\ A026= E8          h
JSR OSBYTE       :\ A027= 20 F4 FF     t.
PLA              :\ A02A= 68          h
TAX              :\ A02B= AA          *
INX              :\ A02C= E8          h
LDA #&08         :\ A02D= A9 08       ).
JSR OSBYTE       :\ A02F= 20 F4 FF     t.
JSR L9C49        :\ A032= 20 49 9C     I.
PHA              :\ A035= 48          H
LDX #&F0         :\ A036= A2 F0       "p
LSR A            :\ A038= 4A          J
LSR A            :\ A039= 4A          J
BCC LA03E        :\ A03A= 90 02       ..
LDX #&90         :\ A03C= A2 90       ".
.LA03E
STX &0264        :\ A03E= 8E 64 02    .d.
PLA              :\ A041= 68          h
PHA              :\ A042= 48          H
AND #&E0         :\ A043= 29 E0       )`
LSR A            :\ A045= 4A          J
LSR A            :\ A046= 4A          J
LSR A            :\ A047= 4A          J
ORA #&42         :\ A048= 09 42       .B
TAX              :\ A04A= AA          *
LDY #&00         :\ A04B= A0 00        .
LDA #&9C         :\ A04D= A9 9C       ).
JSR OSBYTE       :\ Serial Data Format
PLA              :\ A052= 68          h
AND #&10         :\ A053= 29 10       ).
BEQ LA05F        :\ A055= F0 08       p.
LDA &028F        :\ A057= AD 8F 02    -..
AND #&F7         :\ A05A= 29 F7       )w
STA &028F        :\ Boot setting
.LA05F
JSR L9C41        :\ Caps/ShCaps/ShLock
LDX #&30         :\ A062= A2 30       "0
PHA              :\ A064= 48          H
AND #&10         :\ A065= 29 10       ).
BNE LA073        :\ A067= D0 0A       P.
LDX #&20         :\ A069= A2 20       " 
PLA              :\ A06B= 68          h
PHA              :\ A06C= 48          H
AND #&20         :\ A06D= 29 20       ) 
BNE LA073        :\ A06F= D0 02       P.
LDX #&A0         :\ A071= A2 A0       " 
.LA073
PLA              :\ A073= 68          h
LDA #&CA         :\ A074= A9 CA       )J
LDY #&00         :\ A076= A0 00        .
JSR OSBYTE       :\ Set keymodifier state
LDA &028D:BEQ LA0D8  :\ Soft Break
JSR L9C45        :\ A080= 20 45 9C     E.
LSR A            :\ A083= 4A          J
LSR A            :\ A084= 4A          J
LSR A            :\ A085= 4A          J
LSR A            :\ A086= 4A          J
LSR A            :\ A087= 4A          J
TAX              :\ A088= AA          *
LDA #&05         :\ A089= A9 05       ).
JSR OSBYTE       :\ Printer destination
JSR L9C41        :\ A08E= 20 41 9C     A.
AND #&07         :\ A091= 29 07       ).
ASL A            :\ A093= 0A          .
ASL A            :\ A094= 0A          .
ASL A            :\ A095= 0A          .
ASL A            :\ A096= 0A          .
AND #&3F         :\ A097= 29 3F       )?
STA &63          :\ A099= 85 63       .c
LDA &028F        :\ Set FDrive setting
AND #&CF         :\ A09E= 29 CF       )O
ORA &63          :\ A0A0= 05 63       .c
STA &028F        :\ A0A2= 8D 8F 02    ...
JSR L9C3D        :\ A0A5= 20 3D 9C     =.
PHA              :\ A0A8= 48          H
LDY #&00         :\ A0A9= A0 00        .
AND #&10         :\ A0AB= 29 10       ).
BEQ LA0B0        :\ A0AD= F0 01       p.
INY              :\ A0AF= C8          H
.LA0B0
PLA              :\ A0B0= 68          h
PHA              :\ A0B1= 48          H
LSR A            :\ A0B2= 4A          J
LSR A            :\ A0B3= 4A          J
LSR A            :\ A0B4= 4A          J
LSR A            :\ A0B5= 4A          J
LSR A            :\ A0B6= 4A          J
AND #&07         :\ A0B7= 29 07       ).
CMP #&04         :\ A0B9= C9 04       I.
BCC LA0BF        :\ A0BB= 90 02       ..
SBC #&08         :\ A0BD= E9 08       i.
.LA0BF
TAX              :\ A0BF= AA          *
LDA #&90         :\ A0C0= A9 90       ).
JSR OSBYTE       :\ *TV setting
PLA              :\ A0C5= 68          h
AND #&0F         :\ A0C6= 29 0F       ).
ASL A            :\ A0C8= 0A          .
CMP #&10         :\ A0C9= C9 10       I.
ROR A            :\ A0CB= 6A          j
AND #&87         :\ A0CC= 29 87       ).
PHA              :\ A0CE= 48          H
LDA #&16         :\ A0CF= A9 16       ).
JSR OSWRCH       :\ A0D1= 20 EE FF     n.
PLA              :\ A0D4= 68          h
JSR OSWRCH       :\ A0D5= 20 EE FF     n.
.LA0D8
LDA &028F           :\ Get keyboard links
AND #&7F:PHA        :\ Lose b7 - DFS/NFS flag
JSR L9C39:AND #&10  :\ Get CMOS location 9, b4 - DFS/NFS
CMP #&10:PLA
BCC LA0EA
ORA #&80            :\ Set DFS/NFS flag
.LA0EA
STA &028F:RTS       :\ Store back in keyboard links
 
.LA0EE
LDA #&A1:LDX #&07
JSR OSBYTE:TYA      :\ Read CMOS byte 7 - ROM frugal bits
LDX #&0F
.LA0F8
ASL A            :\ A0F8= 0A          .
BCS LA106        :\ A0F9= B0 0B       0.
PHA              :\ A0FB= 48          H
CPX &F4          :\ A0FC= E4 F4       dt
BEQ LA105        :\ A0FE= F0 05       p.
LDA #&00         :\ A100= A9 00       ).
STA &02A1,X      :\ A102= 9D A1 02    .!.
.LA105
PLA              :\ A105= 68          h
.LA106
DEX              :\ A106= CA          J
BMI LA119        :\ A107= 30 10       0.
CPX #&07         :\ A109= E0 07       `.
BNE LA0F8        :\ A10B= D0 EB       Pk
LDA #&A1         :\ A10D= A9 A1       )!
LDX #&06         :\ A10F= A2 06       ".
JSR OSBYTE       :\ A111= 20 F4 FF     t.
TYA              :\ A114= 98          .
LDX #&07         :\ A115= A2 07       ".
BNE LA0F8        :\ A117= D0 DF       P_
.LA119
RTS              :\ A119= 60          `
 
.LA11A
EQUS "&.CONFIG":EQUB 13
.LA123
JSR LB848
CMP #&20         :\ A126= C9 20       I 
BCS LA12F        :\ A128= B0 05       0.
JSR LA1AD        :\ A12A= 20 AD A1     -!
BNE LA133        :\ A12D= D0 04       P.
.LA12F
LDX &F2          :\ A12F= A6 F2       &r
LDY &F3          :\ A131= A4 F3       $s
.LA133
LDA #&40         :\ A133= A9 40       )@
JSR OSFIND       :\ A135= 20 CE FF     N.
CMP #&00         :\ A138= C9 00       I.
BNE LA13F        :\ A13A= D0 03       P.
JMP L8AB9        :\ A13C= 4C B9 8A    L9.
 
.LA13F
LDX #&00         :\ A13F= A2 00       ".
STX &A8          :\ A141= 86 A8       .(
STA &A9          :\ A143= 85 A9       .)
.LA145
LDY &A9          :\ A145= A4 A9       $)
JSR OSBGET       :\ A147= 20 D7 FF     W.
TAY              :\ A14A= A8          (
LDX &A8          :\ A14B= A6 A8       &(
LDA #&A2         :\ A14D= A9 A2       )"
JSR OSBYTE       :\ A14F= 20 F4 FF     t.
INC &A8          :\ A152= E6 A8       f(
LDA &A8          :\ A154= A5 A8       %(
CMP #&32         :\ A156= C9 32       I2
BNE LA145        :\ A158= D0 EB       Pk
.LA15A
LDA #&00         :\ A15A= A9 00       ).
LDY &A9          :\ A15C= A4 A9       $)
JMP OSFIND       :\ A15E= 4C CE FF    LN.
 
.LA161
JSR LB848        :\ A161= 20 48 B8     H8
CMP #&20         :\ A164= C9 20       I 
BCS LA187        :\ A166= B0 1F       0.
JSR L98CA        :\ A168= 20 CA 98     J.
EQUB &53         :\ A16B= 53          S
ADC (&76,X)      :\ A16C= 61 76       av
ADC #&6E         :\ A16E= 69 6E       in
EQUB &67         :\ A170= 67          g
JSR &7361        :\ A171= 20 61 73     as
JSR &2E26        :\ A174= 20 26 2E     &.
EQUB &43         :\ A177= 43          C
BBR 4,&4E,&A1C1  :\ A178= 4F 4E 46    ONF
EOR #&47         :\ A17B= 49 47       IG
ORA &20EA        :\ A17D= 0D EA 20    .j 
EOR &AF,X        :\ A180= 55 AF       U/
JSR LA1AD        :\ A182= 20 AD A1     -!
BNE LA18B        :\ A185= D0 04       P.
.LA187
LDX &F2          :\ A187= A6 F2       &r
LDY &F3          :\ A189= A4 F3       $s
.LA18B
LDA #&80         :\ A18B= A9 80       ).
JSR OSFIND       :\ A18D= 20 CE FF     N.
STA &A9          :\ A190= 85 A9       .)
LDX #&00         :\ A192= A2 00       ".
STX &A8          :\ A194= 86 A8       .(
.LA196
LDX &A8          :\ A196= A6 A8       &(
LDA #&A1         :\ A198= A9 A1       )!
JSR OSBYTE       :\ A19A= 20 F4 FF     t.
TYA              :\ A19D= 98          .
LDY &A9          :\ A19E= A4 A9       $)
JSR OSBPUT       :\ A1A0= 20 D4 FF     T.
INC &A8          :\ A1A3= E6 A8       f(
LDA &A8          :\ A1A5= A5 A8       %(
CMP #&32         :\ A1A7= C9 32       I2
BNE LA196        :\ A1A9= D0 EB       Pk
BEQ LA15A        :\ A1AB= F0 AD       p-
.LA1AD
LDX #&08         :\ A1AD= A2 08       ".
.LA1AF
LDA LA11A,X      :\ A1AF= BD 1A A1    =.!
STA &0100,X      :\ A1B2= 9D 00 01    ...
DEX              :\ A1B5= CA          J
BPL LA1AF        :\ A1B6= 10 F7       .w
LDX #&00         :\ A1B8= A2 00       ".
LDY #&01         :\ A1BA= A0 01        .
RTS              :\ A1BC= 60          `
 
.LA1BD
LDY #&0F         :\ A1BD= A0 0F        .
.LA1BF
JSR LB856        :\ A1BF= 20 56 B8     V8
BCC LA1D0        :\ A1C2= 90 0C       ..
TYA              :\ A1C4= 98          .
PHA              :\ A1C5= 48          H
STA &0D97        :\ A1C6= 8D 97 0D    ...
JSR L9FCA        :\ A1C9= 20 CA 9F     J.
BCS LA1DE        :\ A1CC= B0 10       0.
PLA              :\ A1CE= 68          h
TAY              :\ A1CF= A8          (
.LA1D0
DEY              :\ A1D0= 88          .
BPL LA1BF        :\ A1D1= 10 EC       .l
LDY &F4          :\ A1D3= A4 F4       $t
JSR LB856        :\ A1D5= 20 56 B8     V8
BCS LA1E0        :\ A1D8= B0 06       0.
LDY #&FF         :\ A1DA= A0 FF        .
BNE LA1E0        :\ A1DC= D0 02       P.
.LA1DE
PLA              :\ A1DE= 68          h
TAY              :\ A1DF= A8          (
.LA1E0
STY &0D97        :\ A1E0= 8C 97 0D    ...
RTS              :\ A1E3= 60          `
 
.LA1E4
EQUB &43         :\ A1E4= 43          C
LSR &53          :\ A1E5= 46 53       FS
JSR &2020        :\ A1E7= 20 20 20       
JSR &0120        :\ A1EA= 20 20 01      .
.LA1ED
EQUB &02         :\ A1ED= 02          .
.LA1EE
ORA (&54,X)      :\ A1EE= 01 54       .T
EOR (&50,X)      :\ A1F0= 41 50       AP
EOR &20          :\ A1F2= 45 20       E 
JSR &2020        :\ A1F4= 20 20 20       
ORA (&02,X)      :\ A1F7= 01 02       ..
ORA (&52,X)      :\ A1F9= 01 52       .R
BBR 4,&4D,&A21E  :\ A1FB= 4F 4D 20    OM 
JSR &2020        :\ A1FE= 20 20 20       
JSR &0303        :\ A201= 20 03 03     ..
EQUB &03         :\ A204= 03          .
EQUB &44         :\ A205= 44          D
EOR #&53         :\ A206= 49 53       IS
EQUB &43         :\ A208= 43          C
JSR &2020        :\ A209= 20 20 20       
JSR &1511        :\ A20C= 20 11 15     ..
TSB &44          :\ A20F= 04 44       .D
EOR #&53         :\ A211= 49 53       IS
LSR A            :\ A213= 4B          K
JSR &2020        :\ A214= 20 20 20       
JSR &1511        :\ A217= 20 11 15     ..
TSB &4E          :\ A21A= 04 4E       .N
EOR &54          :\ A21C= 45 54       ET
JSR &2020        :\ A21E= 20 20 20       
JSR &2020        :\ A221= 20 20 20       
BBR 2,&05,&A268  :\ A224= 2F 05 41    /.A
EQUB &44         :\ A227= 44          D
LSR &53          :\ A228= 46 53       FS
JSR &2020        :\ A22A= 20 20 20       
JSR &3930        :\ A22D= 20 30 39     09
PHP              :\ A230= 08          .
LSR &46,X        :\ A231= 56 46       VF
EQUB &53         :\ A233= 53          S
JSR &2020        :\ A234= 20 20 20       
JSR &5020        :\ A237= 20 20 50      P
EOR &000A,Y      :\ A23A= 59 0A 00    Y..
LDA &0D81        :\ A23D= AD 81 0D    -..
STA &0D82        :\ A240= 8D 82 0D    ...
RTS              :\ A243= 60          `
 
LDA #&8F         :\ A244= A9 8F       ).
LDX #&26         :\ A246= A2 26       "&
JMP OSBYTE       :\ A248= 4C F4 FF    Lt.
 
.LA24B
LDX &0D81        :\ A24B= AE 81 0D    ...
STX &0D80        :\ A24E= 8E 80 0D    ...
LDA &F4          :\ A251= A5 F4       %t
CPX #&04         :\ A253= E0 04       `.
BCC LA25A        :\ A255= 90 03       ..
LDA &0D6A        :\ A257= AD 6A 0D    -j.
.LA25A
STA &0D83        :\ A25A= 8D 83 0D    ...
CPX #&05         :\ A25D= E0 05       `.
BNE LA268        :\ A25F= D0 07       P.
LDA &028F        :\ A261= AD 8F 02    -..
AND #&7F         :\ A264= 29 7F       ).
BPL LA271        :\ A266= 10 09       ..
.LA268
CPX #&04         :\ A268= E0 04       `.
BNE LA274        :\ A26A= D0 08       P.
LDA &028F        :\ A26C= AD 8F 02    -..
ORA #&80         :\ A26F= 09 80       ..
.LA271
STA &028F        :\ A271= 8D 8F 02    ...
.LA274
RTS              :\ A274= 60          `
 
.LA275
CMP &0D81:BEQ LA2AE
PHA              :\ A27A= 48          H
TYA              :\ A27B= 98          .
PHA              :\ A27C= 48          H
TXA              :\ A27D= 8A          .
PHA              :\ A27E= 48          H
LDA &F2          :\ A27F= A5 F2       %r
PHA              :\ A281= 48          H
LDA &F3          :\ A282= A5 F3       %s
PHA              :\ A284= 48          H
TSX              :\ A285= BA          :
LDA &0105,X      :\ A286= BD 05 01    =..
CMP #&01         :\ A289= C9 01       I.
BNE LA290        :\ A28B= D0 03       P.
LDA &0D8B        :\ A28D= AD 8B 0D    -..
.LA290
STA &0105,X      :\ A290= 9D 05 01    ...
TAY              :\ A293= A8          (
PHA              :\ A294= 48          H
LDX #&12         :\ A295= A2 12       ".
JSR LA31F        :\ A297= 20 1F A3     .#
PLA              :\ A29A= 68          h
CMP &0D81        :\ A29B= CD 81 0D    M..
BEQ LA2A3        :\ A29E= F0 03       p.
JMP LA52F        :\ A2A0= 4C 2F A5    L/%
 
.LA2A3
PLA              :\ A2A3= 68          h
STA &F3          :\ A2A4= 85 F3       .s
PLA              :\ A2A6= 68          h
STA &F2          :\ A2A7= 85 F2       .r
PLA              :\ A2A9= 68          h
TAX              :\ A2AA= AA          *
PLA              :\ A2AB= 68          h
TAY              :\ A2AC= A8          (
PLA              :\ A2AD= 68          h
.LA2AE
RTS              :\ A2AE= 60          `
 
.LA2AF
CPY #&00         :\ A2AF= C0 00       @.
BEQ LA2CE        :\ A2B1= F0 1B       p.
CPY #&04         :\ A2B3= C0 04       @.
BCS LA2CE        :\ A2B5= B0 17       0.
TSX              :\ A2B7= BA          :
LDA #&00         :\ A2B8= A9 00       ).
STA &0103,X      :\ A2BA= 9D 03 01    ...
LDA #&8C         :\ A2BD= A9 8C       ).
CPY #&03         :\ A2BF= C0 03       @.
ADC #&00         :\ A2C1= 69 00       i.
LDX #&00         :\ A2C3= A2 00       ".
CPY #&02         :\ A2C5= C0 02       @.
BNE LA2CB        :\ A2C7= D0 02       P.
LDX #&03         :\ A2C9= A2 03       ".
.LA2CB
JSR L8626        :\ A2CB= 20 26 86     &.
.LA2CE
PLA              :\ A2CE= 68          h
TAY              :\ A2CF= A8          (
PLA              :\ A2D0= 68          h
TAX              :\ A2D1= AA          *
PLA              :\ A2D2= 68          h
RTS              :\ A2D3= 60          `
 
LDA &68          :\ A2D4= A5 68       %h
PHA              :\ A2D6= 48          H
LDA &6A          :\ A2D7= A5 6A       %j
PHA              :\ A2D9= 48          H
LDY &69          :\ A2DA= A4 69       $i
LDX &68          :\ A2DC= A6 68       &h
JSR LA31F        :\ A2DE= 20 1F A3     .#
STX &68          :\ A2E1= 86 68       .h
STY &69          :\ A2E3= 84 69       .i
PLA              :\ A2E5= 68          h
STA &6A          :\ A2E6= 85 6A       .j
PLA              :\ A2E8= 68          h
CMP #&04         :\ A2E9= C9 04       I.
BEQ LA2F1        :\ A2EB= F0 04       p.
CMP #&12         :\ A2ED= C9 12       I.
BNE LA31C        :\ A2EF= D0 2B       P+
.LA2F1
CPX #&00         :\ A2F1= E0 00       `.
BNE LA31C        :\ A2F3= D0 27       P'
LDA &68          :\ A2F5= A5 68       %h
PHA              :\ A2F7= 48          H
LDA &69          :\ A2F8= A5 69       %i
PHA              :\ A2FA= 48          H
LDA &6A          :\ A2FB= A5 6A       %j
PHA              :\ A2FD= 48          H
LDA #&00         :\ A2FE= A9 00       ).
TAY              :\ A300= A8          (
JSR LA450        :\ A301= 20 50 A4     P$
STA &0D81        :\ A304= 8D 81 0D    ...
PHA              :\ A307= 48          H
PLA              :\ A308= 68          h
CMP #&02         :\ A309= C9 02       I.
BCS LA310        :\ A30B= B0 03       0.
STA &0D8B        :\ A30D= 8D 8B 0D    ...
.LA310
JSR LA24B        :\ A310= 20 4B A2     K"
PLA              :\ A313= 68          h
STA &6A          :\ A314= 85 6A       .j
PLA              :\ A316= 68          h
STA &69          :\ A317= 85 69       .i
PLA              :\ A319= 68          h
STA &68          :\ A31A= 85 68       .h
.LA31C
JMP L8788        :\ A31C= 4C 88 87    L..
 
.LA31F
TXA              :\ A31F= 8A          .
PHA              :\ A320= 48          H
JSR LA34C        :\ A321= 20 4C A3     L#
LDX #&0F         :\ A324= A2 0F       ".
PLA              :\ A326= 68          h
.LA327
STA &0D86        :\ A327= 8D 86 0D    ...
TXA              :\ A32A= 8A          .
PHA              :\ A32B= 48          H
LDA &0D86        :\ A32C= AD 86 0D    -..
INC &02A1,X      :\ A32F= FE A1 02    ~!.
DEC &02A1,X      :\ A332= DE A1 02    ^!.
BPL LA33D        :\ A335= 10 06       ..
JSR &0128        :\ A337= 20 28 01     (.
TAX              :\ A33A= AA          *
BEQ LA349        :\ A33B= F0 0C       p.
.LA33D
STA &0D86        :\ A33D= 8D 86 0D    ...
PLA              :\ A340= 68          h
TAX              :\ A341= AA          *
LDA &0D86        :\ A342= AD 86 0D    -..
DEX              :\ A345= CA          J
BPL LA327        :\ A346= 10 DF       ._
PHA              :\ A348= 48          H
.LA349
PLA              :\ A349= 68          h
TXA              :\ A34A= 8A          .
RTS              :\ A34B= 60          `
 
.LA34C
LDX #&11         :\ A34C= A2 11       ".
.LA34E
LDA LA35D,X      :\ A34E= BD 5D A3    =]#
STA &0128,X      :\ A351= 9D 28 01    .(.
DEX              :\ A354= CA          J
BPL LA34E        :\ A355= 10 F7       .w
LDA &F4          :\ A357= A5 F4       %t
STA &0132        :\ A359= 8D 32 01    .2.
RTS              :\ A35C= 60          `
 
.LA35D
STX &F4          :\ A35D= 86 F4       .t
STX &FE30        :\ A35F= 8E 30 FE    .0~
JSR L8003        :\ A362= 20 03 80     ..
PHA              :\ A365= 48          H
LDA #&00         :\ A366= A9 00       ).
STA &F4          :\ A368= 85 F4       .t
STA &FE30        :\ A36A= 8D 30 FE    .0~
PLA              :\ A36D= 68          h
RTS              :\ A36E= 60          `
 
\ SERVICE 6 - ERROR OCCURED
\ =========================
.LA36F
LDA &0D8C:BEQ LA3B1
BMI LA381
DEC &0D8C
LDA &0D8F:STA &E3
JMP LA3B1
 
.LA381
LDY #&00:LDA (&FD),Y :\ Get error number
CMP #&FE:BNE LA3B1   :\ If not 'Bad command', jump to...
BIT &0D82:BMI LA3B1
LDA &028C:STA &0D8C :\ Save current language
LDA &F4:STA &028C   :\ Set current language to me
                    :\ Errors will enter my ROM
LDA &0202:STA &0D86 :\ Store old BRKV
LDA &0203:STA &0D87
LDA #&A7:STA &0202  :\ Redirect BRKV
LDA #&A7:STA &0203
BNE LA3CD

.LA3B1
LDA &0D84:BEQ LA3BF :\ If channel<>0, skip past
TAY                 :\ Pass channel to Y
LDA #&00:STA &0D84  :\ Clear channel
JSR OSFIND          :\ Close channel
.LA3BF
LDA &0D85:BEQ LA3CD :\ If channel<>0, skip past
TAY                 :\ Pass channel to Y
LDA #&00:STA &0D85  :\ Clear channel
JSR OSFIND          :\ Close channel
.LA3CD
JMP LA2CE
 
.LA3D0
LDA &0213        :\ A3D0= AD 13 02    -..
CMP #&FF         :\ A3D3= C9 FF       I.
BNE LA3DE        :\ A3D5= D0 07       P.
LDA &0DBC        :\ A3D7= AD BC 0D    -<.
CMP &F4          :\ A3DA= C5 F4       Et
BEQ LA44A        :\ A3DC= F0 6C       pl
.LA3DE
LDX #&00         :\ A3DE= A2 00       ".
LDY #&00         :\ A3E0= A0 00        .
.LA3E2
LDA &0213,X      :\ A3E2= BD 13 02    =..
CMP #&FF         :\ A3E5= C9 FF       I.
BNE LA3F2        :\ A3E7= D0 09       P.
PHA              :\ A3E9= 48          H
LDA &0212,X      :\ A3EA= BD 12 02    =..
CMP #&51         :\ A3ED= C9 51       IQ
PLA              :\ A3EF= 68          h
BCC LA40D        :\ A3F0= 90 1B       ..
.LA3F2
STA &0D69,Y      :\ A3F2= 99 69 0D    .i.
LDA &0212,X      :\ A3F5= BD 12 02    =..
STA &0D68,Y      :\ A3F8= 99 68 0D    .h.
LDA #&FF         :\ A3FB= A9 FF       ).
STA &0D6A,Y      :\ A3FD= 99 6A 0D    .j.
STA &0213,X      :\ A400= 9D 13 02    ...
TYA              :\ A403= 98          .
CLC              :\ A404= 18          .
ADC #&1B         :\ A405= 69 1B       i.
STA &0212,X      :\ A407= 9D 12 02    ...
JMP LA41F        :\ A40A= 4C 1F A4    L.$
 
.LA40D
LDA &0DBA,Y      :\ A40D= B9 BA 0D    9:.
STA &0D68,Y      :\ A410= 99 68 0D    .h.
LDA &0DBB,Y      :\ A413= B9 BB 0D    9;.
STA &0D69,Y      :\ A416= 99 69 0D    .i.
LDA &0DBC,Y      :\ A419= B9 BC 0D    9<.
STA &0D6A,Y      :\ A41C= 99 6A 0D    .j.
.LA41F
LDA LA4BE,X      :\ A41F= BD BE A4    =>$
STA &0DBA,Y      :\ A422= 99 BA 0D    .:.
LDA LA4BF,X      :\ A425= BD BF A4    =?$
STA &0DBB,Y      :\ A428= 99 BB 0D    .;.
LDA &F4          :\ A42B= A5 F4       %t
STA &0DBC,Y      :\ A42D= 99 BC 0D    .<.
INY              :\ A430= C8          H
INY              :\ A431= C8          H
INY              :\ A432= C8          H
INX              :\ A433= E8          h
INX              :\ A434= E8          h
CPX #&0E         :\ A435= E0 0E       `.
BNE LA3E2        :\ A437= D0 A9       P)
LDA #&00         :\ A439= A9 00       ).
TAY              :\ A43B= A8          (
JSR LA450        :\ A43C= 20 50 A4     P$
STA &0D81        :\ A43F= 8D 81 0D    ...
BIT &0D80        :\ A442= 2C 80 0D    ,..
BPL LA44A        :\ A445= 10 03       ..
JSR LA24B        :\ A447= 20 4B A2     K"
.LA44A
JMP LA2CE        :\ A44A= 4C CE A2    LN"
 
.LA44D
JSR LA462        :\ A44D= 20 62 A4     b$
.LA450
JSR LA462        :\ A450= 20 62 A4     b$
.LA453
JSR LA462        :\ A453= 20 62 A4     b$
.LA456
JSR LA462        :\ A456= 20 62 A4     b$
.LA459
JSR LA462        :\ A459= 20 62 A4     b$
.LA45C
JSR LA462        :\ A45C= 20 62 A4     b$
.LA45F
JSR LA462        :\ A45F= 20 62 A4     b$
.LA462
PHA              :\ A462= 48          H
TXA              :\ A463= 8A          .
PHA              :\ A464= 48          H
LDX #&18         :\ A465= A2 18       ".
.LA467
LDA LA4A5,X      :\ A467= BD A5 A4    =%$
STA &0178,X      :\ A46A= 9D 78 01    .x.
DEX              :\ A46D= CA          J
BPL LA467        :\ A46E= 10 F7       .w
TSX              :\ A470= BA          :
LDA &0103,X      :\ A471= BD 03 01    =..
SEC              :\ A474= 38          8
SBC #&4F         :\ A475= E9 4F       iO
PHA              :\ A477= 48          H
LDA &0102,X      :\ A478= BD 02 01    =..
STA &0103,X      :\ A47B= 9D 03 01    ...
LDA &F4          :\ A47E= A5 F4       %t
STA &0104,X      :\ A480= 9D 04 01    ...
PLA              :\ A483= 68          h
TAX              :\ A484= AA          *
LDA &0D68,X      :\ A485= BD 68 0D    =h.
STA &0182        :\ A488= 8D 82 01    ...
LDA &0D69,X      :\ A48B= BD 69 0D    =i.
STA &0183        :\ A48E= 8D 83 01    ...
LDA &0D6A,X      :\ A491= BD 6A 0D    =j.
STA &017A        :\ A494= 8D 7A 01    .z.
CMP #&FF         :\ A497= C9 FF       I.
PLA              :\ A499= 68          h
TAX              :\ A49A= AA          *
PLA              :\ A49B= 68          h
PLA              :\ A49C= 68          h
BCC LA4A2        :\ A49D= 90 03       ..
JMP &0181        :\ A49F= 4C 81 01    L..
 
.LA4A2
JMP &0178        :\ A4A2= 4C 78 01    Lx.
 
.LA4A5
PHA              :\ A4A5= 48          H
LDA #&00         :\ A4A6= A9 00       ).
STA &F4          :\ A4A8= 85 F4       .t
STA &FE30        :\ A4AA= 8D 30 FE    .0~
PLA              :\ A4AD= 68          h
JSR &0000        :\ A4AE= 20 00 00     ..
STA &0D86        :\ A4B1= 8D 86 0D    ...
PLA              :\ A4B4= 68          h
STA &F4          :\ A4B5= 85 F4       .t
STA &FE30        :\ A4B7= 8D 30 FE    .0~
LDA &0D86        :\ A4BA= AD 86 0D    -..
RTS              :\ A4BD= 60          `
 
.LA4BE
TRB &A6          :\ A4BE= 17 A6       .&
STZ &D8A5        :\ A4C0= 9C A5 D8    .%X
LDA &D2          :\ A4C3= A5 D2       %R
LDA &6C          :\ A4C5= A5 6C       %l
LDX &DE          :\ A4C7= A6 DE       &^
LDA &02          :\ A4C9= A5 02       %.
LDY &A9          :\ A4CB= A7 A9       ')
ORA (&A6,X)      :\ A4CD= 01 A6       .&
PLA              :\ A4CF= 68          h
CPX #&03         :\ A4D0= E0 03       `.
BNE LA4D6        :\ A4D2= D0 02       P.
LDA #&02         :\ A4D4= A9 02       ).
.LA4D6
STA &0D8B        :\ A4D6= 8D 8B 0D    ...
JSR L8620        :\ A4D9= 20 20 86      .
STX &68          :\ A4DC= 86 68       .h
STY &69          :\ A4DE= 84 69       .i
LDA &F4          :\ A4E0= A5 F4       %t
STA &0D83        :\ A4E2= 8D 83 0D    ...
LDA &0D81        :\ A4E5= AD 81 0D    -..
STA &0D80        :\ A4E8= 8D 80 0D    ...
JMP L8788        :\ A4EB= 4C 88 87    L..
 
.LA4EE
LSR &0D8A        :\ A4EE= 4E 8A 0D    N..
DEY              :\ A4F1= 88          .
.LA4F2
INY              :\ A4F2= C8          H
LDA (&F2),Y      :\ A4F3= B1 F2       1r
CMP #&20         :\ A4F5= C9 20       I 
BEQ LA4F2        :\ A4F7= F0 F9       py
CMP #&2D         :\ A4F9= C9 2D       I-
BNE LA55E        :\ A4FB= D0 61       Pa
LDX #&00         :\ A4FD= A2 00       ".
INY              :\ A4FF= C8          H
STY &0D87        :\ A500= 8C 87 0D    ...
.LA503
TXA              :\ A503= 8A          .
CLC              :\ A504= 18          .
ADC #&08         :\ A505= 69 08       i.
STA &0D86        :\ A507= 8D 86 0D    ...
.LA50A
LDA (&F2),Y      :\ A50A= B1 F2       1r
CMP #&2D         :\ A50C= C9 2D       I-
BEQ LA54A        :\ A50E= F0 3A       p:
CPX &0D86        :\ A510= EC 86 0D    l..
BEQ LA520        :\ A513= F0 0B       p.
AND #&DF         :\ A515= 29 DF       )_
CMP LA1E4,X      :\ A517= DD E4 A1    ]d!
BNE LA520        :\ A51A= D0 04       P.
INX              :\ A51C= E8          h
INY              :\ A51D= C8          H
BNE LA50A        :\ A51E= D0 EA       Pj
.LA520
LDA &0D86        :\ A520= AD 86 0D    -..
CLC              :\ A523= 18          .
ADC #&03         :\ A524= 69 03       i.
LDY &0D87        :\ A526= AC 87 0D    ,..
TAX              :\ A529= AA          *
LDA LA1E4,X      :\ A52A= BD E4 A1    =d!
BNE LA503        :\ A52D= D0 D4       PT
.LA52F
JSR L8F94        :\ A52F= 20 94 8F     ..
SED              :\ A532= F8          x
EQUB &42         :\ A533= 42          B
ADC (&64,X)      :\ A534= 61 64       ad
JSR &6966        :\ A536= 20 66 69     fi
JMP (&6E69)      :\ A539= 6C 69 6E    lin
 
EQUB &67         :\ A53C= 67          g
JSR &7973        :\ A53D= 20 73 79     sy
EQUB &73         :\ A540= 73          s
STZ &65,X        :\ A541= 74 65       te
ADC &6E20        :\ A543= 6D 20 6E    m n
ADC (&6D,X)      :\ A546= 61 6D       am
ADC &00          :\ A548= 65 00       e.
.LA54A
CPX &0D86        :\ A54A= EC 86 0D    l..
BEQ LA556        :\ A54D= F0 07       p.
LDA LA1E4,X      :\ A54F= BD E4 A1    =d!
CMP #&20         :\ A552= C9 20       I 
BNE LA520        :\ A554= D0 CA       PJ
.LA556
LDX &0D86        :\ A556= AE 86 0D    ...
LDA LA1E6,X      :\ A559= BD E6 A1    =f!
INY              :\ A55C= C8          H
RTS              :\ A55D= 60          `
 
.LA55E
LDA &0D80        :\ A55E= AD 80 0D    -..
BIT &0D8A        :\ A561= 2C 8A 0D    ,..
BVC LA569        :\ A564= 50 03       P.
LDA &0D81        :\ A566= AD 81 0D    -..
.LA569
RTS              :\ A569= 60          `
 
.LA56A
PHA              :\ A56A= 48          H
TXA              :\ A56B= 8A          .
PHA              :\ A56C= 48          H
TYA              :\ A56D= 98          .
PHA              :\ A56E= 48          H
LDY #&00         :\ A56F= A0 00        .
.LA571
LDA LA1E4,Y      :\ A571= B9 E4 A1    9d!
BEQ LA590        :\ A574= F0 1A       p.
PLA              :\ A576= 68          h
PHA              :\ A577= 48          H
CMP LA1EC,Y      :\ A578= D9 EC A1    Yl!
BCC LA584        :\ A57B= 90 07       ..
CMP LA1ED,Y      :\ A57D= D9 ED A1    Ym!
BEQ LA58B        :\ A580= F0 09       p.
BCC LA58B        :\ A582= 90 07       ..
.LA584
TYA              :\ A584= 98          .
CLC              :\ A585= 18          .
ADC #&0B         :\ A586= 69 0B       i.
TAY              :\ A588= A8          (
BNE LA571        :\ A589= D0 E6       Pf
.LA58B
LDA LA1EE,Y      :\ A58B= B9 EE A1    9n!
BNE LA593        :\ A58E= D0 03       P.
.LA590
LDA &0D80        :\ A590= AD 80 0D    -..
.LA593
JSR LA275        :\ A593= 20 75 A2     u"
PLA              :\ A596= 68          h
TAY              :\ A597= A8          (
PLA              :\ A598= 68          h
TAX              :\ A599= AA          *
PLA              :\ A59A= 68          h
RTS              :\ A59B= 60          `
 
CPY #&00         :\ A59C= C0 00       @.
BNE LA5CC        :\ A59E= D0 2C       P,
CMP #&04         :\ A5A0= C9 04       I.
BCS LA5CC        :\ A5A2= B0 28       0(
CMP #&00         :\ A5A4= C9 00       I.
BNE LA5AC        :\ A5A6= D0 04       P.
LDA &0D80        :\ A5A8= AD 80 0D    -..
RTS              :\ A5AB= 60          `
 
.LA5AC
CMP #&02         :\ A5AC= C9 02       I.
BNE LA5B3        :\ A5AE= D0 03       P.
LDA #&01         :\ A5B0= A9 01       ).
RTS              :\ A5B2= 60          `
 
.LA5B3
BCS LA5C8        :\ A5B3= B0 13       0.
LDA &0D88        :\ A5B5= AD 88 0D    -..
STA &00,X        :\ A5B8= 95 00       ..
LDA &0D89        :\ A5BA= AD 89 0D    -..
STA &01,X        :\ A5BD= 95 01       ..
LDA #&FF         :\ A5BF= A9 FF       ).
STA &02,X        :\ A5C1= 95 02       ..
STA &03,X        :\ A5C3= 95 03       ..
LDA #&02         :\ A5C5= A9 02       ).
RTS              :\ A5C7= 60          `
 
.LA5C8
LDA &0D82        :\ A5C8= AD 82 0D    -..
RTS              :\ A5CB= 60          `
 
.LA5CC
JSR LA56A        :\ A5CC= 20 6A A5     j%
JMP LA450        :\ A5CF= 4C 50 A4    LP$
 
JSR LA56A        :\ A5D2= 20 6A A5     j%
JMP LA456        :\ A5D5= 4C 56 A4    LV$
 
JSR LA56A        :\ A5D8= 20 6A A5     j%
JMP LA453        :\ A5DB= 4C 53 A4    LS$
 
CMP #&00         :\ A5DE= C9 00       I.
BNE LA5E8        :\ A5E0= D0 06       P.
JSR LA56A        :\ A5E2= 20 6A A5     j%
JMP LA45C        :\ A5E5= 4C 5C A4    L\$
 
.LA5E8
JSR LA5EE        :\ A5E8= 20 EE A5     n%
JMP LA45C        :\ A5EB= 4C 5C A4    L\$
 
.LA5EE
PHA              :\ A5EE= 48          H
LDA &F2          :\ A5EF= A5 F2       %r
PHA              :\ A5F1= 48          H
LDA &F3          :\ A5F2= A5 F3       %s
PHA              :\ A5F4= 48          H
STX &F2          :\ A5F5= 86 F2       .r
STY &F3          :\ A5F7= 84 F3       .s
LDY #&00         :\ A5F9= A0 00        .
JSR LA4EE        :\ A5FB= 20 EE A4     n$
TAX              :\ A5FE= AA          *
TYA              :\ A5FF= 98          .
PHA              :\ A600= 48          H
TXA              :\ A601= 8A          .
JSR LA275        :\ A602= 20 75 A2     u"
PLA              :\ A605= 68          h
CLC              :\ A606= 18          .
ADC &F2          :\ A607= 65 F2       er
TAX              :\ A609= AA          *
LDA &F3          :\ A60A= A5 F3       %s
ADC #&00         :\ A60C= 69 00       i.
TAY              :\ A60E= A8          (
PLA              :\ A60F= 68          h
STA &F3          :\ A610= 85 F3       .s
PLA              :\ A612= 68          h
STA &F2          :\ A613= 85 F2       .r
PLA              :\ A615= 68          h
RTS              :\ A616= 60          `
 
STA &0D86        :\ A617= 8D 86 0D    ...
TYA              :\ A61A= 98          .
PHA              :\ A61B= 48          H
TXA              :\ A61C= 8A          .
PHA              :\ A61D= 48          H
LDA &0D86        :\ A61E= AD 86 0D    -..
PHA              :\ A621= 48          H
STX &F2          :\ A622= 86 F2       .r
STY &F3          :\ A624= 84 F3       .s
LDY #&00         :\ A626= A0 00        .
.LA628
LDA (&F2),Y      :\ A628= B1 F2       1r
STA &02ED,Y      :\ A62A= 99 ED 02    .m.
INY              :\ A62D= C8          H
CPY #&12         :\ A62E= C0 12       @.
BNE LA628        :\ A630= D0 F6       Pv
LDX &02ED        :\ A632= AE ED 02    .m.
LDY &02EE        :\ A635= AC EE 02    ,n.
JSR LA5EE        :\ A638= 20 EE A5     n%
STX &02ED        :\ A63B= 8E ED 02    .m.
STY &02EE        :\ A63E= 8C EE 02    .n.
LDX #&ED         :\ A641= A2 ED       "m
LDY #&02         :\ A643= A0 02        .
PLA              :\ A645= 68          h
CMP #&07         :\ A646= C9 07       I.
BNE LA64C        :\ A648= D0 02       P.
LDA #&00         :\ A64A= A9 00       ).
.LA64C
JSR LA44D        :\ A64C= 20 4D A4     M$
STA &0D86        :\ A64F= 8D 86 0D    ...
PLA              :\ A652= 68          h
STA &F2          :\ A653= 85 F2       .r
PLA              :\ A655= 68          h
STA &F3          :\ A656= 85 F3       .s
LDY #&11         :\ A658= A0 11        .
.LA65A
LDA &02ED,Y      :\ A65A= B9 ED 02    9m.
STA (&F2),Y      :\ A65D= 91 F2       .r
DEY              :\ A65F= 88          .
CPY #&01         :\ A660= C0 01       @.
BNE LA65A        :\ A662= D0 F6       Pv
LDX &F2          :\ A664= A6 F2       &r
LDY &F3          :\ A666= A4 F3       $s
LDA &0D86        :\ A668= AD 86 0D    -..
RTS              :\ A66B= 60          `
 
CMP #&00         :\ A66C= C9 00       I.
BEQ LA6AD        :\ A66E= F0 3D       p=
CMP #&05         :\ A670= C9 05       I.
BCS LA6AD        :\ A672= B0 39       09
STA &0D86        :\ A674= 8D 86 0D    ...
LDA &F2          :\ A677= A5 F2       %r
PHA              :\ A679= 48          H
LDA &F3          :\ A67A= A5 F3       %s
PHA              :\ A67C= 48          H
STX &F2          :\ A67D= 86 F2       .r
STY &F3          :\ A67F= 84 F3       .s
LDA &0D86        :\ A681= AD 86 0D    -..
PHA              :\ A684= 48          H
LDY #&00         :\ A685= A0 00        .
LDA (&F2),Y      :\ A687= B1 F2       1r
TAY              :\ A689= A8          (
JSR LA56A        :\ A68A= 20 6A A5     j%
PLA              :\ A68D= 68          h
STA &0D86        :\ A68E= 8D 86 0D    ...
LDX &F2          :\ A691= A6 F2       &r
LDY &F3          :\ A693= A4 F3       $s
PLA              :\ A695= 68          h
STA &F3          :\ A696= 85 F3       .s
PLA              :\ A698= 68          h
STA &F2          :\ A699= 85 F2       .r
LDA &0D81        :\ A69B= AD 81 0D    -..
BEQ LA6A7        :\ A69E= F0 07       p.
CMP #&04         :\ A6A0= C9 04       I.
BCS LA6A7        :\ A6A2= B0 03       0.
JMP LA7ED        :\ A6A4= 4C ED A7    Lm'
 
.LA6A7
LDA &0D86        :\ A6A7= AD 86 0D    -..
JMP LA459        :\ A6AA= 4C 59 A4    LY$
 
.LA6AD
PHA              :\ A6AD= 48          H
TYA              :\ A6AE= 98          .
PHA              :\ A6AF= 48          H
TXA              :\ A6B0= 8A          .
PHA              :\ A6B1= 48          H
LDA &0D80        :\ A6B2= AD 80 0D    -..
JSR LA275        :\ A6B5= 20 75 A2     u"
PLA              :\ A6B8= 68          h
TAX              :\ A6B9= AA          *
PLA              :\ A6BA= 68          h
TAY              :\ A6BB= A8          (
PLA              :\ A6BC= 68          h
JMP LA459        :\ A6BD= 4C 59 A4    LY$
 
.LA6C0
AND (&A7,X)      :\ A6C0= 21 A7       !'
AND (&A7)        :\ A6C2= 32 A7       2'
LSR &A7          :\ A6C4= 46 A7       F'
LSR &46A7,X      :\ A6C6= 5E A7 46    ^'F
LDY &53          :\ A6C9= A7 53       'S
LDY &2C          :\ A6CB= A7 2C       ',
LDY &2C          :\ A6CD= A7 2C       ',
LDY &78          :\ A6CF= A7 78       'x
LDY &86          :\ A6D1= A7 86       '.
SBC (&84)        :\ A6D3= F2 84       r.
EQUB &F3         :\ A6D5= F3          s
LDY #&FF         :\ A6D6= A0 FF        .
.LA6D8
INY              :\ A6D8= C8          H
LDA (&F2),Y      :\ A6D9= B1 F2       1r
CMP #&0D         :\ A6DB= C9 0D       I.
BEQ LA6E3        :\ A6DD= F0 04       p.
CMP #&20         :\ A6DF= C9 20       I 
BNE LA6D8        :\ A6E1= D0 F5       Pu
.LA6E3
DEY              :\ A6E3= 88          .
.LA6E4
INY              :\ A6E4= C8          H
LDA (&F2),Y      :\ A6E5= B1 F2       1r
CMP #&20         :\ A6E7= C9 20       I 
BEQ LA6E4        :\ A6E9= F0 F9       py
TYA              :\ A6EB= 98          .
CLC              :\ A6EC= 18          .
ADC &F2          :\ A6ED= 65 F2       er
STA &0D88        :\ A6EF= 8D 88 0D    ...
LDA &F3          :\ A6F2= A5 F3       %s
ADC #&00         :\ A6F4= 69 00       i.
STA &0D89        :\ A6F6= 8D 89 0D    ...
LDY &F3          :\ A6F9= A4 F3       $s
STX &0D8D        :\ A6FB= 8E 8D 0D    ...
STY &0D8E        :\ A6FE= 8C 8E 0D    ...
RTS              :\ A701= 60          `
 
LSR &0D8A        :\ A702= 4E 8A 0D    N..
CMP #&09         :\ A705= C9 09       I.
BCS LA71E        :\ A707= B0 15       0.
PHA              :\ A709= 48          H
STA &0D86        :\ A70A= 8D 86 0D    ...
TXA              :\ A70D= 8A          .
PHA              :\ A70E= 48          H
LDA &0D86        :\ A70F= AD 86 0D    -..
ASL A            :\ A712= 0A          .
TAX              :\ A713= AA          *
LDA LA6C1,X      :\ A714= BD C1 A6    =A&
PHA              :\ A717= 48          H
LDA LA6C0,X      :\ A718= BD C0 A6    =@&
PHA              :\ A71B= 48          H
PHP              :\ A71C= 08          .
RTI              :\ A71D= 40          @
 
.LA71E
JMP LA45F        :\ A71E= 4C 5F A4    L_$
 
BIT &0D8A        :\ A721= 2C 8A 0D    ,..
BVS LA72C        :\ A724= 70 06       p.
LDA &0D80        :\ A726= AD 80 0D    -..
JSR LA275        :\ A729= 20 75 A2     u"
.LA72C
PLA              :\ A72C= 68          h
TAX              :\ A72D= AA          *
PLA              :\ A72E= 68          h
JMP LA45F        :\ A72F= 4C 5F A4    L_$
 
PLA              :\ A732= 68          h
PHA              :\ A733= 48          H
STA &0D86        :\ A734= 8D 86 0D    ...
TYA              :\ A737= 98          .
PHA              :\ A738= 48          H
LDY &0D86        :\ A739= AC 86 0D    ,..
JSR LA56A        :\ A73C= 20 6A A5     j%
PLA              :\ A73F= 68          h
TAY              :\ A740= A8          (
PLA              :\ A741= 68          h
TAX              :\ A742= AA          *
PLA              :\ A743= 68          h
BNE LA71E        :\ A744= D0 D8       PX
PLA              :\ A746= 68          h
TAX              :\ A747= AA          *
JSR LA6D2        :\ A748= 20 D2 A6     R&
ASL &0D8A        :\ A74B= 0E 8A 0D    ...
JSR LA5EE        :\ A74E= 20 EE A5     n%
BNE LA769        :\ A751= D0 16       P.
PLA              :\ A753= 68          h
TAX              :\ A754= AA          *
ASL &0D8A        :\ A755= 0E 8A 0D    ...
JSR LA5EE        :\ A758= 20 EE A5     n%
PLA              :\ A75B= 68          h
BNE LA71E        :\ A75C= D0 C0       P@
TSX              :\ A75E= BA          :
INX              :\ A75F= E8          h
INX              :\ A760= E8          h
STX &0D8F        :\ A761= 8E 8F 0D    ...
PLA              :\ A764= 68          h
TAX              :\ A765= AA          *
JSR LA6D2        :\ A766= 20 D2 A6     R&
.LA769
DEC &0D8C        :\ A769= CE 8C 0D    N..
PLA              :\ A76C= 68          h
JSR LA71E        :\ A76D= 20 1E A7     .'
PHA              :\ A770= 48          H
LDA #&00         :\ A771= A9 00       ).
STA &0D8C        :\ A773= 8D 8C 0D    ...
PLA              :\ A776= 68          h
RTS              :\ A777= 60          `
 
ASL &0D8A        :\ A778= 0E 8A 0D    ...
PLA              :\ A77B= 68          h
TAX              :\ A77C= AA          *
PLA              :\ A77D= 68          h
BNE LA71E        :\ A77E= D0 9E       P.
.LA780
LDA &0D81        :\ A780= AD 81 0D    -..
PHA              :\ A783= 48          H
LDX #&00         :\ A784= A2 00       ".
.LA786
LDA LA1E4,X      :\ A786= BD E4 A1    =d!
BEQ LA7A0        :\ A789= F0 15       p.
LDA LA1EE,X      :\ A78B= BD EE A1    =n!
JSR LA275        :\ A78E= 20 75 A2     u"
TXA              :\ A791= 8A          .
PHA              :\ A792= 48          H
LDA #&00         :\ A793= A9 00       ).
TAY              :\ A795= A8          (
JSR LA45C        :\ A796= 20 5C A4     \$
PLA              :\ A799= 68          h
CLC              :\ A79A= 18          .
ADC #&0B         :\ A79B= 69 0B       i.
TAX              :\ A79D= AA          *
BNE LA786        :\ A79E= D0 E6       Pf
.LA7A0
PLA              :\ A7A0= 68          h
JSR LA275        :\ A7A1= 20 75 A2     u"
JMP LA2CE        :\ A7A4= 4C CE A2    LN"
 
.LA7A7
LDX &0D8F        :\ A7A7= AE 8F 0D    ...
TXS              :\ A7AA= 9A          .
LDA &0D8C        :\ A7AB= AD 8C 0D    -..
STA &028C        :\ A7AE= 8D 8C 02    ...
LDA #&00         :\ A7B1= A9 00       ).
STA &0D8C        :\ A7B3= 8D 8C 0D    ...
LDA &0D86        :\ A7B6= AD 86 0D    -..
STA &0202        :\ A7B9= 8D 02 02    ...
LDA &0D87        :\ A7BC= AD 87 0D    -..
STA &0203        :\ A7BF= 8D 03 02    ...
LDA &0D82        :\ A7C2= AD 82 0D    -..
JSR LA275        :\ A7C5= 20 75 A2     u"
LDX &0D8D        :\ A7C8= AE 8D 0D    ...
LDY &0D8E        :\ A7CB= AC 8E 0D    ,..
LDA #&02         :\ A7CE= A9 02       ).
JMP LA45F        :\ A7D0= 4C 5F A4    L_$
 
.LA7D3
PHP              :\ A7D3= 08          .
LDY #&00         :\ A7D4= A0 00        .
.LA7D6
LDA &02ED,Y      :\ A7D6= B9 ED 02    9m.
STA (&F2),Y      :\ A7D9= 91 F2       .r
INY              :\ A7DB= C8          H
CPY #&09         :\ A7DC= C0 09       @.
BNE LA7D6        :\ A7DE= D0 F6       Pv
PLP              :\ A7E0= 28          (
.LA7E1
LDX &F2          :\ A7E1= A6 F2       &r
LDY &F3          :\ A7E3= A4 F3       $s
PLA              :\ A7E5= 68          h
STA &F2          :\ A7E6= 85 F2       .r
PLA              :\ A7E8= 68          h
STA &F3          :\ A7E9= 85 F3       .s
PLA              :\ A7EB= 68          h
RTS              :\ A7EC= 60          `
 
.LA7ED
LDA &0D86        :\ A7ED= AD 86 0D    -..
PHA              :\ A7F0= 48          H
LDA &F3          :\ A7F1= A5 F3       %s
PHA              :\ A7F3= 48          H
LDA &F2          :\ A7F4= A5 F2       %r
PHA              :\ A7F6= 48          H
LDA &0D86        :\ A7F7= AD 86 0D    -..
CMP #&04         :\ A7FA= C9 04       I.
BEQ LA856        :\ A7FC= F0 58       pX
CMP #&02         :\ A7FE= C9 02       I.
BNE LA7E1        :\ A800= D0 DF       P_
LDA &0D81        :\ A802= AD 81 0D    -..
CMP #&03         :\ A805= C9 03       I.
BEQ LA7E1        :\ A807= F0 D8       pX
JSR LA8A8        :\ A809= 20 A8 A8     ((
LDA #&00         :\ A80C= A9 00       ).
STA &68          :\ A80E= 85 68       .h
LDA &027A        :\ A810= AD 7A 02    -z.
BEQ LA826        :\ A813= F0 11       p.
LDA &02F0        :\ A815= AD F0 02    -p.
AND &02F1        :\ A818= 2D F1 02    -q.
CMP #&FF         :\ A81B= C9 FF       I.
BEQ LA826        :\ A81D= F0 07       p.
JSR LA8F2        :\ A81F= 20 F2 A8     r(
DEC &68          :\ A822= C6 68       Fh
BNE LA830        :\ A824= D0 0A       P.
.LA826
LDA &02EE        :\ A826= AD EE 02    -n.
STA &69          :\ A829= 85 69       .i
LDA &02EF        :\ A82B= AD EF 02    -o.
STA &6A          :\ A82E= 85 6A       .j
.LA830
JSR LA8B7        :\ A830= 20 B7 A8     7(
CLC              :\ A833= 18          .
BEQ LA7D3        :\ A834= F0 9D       p.
JSR LA8C4        :\ A836= 20 C4 A8     D(
BIT &68          :\ A839= 24 68       $h
BPL LA843        :\ A83B= 10 06       ..
LDA &FEE5        :\ A83D= AD E5 FE    -e~
JMP LA84D        :\ A840= 4C 4D A8    LM(
 
.LA843
LDY #&00         :\ A843= A0 00        .
LDA (&69),Y      :\ A845= B1 69       1i
INC &68          :\ A847= E6 68       fh
BNE LA84D        :\ A849= D0 02       P.
INC &69          :\ A84B= E6 69       fi
.LA84D
LDY &02ED        :\ A84D= AC ED 02    ,m.
JSR OSBPUT       :\ A850= 20 D4 FF     T.
JMP LA830        :\ A853= 4C 30 A8    L0(
 
.LA856
JSR LA8A8        :\ A856= 20 A8 A8     ((
LDA #&00         :\ A859= A9 00       ).
STA &68          :\ A85B= 85 68       .h
LDA &027A        :\ A85D= AD 7A 02    -z.
BEQ LA873        :\ A860= F0 11       p.
LDA &02F0        :\ A862= AD F0 02    -p.
AND &02F1        :\ A865= 2D F1 02    -q.
CMP #&FF         :\ A868= C9 FF       I.
BEQ LA873        :\ A86A= F0 07       p.
JSR LA8F6        :\ A86C= 20 F6 A8     v(
DEC &68          :\ A86F= C6 68       Fh
BNE LA87D        :\ A871= D0 0A       P.
.LA873
LDA &02EE        :\ A873= AD EE 02    -n.
STA &69          :\ A876= 85 69       .i
LDA &02EF        :\ A878= AD EF 02    -o.
STA &6A          :\ A87B= 85 6A       .j
.LA87D
JSR LA8B7        :\ A87D= 20 B7 A8     7(
CLC              :\ A880= 18          .
BNE LA886        :\ A881= D0 03       P.
.LA883
JMP LA7D3        :\ A883= 4C D3 A7    LS'
 
.LA886
LDY &02ED        :\ A886= AC ED 02    ,m.
JSR OSBGET       :\ A889= 20 D7 FF     W.
BCS LA883        :\ A88C= B0 F5       0u
BIT &68          :\ A88E= 24 68       $h
BPL LA898        :\ A890= 10 06       ..
STA &FEE5        :\ A892= 8D E5 FE    .e~
JMP LA8A2        :\ A895= 4C A2 A8    L"(
 
.LA898
LDY #&00         :\ A898= A0 00        .
STA (&69),Y      :\ A89A= 91 69       .i
INC &69          :\ A89C= E6 69       fi
BNE LA8A2        :\ A89E= D0 02       P.
INC &6A          :\ A8A0= E6 6A       fj
.LA8A2
JSR LA8C4        :\ A8A2= 20 C4 A8     D(
JMP LA873        :\ A8A5= 4C 73 A8    Ls(
 
.LA8A8
STX &F2          :\ A8A8= 86 F2       .r
STY &F3          :\ A8AA= 84 F3       .s
LDY #&08         :\ A8AC= A0 08        .
.LA8AE
LDA (&F2),Y      :\ A8AE= B1 F2       1r
STA &02ED,Y      :\ A8B0= 99 ED 02    .m.
DEY              :\ A8B3= 88          .
BPL LA8AE        :\ A8B4= 10 F8       .x
RTS              :\ A8B6= 60          `
 
.LA8B7
LDA &02F2        :\ A8B7= AD F2 02    -r.
ORA &02F3        :\ A8BA= 0D F3 02    .s.
ORA &02F4        :\ A8BD= 0D F4 02    .t.
ORA &02F5        :\ A8C0= 0D F5 02    .u.
RTS              :\ A8C3= 60          `
 
.LA8C4
INC &02EE        :\ A8C4= EE EE 02    nn.
BNE LA8D6        :\ A8C7= D0 0D       P.
INC &02EF        :\ A8C9= EE EF 02    no.
BNE LA8D6        :\ A8CC= D0 08       P.
INC &02F0        :\ A8CE= EE F0 02    np.
BNE LA8D6        :\ A8D1= D0 03       P.
INC &02F1        :\ A8D3= EE F1 02    nq.
.LA8D6
LDA &02F2        :\ A8D6= AD F2 02    -r.
BNE LA8EE        :\ A8D9= D0 13       P.
LDA &02F3        :\ A8DB= AD F3 02    -s.
BNE LA8EB        :\ A8DE= D0 0B       P.
LDA &02F4        :\ A8E0= AD F4 02    -t.
BNE LA8E8        :\ A8E3= D0 03       P.
DEC &02F5        :\ A8E5= CE F5 02    Nu.
.LA8E8
DEC &02F4        :\ A8E8= CE F4 02    Nt.
.LA8EB
DEC &02F3        :\ A8EB= CE F3 02    Ns.
.LA8EE
DEC &02F2        :\ A8EE= CE F2 02    Nr.
RTS              :\ A8F1= 60          `
 
.LA8F2
LDA #&00         :\ A8F2= A9 00       ).
BEQ LA8F8        :\ A8F4= F0 02       p.
.LA8F6
LDA #&01         :\ A8F6= A9 01       ).
.LA8F8
LDX #&EE         :\ A8F8= A2 EE       "n
LDY #&02         :\ A8FA= A0 02        .
JMP &0406        :\ A8FC= 4C 06 04    L..
 
LDA &0D81        :\ A8FF= AD 81 0D    -..
CMP #&04         :\ A902= C9 04       I.
BCS LA909        :\ A904= B0 03       0.
JMP L8F84        :\ A906= 4C 84 8F    L..
 
.LA909
LDY &AA          :\ A909= A4 AA       $*
JMP L8369        :\ A90B= 4C 69 83    Li.
 
LDA &0D81        :\ A90E= AD 81 0D    -..
BEQ LA909        :\ A911= F0 F6       pv
CMP #&04         :\ A913= C9 04       I.
BEQ LA93A        :\ A915= F0 23       p#
BCS LA909        :\ A917= B0 F0       0p
INC &0D8C        :\ A919= EE 8C 0D    n..
LDA &E3          :\ A91C= A5 E3       %c
STA &0D8F        :\ A91E= 8D 8F 0D    ...
ORA #&C0         :\ A921= 09 C0       .@
STA &E3          :\ A923= 85 E3       .c
JSR L9086        :\ A925= 20 86 90     ..
LDX &F2          :\ A928= A6 F2       &r
LDY &F3          :\ A92A= A4 F3       $s
LDA #&05         :\ A92C= A9 05       ).
JSR LA45F        :\ A92E= 20 5F A4     _$
LDA &0D8F        :\ A931= AD 8F 0D    -..
STA &E3          :\ A934= 85 E3       .c
DEC &0D8C        :\ A936= CE 8C 0D    N..
RTS              :\ A939= 60          `
 
.LA93A
JSR L9086        :\ A93A= 20 86 90     ..
JSR LABFE        :\ A93D= 20 FE AB     ~+
LDA &AB          :\ A940= A5 AB       %+
PHA              :\ A942= 48          H
LDA &A9          :\ A943= A5 A9       %)
AND #&0F         :\ A945= 29 0F       ).
PHA              :\ A947= 48          H
LDA (&F2),Y      :\ A948= B1 F2       1r
CMP #&3A         :\ A94A= C9 3A       I:
BNE LA97D        :\ A94C= D0 2F       P/
INY              :\ A94E= C8          H
LDA (&F2),Y      :\ A94F= B1 F2       1r
CMP #&30         :\ A951= C9 30       I0
BCC LA959        :\ A953= 90 04       ..
CMP #&34         :\ A955= C9 34       I4
BCC LA967        :\ A957= 90 0E       ..
.LA959
JSR L8F94        :\ A959= 20 94 8F     ..
CMP &6142        :\ A95C= CD 42 61    MBa
STZ &20          :\ A95F= 64 20       d 
STZ &72          :\ A961= 64 72       dr
ADC #&76         :\ A963= 69 76       iv
ADC &00          :\ A965= 65 00       e.
.LA967
AND #&0F         :\ A967= 29 0F       ).
TAX              :\ A969= AA          *
PLA              :\ A96A= 68          h
PLA              :\ A96B= 68          h
LDA #&24         :\ A96C= A9 24       )$
PHA              :\ A96E= 48          H
TXA              :\ A96F= 8A          .
PHA              :\ A970= 48          H
INY              :\ A971= C8          H
LDA (&F2),Y      :\ A972= B1 F2       1r
CMP #&21         :\ A974= C9 21       I!
BCC LA98C        :\ A976= 90 14       ..
CMP #&2E         :\ A978= C9 2E       I.
BNE LA959        :\ A97A= D0 DD       P]
INY              :\ A97C= C8          H
.LA97D
LDA (&F2),Y      :\ A97D= B1 F2       1r
CMP #&20         :\ A97F= C9 20       I 
BCC LA98C        :\ A981= 90 09       ..
PLA              :\ A983= 68          h
TAX              :\ A984= AA          *
PLA              :\ A985= 68          h
LDA (&F2),Y      :\ A986= B1 F2       1r
INY              :\ A988= C8          H
PHA              :\ A989= 48          H
TXA              :\ A98A= 8A          .
PHA              :\ A98B= 48          H
.LA98C
JSR L8F75        :\ A98C= 20 75 8F     u.
PLA              :\ A98F= 68          h
JSR LAB76        :\ A990= 20 76 AB     v+
PLA              :\ A993= 68          h
STA &A8          :\ A994= 85 A8       .(
CMP #&2A         :\ A996= C9 2A       I*
BEQ LA99E        :\ A998= F0 04       p.
CMP #&23         :\ A99A= C9 23       I#
BNE LA9A2        :\ A99C= D0 04       P.
.LA99E
LDA #&FF         :\ A99E= A9 FF       ).
STA &A8          :\ A9A0= 85 A8       .(
.LA9A2
LDX #&00         :\ A9A2= A2 00       ".
BEQ LA9A9        :\ A9A4= F0 03       p.
.LA9A6
JMP LAA53        :\ A9A6= 4C 53 AA    LS*
 
.LA9A9
CPX &0F05        :\ A9A9= EC 05 0F    l..
BEQ LA9A6        :\ A9AC= F0 F8       px
TXA              :\ A9AE= 8A          .
CLC              :\ A9AF= 18          .
ADC #&08         :\ A9B0= 69 08       i.
TAX              :\ A9B2= AA          *
LDA &0E07,X      :\ A9B3= BD 07 0E    =..
STA &A9          :\ A9B6= 85 A9       .)
AND #&7F         :\ A9B8= 29 7F       ).
BIT &A8          :\ A9BA= 24 A8       $(
BMI LA9C2        :\ A9BC= 30 04       0.
CMP &A8          :\ A9BE= C5 A8       E(
BNE LA9A9        :\ A9C0= D0 E7       Pg
.LA9C2
JSR OSWRCH       :\ A9C2= 20 EE FF     n.
LDA #&2E         :\ A9C5= A9 2E       ).
JSR OSWRCH       :\ A9C7= 20 EE FF     n.
LDY #&09         :\ A9CA= A0 09        .
TXA              :\ A9CC= 8A          .
PHA              :\ A9CD= 48          H
.LA9CE
LDA &0E00,X      :\ A9CE= BD 00 0E    =..
BEQ LA9DF        :\ A9D1= F0 0C       p.
JSR OSWRCH       :\ A9D3= 20 EE FF     n.
DEY              :\ A9D6= 88          .
INX              :\ A9D7= E8          h
TXA              :\ A9D8= 8A          .
AND #&07         :\ A9D9= 29 07       ).
CMP #&07         :\ A9DB= C9 07       I.
BNE LA9CE        :\ A9DD= D0 EF       Po
.LA9DF
JSR L8C36        :\ A9DF= 20 36 8C     6.
DEY              :\ A9E2= 88          .
BNE LA9DF        :\ A9E3= D0 FA       Pz
PLA              :\ A9E5= 68          h
TAX              :\ A9E6= AA          *
LDA #&20         :\ A9E7= A9 20       ) 
BIT &A9          :\ A9E9= 24 A9       $)
BPL LA9EF        :\ A9EB= 10 02       ..
LDA #&4C         :\ A9ED= A9 4C       )L
.LA9EF
JSR OSWRCH       :\ A9EF= 20 EE FF     n.
JSR L8C36        :\ A9F2= 20 36 8C     6.
JSR L8C36        :\ A9F5= 20 36 8C     6.
LDA &0F06,X      :\ A9F8= BD 06 0F    =..
PHA              :\ A9FB= 48          H
LSR A            :\ A9FC= 4A          J
LSR A            :\ A9FD= 4A          J
JSR LAA54        :\ A9FE= 20 54 AA     T*
LDA &0F01,X      :\ AA01= BD 01 0F    =..
JSR L8F1E        :\ AA04= 20 1E 8F     ..
LDA &0F00,X      :\ AA07= BD 00 0F    =..
JSR L8F1E        :\ AA0A= 20 1E 8F     ..
JSR L8C36        :\ AA0D= 20 36 8C     6.
PLA              :\ AA10= 68          h
PHA              :\ AA11= 48          H
ROL A            :\ AA12= 2A          *
ROL A            :\ AA13= 2A          *
ROL A            :\ AA14= 2A          *
JSR LAA54        :\ AA15= 20 54 AA     T*
LDA &0F03,X      :\ AA18= BD 03 0F    =..
JSR L8F1E        :\ AA1B= 20 1E 8F     ..
LDA &0F02,X      :\ AA1E= BD 02 0F    =..
JSR L8F1E        :\ AA21= 20 1E 8F     ..
JSR L8C36        :\ AA24= 20 36 8C     6.
PLA              :\ AA27= 68          h
PHA              :\ AA28= 48          H
LSR A            :\ AA29= 4A          J
LSR A            :\ AA2A= 4A          J
LSR A            :\ AA2B= 4A          J
LSR A            :\ AA2C= 4A          J
AND #&03         :\ AA2D= 29 03       ).
JSR L8F1E        :\ AA2F= 20 1E 8F     ..
LDA &0F05,X      :\ AA32= BD 05 0F    =..
JSR L8F1E        :\ AA35= 20 1E 8F     ..
LDA &0F04,X      :\ AA38= BD 04 0F    =..
JSR L8F1E        :\ AA3B= 20 1E 8F     ..
JSR L8C36        :\ AA3E= 20 36 8C     6.
PLA              :\ AA41= 68          h
AND #&03         :\ AA42= 29 03       ).
JSR L8F29        :\ AA44= 20 29 8F     ).
LDA &0F07,X      :\ AA47= BD 07 0F    =..
JSR L8F1E        :\ AA4A= 20 1E 8F     ..
JSR OSNEWL       :\ AA4D= 20 E7 FF     g.
JMP LA9A9        :\ AA50= 4C A9 A9    L))
 
.LAA53
RTS              :\ AA53= 60          `
 
.LAA54
AND #&03         :\ AA54= 29 03       ).
CMP #&03         :\ AA56= C9 03       I.
BNE LAA5C        :\ AA58= D0 02       P.
LDA #&FF         :\ AA5A= A9 FF       ).
.LAA5C
JMP L8F1E        :\ AA5C= 4C 1E 8F    L..
 
JSR L9086        :\ AA5F= 20 86 90     ..
LDA #&87         :\ AA62= A9 87       ).
JSR OSBYTE       :\ AA64= 20 F4 FF     t.
LDA LAB6E,Y      :\ AA67= B9 6E AB    9n+
STA &A8          :\ AA6A= 85 A8       .(
SEC              :\ AA6C= 38          8
SBC #&81         :\ AA6D= E9 81       i.
EOR #&FF         :\ AA6F= 49 FF       I.
STA &A9          :\ AA71= 85 A9       .)
LDA &F2          :\ AA73= A5 F2       %r
PHA              :\ AA75= 48          H
TAX              :\ AA76= AA          *
LDA &F3          :\ AA77= A5 F3       %s
PHA              :\ AA79= 48          H
TAY              :\ AA7A= A8          (
JSR L9502        :\ AA7B= 20 02 95     ..
STY &0D84        :\ AA7E= 8C 84 0D    ...
PLA              :\ AA81= 68          h
STA &F3          :\ AA82= 85 F3       .s
PLA              :\ AA84= 68          h
STA &F2          :\ AA85= 85 F2       .r
PHA              :\ AA87= 48          H
LDA &F3          :\ AA88= A5 F3       %s
PHA              :\ AA8A= 48          H
LDY #&00         :\ AA8B= A0 00        .
CLC              :\ AA8D= 18          .
JSR &FFC2        :\ AA8E= 20 C2 FF     B.
.LAA91
JSR &FFC5        :\ AA91= 20 C5 FF     E.
BCC LAA91        :\ AA94= 90 FB       .{
JSR L9086        :\ AA96= 20 86 90     ..
LDX &F2          :\ AA99= A6 F2       &r
STX &AA          :\ AA9B= 86 AA       .*
LDY &F3          :\ AA9D= A4 F3       $s
STY &AB          :\ AA9F= 84 AB       .+
LDA #&80         :\ AAA1= A9 80       ).
JSR OSFIND       :\ AAA3= 20 CE FF     N.
STA &0D85        :\ AAA6= 8D 85 0D    ...
CMP #&00         :\ AAA9= C9 00       I.
BNE LAAB9        :\ AAAB= D0 0C       P.
LDY &0D84        :\ AAAD= AC 84 0D    ,..
STA &0D84        :\ AAB0= 8D 84 0D    ...
JSR OSFIND       :\ AAB3= 20 CE FF     N.
JMP L8AB9        :\ AAB6= 4C B9 8A    L9.
 
.LAAB9
LDY #&07         :\ AAB9= A0 07        .
.LAABB
LDA #&00         :\ AABB= A9 00       ).
STA &02EE,Y      :\ AABD= 99 EE 02    .n.
STA &0A81,Y      :\ AAC0= 99 81 0A    ...
DEY              :\ AAC3= 88          .
BPL LAABB        :\ AAC4= 10 F5       .u
LDA &0D84        :\ AAC6= AD 84 0D    -..
STA &02ED        :\ AAC9= 8D ED 02    .m.
LDA &0D85        :\ AACC= AD 85 0D    -..
STA &0A80        :\ AACF= 8D 80 0A    ...
DEC &02F0        :\ AAD2= CE F0 02    Np.
DEC &02F1        :\ AAD5= CE F1 02    Nq.
DEC &0A83        :\ AAD8= CE 83 0A    N..
DEC &0A84        :\ AADB= CE 84 0A    N..
LDA &A8          :\ AADE= A5 A8       %(
STA &02EF        :\ AAE0= 8D EF 02    .o.
STA &0A82        :\ AAE3= 8D 82 0A    ...
LDA &A9          :\ AAE6= A5 A9       %)
STA &02F3        :\ AAE8= 8D F3 02    .s.
STA &0A86        :\ AAEB= 8D 86 0A    ...
LDA #&04         :\ AAEE= A9 04       ).
LDX #&ED         :\ AAF0= A2 ED       "m
LDY #&02         :\ AAF2= A0 02        .
JSR OSGBPB       :\ AAF4= 20 D1 FF     Q.
PHP              :\ AAF7= 08          .
BCC LAB0A        :\ AAF8= 90 10       ..
LDA #&00         :\ AAFA= A9 00       ).
SBC &02F2        :\ AAFC= ED F2 02    mr.
STA &0A85        :\ AAFF= 8D 85 0A    ...
LDA &A9          :\ AB02= A5 A9       %)
SBC &02F3        :\ AB04= ED F3 02    ms.
STA &0A86        :\ AB07= 8D 86 0A    ...
.LAB0A
LDA #&02         :\ AB0A= A9 02       ).
LDX #&80         :\ AB0C= A2 80       ".
LDY #&0A         :\ AB0E= A0 0A        .
JSR OSGBPB       :\ AB10= 20 D1 FF     Q.
PLP              :\ AB13= 28          (
BCC LAAB9        :\ AB14= 90 A3       .#
LDA &0D84        :\ AB16= AD 84 0D    -..
PHA              :\ AB19= 48          H
TAY              :\ AB1A= A8          (
LDA #&00         :\ AB1B= A9 00       ).
STA &0D84        :\ AB1D= 8D 84 0D    ...
JSR OSFIND       :\ AB20= 20 CE FF     N.
LDA &0D85        :\ AB23= AD 85 0D    -..
PHA              :\ AB26= 48          H
TAY              :\ AB27= A8          (
LDA #&00         :\ AB28= A9 00       ).
STA &0D85        :\ AB2A= 8D 85 0D    ...
JSR OSFIND       :\ AB2D= 20 CE FF     N.
PLA              :\ AB30= 68          h
CMP #&04         :\ AB31= C9 04       I.
BCS LAB3A        :\ AB33= B0 05       0.
TAY              :\ AB35= A8          (
PLA              :\ AB36= 68          h
PLA              :\ AB37= 68          h
PLA              :\ AB38= 68          h
RTS              :\ AB39= 60          `
 
.LAB3A
PLA              :\ AB3A= 68          h
CMP #&04         :\ AB3B= C9 04       I.
BCS LAB42        :\ AB3D= B0 03       0.
PLA              :\ AB3F= 68          h
PLA              :\ AB40= 68          h
RTS              :\ AB41= 60          `
 
.LAB42
PLA              :\ AB42= 68          h
STA &02EE        :\ AB43= 8D EE 02    .n.
PLA              :\ AB46= 68          h
STA &02ED        :\ AB47= 8D ED 02    .m.
LDA #&05         :\ AB4A= A9 05       ).
LDX #&ED         :\ AB4C= A2 ED       "m
LDY #&02         :\ AB4E= A0 02        .
JSR OSFILE       :\ AB50= 20 DD FF     ].
LDA &AA          :\ AB53= A5 AA       %*
STA &02ED        :\ AB55= 8D ED 02    .m.
LDA &AB          :\ AB58= A5 AB       %+
STA &02EE        :\ AB5A= 8D EE 02    .n.
LDA &02FB        :\ AB5D= AD FB 02    -{.
AND #&0F         :\ AB60= 29 0F       ).
STA &02FB        :\ AB62= 8D FB 02    .{.
LDA #&01         :\ AB65= A9 01       ).
LDX #&ED         :\ AB67= A2 ED       "m
LDY #&02         :\ AB69= A0 02        .
JMP OSFILE       :\ AB6B= 4C DD FF    L].
 
.LAB6E
BMI LABA0        :\ AB6E= 30 30       00
BMI LABB2        :\ AB70= 30 40       0@
CLI              :\ AB72= 58          X
CLI              :\ AB73= 58          X
RTS              :\ AB74= 60          `
 
JMP (&F08D,X)    :\ AB75= 7C 8D F0    |.p
 
EQUB &02         :\ AB78= 02          .
LDX #&09         :\ AB79= A2 09       ".
.LAB7B
LDA LAB8C,X      :\ AB7B= BD 8C AB    =.+
STA &02F0,X      :\ AB7E= 9D F0 02    .p.
DEX              :\ AB81= CA          J
BNE LAB7B        :\ AB82= D0 F7       Pw
JSR LAC21        :\ AB84= 20 21 AC     !,
LDA &02FA        :\ AB87= AD FA 02    -z.
BNE LAB96        :\ AB8A= D0 0A       P.
.LAB8C
RTS              :\ AB8C= 60          `
 
BRK              :\ AB8D= 00          .
ASL &FFFF        :\ AB8E= 0E FF FF    ...
EQUB &03         :\ AB91= 03          .
EQUB &53         :\ AB92= 53          S
BRK              :\ AB93= 00          .
BRK              :\ AB94= 00          .
EQUB &22         :\ AB95= 22          "
.LAB96
LDY #&1B         :\ AB96= A0 1B        .
.LAB98
LDA LABCA,Y      :\ AB98= B9 CA AB    9J+
STA &0100,Y      :\ AB9B= 99 00 01    ...
DEY              :\ AB9E= 88          .
BPL LAB98        :\ AB9F= 10 F7       .w
LDA &02FA        :\ ABA1= AD FA 02    -z.
LDY #&0D         :\ ABA4= A0 0D        .
JSR LABE6        :\ ABA6= 20 E6 AB     f+
LDA &02F0        :\ ABA9= AD F0 02    -p.
ORA #&30         :\ ABAC= 09 30       .0
BPL LABB5        :\ ABAE= 10 05       ..
JSR LABFE        :\ ABB0= 20 FE AB     ~+
LDA &A9          :\ ABB3= A5 A9       %)
.LABB5
STA &0114        :\ ABB5= 8D 14 01    ...
LDY #&16         :\ ABB8= A0 16        .
LDA &02F7        :\ ABBA= AD F7 02    -w.
JSR LABE6        :\ ABBD= 20 E6 AB     f+
INY              :\ ABC0= C8          H
LDA &02F8        :\ ABC1= AD F8 02    -x.
JSR LABE6        :\ ABC4= 20 E6 AB     f+
JMP &0100        :\ ABC7= 4C 00 01    L..
 
.LABCA
BRK              :\ ABCA= 00          .
CPY &44          :\ ABCB= C7 44       GD
ADC #&73         :\ ABCD= 69 73       is
EQUB &63         :\ ABCF= 63          c
JSR &6166        :\ ABD0= 20 66 61     fa
ADC &6C,X        :\ ABD3= 75 6C       ul
STZ &20,X        :\ ABD5= 74 20       t 
BMI LAC09        :\ ABD7= 30 30       00
JSR &7461        :\ ABD9= 20 61 74     at
JSR &303A        :\ ABDC= 20 3A 30     :0
JSR &3030        :\ ABDF= 20 30 30     00
BBR 2,&30,&AC15  :\ ABE2= 2F 30 30    /00
BRK              :\ ABE5= 00          .
.LABE6
PHA              :\ ABE6= 48          H
LSR A            :\ ABE7= 4A          J
LSR A            :\ ABE8= 4A          J
LSR A            :\ ABE9= 4A          J
LSR A            :\ ABEA= 4A          J
JSR LABF1        :\ ABEB= 20 F1 AB     q+
PLA              :\ ABEE= 68          h
AND #&0F         :\ ABEF= 29 0F       ).
.LABF1
ORA #&30         :\ ABF1= 09 30       .0
CMP #&3A         :\ ABF3= C9 3A       I:
BCC LABF9        :\ ABF5= 90 02       ..
ADC #&06         :\ ABF7= 69 06       i.
.LABF9
STA &0100,Y      :\ ABF9= 99 00 01    ...
INY              :\ ABFC= C8          H
RTS              :\ ABFD= 60          `
 
.LABFE
TYA              :\ ABFE= 98          .
PHA              :\ ABFF= 48          H
LDA #&FF         :\ AC00= A9 FF       ).
STA &AA          :\ AC02= 85 AA       .*
STA &AB          :\ AC04= 85 AB       .+
LDY #&00         :\ AC06= A0 00        .
STY &A9          :\ AC08= 84 A9       .)
LDX #&A8         :\ AC0A= A2 A8       "(
STX &A8          :\ AC0C= 86 A8       .(
DEX              :\ AC0E= CA          J
LDA #&06         :\ AC0F= A9 06       ).
JSR LA459        :\ AC11= 20 59 A4     Y$
PLA              :\ AC14= 68          h
TAY              :\ AC15= A8          (
RTS              :\ AC16= 60          `
 
.LAC17
JMP (&0228)      :\ AC17= 6C 28 02    l(.
 
BBR 2,&21,&AC5F  :\ AC1A= 2F 21 42    /!B
BBR 4,&4F,&AC74  :\ AC1D= 4F 4F 54    OOT
ORA &7FA9        :\ AC20= 0D A9 7F    .).
LDX #&F0         :\ AC23= A2 F0       "p
LDY #&02         :\ AC25= A0 02        .
JMP OSWORD       :\ AC27= 4C F1 FF    Lq.
 
CLC              :\ AC2A= 18          .
BCC LAC2E        :\ AC2B= 90 01       ..
SEC              :\ AC2D= 38          8
.LAC2E
PHP              :\ AC2E= 08          .
LDA &0D81        :\ AC2F= AD 81 0D    -..
CMP #&04         :\ AC32= C9 04       I.
BEQ LAC41        :\ AC34= F0 0B       p.
BCS LAC3B        :\ AC36= B0 03       0.
JMP L8F84        :\ AC38= 4C 84 8F    L..
 
.LAC3B
PLA              :\ AC3B= 68          h
LDY &AA          :\ AC3C= A4 AA       $*
JMP L8369        :\ AC3E= 4C 69 83    Li.
 
.LAC41
JSR LAE6B        :\ AC41= 20 6B AE     k.
PHA              :\ AC44= 48          H
JSR L8F75        :\ AC45= 20 75 8F     u.
PLA              :\ AC48= 68          h
JSR LAB76        :\ AC49= 20 76 AB     v+
PLP              :\ AC4C= 28          (
BCS LAC52        :\ AC4D= B0 03       0.
JMP LACDE        :\ AC4F= 4C DE AC    L^,
 
.LAC52
LDA #&02         :\ AC52= A9 02       ).
STA &A8          :\ AC54= 85 A8       .(
LDA #&00         :\ AC56= A9 00       ).
STA &A9          :\ AC58= 85 A9       .)
JSR L98CA        :\ AC5A= 20 CA 98     J.
EOR (&64,X)      :\ AC5D= 41 64       Ad
STZ &72          :\ AC5F= 64 72       dr
ADC &73          :\ AC61= 65 73       es
EQUB &73         :\ AC63= 73          s
JSR &203A        :\ AC64= 20 3A 20     : 
JSR &654C        :\ AC67= 20 4C 65     Le
ROR &7467        :\ AC6A= 6E 67 74    ngt
PLA              :\ AC6D= 68          h
ORA LAEEA        :\ AC6E= 0D EA AE    .j.
ORA &0F          :\ AC71= 05 0F       ..
.LAC73
SEC              :\ AC73= 38          8
LDA &0F07,X      :\ AC74= BD 07 0F    =..
SBC &A8          :\ AC77= E5 A8       e(
STA &AA          :\ AC79= 85 AA       .*
LDA &0F06,X      :\ AC7B= BD 06 0F    =..
AND #&03         :\ AC7E= 29 03       ).
SBC &A9          :\ AC80= E5 A9       e)
PHA              :\ AC82= 48          H
ORA &AA          :\ AC83= 05 AA       .*
BEQ LACAC        :\ AC85= F0 25       p%
LDA &A9          :\ AC87= A5 A9       %)
JSR L8F29        :\ AC89= 20 29 8F     ).
LDA &A8          :\ AC8C= A5 A8       %(
JSR L8F1E        :\ AC8E= 20 1E 8F     ..
JSR L98CA        :\ AC91= 20 CA 98     J.
JSR &2020        :\ AC94= 20 20 20       
JSR &3A20        :\ AC97= 20 20 3A      :
JSR &EA20        :\ AC9A= 20 20 EA      j
PLA              :\ AC9D= 68          h
JSR L8F29        :\ AC9E= 20 29 8F     ).
LDA &AA          :\ ACA1= A5 AA       %*
JSR L8F1E        :\ ACA3= 20 1E 8F     ..
JSR OSNEWL       :\ ACA6= 20 E7 FF     g.
JMP LACAD        :\ ACA9= 4C AD AC    L-,
 
.LACAC
PLA              :\ ACAC= 68          h
.LACAD
LDA &0F04,X      :\ ACAD= BD 04 0F    =..
CLC              :\ ACB0= 18          .
BEQ LACB4        :\ ACB1= F0 01       p.
SEC              :\ ACB3= 38          8
.LACB4
LDA &0F05,X      :\ ACB4= BD 05 0F    =..
ADC &0F07,X      :\ ACB7= 7D 07 0F    }..
STA &A8          :\ ACBA= 85 A8       .(
PHP              :\ ACBC= 08          .
LDA &0F06,X      :\ ACBD= BD 06 0F    =..
PHA              :\ ACC0= 48          H
AND #&03         :\ ACC1= 29 03       ).
STA &AA          :\ ACC3= 85 AA       .*
PLA              :\ ACC5= 68          h
LSR A            :\ ACC6= 4A          J
LSR A            :\ ACC7= 4A          J
LSR A            :\ ACC8= 4A          J
LSR A            :\ ACC9= 4A          J
AND #&03         :\ ACCA= 29 03       ).
PLP              :\ ACCC= 28          (
ADC &AA          :\ ACCD= 65 AA       e*
STA &A9          :\ ACCF= 85 A9       .)
TXA              :\ ACD1= 8A          .
SEC              :\ ACD2= 38          8
SBC #&08         :\ ACD3= E9 08       i.
TAX              :\ ACD5= AA          *
CMP #&F8         :\ ACD6= C9 F8       Ix
BEQ LACDD        :\ ACD8= F0 03       p.
JMP LAC73        :\ ACDA= 4C 73 AC    Ls,
 
.LACDD
RTS              :\ ACDD= 60          `
 
.LACDE
LDA #&00         :\ ACDE= A9 00       ).
STA &A8          :\ ACE0= 85 A8       .(
STA &A9          :\ ACE2= 85 A9       .)
LDA &0F07        :\ ACE4= AD 07 0F    -..
STA &AA          :\ ACE7= 85 AA       .*
LDA &0F06        :\ ACE9= AD 06 0F    -..
AND #&03         :\ ACEC= 29 03       ).
STA &AB          :\ ACEE= 85 AB       .+
LDX #&00         :\ ACF0= A2 00       ".
.LACF2
CPX &0F05        :\ ACF2= EC 05 0F    l..
BEQ LAD46        :\ ACF5= F0 4F       pO
TXA              :\ ACF7= 8A          .
CLC              :\ ACF8= 18          .
ADC #&08         :\ ACF9= 69 08       i.
TAX              :\ ACFB= AA          *
LDA &0F04,X      :\ ACFC= BD 04 0F    =..
BEQ LAD02        :\ ACFF= F0 01       p.
SEC              :\ AD01= 38          8
.LAD02
LDA &0F07,X      :\ AD02= BD 07 0F    =..
ADC &0F05,X      :\ AD05= 7D 05 0F    }..
STA &AC          :\ AD08= 85 AC       .,
PHP              :\ AD0A= 08          .
LDA &0F06,X      :\ AD0B= BD 06 0F    =..
PHA              :\ AD0E= 48          H
AND #&03         :\ AD0F= 29 03       ).
STA &AD          :\ AD11= 85 AD       .-
PLA              :\ AD13= 68          h
LSR A            :\ AD14= 4A          J
LSR A            :\ AD15= 4A          J
LSR A            :\ AD16= 4A          J
LSR A            :\ AD17= 4A          J
AND #&03         :\ AD18= 29 03       ).
PLP              :\ AD1A= 28          (
ADC &AD          :\ AD1B= 65 AD       e-
STA &AD          :\ AD1D= 85 AD       .-
SEC              :\ AD1F= 38          8
LDA &AA          :\ AD20= A5 AA       %*
SBC &AC          :\ AD22= E5 AC       e,
STA &AC          :\ AD24= 85 AC       .,
LDA &AB          :\ AD26= A5 AB       %+
SBC &AD          :\ AD28= E5 AD       e-
PHA              :\ AD2A= 48          H
CLC              :\ AD2B= 18          .
LDA &AC          :\ AD2C= A5 AC       %,
ADC &A8          :\ AD2E= 65 A8       e(
STA &A8          :\ AD30= 85 A8       .(
PLA              :\ AD32= 68          h
ADC &A9          :\ AD33= 65 A9       e)
STA &A9          :\ AD35= 85 A9       .)
LDA &0F07,X      :\ AD37= BD 07 0F    =..
STA &AA          :\ AD3A= 85 AA       .*
LDA &0F06,X      :\ AD3C= BD 06 0F    =..
AND #&03         :\ AD3F= 29 03       ).
STA &AB          :\ AD41= 85 AB       .+
JMP LACF2        :\ AD43= 4C F2 AC    Lr,
 
.LAD46
LDA &AA          :\ AD46= A5 AA       %*
SEC              :\ AD48= 38          8
SBC #&02         :\ AD49= E9 02       i.
PHA              :\ AD4B= 48          H
LDA &AB          :\ AD4C= A5 AB       %+
SBC #&00         :\ AD4E= E9 00       i.
STA &AC          :\ AD50= 85 AC       .,
CLC              :\ AD52= 18          .
PLA              :\ AD53= 68          h
ADC &A8          :\ AD54= 65 A8       e(
STA &AA          :\ AD56= 85 AA       .*
LDA &A9          :\ AD58= A5 A9       %)
ADC &AC          :\ AD5A= 65 AC       e,
STA &AB          :\ AD5C= 85 AB       .+
LDA &0F05        :\ AD5E= AD 05 0F    -..
LSR A            :\ AD61= 4A          J
LSR A            :\ AD62= 4A          J
LSR A            :\ AD63= 4A          J
SEC              :\ AD64= 38          8
SBC #&20         :\ AD65= E9 20       i 
EOR #&FF         :\ AD67= 49 FF       I.
CMP #&0A         :\ AD69= C9 0A       I.
BCS LAD72        :\ AD6B= B0 05       0.
PHA              :\ AD6D= 48          H
JSR L8C36        :\ AD6E= 20 36 8C     6.
PLA              :\ AD71= 68          h
.LAD72
JSR L9F0B        :\ AD72= 20 0B 9F     ..
JSR LAE42        :\ AD75= 20 42 AE     B.
LDA &AB          :\ AD78= A5 AB       %+
JSR L8F29        :\ AD7A= 20 29 8F     ).
LDA &AA          :\ AD7D= A5 AA       %*
JSR L8F1E        :\ AD7F= 20 1E 8F     ..
JSR LAE4E        :\ AD82= 20 4E AE     N.
JSR LADCF        :\ AD85= 20 CF AD     O-
JSR L98CA        :\ AD88= 20 CA 98     J.
LSR &72          :\ AD8B= 46 72       Fr
ADC &65          :\ AD8D= 65 65       ee
ORA LADEA        :\ AD8F= 0D EA AD    .j-
ORA &0F          :\ AD92= 05 0F       ..
LSR A            :\ AD94= 4A          J
LSR A            :\ AD95= 4A          J
LSR A            :\ AD96= 4A          J
CMP #&0A         :\ AD97= C9 0A       I.
BCS LADA0        :\ AD99= B0 05       0.
PHA              :\ AD9B= 48          H
JSR L8C36        :\ AD9C= 20 36 8C     6.
PLA              :\ AD9F= 68          h
.LADA0
JSR L9F0B        :\ ADA0= 20 0B 9F     ..
JSR LAE42        :\ ADA3= 20 42 AE     B.
SEC              :\ ADA6= 38          8
LDA &0F07        :\ ADA7= AD 07 0F    -..
SBC &AA          :\ ADAA= E5 AA       e*
STA &AA          :\ ADAC= 85 AA       .*
LDA &0F06        :\ ADAE= AD 06 0F    -..
AND #&03         :\ ADB1= 29 03       ).
SBC &AB          :\ ADB3= E5 AB       e+
STA &AB          :\ ADB5= 85 AB       .+
JSR L8F29        :\ ADB7= 20 29 8F     ).
LDA &AA          :\ ADBA= A5 AA       %*
JSR L8F1E        :\ ADBC= 20 1E 8F     ..
JSR LAE4E        :\ ADBF= 20 4E AE     N.
JSR LADCF        :\ ADC2= 20 CF AD     O-
JSR L98CA        :\ ADC5= 20 CA 98     J.
EOR &73,X        :\ ADC8= 55 73       Us
ADC &64          :\ ADCA= 65 64       ed
ORA &60EA        :\ ADCC= 0D EA 60    .j`
.LADCF
LDA &AA          :\ ADCF= A5 AA       %*
PHA              :\ ADD1= 48          H
LDA &AB          :\ ADD2= A5 AB       %+
PHA              :\ ADD4= 48          H
LDA #&00         :\ ADD5= A9 00       ).
STA &A8          :\ ADD7= 85 A8       .(
STA &A9          :\ ADD9= 85 A9       .)
LDX #&04         :\ ADDB= A2 04       ".
.LADDD
LDY #&00         :\ ADDD= A0 00        .
.LADDF
SEC              :\ ADDF= 38          8
LDA &A9          :\ ADE0= A5 A9       %)
SBC LAE5C,X      :\ ADE2= FD 5C AE    }\.
PHA              :\ ADE5= 48          H
LDA &AA          :\ ADE6= A5 AA       %*
SBC LAE61,X      :\ ADE8= FD 61 AE    }a.
PHA              :\ ADEB= 48          H
LDA &AB          :\ ADEC= A5 AB       %+
SBC LAE66,X      :\ ADEE= FD 66 AE    }f.
PHA              :\ ADF1= 48          H
BCC LAE00        :\ ADF2= 90 0C       ..
PLA              :\ ADF4= 68          h
STA &AB          :\ ADF5= 85 AB       .+
PLA              :\ ADF7= 68          h
STA &AA          :\ ADF8= 85 AA       .*
PLA              :\ ADFA= 68          h
STA &A9          :\ ADFB= 85 A9       .)
INY              :\ ADFD= C8          H
BNE LADDF        :\ ADFE= D0 DF       P_
.LAE00
PLA              :\ AE00= 68          h
.LAE01
PLA              :\ AE01= 68          h
PLA              :\ AE02= 68          h
TYA              :\ AE03= 98          .
BNE LAE0E        :\ AE04= D0 08       P.
BIT &A8          :\ AE06= 24 A8       $(
BMI LAE0E        :\ AE08= 30 04       0.
LDA #&20         :\ AE0A= A9 20       ) 
BNE LAE12        :\ AE0C= D0 04       P.
.LAE0E
DEC &A8          :\ AE0E= C6 A8       F(
ORA #&30         :\ AE10= 09 30       .0
.LAE12
JSR OSWRCH       :\ AE12= 20 EE FF     n.
DEX              :\ AE15= CA          J
CPX #&01         :\ AE16= E0 01       `.
BNE LAE25        :\ AE18= D0 0B       P.
LDA #&2C         :\ AE1A= A9 2C       ),
BIT &A8          :\ AE1C= 24 A8       $(
BMI LAE22        :\ AE1E= 30 02       0.
LDA #&20         :\ AE20= A9 20       ) 
.LAE22
JSR OSWRCH       :\ AE22= 20 EE FF     n.
.LAE25
CPX #&FF         :\ AE25= E0 FF       `.
BNE LADDD        :\ AE27= D0 B4       P4
LDA &A9          :\ AE29= A5 A9       %)
ORA #&30         :\ AE2B= 09 30       .0
JSR OSWRCH       :\ AE2D= 20 EE FF     n.
JSR L98CA        :\ AE30= 20 CA 98     J.
JSR &7942        :\ AE33= 20 42 79     By
STZ &65,X        :\ AE36= 74 65       te
EQUB &73         :\ AE38= 73          s
JSR &68EA        :\ AE39= 20 EA 68     jh
STA &AB          :\ AE3C= 85 AB       .+
PLA              :\ AE3E= 68          h
STA &AA          :\ AE3F= 85 AA       .*
RTS              :\ AE41= 60          `
 
.LAE42
JSR L98CA        :\ AE42= 20 CA 98     J.
JSR &6946        :\ AE45= 20 46 69     Fi
JMP (&7365)      :\ AE48= 6C 65 73    les
 
JSR &60EA        :\ AE4B= 20 EA 60     j`
.LAE4E
JSR L98CA        :\ AE4E= 20 CA 98     J.
JSR &6553        :\ AE51= 20 53 65     Se
EQUB &63         :\ AE54= 63          c
STZ &6F,X        :\ AE55= 74 6F       to
ADC (&73)        :\ AE57= 72 73       rs
JSR &60EA        :\ AE59= 20 EA 60     j`
.LAE5C
ASL A            :\ AE5C= 0A          .
STZ &E8          :\ AE5D= 64 E8       dh
BPL LAE01        :\ AE5F= 10 A0       . 
.LAE61
BRK              :\ AE61= 00          .
BRK              :\ AE62= 00          .
EQUB &03         :\ AE63= 03          .
BIT &86          :\ AE64= 27 86       '.
.LAE66
BRK              :\ AE66= 00          .
BRK              :\ AE67= 00          .
BRK              :\ AE68= 00          .
BRK              :\ AE69= 00          .
ORA (&20,X)      :\ AE6A= 01 20       . 
STX &90          :\ AE6C= 86 90       ..
JSR LABFE        :\ AE6E= 20 FE AB     ~+
LDA &A9          :\ AE71= A5 A9       %)
PHA              :\ AE73= 48          H
LDY #&00         :\ AE74= A0 00        .
LDA (&F2),Y      :\ AE76= B1 F2       1r
CMP #&20         :\ AE78= C9 20       I 
BCC LAE95        :\ AE7A= 90 19       ..
CMP #&3A         :\ AE7C= C9 3A       I:
BNE LAE83        :\ AE7E= D0 03       P.
INY              :\ AE80= C8          H
LDA (&F2),Y      :\ AE81= B1 F2       1r
.LAE83
CMP #&30         :\ AE83= C9 30       I0
BCC LAE8B        :\ AE85= 90 04       ..
CMP #&34         :\ AE87= C9 34       I4
BCC LAE8E        :\ AE89= 90 03       ..
.LAE8B
JMP LA959        :\ AE8B= 4C 59 A9    LY)
 
.LAE8E
AND #&0F         :\ AE8E= 29 0F       ).
TAX              :\ AE90= AA          *
PLA              :\ AE91= 68          h
TXA              :\ AE92= 8A          .
PHA              :\ AE93= 48          H
INY              :\ AE94= C8          H
.LAE95
PLA              :\ AE95= 68          h
RTS              :\ AE96= 60          `
 
LDA &0D81        :\ AE97= AD 81 0D    -..
CMP #&04         :\ AE9A= C9 04       I.
BCS LAEA1        :\ AE9C= B0 03       0.
JMP L8F84        :\ AE9E= 4C 84 8F    L..
 
.LAEA1
BEQ LAEAD        :\ AEA1= F0 0A       p.
CMP #&08         :\ AEA3= C9 08       I.
BNE LAEAA        :\ AEA5= D0 03       P.
JMP LB628        :\ AEA7= 4C 28 B6    L(6
 
.LAEAA
JMP LAC3B        :\ AEAA= 4C 3B AC    L;,
 
.LAEAD
JSR LAE6B        :\ AEAD= 20 6B AE     k.
STY &AA          :\ AEB0= 84 AA       .*
PHA              :\ AEB2= 48          H
JSR LAB76        :\ AEB3= 20 76 AB     v+
LDX #&28         :\ AEB6= A2 28       "(
LDA &0F06        :\ AEB8= AD 06 0F    -..
LSR A            :\ AEBB= 4A          J
LSR A            :\ AEBC= 4A          J
BCC LAEC1        :\ AEBD= 90 02       ..
LDX #&50         :\ AEBF= A2 50       "P
.LAEC1
STX &A8          :\ AEC1= 86 A8       .(
LDX #&0A         :\ AEC3= A2 0A       ".
LDA #&00         :\ AEC5= A9 00       ).
.LAEC7
STA &02F0,X      :\ AEC7= 9D F0 02    .p.
DEX              :\ AECA= CA          J
BPL LAEC7        :\ AECB= 10 FA       .z
PLA              :\ AECD= 68          h
PHA              :\ AECE= 48          H
STA &02F0        :\ AECF= 8D F0 02    .p.
LDA #&03         :\ AED2= A9 03       ).
STA &02F5        :\ AED4= 8D F5 02    .u.
LDA #&5F         :\ AED7= A9 5F       )_
STA &02F6        :\ AED9= 8D F6 02    .v.
LDA #&2A         :\ AEDC= A9 2A       )*
STA &02F9        :\ AEDE= 8D F9 02    .y.
JSR L98CA        :\ AEE1= 20 CA 98     J.
LSR &65,X        :\ AEE4= 56 65       Ve
ADC (&69)        :\ AEE6= 72 69       ri
ROR &79          :\ AEE8= 66 79       fy
.LAEEA
ADC #&6E         :\ AEEA= 69 6E       in
EQUB &67         :\ AEEC= 67          g
JSR &7264        :\ AEED= 20 64 72     dr
ADC #&76         :\ AEF0= 69 76       iv
ADC &20          :\ AEF2= 65 20       e 
NOP              :\ AEF4= EA          j
PLA              :\ AEF5= 68          h
JSR L8F29        :\ AEF6= 20 29 8F     ).
JSR L98CA        :\ AEF9= 20 CA 98     J.
JSR &7274        :\ AEFC= 20 74 72     tr
ADC (&63,X)      :\ AEFF= 61 63       ac
ROR A            :\ AF01= 6B          k
JSR LADEA        :\ AF02= 20 EA AD     j-
EQUB &F7         :\ AF05= F7          w
EQUB &02         :\ AF06= 02          .
JSR L8F1E        :\ AF07= 20 1E 8F     ..
BIT &FF          :\ AF0A= 24 FF       $.
BPL LAF11        :\ AF0C= 10 03       ..
JMP L8C76        :\ AF0E= 4C 76 8C    Lv.
 
.LAF11
LDA #&06         :\ AF11= A9 06       ).
STA &A9          :\ AF13= 85 A9       .)
.LAF15
JSR LAC21        :\ AF15= 20 21 AC     !,
LDA &02FA        :\ AF18= AD FA 02    -z.
BEQ LAF24        :\ AF1B= F0 07       p.
DEC &A9          :\ AF1D= C6 A9       F)
BNE LAF15        :\ AF1F= D0 F4       Pt
JMP LAB96        :\ AF21= 4C 96 AB    L.+
 
.LAF24
LDA &A9          :\ AF24= A5 A9       %)
CMP #&06         :\ AF26= C9 06       I.
BNE LAF33        :\ AF28= D0 09       P.
JSR L98CA        :\ AF2A= 20 CA 98     J.
PHP              :\ AF2D= 08          .
PHP              :\ AF2E= 08          .
NOP              :\ AF2F= EA          j
JMP LAF39        :\ AF30= 4C 39 AF    L9/
 
.LAF33
JSR L98CA        :\ AF33= 20 CA 98     J.
BBR 3,&20,&AF23  :\ AF36= 3F 20 EA    ? j
.LAF39
INC &02F7        :\ AF39= EE F7 02    nw.
LDA &02F7        :\ AF3C= AD F7 02    -w.
CMP &A8          :\ AF3F= C5 A8       E(
BNE LAF04        :\ AF41= D0 C1       PA
JSR OSNEWL       :\ AF43= 20 E7 FF     g.
LDY &AA          :\ AF46= A4 AA       $*
JSR LB848        :\ AF48= 20 48 B8     H8
LDA (&F2),Y      :\ AF4B= B1 F2       1r
CMP #&20         :\ AF4D= C9 20       I 
BCC LAF54        :\ AF4F= 90 03       ..
JMP LAEAD        :\ AF51= 4C AD AE    L-.
 
.LAF54
RTS              :\ AF54= 60          `
 
.LAF55
PHA              :\ AF55= 48          H
JSR L98CA        :\ AF56= 20 CA 98     J.
EQUB &47         :\ AF59= 47          G
BBR 6,&20,&AF85  :\ AF5A= 6F 20 28    o (
EOR &4E2F,Y      :\ AF5D= 59 2F 4E    Y/N
AND #&20         :\ AF60= 29 20       ) 
BBR 3,&20,&AF4F  :\ AF62= 3F 20 EA    ? j
JSR OSRDCH       :\ AF65= 20 E0 FF     `.
BCC LAF6D        :\ AF68= 90 03       ..
JMP L8C76        :\ AF6A= 4C 76 8C    Lv.
 
.LAF6D
AND #&DF         :\ AF6D= 29 DF       )_
CMP #&59         :\ AF6F= C9 59       IY
BEQ LAF7F        :\ AF71= F0 0C       p.
LDA #&4E         :\ AF73= A9 4E       )N
JSR OSWRCH       :\ AF75= 20 EE FF     n.
JSR OSNEWL       :\ AF78= 20 E7 FF     g.
PLA              :\ AF7B= 68          h
PLA              :\ AF7C= 68          h
PLA              :\ AF7D= 68          h
RTS              :\ AF7E= 60          `
 
.LAF7F
JSR OSWRCH       :\ AF7F= 20 EE FF     n.
JSR OSNEWL       :\ AF82= 20 E7 FF     g.
PLA              :\ AF85= 68          h
RTS              :\ AF86= 60          `
 
LDA &0D81        :\ AF87= AD 81 0D    -..
CMP #&04         :\ AF8A= C9 04       I.
BEQ LAF91        :\ AF8C= F0 03       p.
JMP LA959        :\ AF8E= 4C 59 A9    LY)
 
.LAF91
JSR L90CA        :\ AF91= 20 CA 90     J.
BCS LAF99        :\ AF94= B0 03       0.
.LAF96
JMP L8F84        :\ AF96= 4C 84 8F    L..
 
.LAF99
CMP #&28         :\ AF99= C9 28       I(
BEQ LAFA1        :\ AF9B= F0 04       p.
CMP #&50         :\ AF9D= C9 50       IP
BNE LAF96        :\ AF9F= D0 F5       Pu
.LAFA1
STA &02EF        :\ AFA1= 8D EF 02    .o.
JSR LB848        :\ AFA4= 20 48 B8     H8
LDA (&F2),Y      :\ AFA7= B1 F2       1r
CMP #&20         :\ AFA9= C9 20       I 
BCC LAFCA        :\ AFAB= 90 1D       ..
JSR LAE6B        :\ AFAD= 20 6B AE     k.
JSR LAF55        :\ AFB0= 20 55 AF     U/
.LAFB3
STY &AA          :\ AFB3= 84 AA       .*
JSR LB003        :\ AFB5= 20 03 B0     .0
LDY &AA          :\ AFB8= A4 AA       $*
JSR LB848        :\ AFBA= 20 48 B8     H8
LDA (&F2),Y      :\ AFBD= B1 F2       1r
CMP #&20         :\ AFBF= C9 20       I 
BCC LAFC9        :\ AFC1= 90 06       ..
JSR LAE6B        :\ AFC3= 20 6B AE     k.
JMP LAFB3        :\ AFC6= 4C B3 AF    L3/
 
.LAFC9
RTS              :\ AFC9= 60          `
 
.LAFCA
JSR L98CA        :\ AFCA= 20 CA 98     J.
LSR &6F          :\ AFCD= 46 6F       Fo
ADC (&6D)        :\ AFCF= 72 6D       rm
ADC (&74,X)      :\ AFD1= 61 74       at
JSR &6877        :\ AFD3= 20 77 68     wh
ADC #&63         :\ AFD6= 69 63       ic
PLA              :\ AFD8= 68          h
JSR &7264        :\ AFD9= 20 64 72     dr
ADC #&76         :\ AFDC= 69 76       iv
ADC &20          :\ AFDE= 65 20       e 
BBR 3,&20,&AFCD  :\ AFE0= 3F 20 EA    ? j
JSR OSRDCH       :\ AFE3= 20 E0 FF     `.
BCC LAFEB        :\ AFE6= 90 03       ..
JMP L8C76        :\ AFE8= 4C 76 8C    Lv.
 
.LAFEB
JSR OSWRCH       :\ AFEB= 20 EE FF     n.
CMP #&30         :\ AFEE= C9 30       I0
BCC LAFF6        :\ AFF0= 90 04       ..
CMP #&34         :\ AFF2= C9 34       I4
BCC LAFF9        :\ AFF4= 90 03       ..
.LAFF6
JMP LA959        :\ AFF6= 4C 59 A9    LY)
 
.LAFF9
PHA              :\ AFF9= 48          H
JSR OSNEWL       :\ AFFA= 20 E7 FF     g.
PLA              :\ AFFD= 68          h
AND #&0F         :\ AFFE= 29 0F       ).
JSR LAF55        :\ B000= 20 55 AF     U/
.LB003
PHA              :\ B003= 48          H
JSR L98CA        :\ B004= 20 CA 98     J.
LSR &6F          :\ B007= 46 6F       Fo
ADC (&6D)        :\ B009= 72 6D       rm
ADC (&74,X)      :\ B00B= 61 74       at
STZ &69,X        :\ B00D= 74 69       ti
ROR &2067        :\ B00F= 6E 67 20    ng 
STZ &72          :\ B012= 64 72       dr
ADC #&76         :\ B014= 69 76       iv
ADC &20          :\ B016= 65 20       e 
NOP              :\ B018= EA          j
PLA              :\ B019= 68          h
PHA              :\ B01A= 48          H
JSR L8F29        :\ B01B= 20 29 8F     ).
JSR L98CA        :\ B01E= 20 CA 98     J.
JSR &7274        :\ B021= 20 74 72     tr
ADC (&63,X)      :\ B024= 61 63       ac
ROR A            :\ B026= 6B          k
JSR &68EA        :\ B027= 20 EA 68     jh
STA &02F0        :\ B02A= 8D F0 02    .p.
LDA #&01         :\ B02D= A9 01       ).
STA &02F5        :\ B02F= 8D F5 02    .u.
LDA #&69         :\ B032= A9 69       )i
STA &02F6        :\ B034= 8D F6 02    .v.
LDA #&00         :\ B037= A9 00       ).
STA &02F7        :\ B039= 8D F7 02    .w.
LDA #&06         :\ B03C= A9 06       ).
STA &A9          :\ B03E= 85 A9       .)
.LB040
JSR LAC21        :\ B040= 20 21 AC     !,
LDA &02F8        :\ B043= AD F8 02    -x.
BEQ LB052        :\ B046= F0 0A       p.
DEC &A9          :\ B048= C6 A9       F)
BNE LB040        :\ B04A= D0 F4       Pt
.LB04C
STA &02FA        :\ B04C= 8D FA 02    .z.
JMP LAB96        :\ B04F= 4C 96 AB    L.+
 
.LB052
LDX #&0B         :\ B052= A2 0B       ".
.LB054
LDA LB128,X      :\ B054= BD 28 B1    =(1
STA &02F0,X      :\ B057= 9D F0 02    .p.
DEX              :\ B05A= CA          J
BNE LB054        :\ B05B= D0 F7       Pw
LDA #&00         :\ B05D= A9 00       ).
STA &AB          :\ B05F= 85 AB       .+
.LB061
BIT &FF          :\ B061= 24 FF       $.
BPL LB068        :\ B063= 10 03       ..
JMP L8C76        :\ B065= 4C 76 8C    Lv.
 
.LB068
LDA &02F7        :\ B068= AD F7 02    -w.
JSR L8F1E        :\ B06B= 20 1E 8F     ..
LDX #&00         :\ B06E= A2 00       ".
LDA &AB          :\ B070= A5 AB       %+
STA &AC          :\ B072= 85 AC       .,
.LB074
LDA #&00         :\ B074= A9 00       ).
STA &0E01,X      :\ B076= 9D 01 0E    ...
LDA #&01         :\ B079= A9 01       ).
STA &0E03,X      :\ B07B= 9D 03 0E    ...
LDA &02F7        :\ B07E= AD F7 02    -w.
STA &0E00,X      :\ B081= 9D 00 0E    ...
LDA &AC          :\ B084= A5 AC       %,
STA &0E02,X      :\ B086= 9D 02 0E    ...
INC &AC          :\ B089= E6 AC       f,
LDA &AC          :\ B08B= A5 AC       %,
CMP #&0A         :\ B08D= C9 0A       I.
BNE LB095        :\ B08F= D0 04       P.
LDA #&00         :\ B091= A9 00       ).
STA &AC          :\ B093= 85 AC       .,
.LB095
TXA              :\ B095= 8A          .
CLC              :\ B096= 18          .
ADC #&04         :\ B097= 69 04       i.
TAX              :\ B099= AA          *
CMP #&28         :\ B09A= C9 28       I(
BNE LB074        :\ B09C= D0 D6       PV
LDA &AB          :\ B09E= A5 AB       %+
ADC #&06         :\ B0A0= 69 06       i.
CMP #&0A         :\ B0A2= C9 0A       I.
BCC LB0A8        :\ B0A4= 90 02       ..
SBC #&0A         :\ B0A6= E9 0A       i.
.LB0A8
STA &AB          :\ B0A8= 85 AB       .+
LDA #&06         :\ B0AA= A9 06       ).
STA &A9          :\ B0AC= 85 A9       .)
.LB0AE
JSR LAC21        :\ B0AE= 20 21 AC     !,
LDA &02FC        :\ B0B1= AD FC 02    -|.
BEQ LB0BC        :\ B0B4= F0 06       p.
DEC &A9          :\ B0B6= C6 A9       F)
BNE LB0AE        :\ B0B8= D0 F4       Pt
BEQ LB04C        :\ B0BA= F0 90       p.
.LB0BC
LDA &A9          :\ B0BC= A5 A9       %)
CMP #&06         :\ B0BE= C9 06       I.
BNE LB0CB        :\ B0C0= D0 09       P.
JSR L98CA        :\ B0C2= 20 CA 98     J.
PHP              :\ B0C5= 08          .
PHP              :\ B0C6= 08          .
NOP              :\ B0C7= EA          j
JMP LB0D1        :\ B0C8= 4C D1 B0    LQ0
 
.LB0CB
JSR L98CA        :\ B0CB= 20 CA 98     J.
BBR 3,&20,&B0BB  :\ B0CE= 3F 20 EA    ? j
.LB0D1
INC &02F7        :\ B0D1= EE F7 02    nw.
LDA &02F7        :\ B0D4= AD F7 02    -w.
CMP &02EF        :\ B0D7= CD EF 02    Mo.
BNE LB061        :\ B0DA= D0 85       P.
LDX #&09         :\ B0DC= A2 09       ".
.LB0DE
LDA LB11F,X      :\ B0DE= BD 1F B1    =.1
STA &02F0,X      :\ B0E1= 9D F0 02    .p.
DEX              :\ B0E4= CA          J
BNE LB0DE        :\ B0E5= D0 F7       Pw
TXA              :\ B0E7= 8A          .
.LB0E8
STA &0E00,X      :\ B0E8= 9D 00 0E    ...
STA &0F00,X      :\ B0EB= 9D 00 0F    ...
INX              :\ B0EE= E8          h
BNE LB0E8        :\ B0EF= D0 F7       Pw
LDA #&01         :\ B0F1= A9 01       ).
STA &0F06        :\ B0F3= 8D 06 0F    ...
LDA #&90         :\ B0F6= A9 90       ).
STA &0F07        :\ B0F8= 8D 07 0F    ...
LDA &02EF        :\ B0FB= AD EF 02    -o.
CMP #&50         :\ B0FE= C9 50       IP
BNE LB108        :\ B100= D0 06       P.
ASL &0F07        :\ B102= 0E 07 0F    ...
ROL &0F06        :\ B105= 2E 06 0F    ...
.LB108
LDA #&06         :\ B108= A9 06       ).
STA &A9          :\ B10A= 85 A9       .)
.LB10C
JSR LAC21        :\ B10C= 20 21 AC     !,
LDA &02FA        :\ B10F= AD FA 02    -z.
BEQ LB11B        :\ B112= F0 07       p.
DEC &A9          :\ B114= C6 A9       F)
BNE LB10C        :\ B116= D0 F4       Pt
JMP LAB96        :\ B118= 4C 96 AB    L.+
 
.LB11B
JSR OSNEWL       :\ B11B= 20 E7 FF     g.
CLC              :\ B11E= 18          .
.LB11F
RTS              :\ B11F= 60          `
 
BRK              :\ B120= 00          .
ASL &FFFF        :\ B121= 0E FF FF    ...
EQUB &03         :\ B124= 03          .
LSR A            :\ B125= 4B          K
BRK              :\ B126= 00          .
BRK              :\ B127= 00          .
.LB128
EQUB &22         :\ B128= 22          "
BRK              :\ B129= 00          .
ASL &FFFF        :\ B12A= 0E FF FF    ...
ORA &63          :\ B12D= 05 63       .c
BRK              :\ B12F= 00          .
BPL LB15C        :\ B130= 10 2A       .*
BRK              :\ B132= 00          .
BPL LB188        :\ B133= 10 53       .S
EOR LAA4C        :\ B135= 4D 4C AA    ML*
BRK              :\ B138= 00          .
EQUB &03         :\ B139= 03          .
JSR &59FF        :\ B13A= 20 FF 59     .Y
EOR &53          :\ B13D= 45 53       ES
.LB13F
BBS 7,&0B,&B142  :\ B13F= FF 0B 00    ...
SBC &F5,X        :\ B142= F5 F5       uu
SBC &FE,X        :\ B144= F5 FE       u~
EQUB &02         :\ B146= 02          .
BRK              :\ B147= 00          .
EQUB &03         :\ B148= 03          .
ORA (&F7,X)      :\ B149= 01 F7       .w
BBS 7,&15,&B19C  :\ B14B= FF 15 4E    ..N
BBS 7,&0B,&B151  :\ B14E= FF 0B 00    ...
SBC &F5,X        :\ B151= F5 F5       uu
SBC &FB,X        :\ B153= F5 FB       u{
BBS 7,&7F,&B1B2  :\ B155= FF 7F 5A    ..Z
BBS 7,&7F,&B1B5  :\ B158= FF 7F 5A    ..Z
EQUB &F7         :\ B15B= F7          w
.LB15C
BBS 7,&17,&B1AD  :\ B15C= FF 17 4E    ..N
.LB15F
SBC (&F2),Y      :\ B15F= F1 F2       qr
SBC &F6,X        :\ B161= F5 F6       uv
.LB163
PLP              :\ B163= 28          (
BVC LB106        :\ B164= 50 A0       P 
.LB166
BRA LB16A        :\ B166= 80 02       ..
 
BRK              :\ B168= 00          .
ORA &00          :\ B169= 05 00       ..
ASL A            :\ B16B= 0A          .
.LB16C
ADC &F902,Y      :\ B16C= 79 02 F9    y.y
TSB &F9          :\ B16F= 04 F9       .y
ORA #&48         :\ B171= 09 48       .H
ADC &67,X        :\ B173= 75 67       ug
BBR 6,&AD,&B0F9  :\ B175= 6F AD 81    o-.
ORA &08C9        :\ B178= 0D C9 08    .I.
BEQ LB180        :\ B17B= F0 03       p.
JMP L8375        :\ B17D= 4C 75 83    Lu.
 
.LB180
JSR LB848        :\ B180= 20 48 B8     H8
JSR LB715        :\ B183= 20 15 B7     .7
STA &A8          :\ B186= 85 A8       .(
.LB188
JSR LB848        :\ B188= 20 48 B8     H8
LDX #&02         :\ B18B= A2 02       ".
.LB18D
CMP LB134,X      :\ B18D= DD 34 B1    ]41
BEQ LB198        :\ B190= F0 06       p.
DEX              :\ B192= CA          J
BPL LB18D        :\ B193= 10 F8       .x
JMP LB719        :\ B195= 4C 19 B7    L.7
 
.LB198
STX &A9          :\ B198= 86 A9       .)
INY              :\ B19A= C8          H
JSR L8F75        :\ B19B= 20 75 8F     u.
JSR L98CA        :\ B19E= 20 CA 98     J.
LSR &6F          :\ B1A1= 46 6F       Fo
ADC (&6D)        :\ B1A3= 72 6D       rm
ADC (&74,X)      :\ B1A5= 61 74       at
JSR &EA3A        :\ B1A7= 20 3A EA     :j
LDA &A8          :\ B1AA= A5 A8       %(
ORA #&30         :\ B1AC= 09 30       .0
JSR OSWRCH       :\ B1AE= 20 EE FF     n.
JSR L98CA        :\ B1B1= 20 CA 98     J.
JSR &203F        :\ B1B4= 20 3F 20     ? 
NOP              :\ B1B7= EA          j
LDA #&00         :\ B1B8= A9 00       ).
LDX #&37         :\ B1BA= A2 37       "7
LDY #&B1         :\ B1BC= A0 B1        1
JSR OSWORD       :\ B1BE= 20 F1 FF     q.
BCC LB1D2        :\ B1C1= 90 0F       ..
JSR OSNEWL       :\ B1C3= 20 E7 FF     g.
.LB1C6
JSR L8F94        :\ B1C6= 20 94 8F     ..
STA (&41)        :\ B1C9= 92 41       .A
EQUB &62         :\ B1CB= 62          b
BBR 6,&72,&B243  :\ B1CC= 6F 72 74    ort
ADC &64          :\ B1CF= 65 64       ed
BRK              :\ B1D1= 00          .
.LB1D2
CPY #&03         :\ B1D2= C0 03       @.
BNE LB1C6        :\ B1D4= D0 F0       Pp
.LB1D6
LDA &00A9,Y      :\ B1D6= B9 A9 00    9).
AND #&DF         :\ B1D9= 29 DF       )_
CMP LB13B,Y      :\ B1DB= D9 3B B1    Y;1
BNE LB1C6        :\ B1DE= D0 E6       Pf
DEY              :\ B1E0= 88          .
BNE LB1D6        :\ B1E1= D0 F3       Ps
JSR L98CA        :\ B1E3= 20 CA 98     J.
ORA &6F46        :\ B1E6= 0D 46 6F    .Fo
ADC (&6D)        :\ B1E9= 72 6D       rm
ADC (&74,X)      :\ B1EB= 61 74       at
STZ &69,X        :\ B1ED= 74 69       ti
ROR &2E67        :\ B1EF= 6E 67 2E    ng.
ROL &2E2E        :\ B1F2= 2E 2E 2E    ...
ROL &EA2E        :\ B1F5= 2E 2E EA    ..j
LDA #&83         :\ B1F8= A9 83       ).
JSR OSBYTE       :\ B1FA= 20 F4 FF     t.
STY &AA          :\ B1FD= 84 AA       .*
JSR LB5F5        :\ B1FF= 20 F5 B5     u5
LDA &A8          :\ B202= A5 A8       %(
STA &0D32        :\ B204= 8D 32 0D    .2.
LDA #&00         :\ B207= A9 00       ).
STA &0D30        :\ B209= 8D 30 0D    .0.
STA &0D31        :\ B20C= 8D 31 0D    .1.
.LB20F
LDA &0D30        :\ B20F= AD 30 0D    -0.
JSR L8F1E        :\ B212= 20 1E 8F     ..
JSR LB2F0        :\ B215= 20 F0 B2     p2
JSR LB4B1        :\ B218= 20 B1 B4     14
INC &0D30        :\ B21B= EE 30 0D    n0.
LDA &0D31        :\ B21E= AD 31 0D    -1.
CLC              :\ B221= 18          .
ADC #&03         :\ B222= 69 03       i.
AND #&0F         :\ B224= 29 0F       ).
STA &0D31        :\ B226= 8D 31 0D    .1.
LDA #&08         :\ B229= A9 08       ).
JSR OSWRCH       :\ B22B= 20 EE FF     n.
JSR OSWRCH       :\ B22E= 20 EE FF     n.
JSR LB61D        :\ B231= 20 1D B6     .6
LDX &A9          :\ B234= A6 A9       &)
LDA &0D30        :\ B236= AD 30 0D    -0.
CMP LB163,X      :\ B239= DD 63 B1    ]c1
BNE LB20F        :\ B23C= D0 D1       PQ
JSR LB5DF        :\ B23E= 20 DF B5     _5
LDX #&07         :\ B241= A2 07       ".
.LB243
STA (&AB),Y      :\ B243= 91 AB       .+
INY              :\ B245= C8          H
BNE LB243        :\ B246= D0 FB       P{
INC &AC          :\ B248= E6 AC       f,
DEX              :\ B24A= CA          J
BNE LB243        :\ B24B= D0 F6       Pv
JSR LB5DF        :\ B24D= 20 DF B5     _5
LDA #&07         :\ B250= A9 07       ).
STA (&AB),Y      :\ B252= 91 AB       .+
LDA &A9          :\ B254= A5 A9       %)
ASL A            :\ B256= 0A          .
TAX              :\ B257= AA          *
LDY #&FC         :\ B258= A0 FC        |
LDA LB166,X      :\ B25A= BD 66 B1    =f1
STA (&AB),Y      :\ B25D= 91 AB       .+
INY              :\ B25F= C8          H
LDA LB167,X      :\ B260= BD 67 B1    =g1
STA (&AB),Y      :\ B263= 91 AB       .+
JSR LB2DE        :\ B265= 20 DE B2     ^2
INY              :\ B268= C8          H
INC &AC          :\ B269= E6 AC       f,
LDA LB16C,X      :\ B26B= BD 6C B1    =l1
STA (&AB),Y      :\ B26E= 91 AB       .+
LDA LB16D,X      :\ B270= BD 6D B1    =m1
INY              :\ B273= C8          H
STA (&AB),Y      :\ B274= 91 AB       .+
LDY #&FB         :\ B276= A0 FB        {
LDA &FE44        :\ B278= AD 44 FE    -D~
STA (&AB),Y      :\ B27B= 91 AB       .+
INY              :\ B27D= C8          H
LDX &FE44        :\ B27E= AE 44 FE    .D~
.LB281
DEX              :\ B281= CA          J
BNE LB281        :\ B282= D0 FD       P}
LDA &FE44        :\ B284= AD 44 FE    -D~
STA (&AB),Y      :\ B287= 91 AB       .+
INY              :\ B289= C8          H
INY              :\ B28A= C8          H
LDA #&03         :\ B28B= A9 03       ).
STA (&AB),Y      :\ B28D= 91 AB       .+
JSR LB2DE        :\ B28F= 20 DE B2     ^2
LDY #&04         :\ B292= A0 04        .
INC &AC          :\ B294= E6 AC       f,
JSR LB5E9        :\ B296= 20 E9 B5     i5
LDA &AA          :\ B299= A5 AA       %*
CLC              :\ B29B= 18          .
ADC #&06         :\ B29C= 69 06       i.
STA &AC          :\ B29E= 85 AC       .,
LDY #&CC         :\ B2A0= A0 CC        L
LDA #&24         :\ B2A2= A9 24       )$
STA (&AB),Y      :\ B2A4= 91 AB       .+
LDY #&D9         :\ B2A6= A0 D9        Y
STA (&AB),Y      :\ B2A8= 91 AB       .+
LDY #&D6         :\ B2AA= A0 D6        V
LDA #&02         :\ B2AC= A9 02       ).
STA (&AB),Y      :\ B2AE= 91 AB       .+
LDY #&FE         :\ B2B0= A0 FE        ~
JSR LB5E9        :\ B2B2= 20 E9 B5     i5
LDA #&00         :\ B2B5= A9 00       ).
STA &0D34        :\ B2B7= 8D 34 0D    .4.
STA &0D30        :\ B2BA= 8D 30 0D    .0.
STA &0D31        :\ B2BD= 8D 31 0D    .1.
LDA &AA          :\ B2C0= A5 AA       %*
STA &0D35        :\ B2C2= 8D 35 0D    .5.
LDA #&07         :\ B2C5= A9 07       ).
STA &AB          :\ B2C7= 85 AB       .+
.LB2C9
JSR LB4F9        :\ B2C9= 20 F9 B4     y4
INC &0D35        :\ B2CC= EE 35 0D    n5.
INC &0D31        :\ B2CF= EE 31 0D    n1.
DEC &AB          :\ B2D2= C6 AB       F+
BNE LB2C9        :\ B2D4= D0 F3       Ps
JSR LB613        :\ B2D6= 20 13 B6     .6
LDA &A8          :\ B2D9= A5 A8       %(
JMP LB641        :\ B2DB= 4C 41 B6    LA6
 
.LB2DE
CLC              :\ B2DE= 18          .
LDA #&FF         :\ B2DF= A9 FF       ).
TAY              :\ B2E1= A8          (
.LB2E2
DEY              :\ B2E2= 88          .
INY              :\ B2E3= C8          H
BEQ LB2EC        :\ B2E4= F0 06       p.
DEY              :\ B2E6= 88          .
ADC (&AB),Y      :\ B2E7= 71 AB       q+
JMP LB2E2        :\ B2E9= 4C E2 B2    Lb2
 
.LB2EC
DEY              :\ B2EC= 88          .
STA (&AB),Y      :\ B2ED= 91 AB       .+
RTS              :\ B2EF= 60          `
 
.LB2F0
JSR LB5DF        :\ B2F0= 20 DF B5     _5
TAX              :\ B2F3= AA          *
LDY #&3B         :\ B2F4= A0 3B        ;
LDA #&4E         :\ B2F6= A9 4E       )N
.LB2F8
STA (&AB),Y      :\ B2F8= 91 AB       .+
DEY              :\ B2FA= 88          .
BPL LB2F8        :\ B2FB= 10 FB       .{
LDA #&3C         :\ B2FD= A9 3C       )<
STA &AB          :\ B2FF= 85 AB       .+
INY              :\ B301= C8          H
LDA #&10         :\ B302= A9 10       ).
STA &AD          :\ B304= 85 AD       .-
LDA &0D31        :\ B306= AD 31 0D    -1.
PHA              :\ B309= 48          H
.LB30A
LDX #&00         :\ B30A= A2 00       ".
.LB30C
LDA LB13F,X      :\ B30C= BD 3F B1    =?1
CMP #&FF         :\ B30F= C9 FF       I.
BEQ LB34B        :\ B311= F0 38       p8
CMP #&02         :\ B313= C9 02       I.
BNE LB323        :\ B315= D0 0C       P.
LDA &0D30        :\ B317= AD 30 0D    -0.
CMP #&50         :\ B31A= C9 50       IP
BCC LB32D        :\ B31C= 90 0F       ..
SBC #&50         :\ B31E= E9 50       iP
JMP LB32D        :\ B320= 4C 2D B3    L-3
 
.LB323
CMP #&03         :\ B323= C9 03       I.
BNE LB32D        :\ B325= D0 06       P.
PLA              :\ B327= 68          h
ADC #&00         :\ B328= 69 00       i.
AND #&0F         :\ B32A= 29 0F       ).
PHA              :\ B32C= 48          H
.LB32D
STA (&AB),Y      :\ B32D= 91 AB       .+
JSR LB367        :\ B32F= 20 67 B3     g3
.LB332
INX              :\ B332= E8          h
CPX #&20         :\ B333= E0 20       ` 
BNE LB30C        :\ B335= D0 D5       PU
DEC &AD          :\ B337= C6 AD       F-
BNE LB30A        :\ B339= D0 CF       PO
PLA              :\ B33B= 68          h
LDX #&03         :\ B33C= A2 03       ".
LDA #&4E         :\ B33E= A9 4E       )N
.LB340
STA (&AB),Y      :\ B340= 91 AB       .+
INY              :\ B342= C8          H
BNE LB340        :\ B343= D0 FB       P{
INC &AC          :\ B345= E6 AC       f,
DEX              :\ B347= CA          J
BNE LB340        :\ B348= D0 F6       Pv
RTS              :\ B34A= 60          `
 
.LB34B
INX              :\ B34B= E8          h
LDA LB13F,X      :\ B34C= BD 3F B1    =?1
TAY              :\ B34F= A8          (
PHA              :\ B350= 48          H
INX              :\ B351= E8          h
LDA LB13F,X      :\ B352= BD 3F B1    =?1
.LB355
STA (&AB),Y      :\ B355= 91 AB       .+
DEY              :\ B357= 88          .
BPL LB355        :\ B358= 10 FB       .{
INY              :\ B35A= C8          H
PLA              :\ B35B= 68          h
SEC              :\ B35C= 38          8
ADC &AB          :\ B35D= 65 AB       e+
STA &AB          :\ B35F= 85 AB       .+
BCC LB332        :\ B361= 90 CF       .O
INC &AC          :\ B363= E6 AC       f,
BCS LB332        :\ B365= B0 CB       0K
.LB367
INC &AB          :\ B367= E6 AB       f+
BNE LB36D        :\ B369= D0 02       P.
INC &AC          :\ B36B= E6 AC       f,
.LB36D
RTS              :\ B36D= 60          `
 
.LB36E
PHA              :\ B36E= 48          H
LDA &FE84        :\ B36F= AD 84 FE    -.~
AND #&1F         :\ B372= 29 1F       ).
CMP #&03         :\ B374= C9 03       I.
BNE LB388        :\ B376= D0 10       P.
LDA &FFFF        :\ B378= AD FF FF    -..
STA &FE87        :\ B37B= 8D 87 FE    ..~
INC &0D0B        :\ B37E= EE 0B 0D    n..
BNE LB386        :\ B381= D0 03       P.
INC &0D0C        :\ B383= EE 0C 0D    n..
.LB386
PLA              :\ B386= 68          h
RTI              :\ B387= 40          @
 
.LB388
AND #&58         :\ B388= 29 58       )X
BEQ LB391        :\ B38A= F0 05       p.
STA &A0          :\ B38C= 85 A0       . 
SEC              :\ B38E= 38          8
ROR &A1          :\ B38F= 66 A1       f!
.LB391
SEC              :\ B391= 38          8
ROR &A2          :\ B392= 66 A2       f"
PLA              :\ B394= 68          h
RTI              :\ B395= 40          @
 
.LB396
LDA &FE87        :\ B396= AD 87 FE    -.~
PLA              :\ B399= 68          h
RTI              :\ B39A= 40          @
 
.LB39B
LDA &FE87        :\ B39B= AD 87 FE    -.~
STA &FFFF        :\ B39E= 8D FF FF    ...
INC &0D0E        :\ B3A1= EE 0E 0D    n..
BNE LB3A9        :\ B3A4= D0 03       P.
INC &0D0F        :\ B3A6= EE 0F 0D    n..
.LB3A9
STA &0D38        :\ B3A9= 8D 38 0D    .8.
.LB3AC
LDX #&27         :\ B3AC= A2 27       "'
.LB3AE
LDA LB36E,X      :\ B3AE= BD 6E B3    =n3
STA &0D00,X      :\ B3B1= 9D 00 0D    ...
DEX              :\ B3B4= CA          J
BPL LB3AE        :\ B3B5= 10 F7       .w
LDA &0D38        :\ B3B7= AD 38 0D    -8.
BEQ LB3E5        :\ B3BA= F0 29       p)
BMI LB3D8        :\ B3BC= 30 1A       0.
LDX #&0D         :\ B3BE= A2 0D       ".
.LB3C0
LDA LB39B,X      :\ B3C0= BD 9B B3    =.3
STA &0D0A,X      :\ B3C3= 9D 0A 0D    ...
DEX              :\ B3C6= CA          J
BPL LB3C0        :\ B3C7= 10 F7       .w
LDA &0D35        :\ B3C9= AD 35 0D    -5.
STA &0D0F        :\ B3CC= 8D 0F 0D    ...
LDA &0D34        :\ B3CF= AD 34 0D    -4.
STA &0D0E        :\ B3D2= 8D 0E 0D    ...
JMP LB3F6        :\ B3D5= 4C F6 B3    Lv3
 
.LB3D8
LDX #&04         :\ B3D8= A2 04       ".
.LB3DA
LDA LB396,X      :\ B3DA= BD 96 B3    =.3
STA &0D0A,X      :\ B3DD= 9D 0A 0D    ...
DEX              :\ B3E0= CA          J
BPL LB3DA        :\ B3E1= 10 F7       .w
BMI LB3F6        :\ B3E3= 30 11       0.
.LB3E5
LDA #&5F         :\ B3E5= A9 5F       )_
STA &0D05        :\ B3E7= 8D 05 0D    ...
LDA &0D35        :\ B3EA= AD 35 0D    -5.
STA &0D0C        :\ B3ED= 8D 0C 0D    ...
LDA &0D34        :\ B3F0= AD 34 0D    -4.
STA &0D0B        :\ B3F3= 8D 0B 0D    ...
.LB3F6
RTS              :\ B3F6= 60          `
 
.LB3F7
JSR LB402        :\ B3F7= 20 02 B4     .4
.LB3FA
BIT &A2          :\ B3FA= 24 A2       $"
BPL LB3FA        :\ B3FC= 10 FC       .|
LDA &A1          :\ B3FE= A5 A1       %!
ASL A            :\ B400= 0A          .
RTS              :\ B401= 60          `
 
.LB402
PHA              :\ B402= 48          H
LDX &0D32        :\ B403= AE 32 0D    .2.
LDA &0D30        :\ B406= AD 30 0D    -0.
CMP #&50         :\ B409= C9 50       IP
BCC LB40F        :\ B40B= 90 02       ..
INX              :\ B40D= E8          h
INX              :\ B40E= E8          h
.LB40F
LDA LB15F,X      :\ B40F= BD 5F B1    =_1
STA &FE80        :\ B412= 8D 80 FE    ..~
.LB415
LDA &FE84        :\ B415= AD 84 FE    -.~
AND #&01         :\ B418= 29 01       ).
BNE LB415        :\ B41A= D0 F9       Py
STA &A1          :\ B41C= 85 A1       .!
STA &A2          :\ B41E= 85 A2       ."
LDA &0D33        :\ B420= AD 33 0D    -3.
STA &FE85        :\ B423= 8D 85 FE    ..~
LDA &0D31        :\ B426= AD 31 0D    -1.
STA &FE86        :\ B429= 8D 86 FE    ..~
PLA              :\ B42C= 68          h
STA &FE84        :\ B42D= 8D 84 FE    ..~
RTS              :\ B430= 60          `
 
.LB431
JSR LB3A9        :\ B431= 20 A9 B3     )3
.LB434
LDA &A7          :\ B434= A5 A7       %'
PHA              :\ B436= 48          H
JSR LB48D        :\ B437= 20 8D B4     .4
LDA &0D30        :\ B43A= AD 30 0D    -0.
CMP #&50         :\ B43D= C9 50       IP
BCC LB443        :\ B43F= 90 02       ..
SBC #&50         :\ B441= E9 50       iP
.LB443
STA &FE87        :\ B443= 8D 87 FE    ..~
JSR LB483        :\ B446= 20 83 B4     .4
ORA #&10         :\ B449= 09 10       ..
.LB44B
PHA              :\ B44B= 48          H
JSR LB3F7        :\ B44C= 20 F7 B3     w3
PLA              :\ B44F= 68          h
BCC LB479        :\ B450= 90 27       .'
ROR &A6          :\ B452= 66 A6       f&
DEC &A7          :\ B454= C6 A7       F'
BNE LB45B        :\ B456= D0 03       P.
JMP LB566        :\ B458= 4C 66 B5    Lf5
 
.LB45B
PHA              :\ B45B= 48          H
LDA &A0          :\ B45C= A5 A0       % 
AND #&10         :\ B45E= 29 10       ).
CMP #&10         :\ B460= C9 10       I.
PLA              :\ B462= 68          h
BCC LB44B        :\ B463= 90 E6       .f
PHA              :\ B465= 48          H
LDA #&FF         :\ B466= A9 FF       ).
STA &0D33        :\ B468= 8D 33 0D    .3.
LDA &FE87        :\ B46B= AD 87 FE    -.~
PHA              :\ B46E= 48          H
JSR LB48D        :\ B46F= 20 8D B4     .4
PLA              :\ B472= 68          h
STA &FE87        :\ B473= 8D 87 FE    ..~
PLA              :\ B476= 68          h
BNE LB44B        :\ B477= D0 D2       PR
.LB479
LDA &FE85        :\ B479= AD 85 FE    -.~
STA &0D33        :\ B47C= 8D 33 0D    .3.
PLA              :\ B47F= 68          h
STA &A7          :\ B480= 85 A7       .'
RTS              :\ B482= 60          `
 
.LB483
LDA #&06         :\ B483= A9 06       ).
STA &A7          :\ B485= 85 A7       .'
LDA &A5          :\ B487= A5 A5       %%
ORA &0D3A        :\ B489= 0D 3A 0D    .:.
RTS              :\ B48C= 60          `
 
.LB48D
BIT &0D33        :\ B48D= 2C 33 0D    ,3.
BPL LB4B0        :\ B490= 10 1E       ..
LDA &A7          :\ B492= A5 A7       %'
PHA              :\ B494= 48          H
JSR LB483        :\ B495= 20 83 B4     .4
.LB498
PHA              :\ B498= 48          H
JSR LB3F7        :\ B499= 20 F7 B3     w3
PLA              :\ B49C= 68          h
BCC LB4A8        :\ B49D= 90 09       ..
ROR &A6          :\ B49F= 66 A6       f&
DEC &A7          :\ B4A1= C6 A7       F'
BNE LB498        :\ B4A3= D0 F3       Ps
JMP LB566        :\ B4A5= 4C 66 B5    Lf5
 
.LB4A8
LDA #&00         :\ B4A8= A9 00       ).
STA &0D33        :\ B4AA= 8D 33 0D    .3.
PLA              :\ B4AD= 68          h
STA &A7          :\ B4AE= 85 A7       .'
.LB4B0
RTS              :\ B4B0= 60          `
 
.LB4B1
LDA #&00         :\ B4B1= A9 00       ).
STA &A5          :\ B4B3= 85 A5       .%
JSR LB431        :\ B4B5= 20 31 B4     14
LDY #&24         :\ B4B8= A0 24        $
.LB4BA
LDA LB73F,Y      :\ B4BA= B9 3F B7    9?7
STA &0D00,Y      :\ B4BD= 99 00 0D    ...
DEY              :\ B4C0= 88          .
BPL LB4BA        :\ B4C1= 10 F7       .w
LDA &AA          :\ B4C3= A5 AA       %*
STA &0D0C        :\ B4C5= 8D 0C 0D    ...
LDA &0D30        :\ B4C8= AD 30 0D    -0.
CMP #&50         :\ B4CB= C9 50       IP
BCC LB4D1        :\ B4CD= 90 02       ..
SBC #&50         :\ B4CF= E9 50       iP
.LB4D1
CMP #&3C         :\ B4D1= C9 3C       I<
LDA #&F2         :\ B4D3= A9 F2       )r
BCC LB4D9        :\ B4D5= 90 02       ..
LDA #&F0         :\ B4D7= A9 F0       )p
.LB4D9
LDY #&00         :\ B4D9= A0 00        .
STY &AE          :\ B4DB= 84 AE       ..
JSR LB402        :\ B4DD= 20 02 B4     .4
LDX #&10         :\ B4E0= A2 10       ".
.LB4E2
DEX              :\ B4E2= CA          J
BPL LB4E2        :\ B4E3= 10 FD       .}
.LB4E5
LDA &FE84        :\ B4E5= AD 84 FE    -.~
ROR A            :\ B4E8= 6A          j
BCC LB4E5        :\ B4E9= 90 FA       .z
.LB4EB
LDA &FE84        :\ B4EB= AD 84 FE    -.~
ROR A            :\ B4EE= 6A          j
BCS LB4EB        :\ B4EF= B0 FA       0z
LDA &A1          :\ B4F1= A5 A1       %!
BMI LB4F6        :\ B4F3= 30 01       0.
RTS              :\ B4F5= 60          `
 
.LB4F6
JMP LB566        :\ B4F6= 4C 66 B5    Lf5
 
.LB4F9
LDA #&04         :\ B4F9= A9 04       ).
STA &A5          :\ B4FB= 85 A5       .%
LDA #&00         :\ B4FD= A9 00       ).
JSR LB431        :\ B4FF= 20 31 B4     14
LDA #&A0         :\ B502= A9 A0       ) 
BNE LB538        :\ B504= D0 32       P2
.LB506
LDA #&04         :\ B506= A9 04       ).
STA &A5          :\ B508= 85 A5       .%
LDA #&01         :\ B50A= A9 01       ).
JSR LB431        :\ B50C= 20 31 B4     14
LDA #&80         :\ B50F= A9 80       ).
BNE LB538        :\ B511= D0 25       P%
.LB513
LDA #&04         :\ B513= A9 04       ).
STA &A5          :\ B515= 85 A5       .%
TSX              :\ B517= BA          :
STX &AF          :\ B518= 86 AF       ./
LDA #&FF         :\ B51A= A9 FF       ).
STA &AE          :\ B51C= 85 AE       ..
JSR LB431        :\ B51E= 20 31 B4     14
LDA #&00         :\ B521= A9 00       ).
STA &0D31        :\ B523= 8D 31 0D    .1.
STA &A6          :\ B526= 85 A6       .&
.LB528
LDA #&80         :\ B528= A9 80       ).
JSR LB53E        :\ B52A= 20 3E B5     >5
INC &0D31        :\ B52D= EE 31 0D    n1.
LDA &0D31        :\ B530= AD 31 0D    -1.
CMP #&10         :\ B533= C9 10       I.
BNE LB528        :\ B535= D0 F1       Pq
RTS              :\ B537= 60          `
 
.LB538
PHA              :\ B538= 48          H
LDA #&00         :\ B539= A9 00       ).
STA &AE          :\ B53B= 85 AE       ..
PLA              :\ B53D= 68          h
.LB53E
PHA              :\ B53E= 48          H
LDA #&06         :\ B53F= A9 06       ).
STA &A7          :\ B541= 85 A7       .'
.LB543
PLA              :\ B543= 68          h
PHA              :\ B544= 48          H
JSR LB3F7        :\ B545= 20 F7 B3     w3
BCC LB564        :\ B548= 90 1A       ..
ROR &A6          :\ B54A= 66 A6       f&
DEC &A7          :\ B54C= C6 A7       F'
BEQ LB566        :\ B54E= F0 16       p.
JSR LB3AC        :\ B550= 20 AC B3     ,3
LDA &A0          :\ B553= A5 A0       % 
AND #&10         :\ B555= 29 10       ).
BEQ LB543        :\ B557= F0 EA       pj
LDA #&FF         :\ B559= A9 FF       ).
STA &0D33        :\ B55B= 8D 33 0D    .3.
JSR LB434        :\ B55E= 20 34 B4     44
JMP LB543        :\ B561= 4C 43 B5    LC5
 
.LB564
PLA              :\ B564= 68          h
RTS              :\ B565= 60          `
 
.LB566
BIT &AE          :\ B566= 24 AE       $.
BPL LB575        :\ B568= 10 0B       ..
INC &AE          :\ B56A= E6 AE       f.
LDX &AF          :\ B56C= A6 AF       &/
TXS              :\ B56E= 9A          .
LDA #&FF         :\ B56F= A9 FF       ).
STA &0D33        :\ B571= 8D 33 0D    .3.
RTS              :\ B574= 60          `
 
.LB575
BIT &A0          :\ B575= 24 A0       $ 
BVC LB58C        :\ B577= 50 13       P.
JSR L8F94        :\ B579= 20 94 8F     ..
CMP #&44         :\ B57C= C9 44       ID
ADC #&73         :\ B57E= 69 73       is
EQUB &63         :\ B580= 63          c
JSR &7270        :\ B581= 20 70 72     pr
BBR 6,&74,&B5EC  :\ B584= 6F 74 65    ote
EQUB &63         :\ B587= 63          c
STZ &65,X        :\ B588= 74 65       te
STZ &00          :\ B58A= 64 00       d.
.LB58C
LDX #&17         :\ B58C= A2 17       ".
.LB58E
LDA LB5C7,X      :\ B58E= BD C7 B5    =G5
STA &0100,X      :\ B591= 9D 00 01    ...
DEX              :\ B594= CA          J
BPL LB58E        :\ B595= 10 F7       .w
LDY #&0D         :\ B597= A0 0D        .
LDA &A0          :\ B599= A5 A0       % 
JSR LABE6        :\ B59B= 20 E6 AB     f+
LDA &0D32        :\ B59E= AD 32 0D    -2.
ORA #&30         :\ B5A1= 09 30       .0
STA &0114        :\ B5A3= 8D 14 01    ...
LDY #&18         :\ B5A6= A0 18        .
LDA &0D30        :\ B5A8= AD 30 0D    -0.
LSR A            :\ B5AB= 4A          J
LSR A            :\ B5AC= 4A          J
LSR A            :\ B5AD= 4A          J
LSR A            :\ B5AE= 4A          J
JSR LABE6        :\ B5AF= 20 E6 AB     f+
LDA &0D30        :\ B5B2= AD 30 0D    -0.
ASL A            :\ B5B5= 0A          .
ASL A            :\ B5B6= 0A          .
ASL A            :\ B5B7= 0A          .
ASL A            :\ B5B8= 0A          .
ORA &FE86        :\ B5B9= 0D 86 FE    ..~
JSR LABE6        :\ B5BC= 20 E6 AB     f+
LDA #&00         :\ B5BF= A9 00       ).
STA &0100,Y      :\ B5C1= 99 00 01    ...
JMP &0100        :\ B5C4= 4C 00 01    L..
 
.LB5C7
BRK              :\ B5C7= 00          .
CPY &44          :\ B5C8= C7 44       GD
ADC #&73         :\ B5CA= 69 73       is
EQUB &63         :\ B5CC= 63          c
JSR &7265        :\ B5CD= 20 65 72     er
ADC (&6F)        :\ B5D0= 72 6F       ro
ADC (&20)        :\ B5D2= 72 20       r 
BMI LB606        :\ B5D4= 30 30       00
JSR &7461        :\ B5D6= 20 61 74     at
JSR &303A        :\ B5D9= 20 3A 30     :0
BBR 2,&30,&B60F  :\ B5DC= 2F 30 30    /00
.LB5DF
LDA &AA          :\ B5DF= A5 AA       %*
STA &AC          :\ B5E1= 85 AC       .,
LDA #&00         :\ B5E3= A9 00       ).
STA &AB          :\ B5E5= 85 AB       .+
TAY              :\ B5E7= A8          (
RTS              :\ B5E8= 60          `
 
.LB5E9
LDX #&03         :\ B5E9= A2 03       ".
.LB5EB
LDA LB172,X      :\ B5EB= BD 72 B1    =r1
STA (&AB),Y      :\ B5EE= 91 AB       .+
DEY              :\ B5F0= 88          .
DEX              :\ B5F1= CA          J
BPL LB5EB        :\ B5F2= 10 F7       .w
RTS              :\ B5F4= 60          `
 
.LB5F5
LDA #&8F         :\ B5F5= A9 8F       ).
LDX #&0C         :\ B5F7= A2 0C       ".
LDY #&FF         :\ B5F9= A0 FF        .
JSR OSBYTE       :\ B5FB= 20 F4 FF     t.
STY &0D39        :\ B5FE= 8C 39 0D    .9.
LDA &028F        :\ B601= AD 8F 02    -..
LSR A            :\ B604= 4A          J
LSR A            :\ B605= 4A          J
.LB606
LSR A            :\ B606= 4A          J
LSR A            :\ B607= 4A          J
AND #&03         :\ B608= 29 03       ).
STA &0D3A        :\ B60A= 8D 3A 0D    .:.
LDA #&FF         :\ B60D= A9 FF       ).
STA &0D33        :\ B60F= 8D 33 0D    .3.
RTS              :\ B612= 60          `
 
.LB613
LDA #&8F         :\ B613= A9 8F       ).
LDX #&0B         :\ B615= A2 0B       ".
LDY &0D39        :\ B617= AC 39 0D    ,9.
JMP OSBYTE       :\ B61A= 4C F4 FF    Lt.
 
.LB61D
BIT &FF          :\ B61D= 24 FF       $.
BPL LB627        :\ B61F= 10 06       ..
JSR LB613        :\ B621= 20 13 B6     .6
JMP L8C76        :\ B624= 4C 76 8C    Lv.
 
.LB627
RTS              :\ B627= 60          `
 
.LB628
JSR LB848        :\ B628= 20 48 B8     H8
CMP #&20         :\ B62B= C9 20       I 
BCS LB639        :\ B62D= B0 0A       0.
JSR LABFE        :\ B62F= 20 FE AB     ~+
LDA &A9          :\ B632= A5 A9       %)
AND #&03         :\ B634= 29 03       ).
JMP LB641        :\ B636= 4C 41 B6    LA6
 
.LB639
JSR LB715        :\ B639= 20 15 B7     .7
PHA              :\ B63C= 48          H
JSR L8F75        :\ B63D= 20 75 8F     u.
PLA              :\ B640= 68          h
.LB641
STA &0D32        :\ B641= 8D 32 0D    .2.
CMP #&02         :\ B644= C9 02       I.
BCC LB64B        :\ B646= 90 03       ..
JMP LB73A        :\ B648= 4C 3A B7    L:7
 
.LB64B
JSR L98CA        :\ B64B= 20 CA 98     J.
ORA &6556        :\ B64E= 0D 56 65    .Ve
ADC (&69)        :\ B651= 72 69       ri
ROR &79          :\ B653= 66 79       fy
ADC #&6E         :\ B655= 69 6E       in
EQUB &67         :\ B657= 67          g
ROL &2E2E        :\ B658= 2E 2E 2E    ...
ROL &2E2E        :\ B65B= 2E 2E 2E    ...
ROL &20EA        :\ B65E= 2E EA 20    .j 
SBC &B5,X        :\ B661= F5 B5       u5
LDA #&00         :\ B663= A9 00       ).
STA &0D30        :\ B665= 8D 30 0D    .0.
STA &0D31        :\ B668= 8D 31 0D    .1.
STA &0D34        :\ B66B= 8D 34 0D    .4.
LDA #&0A         :\ B66E= A9 0A       ).
STA &0D35        :\ B670= 8D 35 0D    .5.
JSR LB506        :\ B673= 20 06 B5     .5
LDA &0AFD        :\ B676= AD FD 0A    -}.
CMP #&03         :\ B679= C9 03       I.
ROL A            :\ B67B= 2A          *
ASL A            :\ B67C= 0A          .
ASL A            :\ B67D= 0A          .
ASL A            :\ B67E= 0A          .
EOR #&08         :\ B67F= 49 08       I.
STA &A9          :\ B681= 85 A9       .)
LDA #&00         :\ B683= A9 00       ).
STA &0D30        :\ B685= 8D 30 0D    .0.
STA &0D37        :\ B688= 8D 37 0D    .7.
.LB68B
LDA &0D30        :\ B68B= AD 30 0D    -0.
JSR L8F1E        :\ B68E= 20 1E 8F     ..
JSR LB513        :\ B691= 20 13 B5     .5
LDA &AE          :\ B694= A5 AE       %.
BMI LB69D        :\ B696= 30 05       0.
LDA #&FF         :\ B698= A9 FF       ).
PHA              :\ B69A= 48          H
BNE LB6B5        :\ B69B= D0 18       P.
.LB69D
LDA #&00         :\ B69D= A9 00       ).
ASL &A6          :\ B69F= 06 A6       .&
ROL A            :\ B6A1= 2A          *
PHA              :\ B6A2= 48          H
BNE LB6B0        :\ B6A3= D0 0B       P.
LDA #&08         :\ B6A5= A9 08       ).
JSR OSWRCH       :\ B6A7= 20 EE FF     n.
JSR OSWRCH       :\ B6AA= 20 EE FF     n.
JMP LB6BA        :\ B6AD= 4C BA B6    L:6
 
.LB6B0
LDA #&3F         :\ B6B0= A9 3F       )?
JSR OSWRCH       :\ B6B2= 20 EE FF     n.
.LB6B5
LDA #&20         :\ B6B5= A9 20       ) 
JSR OSWRCH       :\ B6B7= 20 EE FF     n.
.LB6BA
PLA              :\ B6BA= 68          h
ORA &0D37        :\ B6BB= 0D 37 0D    .7.
STA &0D37        :\ B6BE= 8D 37 0D    .7.
INC &0D30        :\ B6C1= EE 30 0D    n0.
JSR LB61D        :\ B6C4= 20 1D B6     .6
LDA &0D30        :\ B6C7= AD 30 0D    -0.
CMP &A9          :\ B6CA= C5 A9       E)
BNE LB68B        :\ B6CC= D0 BD       P=
LDA &0D37        :\ B6CE= AD 37 0D    -7.
BPL LB6EB        :\ B6D1= 10 18       ..
JSR L98CA        :\ B6D3= 20 CA 98     J.
JSR &0D20        :\ B6D6= 20 20 0D      .
LSR &65,X        :\ B6D9= 56 65       Ve
ADC (&69)        :\ B6DB= 72 69       ri
ROR &79          :\ B6DD= 66 79       fy
JSR &6166        :\ B6DF= 20 66 61     fa
ADC #&6C         :\ B6E2= 69 6C       il
ADC &64          :\ B6E4= 65 64       ed
ORA &4CEA        :\ B6E6= 0D EA 4C    .jL
ORA (&B7)        :\ B6E9= 12 B7       .7
.LB6EB
PHA              :\ B6EB= 48          H
JSR L98CA        :\ B6EC= 20 CA 98     J.
JSR &0D20        :\ B6EF= 20 20 0D      .
LSR &65,X        :\ B6F2= 56 65       Ve
ADC (&69)        :\ B6F4= 72 69       ri
ROR &69          :\ B6F6= 66 69       fi
ADC &64          :\ B6F8= 65 64       ed
NOP              :\ B6FA= EA          j
PLA              :\ B6FB= 68          h
BEQ LB70F        :\ B6FC= F0 11       p.
JSR L98CA        :\ B6FE= 20 CA 98     J.
JSR &6977        :\ B701= 20 77 69     wi
STZ &68,X        :\ B704= 74 68       th
JSR &6572        :\ B706= 20 72 65     re
STZ &72,X        :\ B709= 74 72       tr
ADC #&65         :\ B70B= 69 65       ie
EQUB &73         :\ B70D= 73          s
NOP              :\ B70E= EA          j
.LB70F
JSR OSNEWL       :\ B70F= 20 E7 FF     g.
JMP LB613        :\ B712= 4C 13 B6    L.6
 
.LB715
CMP #&30         :\ B715= C9 30       I0
BCS LB726        :\ B717= B0 0D       0.
.LB719
JSR L8F94        :\ B719= 20 94 8F     ..
CPY &6142        :\ B71C= CC 42 61    LBa
STZ &20          :\ B71F= 64 20       d 
ROR &6D61        :\ B721= 6E 61 6D    nam
ADC &00          :\ B724= 65 00       e.
.LB726
CMP #&39         :\ B726= C9 39       I9
BCC LB734        :\ B728= 90 0A       ..
CMP #&41         :\ B72A= C9 41       IA
BCC LB719        :\ B72C= 90 EB       .k
CMP #&49         :\ B72E= C9 49       II
BCS LB719        :\ B730= B0 E7       0g
SBC #&40         :\ B732= E9 40       i@
.LB734
AND #&03         :\ B734= 29 03       ).
CMP #&02         :\ B736= C9 02       I.
BCC LB73D        :\ B738= 90 03       ..
.LB73A
JMP LA959        :\ B73A= 4C 59 A9    LY)
 
.LB73D
INY              :\ B73D= C8          H
RTS              :\ B73E= 60          `
 
.LB73F
PHA              :\ B73F= 48          H
LDA &FE84        :\ B740= AD 84 FE    -.~
AND #&5F         :\ B743= 29 5F       )_
CMP #&03         :\ B745= C9 03       I.
BNE LB759        :\ B747= D0 10       P.
LDA &FF00        :\ B749= AD 00 FF    -..
STA &FE87        :\ B74C= 8D 87 FE    ..~
INC &0D0B        :\ B74F= EE 0B 0D    n..
BNE LB757        :\ B752= D0 03       P.
INC &0D0C        :\ B754= EE 0C 0D    n..
.LB757
PLA              :\ B757= 68          h
RTI              :\ B758= 40          @
 
.LB759
AND #&5C         :\ B759= 29 5C       )\
BEQ LB757        :\ B75B= F0 FA       pz
STA &A0          :\ B75D= 85 A0       . 
SEC              :\ B75F= 38          8
ROR &A1          :\ B760= 66 A1       f!
PLA              :\ B762= 68          h
RTI              :\ B763= 40          @
 
.LB764
TXA              :\ B764= 8A          .
PHA              :\ B765= 48          H
LDX &0D94        :\ B766= AE 94 0D    ...
BEQ LB78A        :\ B769= F0 1F       p.
DEX              :\ B76B= CA          J
BNE LB776        :\ B76C= D0 08       P.
PLA              :\ B76E= 68          h
TAX              :\ B76F= AA          *
LDA #&FF         :\ B770= A9 FF       ).
STA &FF30,X      :\ B772= 9D 30 FF    .0.
RTS              :\ B775= 60          `
 
.LB776
DEX              :\ B776= CA          J
BNE LB77F        :\ B777= D0 06       P.
PLA              :\ B779= 68          h
STA &FE32        :\ B77A= 8D 32 FE    .2~
TAX              :\ B77D= AA          *
RTS              :\ B77E= 60          `
 
.LB77F
LDA #&0F         :\ B77F= A9 0F       ).
STA &FE62        :\ B781= 8D 62 FE    .b~
PLA              :\ B784= 68          h
STA &FE60        :\ B785= 8D 60 FE    .`~
TAX              :\ B788= AA          *
RTS              :\ B789= 60          `
 
.LB78A
LDX #&11         :\ B78A= A2 11       ".
.LB78C
LDA LB79B,X      :\ B78C= BD 9B B7    =.7
STA &0120,X      :\ B78F= 9D 20 01    . .
DEX              :\ B792= CA          J
BPL LB78C        :\ B793= 10 F7       .w
PLA              :\ B795= 68          h
STA &0122        :\ B796= 8D 22 01    .".
TAX              :\ B799= AA          *
RTS              :\ B79A= 60          `
 
.LB79B
SEI              :\ B79B= 78          x
LDA #&00         :\ B79C= A9 00       ).
STA &FE30        :\ B79E= 8D 30 FE    .0~
PLA              :\ B7A1= 68          h
PHA              :\ B7A2= 48          H
STA (&F6),Y      :\ B7A3= 91 F6       .v
LDA &F4          :\ B7A5= A5 F4       %t
STA &FE30        :\ B7A7= 8D 30 FE    .0~
PLA              :\ B7AA= 68          h
CLI              :\ B7AB= 58          X
RTS              :\ B7AC= 60          `
 
.LB7AD
PHA              :\ B7AD= 48          H
LDA &0D94        :\ B7AE= AD 94 0D    -..
BNE LB7B6        :\ B7B1= D0 03       P.
JMP &0120        :\ B7B3= 4C 20 01    L .
 
.LB7B6
PLA              :\ B7B6= 68          h
STA (&F6),Y      :\ B7B7= 91 F6       .v
RTS              :\ B7B9= 60          `
 
.LB7BA
LDA &0D94        :\ B7BA= AD 94 0D    -..
BNE LB7C0        :\ B7BD= D0 01       P.
RTS              :\ B7BF= 60          `
 
.LB7C0
SEC              :\ B7C0= 38          8
SBC #&02         :\ B7C1= E9 02       i.
BNE LB7CC        :\ B7C3= D0 07       P.
LDA &024B        :\ B7C5= AD 4B 02    -K.
STA &FE32        :\ B7C8= 8D 32 FE    .2~
RTS              :\ B7CB= 60          `
 
.LB7CC
BPL LB7D7        :\ B7CC= 10 09       ..
LDX &024B        :\ B7CE= AE 4B 02    .K.
LDA #&FF         :\ B7D1= A9 FF       ).
STA &FF30,X      :\ B7D3= 9D 30 FF    .0.
RTS              :\ B7D6= 60          `
 
.LB7D7
LDA #&0F         :\ B7D7= A9 0F       ).
STA &FE62        :\ B7D9= 8D 62 FE    .b~
LDA &024B        :\ B7DC= AD 4B 02    -K.
STA &FE60        :\ B7DF= 8D 60 FE    .`~
RTS              :\ B7E2= 60          `
 
.LB7E3
LDA #&08:STA &F6    :\ Point to &8008
LDA #&80:STA &F7
LDY #&0F:JMP &FFB9  :\ Read from ROM
 
.LB7F0
JSR LB7E3:PHA
LDA #&00:PHA
LDY #&0F
.LB7F9
JSR L8E8A        :\ B7F9= 20 8A 8E     ..
PLA              :\ B7FC= 68          h
ROL A            :\ B7FD= 2A          *
PHA              :\ B7FE= 48          H
DEY              :\ B7FF= 88          .
CPY #&07         :\ B800= C0 07       @.
BNE LB7F9        :\ B802= D0 F5       Pu
STA &0D91        :\ B804= 8D 91 0D    ...
.LB807
JSR L8E8A        :\ B807= 20 8A 8E     ..
PLA              :\ B80A= 68          h
ROL A            :\ B80B= 2A          *
PHA              :\ B80C= 48          H
DEY              :\ B80D= 88          .
BPL LB807        :\ B80E= 10 F7       .w
PLA              :\ B810= 68          h
STA &0D90        :\ B811= 8D 90 0D    ...
PLA              :\ B814= 68          h
STA L8008        :\ B815= 8D 08 80    ...
RTS              :\ B818= 60          `
 
JSR LB7F0        :\ B819= 20 F0 B7     p7
LDA &0D90        :\ B81C= AD 90 0D    -..
JSR LB82C        :\ B81F= 20 2C B8     ,8
TAX              :\ B822= AA          *
LDA &0D91        :\ B823= AD 91 0D    -..
.LB826
JSR LB82C        :\ B826= 20 2C B8     ,8
STA &69          :\ B829= 85 69       .i
RTS              :\ B82B= 60          `
 
.LB82C
PHA              :\ B82C= 48          H
ASL A            :\ B82D= 0A          .
ASL A            :\ B82E= 0A          .
ASL A            :\ B82F= 0A          .
ASL A            :\ B830= 0A          .
STA &63          :\ B831= 85 63       .c
PLA              :\ B833= 68          h
LSR A            :\ B834= 4A          J
LSR A            :\ B835= 4A          J
LSR A            :\ B836= 4A          J
LSR A            :\ B837= 4A          J
ORA &63          :\ B838= 05 63       .c
RTS              :\ B83A= 60          `
 
LDA &0D92        :\ B83B= AD 92 0D    -..
JSR LB82C        :\ B83E= 20 2C B8     ,8
TAX              :\ B841= AA          *
LDA &0D93        :\ B842= AD 93 0D    -..
JMP LB826        :\ B845= 4C 26 B8    L&8
 
.LB848
DEY              :\ B848= 88          .
.LB849
INY              :\ B849= C8          H
LDA (&F2),Y      :\ B84A= B1 F2       1r
CMP #&20         :\ B84C= C9 20       I 
BEQ LB849        :\ B84E= F0 F9       py
PHA              :\ B850= 48          H
JSR L9086        :\ B851= 20 86 90     ..
PLA              :\ B854= 68          h
RTS              :\ B855= 60          `
 
.LB856
SEC              :\ B856= 38          8
BCS LB85A        :\ B857= B0 01       0.
.LB859
CLC              :\ B859= 18          .
.LB85A
TYA              :\ B85A= 98          .
PHA              :\ B85B= 48          H
PHP              :\ B85C= 08          .
LDX #&00         :\ B85D= A2 00       ".
CMP #&08         :\ B85F= C9 08       I.
BCC LB865        :\ B861= 90 02       ..
LDX #&01         :\ B863= A2 01       ".
.LB865
AND #&07         :\ B865= 29 07       ).
TAY              :\ B867= A8          (
LDA L8ECF,Y      :\ B868= B9 CF 8E    9O.
AND &0D90,X      :\ B86B= 3D 90 0D    =..
BNE LB876        :\ B86E= D0 06       P.
PLP              :\ B870= 28          (
BCS LB87A        :\ B871= B0 07       0.
JMP LBAB7        :\ B873= 4C B7 BA    L7:
 
.LB876
PLP              :\ B876= 28          (
.LB877
PLA              :\ B877= 68          h
TAY              :\ B878= A8          (
RTS              :\ B879= 60          `
 
.LB87A
CLC              :\ B87A= 18          .
BCC LB877        :\ B87B= 90 FA       .z
.LB87D
JSR LB848        :\ B87D= 20 48 B8     H8
CMP #&4B         :\ B880= C9 4B       IK
BCC LB88D        :\ B882= 90 09       ..
CMP #&5B         :\ B884= C9 5B       I[
BCS LB898        :\ B886= B0 10       0.
SBC #&2A         :\ B888= E9 2A       i*
TAX              :\ B88A= AA          *
INY              :\ B88B= C8          H
RTS              :\ B88C= 60          `
 
.LB88D
JSR L90CA        :\ B88D= 20 CA 90     J.
BCC LB898        :\ B890= 90 06       ..
CMP #&10         :\ B892= C9 10       I.
BCS LB898        :\ B894= B0 02       0.
TAX              :\ B896= AA          *
RTS              :\ B897= 60          `
 
.LB898
JMP LBAB7        :\ B898= 4C B7 BA    L7:
 
.LB89B
CMP #&10         :\ B89B= C9 10       I.
BCC LB8CB        :\ B89D= 90 2C       .,
CMP #&20         :\ B89F= C9 20       I 
BCS LB8A5        :\ B8A1= B0 02       0.
ADC #&1C         :\ B8A3= 69 1C       i.
.LB8A5
CMP #&30         :\ B8A5= C9 30       I0
BCS LB898        :\ B8A7= B0 EF       0o
STA &63          :\ B8A9= 85 63       .c
LDA #&30         :\ B8AB= A9 30       )0
SEC              :\ B8AD= 38          8
SBC &63          :\ B8AE= E5 63       ec
TAX              :\ B8B0= AA          *
LDY #&10         :\ B8B1= A0 10        .
LDA &0D91        :\ B8B3= AD 91 0D    -..
.LB8B6
ASL A            :\ B8B6= 0A          .
DEY              :\ B8B7= 88          .
BCC LB8BD        :\ B8B8= 90 03       ..
DEX              :\ B8BA= CA          J
BEQ LB8CA        :\ B8BB= F0 0D       p.
.LB8BD
CPY #&08         :\ B8BD= C0 08       @.
BNE LB8C4        :\ B8BF= D0 03       P.
LDA &0D90        :\ B8C1= AD 90 0D    -..
.LB8C4
CPY #&00         :\ B8C4= C0 00       @.
BNE LB8B6        :\ B8C6= D0 EE       Pn
BEQ LB898        :\ B8C8= F0 CE       pN
.LB8CA
TYA              :\ B8CA= 98          .
.LB8CB
TAY              :\ B8CB= A8          (
JMP LB859        :\ B8CC= 4C 59 B8    LY8
 
\ *RBoot
\ ======
JSR LB88D              :\ Read numeric parameter to X
LDA &02A1,X:BPL LB898  :\ No service entry, give 'Bad ID'
JMP L8229              :\ Send service call 3 to specified ROM

.LB8DA 
CLC              :\ B8DA= 18          .
BCC LB8DE        :\ B8DB= 90 01       ..
SEC              :\ B8DD= 38          8
.LB8DE
PHP              :\ B8DE= 08          .
JSR LB87D        :\ B8DF= 20 7D B8     }8
PHA              :\ B8E2= 48          H
JSR L8F75        :\ B8E3= 20 75 8F     u.
PLA              :\ B8E6= 68          h
JSR LB89B        :\ B8E7= 20 9B B8     .8
LDA #&02         :\ B8EA= A9 02       ).
STA &02A1,Y      :\ B8EC= 99 A1 02    .!.
TYA              :\ B8EF= 98          .
STA &AA          :\ B8F0= 85 AA       .*
LDY #&00         :\ B8F2= A0 00        .
CMP #&08         :\ B8F4= C9 08       I.
BCC LB8F9        :\ B8F6= 90 01       ..
INY              :\ B8F8= C8          H
.LB8F9
STY &A9          :\ B8F9= 84 A9       .)
LDA &0D92,Y      :\ B8FB= B9 92 0D    9..
STA &A8          :\ B8FE= 85 A8       .(
LDA &AA          :\ B900= A5 AA       %*
AND #&07         :\ B902= 29 07       ).
TAX              :\ B904= AA          *
LDA L8ECF,X      :\ B905= BD CF 8E    =O.
EOR #&FF         :\ B908= 49 FF       I.
AND &A8          :\ B90A= 25 A8       %(
PLP              :\ B90C= 28          (
PHP              :\ B90D= 08          .
BCC LB913        :\ B90E= 90 03       ..
ORA L8ECF,X      :\ B910= 1D CF 8E    .O.
.LB913
LDY &A9          :\ B913= A4 A9       $)
STA &0D92,Y      :\ B915= 99 92 0D    ...
LDX &AA          :\ B918= A6 AA       &*
JSR LB764        :\ B91A= 20 64 B7     d7
LDA #&00         :\ B91D= A9 00       ).
STA &F6          :\ B91F= 85 F6       .v
LDA #&80         :\ B921= A9 80       ).
STA &F7          :\ B923= 85 F7       .w
LDY #&0F         :\ B925= A0 0F        .
.LB927
LDA LB93D,Y      :\ B927= B9 3D B9    9=9
JSR LB7AD        :\ B92A= 20 AD B7     -7
DEY              :\ B92D= 88          .
BPL LB927        :\ B92E= 10 F7       .w
PLP              :\ B930= 28          (
BCC LB93A        :\ B931= 90 07       ..
LDA #&41         :\ B933= A9 41       )A
LDY #&0A         :\ B935= A0 0A        .
JSR LB7AD        :\ B937= 20 AD B7     -7
.LB93A
JMP LB7BA        :\ B93A= 4C BA B7    L:7
 
.LB93D
RTS              :\ B93D= 60          `
 
BRK              :\ B93E= 00          .
BRK              :\ B93F= 00          .
RTS              :\ B940= 60          `
 
BRK              :\ B941= 00          .
BRK              :\ B942= 00          .
EQUB &02         :\ B943= 02          .
TSB &52FF        :\ B944= 0C FF 52    ..R
BBR 4,&4D,&B94A  :\ B947= 4F 4D 00    OM.
PLP              :\ B94A= 28          (
EQUB &43         :\ B94B= 43          C
AND #&20         :\ B94C= 29 20       ) 
STX &90          :\ B94E= 86 90       ..
LDA &F2          :\ B950= A5 F2       %r
STA &02F1        :\ B952= 8D F1 02    .q.
LDA &F3          :\ B955= A5 F3       %s
STA &02F2        :\ B957= 8D F2 02    .r.
CLC              :\ B95A= 18          .
JSR &FFC2        :\ B95B= 20 C2 FF     B.
.LB95E
JSR &FFC5        :\ B95E= 20 C5 FF     E.
BCC LB95E        :\ B961= 90 FB       .{
JSR LB848        :\ B963= 20 48 B8     H8
JSR LB974        :\ B966= 20 74 B9     t9
LDA &6B          :\ B969= A5 6B       %k
STA &02F4        :\ B96B= 8D F4 02    .t.
LDA &6C          :\ B96E= A5 6C       %l
STA &02F5        :\ B970= 8D F5 02    .u.
RTS              :\ B973= 60          `
 
.LB974
JSR L9041        :\ B974= 20 41 90     A.
BCC LB982        :\ B977= 90 09       ..
LDA &6D          :\ B979= A5 6D       %m
ORA &6E          :\ B97B= 05 6E       .n
BNE LB982        :\ B97D= D0 03       P.
JMP LB848        :\ B97F= 4C 48 B8    LH8
 
.LB982
JMP L9094        :\ B982= 4C 94 90    L..
 
JSR LB94D        :\ B985= 20 4D B9     M9
SEC              :\ B988= 38          8
.LB989
LDA #&00         :\ B989= A9 00       ).
STA &02FA        :\ B98B= 8D FA 02    .z.
STA &02FB        :\ B98E= 8D FB 02    .{.
ROR A            :\ B991= 6A          j
STA &02F0        :\ B992= 8D F0 02    .p.
SEC              :\ B995= 38          8
JMP LBA3E        :\ B996= 4C 3E BA    L>:
 
JSR LB94D        :\ B999= 20 4D B9     M9
LDA (&F2),Y      :\ B99C= B1 F2       1r
INY              :\ B99E= C8          H
CMP #&2B         :\ B99F= C9 2B       I+
BEQ LB9A5        :\ B9A1= F0 02       p.
CLC              :\ B9A3= 18          .
DEY              :\ B9A4= 88          .
.LB9A5
PHP              :\ B9A5= 08          .
JSR LB974        :\ B9A6= 20 74 B9     t9
LDA &6B          :\ B9A9= A5 6B       %k
STA &02F6        :\ B9AB= 8D F6 02    .v.
LDA &6C          :\ B9AE= A5 6C       %l
STA &02F7        :\ B9B0= 8D F7 02    .w.
PLP              :\ B9B3= 28          (
BCS LB9CB        :\ B9B4= B0 15       0.
SEC              :\ B9B6= 38          8
LDA &02F6        :\ B9B7= AD F6 02    -v.
SBC &02F4        :\ B9BA= ED F4 02    mt.
STA &02F6        :\ B9BD= 8D F6 02    .v.
LDA &02F7        :\ B9C0= AD F7 02    -w.
SBC &02F5        :\ B9C3= ED F5 02    mu.
STA &02F7        :\ B9C6= 8D F7 02    .w.
BCC LB982        :\ B9C9= 90 B7       .7
.LB9CB
CLC              :\ B9CB= 18          .
BCC LB989        :\ B9CC= 90 BB       .;
CLC              :\ B9CE= 18          .
BCC LB9D2        :\ B9CF= 90 01       ..
SEC              :\ B9D1= 38          8
.LB9D2
LDA #&00         :\ B9D2= A9 00       ).
ROR A            :\ B9D4= 6A          j
STA &02F0        :\ B9D5= 8D F0 02    .p.
JSR L9041        :\ B9D8= 20 41 90     A.
BCS LB9E0        :\ B9DB= B0 03       0.
.LB9DD
JMP L8F84        :\ B9DD= 4C 84 8F    L..
 
.LB9E0
LDX #&03         :\ B9E0= A2 03       ".
.LB9E2
LDA &6B,X        :\ B9E2= B5 6B       5k
STA &02F1,X      :\ B9E4= 9D F1 02    .q.
DEX              :\ B9E7= CA          J
BPL LB9E2        :\ B9E8= 10 F8       .x
JSR LB848        :\ B9EA= 20 48 B8     H8
CMP #&20         :\ B9ED= C9 20       I 
BCC LB9DD        :\ B9EF= 90 EC       .l
CMP #&2B         :\ B9F1= C9 2B       I+
BNE LB9F8        :\ B9F3= D0 03       P.
INY              :\ B9F5= C8          H
LDA #&00         :\ B9F6= A9 00       ).
.LB9F8
PHP              :\ B9F8= 08          .
JSR L9041        :\ B9F9= 20 41 90     A.
BCC LB9DD        :\ B9FC= 90 DF       ._
PLP              :\ B9FE= 28          (
BNE LBA14        :\ B9FF= D0 13       P.
LDA &6D          :\ BA01= A5 6D       %m
ORA &6E          :\ BA03= 05 6E       .n
BNE LB9DD        :\ BA05= D0 D6       PV
LDA &6B          :\ BA07= A5 6B       %k
STA &02F5        :\ BA09= 8D F5 02    .u.
LDA &6C          :\ BA0C= A5 6C       %l
STA &02F6        :\ BA0E= 8D F6 02    .v.
JMP LBA30        :\ BA11= 4C 30 BA    L0:
 
.LBA14
LDX #&00         :\ BA14= A2 00       ".
SEC              :\ BA16= 38          8
PHP              :\ BA17= 08          .
.LBA18
PLP              :\ BA18= 28          (
LDA &6B,X        :\ BA19= B5 6B       5k
SBC &02F1,X      :\ BA1B= FD F1 02    }q.
STA &02F5,X      :\ BA1E= 9D F5 02    .u.
PHP              :\ BA21= 08          .
INX              :\ BA22= E8          h
CPX #&04         :\ BA23= E0 04       `.
BNE LBA18        :\ BA25= D0 F1       Pq
PLP              :\ BA27= 28          (
LDA &02F7        :\ BA28= AD F7 02    -w.
ORA &02F8        :\ BA2B= 0D F8 02    .x.
BNE LB9DD        :\ BA2E= D0 AD       P-
.LBA30
JSR LB974        :\ BA30= 20 74 B9     t9
LDA &6B          :\ BA33= A5 6B       %k
STA &02F8        :\ BA35= 8D F8 02    .x.
LDA &6C          :\ BA38= A5 6C       %l
STA &02F9        :\ BA3A= 8D F9 02    .y.
CLC              :\ BA3D= 18          .
.LBA3E
PHP              :\ BA3E= 08          .
LDA (&F2),Y      :\ BA3F= B1 F2       1r
CMP #&20         :\ BA41= C9 20       I 
BCC LBA5E        :\ BA43= 90 19       ..
CMP #&51         :\ BA45= C9 51       IQ
BEQ LBA5E        :\ BA47= F0 15       p.
CMP #&49         :\ BA49= C9 49       II
BEQ LBA5E        :\ BA4B= F0 11       p.
JSR LB87D        :\ BA4D= 20 7D B8     }8
PLP              :\ BA50= 28          (
PHP              :\ BA51= 08          .
BCS LBA59        :\ BA52= B0 05       0.
STA &02F7        :\ BA54= 8D F7 02    .w.
BCC LBA66        :\ BA57= 90 0D       ..
.LBA59
STA &02F3        :\ BA59= 8D F3 02    .s.
BCS LBA66        :\ BA5C= B0 08       0.
.LBA5E
LDA &02F0        :\ BA5E= AD F0 02    -p.
ORA #&40         :\ BA61= 09 40       .@
STA &02F0        :\ BA63= 8D F0 02    .p.
.LBA66
JSR LB848        :\ BA66= 20 48 B8     H8
PLP              :\ BA69= 28          (
PHP              :\ BA6A= 08          .
BCC LBA7A        :\ BA6B= 90 0D       ..
CMP #&51         :\ BA6D= C9 51       IQ
BNE LBA7A        :\ BA6F= D0 09       P.
LDA #&FF         :\ BA71= A9 FF       ).
STA &02FB        :\ BA73= 8D FB 02    .{.
INY              :\ BA76= C8          H
JSR LB848        :\ BA77= 20 48 B8     H8
.LBA7A
LDA &02F0        :\ BA7A= AD F0 02    -p.
CMP #&80         :\ BA7D= C9 80       I.
CLC              :\ BA7F= 18          .
BNE LBA8B        :\ BA80= D0 09       P.
LDA (&F2),Y      :\ BA82= B1 F2       1r
CMP #&49         :\ BA84= C9 49       II
CLC              :\ BA86= 18          .
BNE LBA8B        :\ BA87= D0 02       P.
INY              :\ BA89= C8          H
SEC              :\ BA8A= 38          8
.LBA8B
PLA              :\ BA8B= 68          h
PHP              :\ BA8C= 08          .
PHA              :\ BA8D= 48          H
JSR L8F75        :\ BA8E= 20 75 8F     u.
LDA #&42         :\ BA91= A9 42       )B
PLP              :\ BA93= 28          (
BCC LBA98        :\ BA94= 90 02       ..
LDA #&43         :\ BA96= A9 43       )C
.LBA98
LDX #&F0         :\ BA98= A2 F0       "p
LDY #&02         :\ BA9A= A0 02        .
JSR OSWORD       :\ BA9C= 20 F1 FF     q.
PLP              :\ BA9F= 28          (
BCC LBAB6        :\ BAA0= 90 14       ..
LDA #&06         :\ BAA2= A9 06       ).
STA &F6          :\ BAA4= 85 F6       .v
LDA #&80         :\ BAA6= A9 80       ).
STA &F7          :\ BAA8= 85 F7       .w
LDY &0AE7        :\ BAAA= AC E7 0A    ,g.
JSR &FFB9        :\ BAAD= 20 B9 FF     9.
LDX &0AE7        :\ BAB0= AE E7 0A    .g.
STA &02A1,X      :\ BAB3= 9D A1 02    .!.
.LBAB6
RTS              :\ BAB6= 60          `
 
.LBAB7
JSR L8F94        :\ BAB7= 20 94 8F     ..
ORA (&42,X)      :\ BABA= 01 42       .B
ADC (&64,X)      :\ BABC= 61 64       ad
JSR &4449        :\ BABE= 20 49 44     ID
BRK              :\ BAC1= 00          .
.LBAC2
PHP              :\ BAC2= 08          .
TAY              :\ BAC3= A8          (
JSR LB859        :\ BAC4= 20 59 B8     Y8
LDX #&00         :\ BAC7= A2 00       ".
CMP #&08         :\ BAC9= C9 08       I.
BCC LBACF        :\ BACB= 90 02       ..
LDX #&01         :\ BACD= A2 01       ".
.LBACF
AND #&07         :\ BACF= 29 07       ).
TAY              :\ BAD1= A8          (
LDA L8ECF,Y      :\ BAD2= B9 CF 8E    9O.
AND &0D92,X      :\ BAD5= 3D 92 0D    =..
BNE LBADE        :\ BAD8= D0 04       P.
PLP              :\ BADA= 28          (
BCS LBAB7        :\ BADB= B0 DA       0Z
RTS              :\ BADD= 60          `
 
.LBADE
PLP              :\ BADE= 28          (
BCC LBAB7        :\ BADF= 90 D6       .V
RTS              :\ BAE1= 60          `
 
.LBAE2
LDY #&10         :\ BAE2= A0 10        .
.LBAE4
LDA &AF          :\ BAE4= A5 AF       %/
CMP #&3F         :\ BAE6= C9 3F       I?
BCC LBB06        :\ BAE8= 90 1C       ..
BNE LBAF2        :\ BAEA= D0 06       P.
LDA &AE          :\ BAEC= A5 AE       %.
CMP #&F0         :\ BAEE= C9 F0       Ip
BCC LBB06        :\ BAF0= 90 14       ..
.LBAF2
SEC              :\ BAF2= 38          8
LDA &AE          :\ BAF3= A5 AE       %.
SBC #&F0         :\ BAF5= E9 F0       ip
STA &AE          :\ BAF7= 85 AE       ..
LDA &AF          :\ BAF9= A5 AF       %/
SBC #&3F         :\ BAFB= E9 3F       i?
STA &AF          :\ BAFD= 85 AF       ./
INY              :\ BAFF= C8          H
CPY #&14         :\ BB00= C0 14       @.
BNE LBAE4        :\ BB02= D0 E0       P`
BEQ LBAB7        :\ BB04= F0 B1       p1
.LBB06
STY &AD          :\ BB06= 84 AD       .-
CLC              :\ BB08= 18          .
LDA &AE          :\ BB09= A5 AE       %.
ADC #&10         :\ BB0B= 69 10       i.
STA &AE          :\ BB0D= 85 AE       ..
LDA &AF          :\ BB0F= A5 AF       %/
ADC #&80         :\ BB11= 69 80       i.
STA &AF          :\ BB13= 85 AF       ./
RTS              :\ BB15= 60          `
 
.LBB16
LDA &F4          :\ BB16= A5 F4       %t
PHA              :\ BB18= 48          H
LDA &AD          :\ BB19= A5 AD       %-
JSR LB89B        :\ BB1B= 20 9B B8     .8
PHA              :\ BB1E= 48          H
LDA &0AE5        :\ BB1F= AD E5 0A    -e.
ASL A            :\ BB22= 0A          .
PLA              :\ BB23= 68          h
PHA              :\ BB24= 48          H
JSR LBAC2        :\ BB25= 20 C2 BA     B:
PLA              :\ BB28= 68          h
PHA              :\ BB29= 48          H
TAX              :\ BB2A= AA          *
BIT &A8          :\ BB2B= 24 A8       $(
BPL LBB34        :\ BB2D= 10 05       ..
LDA #&00         :\ BB2F= A9 00       ).
STA &02A1,X      :\ BB31= 9D A1 02    .!.
.LBB34
JSR LB764        :\ BB34= 20 64 B7     d7
PLA              :\ BB37= 68          h
STA &F4          :\ BB38= 85 F4       .t
STA &FE30        :\ BB3A= 8D 30 FE    .0~
STA &0AE7        :\ BB3D= 8D E7 0A    .g.
.LBB40
LDA &FFFF        :\ BB40= AD FF FF    -..
STA &EEEE        :\ BB43= 8D EE EE    .nn
INC &0A2B        :\ BB46= EE 2B 0A    n+.
BNE LBB4E        :\ BB49= D0 03       P.
INC &0A2C        :\ BB4B= EE 2C 0A    n,.
.LBB4E
INC &0A2E        :\ BB4E= EE 2E 0A    n..
BNE LBB56        :\ BB51= D0 03       P.
INC &0A2F        :\ BB53= EE 2F 0A    n/.
.LBB56
LDA &AB          :\ BB56= A5 AB       %+
BNE LBB5C        :\ BB58= D0 02       P.
DEC &AC          :\ BB5A= C6 AC       F,
.LBB5C
DEC &AB          :\ BB5C= C6 AB       F+
LDA &AB          :\ BB5E= A5 AB       %+
ORA &AC          :\ BB60= 05 AC       .,
BEQ LBB9B        :\ BB62= F0 37       p7
LDA &0A2C        :\ BB64= AD 2C 0A    -,.
BIT &A8          :\ BB67= 24 A8       $(
BPL LBB6E        :\ BB69= 10 03       ..
LDA &0A2F        :\ BB6B= AD 2F 0A    -/.
.LBB6E
CMP #&C0         :\ BB6E= C9 C0       I@
BCC LBB40        :\ BB70= 90 CE       .N
BIT &A8          :\ BB72= 24 A8       $(
BPL LBB82        :\ BB74= 10 0C       ..
LDA #&10         :\ BB76= A9 10       ).
STA &0A2E        :\ BB78= 8D 2E 0A    ...
LDA #&80         :\ BB7B= A9 80       ).
STA &0A2F        :\ BB7D= 8D 2F 0A    ./.
BNE LBB8C        :\ BB80= D0 0A       P.
.LBB82
LDA #&10         :\ BB82= A9 10       ).
STA &0A2B        :\ BB84= 8D 2B 0A    .+.
LDA #&80         :\ BB87= A9 80       ).
STA &0A2C        :\ BB89= 8D 2C 0A    .,.
.LBB8C
PLA              :\ BB8C= 68          h
PHA              :\ BB8D= 48          H
STA &F4          :\ BB8E= 85 F4       .t
STA &FE30        :\ BB90= 8D 30 FE    .0~
JSR LB7BA        :\ BB93= 20 BA B7     :7
INC &AD          :\ BB96= E6 AD       f-
JMP &0A03        :\ BB98= 4C 03 0A    L..
 
.LBB9B
PLA              :\ BB9B= 68          h
STA &F4          :\ BB9C= 85 F4       .t
STA &FE30        :\ BB9E= 8D 30 FE    .0~
RTS              :\ BBA1= 60          `
 
.LBBA2
BIT &FEE4        :\ BBA2= 2C E4 FE    ,d~
BPL LBBA2        :\ BBA5= 10 FB       .{
LDA &FEE5        :\ BBA7= AD E5 FE    -e~
RTS              :\ BBAA= 60          `
 
.LBBAB
BIT &FEE4        :\ BBAB= 2C E4 FE    ,d~
BVC LBBAB        :\ BBAE= 50 FB       P{
STA &FEE5        :\ BBB0= 8D E5 FE    .e~
RTS              :\ BBB3= 60          `
 
.LBBB4
LDA &FFFF        :\ BBB4= AD FF FF    -..
JSR LBBAB        :\ BBB7= 20 AB BB     +;
INC &0A2B        :\ BBBA= EE 2B 0A    n+.
BNE LBBC2        :\ BBBD= D0 03       P.
INC &0A2C        :\ BBBF= EE 2C 0A    n,.
.LBBC2
NOP              :\ BBC2= EA          j
NOP              :\ BBC3= EA          j
NOP              :\ BBC4= EA          j
NOP              :\ BBC5= EA          j
NOP              :\ BBC6= EA          j
NOP              :\ BBC7= EA          j
NOP              :\ BBC8= EA          j
NOP              :\ BBC9= EA          j
.LBBCA
JSR LBBA2        :\ BBCA= 20 A2 BB     ";
STA &FFFF        :\ BBCD= 8D FF FF    ...
NOP              :\ BBD0= EA          j
NOP              :\ BBD1= EA          j
NOP              :\ BBD2= EA          j
NOP              :\ BBD3= EA          j
NOP              :\ BBD4= EA          j
NOP              :\ BBD5= EA          j
NOP              :\ BBD6= EA          j
NOP              :\ BBD7= EA          j
.LBBD8
CLC              :\ BBD8= 18          .
LDA &AE          :\ BBD9= A5 AE       %.
ADC &AB          :\ BBDB= 65 AB       e+
PHA              :\ BBDD= 48          H
LDA &AF          :\ BBDE= A5 AF       %/
ADC &AC          :\ BBE0= 65 AC       e,
BCS LBBF3        :\ BBE2= B0 0F       0.
PHA              :\ BBE4= 48          H
BIT &A8          :\ BBE5= 24 A8       $(
BVS LBC07        :\ BBE7= 70 1E       p.
PLA              :\ BBE9= 68          h
CMP #&C0         :\ BBEA= C9 C0       I@
BCC LBC13        :\ BBEC= 90 25       .%
BNE LBBF3        :\ BBEE= D0 03       P.
PLA              :\ BBF0= 68          h
BEQ LBC14        :\ BBF1= F0 21       p!
.LBBF3
JSR L8F94        :\ BBF3= 20 94 8F     ..
ORA (&49,X)      :\ BBF6= 01 49       .I
JMP (&656C)      :\ BBF8= 6C 6C 65    lle
 
EQUB &67         :\ BBFB= 67          g
ADC (&6C,X)      :\ BBFC= 61 6C       al
JSR &6461        :\ BBFE= 20 61 64     ad
STZ &72          :\ BC01= 64 72       dr
ADC &73          :\ BC03= 65 73       es
EQUB &73         :\ BC05= 73          s
BRK              :\ BC06= 00          .
.LBC07
PLA              :\ BC07= 68          h
CMP #&FF         :\ BC08= C9 FF       I.
BNE LBC13        :\ BC0A= D0 07       P.
PLA              :\ BC0C= 68          h
CMP #&C0         :\ BC0D= C9 C0       I@
BCS LBBF3        :\ BC0F= B0 E2       0b
BCC LBC14        :\ BC11= 90 01       ..
.LBC13
PLA              :\ BC13= 68          h
.LBC14
LDA &A8          :\ BC14= A5 A8       %(
ASL A            :\ BC16= 0A          .
STA &0AE5        :\ BC17= 8D E5 0A    .e.
BPL LBC1F        :\ BC1A= 10 03       ..
JSR LBAE2        :\ BC1C= 20 E2 BA     b:
.LBC1F
LDY #&9D         :\ BC1F= A0 9D        .
.LBC21
LDA LBB16,Y      :\ BC21= B9 16 BB    9.;
STA &0A00,Y      :\ BC24= 99 00 0A    ...
DEY              :\ BC27= 88          .
CPY #&FF         :\ BC28= C0 FF       @.
BNE LBC21        :\ BC2A= D0 F5       Pu
BIT &0AE6        :\ BC2C= 2C E6 0A    ,f.
BPL LBC85        :\ BC2F= 10 54       .T
LDA #&C8         :\ BC31= A9 C8       )H
.LBC33
JSR &0406        :\ BC33= 20 06 04     ..
BCC LBC33        :\ BC36= 90 FB       .{
LDY #&04         :\ BC38= A0 04        .
.LBC3A
LDA (&F0),Y      :\ BC3A= B1 F0       1p
STA &0AE7,Y      :\ BC3C= 99 E7 0A    .g.
DEY              :\ BC3F= 88          .
BNE LBC3A        :\ BC40= D0 F8       Px
LDX #&E8         :\ BC42= A2 E8       "h
LDY #&0A         :\ BC44= A0 0A        .
LDA &A8          :\ BC46= A5 A8       %(
ASL A            :\ BC48= 0A          .
LDA #&00         :\ BC49= A9 00       ).
ROL A            :\ BC4B= 2A          *
EOR #&01         :\ BC4C= 49 01       I.
JSR &0406        :\ BC4E= 20 06 04     ..
BIT &A8          :\ BC51= 24 A8       $(
BMI LBC6D        :\ BC53= 30 18       0.
LDY #&15         :\ BC55= A0 15        .
.LBC57
LDA LBBB4,Y      :\ BC57= B9 B4 BB    94;
STA &0A2A,Y      :\ BC5A= 99 2A 0A    .*.
DEY              :\ BC5D= 88          .
BPL LBC57        :\ BC5E= 10 F7       .w
LDA &AE          :\ BC60= A5 AE       %.
STA &0A2B        :\ BC62= 8D 2B 0A    .+.
LDA &AF          :\ BC65= A5 AF       %/
STA &0A2C        :\ BC67= 8D 2C 0A    .,.
JMP LBCB4        :\ BC6A= 4C B4 BC    L4<
 
.LBC6D
LDY #&0D         :\ BC6D= A0 0D        .
.LBC6F
LDA LBBCA,Y      :\ BC6F= B9 CA BB    9J;
STA &0A2A,Y      :\ BC72= 99 2A 0A    .*.
DEY              :\ BC75= 88          .
BPL LBC6F        :\ BC76= 10 F7       .w
LDA &AE          :\ BC78= A5 AE       %.
STA &0A2E        :\ BC7A= 8D 2E 0A    ...
LDA &AF          :\ BC7D= A5 AF       %/
STA &0A2F        :\ BC7F= 8D 2F 0A    ./.
JMP LBCB4        :\ BC82= 4C B4 BC    L4<
 
.LBC85
BIT &A8          :\ BC85= 24 A8       $(
BPL LBCA0        :\ BC87= 10 17       ..
LDA &A9          :\ BC89= A5 A9       %)
STA &0A2B        :\ BC8B= 8D 2B 0A    .+.
LDA &AA          :\ BC8E= A5 AA       %*
STA &0A2C        :\ BC90= 8D 2C 0A    .,.
LDA &AE          :\ BC93= A5 AE       %.
STA &0A2E        :\ BC95= 8D 2E 0A    ...
LDA &AF          :\ BC98= A5 AF       %/
STA &0A2F        :\ BC9A= 8D 2F 0A    ./.
JMP LBCB4        :\ BC9D= 4C B4 BC    L4<
 
.LBCA0
LDA &A9          :\ BCA0= A5 A9       %)
STA &0A2E        :\ BCA2= 8D 2E 0A    ...
LDA &AA          :\ BCA5= A5 AA       %*
STA &0A2F        :\ BCA7= 8D 2F 0A    ./.
LDA &AE          :\ BCAA= A5 AE       %.
STA &0A2B        :\ BCAC= 8D 2B 0A    .+.
LDA &AF          :\ BCAF= A5 AF       %/
STA &0A2C        :\ BCB1= 8D 2C 0A    .,.
.LBCB4
JSR &0A00        :\ BCB4= 20 00 0A     ..
BIT &0AE6        :\ BCB7= 2C E6 0A    ,f.
BPL LBCC1        :\ BCBA= 10 05       ..
LDA #&88         :\ BCBC= A9 88       ).
JSR &0406        :\ BCBE= 20 06 04     ..
.LBCC1
JSR LB7BA        :\ BCC1= 20 BA B7     :7
RTS              :\ BCC4= 60          `
 
.LBCC5
LDA &EF          :\ BCC5= A5 EF       %o
CMP #&42         :\ BCC7= C9 42       IB
BCC LBCD1        :\ BCC9= 90 06       ..
BEQ LBCD4        :\ BCCB= F0 07       p.
CMP #&44         :\ BCCD= C9 44       ID
BCC LBD04        :\ BCCF= 90 33       .3
.LBCD1
JMP L80B6        :\ BCD1= 4C B6 80    L6.
 
.LBCD4
LDY #&00         :\ BCD4= A0 00        .
LDX #&00         :\ BCD6= A2 00       ".
.LBCD8
LDA (&F0),Y      :\ BCD8= B1 F0       1p
STA &A8,X        :\ BCDA= 95 A8       .(
INY              :\ BCDC= C8          H
INX              :\ BCDD= E8          h
CPY #&0A         :\ BCDE= C0 0A       @.
BEQ LBCEA        :\ BCE0= F0 08       p.
CPY #&03         :\ BCE2= C0 03       @.
BNE LBCD8        :\ BCE4= D0 F2       Pr
LDY #&05         :\ BCE6= A0 05        .
BNE LBCD8        :\ BCE8= D0 EE       Pn
.LBCEA
LDY #&02         :\ BCEA= A0 02        .
STY &0AE6        :\ BCEC= 8C E6 0A    .f.
LDA (&F0),Y      :\ BCEF= B1 F0       1p
INY              :\ BCF1= C8          H
ORA (&F0),Y      :\ BCF2= 11 F0       .p
CMP #&FF         :\ BCF4= C9 FF       I.
BEQ LBCFE        :\ BCF6= F0 06       p.
LDA &027A        :\ BCF8= AD 7A 02    -z.
STA &0AE6        :\ BCFB= 8D E6 0A    .f.
.LBCFE
JSR LBBD8        :\ BCFE= 20 D8 BB     X;
JMP L8906        :\ BD01= 4C 06 89    L..
 
.LBD04
LDY #&0B         :\ BD04= A0 0B        .
.LBD06
LDA (&F0),Y      :\ BD06= B1 F0       1p
STA &0AD8,Y      :\ BD08= 99 D8 0A    .X.
DEY              :\ BD0B= 88          .
CPY #&07         :\ BD0C= C0 07       @.
BNE LBD06        :\ BD0E= D0 F6       Pv
LDY #&00         :\ BD10= A0 00        .
LDA (&F0),Y      :\ BD12= B1 F0       1p
STA &A8          :\ BD14= 85 A8       .(
ASL A            :\ BD16= 0A          .
LDA #&80         :\ BD17= A9 80       ).
BCC LBD1C        :\ BD19= 90 01       ..
LSR A            :\ BD1B= 4A          J
.LBD1C
STA &0AED        :\ BD1C= 8D ED 0A    .m.
INY              :\ BD1F= C8          H
LDA (&F0),Y      :\ BD20= B1 F0       1p
STA &0AEE        :\ BD22= 8D EE 0A    .n.
INY              :\ BD25= C8          H
LDA (&F0),Y      :\ BD26= B1 F0       1p
STA &0AEF        :\ BD28= 8D EF 0A    .o.
INY              :\ BD2B= C8          H
LDA (&F0),Y      :\ BD2C= B1 F0       1p
STA &0AEC        :\ BD2E= 8D EC 0A    .l.
INY              :\ BD31= C8          H
.LBD32
LDA (&F0),Y      :\ BD32= B1 F0       1p
STA &0AE4,Y      :\ BD34= 99 E4 0A    .d.
INY              :\ BD37= C8          H
CPY #&08         :\ BD38= C0 08       @.
BNE LBD32        :\ BD3A= D0 F6       Pv
STY &0AE6        :\ BD3C= 8C E6 0A    .f.
LDA &0AE2        :\ BD3F= AD E2 0A    -b.
ORA &0AE3        :\ BD42= 0D E3 0A    .c.
BNE LBD56        :\ BD45= D0 0F       P.
STA &0AE0        :\ BD47= 8D E0 0A    .`.
LDA #&01         :\ BD4A= A9 01       ).
STA &0AE3        :\ BD4C= 8D E3 0A    .c.
LDA #&09         :\ BD4F= A9 09       ).
STA &0AE1        :\ BD51= 8D E1 0A    .a.
BNE LBD7A        :\ BD54= D0 24       P$
.LBD56
LDA &0AE3        :\ BD56= AD E3 0A    -c.
BPL LBD7A        :\ BD59= 10 1F       ..
LDA #&83         :\ BD5B= A9 83       ).
JSR OSBYTE       :\ BD5D= 20 F4 FF     t.
STX &0AE0        :\ BD60= 8E E0 0A    .`.
STY &0AE1        :\ BD63= 8C E1 0A    .a.
LDA #&84         :\ BD66= A9 84       ).
JSR OSBYTE       :\ BD68= 20 F4 FF     t.
SEC              :\ BD6B= 38          8
TXA              :\ BD6C= 8A          .
SBC &0AE0        :\ BD6D= ED E0 0A    m`.
STA &0AE2        :\ BD70= 8D E2 0A    .b.
TYA              :\ BD73= 98          .
SBC &0AE1        :\ BD74= ED E1 0A    ma.
STA &0AE3        :\ BD77= 8D E3 0A    .c.
.LBD7A
BIT &A8          :\ BD7A= 24 A8       $(
BMI LBDDB        :\ BD7C= 30 5D       0]
.LBD7E
JSR LBE80        :\ BD7E= 20 80 BE     .>
LDA &0AEB        :\ BD81= AD EB 0A    -k.
CMP &AC          :\ BD84= C5 AC       E,
BCC LBD91        :\ BD86= 90 09       ..
BNE LBD9B        :\ BD88= D0 11       P.
LDA &0AEA        :\ BD8A= AD EA 0A    -j.
CMP &AB          :\ BD8D= C5 AB       E+
BCS LBD9B        :\ BD8F= B0 0A       0.
.LBD91
LDA &0AEA        :\ BD91= AD EA 0A    -j.
STA &AB          :\ BD94= 85 AB       .+
LDA &0AEB        :\ BD96= AD EB 0A    -k.
STA &AC          :\ BD99= 85 AC       .,
.LBD9B
LDA &AB          :\ BD9B= A5 AB       %+
STA &0AFE        :\ BD9D= 8D FE 0A    .~.
LDA &AC          :\ BDA0= A5 AC       %,
STA &0AFF        :\ BDA2= 8D FF 0A    ...
JSR LBBD8        :\ BDA5= 20 D8 BB     X;
JSR LBE28        :\ BDA8= 20 28 BE     (>
LDA &0AE8        :\ BDAB= AD E8 0A    -h.
CLC              :\ BDAE= 18          .
ADC &0AFE        :\ BDAF= 6D FE 0A    m~.
STA &0AE8        :\ BDB2= 8D E8 0A    .h.
LDA &0AE9        :\ BDB5= AD E9 0A    -i.
ADC &0AFF        :\ BDB8= 6D FF 0A    m..
STA &0AE9        :\ BDBB= 8D E9 0A    .i.
LDA &0AEA        :\ BDBE= AD EA 0A    -j.
SEC              :\ BDC1= 38          8
SBC &0AFE        :\ BDC2= ED FE 0A    m~.
STA &0AEA        :\ BDC5= 8D EA 0A    .j.
LDA &0AEB        :\ BDC8= AD EB 0A    -k.
SBC &0AFF        :\ BDCB= ED FF 0A    m..
STA &0AEB        :\ BDCE= 8D EB 0A    .k.
LDA &0AEA        :\ BDD1= AD EA 0A    -j.
ORA &0AEB        :\ BDD4= 0D EB 0A    .k.
BNE LBD7E        :\ BDD7= D0 A5       P%
BEQ LBE11        :\ BDD9= F0 36       p6
.LBDDB
JSR LBE1C        :\ BDDB= 20 1C BE     .>
JSR LBE80        :\ BDDE= 20 80 BE     .>
SEC              :\ BDE1= 38          8
LDA &0AE2        :\ BDE2= AD E2 0A    -b.
SBC &0AF5        :\ BDE5= ED F5 0A    mu.
STA &AB          :\ BDE8= 85 AB       .+
LDA &0AE3        :\ BDEA= AD E3 0A    -c.
SBC &0AF6        :\ BDED= ED F6 0A    mv.
STA &AC          :\ BDF0= 85 AC       .,
LDA &0AE8        :\ BDF2= AD E8 0A    -h.
CLC              :\ BDF5= 18          .
ADC &AB          :\ BDF6= 65 AB       e+
STA &0AE8        :\ BDF8= 8D E8 0A    .h.
LDA &0AE9        :\ BDFB= AD E9 0A    -i.
ADC &AC          :\ BDFE= 65 AC       e,
STA &0AE9        :\ BE00= 8D E9 0A    .i.
JSR LBBD8        :\ BE03= 20 D8 BB     X;
LDA #&7F         :\ BE06= A9 7F       ).
LDX &0AF0        :\ BE08= AE F0 0A    .p.
JSR OSBYTE       :\ BE0B= 20 F4 FF     t.
TXA              :\ BE0E= 8A          .
BEQ LBDDB        :\ BE0F= F0 CA       pJ
.LBE11
LDA #&00         :\ BE11= A9 00       ).
LDY &0AF0        :\ BE13= AC F0 0A    ,p.
JSR OSFIND       :\ BE16= 20 CE FF     N.
JMP L8906        :\ BE19= 4C 06 89    L..
 
.LBE1C
JSR LBE3B        :\ BE1C= 20 3B BE     ;>
LDA #&04         :\ BE1F= A9 04       ).
.LBE21
LDX #&F0         :\ BE21= A2 F0       "p
LDY #&0A         :\ BE23= A0 0A        .
JMP OSGBPB       :\ BE25= 4C D1 FF    LQ.
 
.LBE28
JSR LBE3B        :\ BE28= 20 3B BE     ;>
LDA &0AFE        :\ BE2B= AD FE 0A    -~.
STA &0AF5        :\ BE2E= 8D F5 0A    .u.
LDA &0AFF        :\ BE31= AD FF 0A    -..
STA &0AF6        :\ BE34= 8D F6 0A    .v.
LDA #&02         :\ BE37= A9 02       ).
BNE LBE21        :\ BE39= D0 E6       Pf
.LBE3B
LDA &0AED        :\ BE3B= AD ED 0A    -m.
BEQ LBE57        :\ BE3E= F0 17       p.
LDX #&00         :\ BE40= A2 00       ".
STX &0AED        :\ BE42= 8E ED 0A    .m.
LDX &0AEE        :\ BE45= AE EE 0A    .n.
LDY &0AEF        :\ BE48= AC EF 0A    ,o.
JSR OSFIND       :\ BE4B= 20 CE FF     N.
STA &0AF0        :\ BE4E= 8D F0 0A    .p.
TAY              :\ BE51= A8          (
BNE LBE57        :\ BE52= D0 03       P.
JMP L8AB9        :\ BE54= 4C B9 8A    L9.
 
.LBE57
LDA #&FF         :\ BE57= A9 FF       ).
STA &0AF3        :\ BE59= 8D F3 0A    .s.
STA &0AF4        :\ BE5C= 8D F4 0A    .t.
LDA #&00         :\ BE5F= A9 00       ).
STA &0AF7        :\ BE61= 8D F7 0A    .w.
STA &0AF8        :\ BE64= 8D F8 0A    .x.
LDA &0AE0        :\ BE67= AD E0 0A    -`.
STA &0AF1        :\ BE6A= 8D F1 0A    .q.
LDA &0AE1        :\ BE6D= AD E1 0A    -a.
STA &0AF2        :\ BE70= 8D F2 0A    .r.
LDA &0AE2        :\ BE73= AD E2 0A    -b.
STA &0AF5        :\ BE76= 8D F5 0A    .u.
LDA &0AE3        :\ BE79= AD E3 0A    -c.
STA &0AF6        :\ BE7C= 8D F6 0A    .v.
RTS              :\ BE7F= 60          `
 
.LBE80
LDA &0AEC        :\ BE80= AD EC 0A    -l.
STA &AD          :\ BE83= 85 AD       .-
LDY #&03         :\ BE85= A0 03        .
.LBE87
LDA &0AE0,Y      :\ BE87= B9 E0 0A    9`.
STA &00A9,Y      :\ BE8A= 99 A9 00    .).
DEY              :\ BE8D= 88          .
BPL LBE87        :\ BE8E= 10 F7       .w
LDA &0AE8        :\ BE90= AD E8 0A    -h.
STA &AE          :\ BE93= 85 AE       ..
LDA &0AE9        :\ BE95= AD E9 0A    -i.
STA &AF          :\ BE98= 85 AF       ./
RTS              :\ BE9A= 60          `

.LBE9B 
BRK              :\ BE9B= 00          .
EQUB &44         :\ BE9C= 44          D
ADC (&76,X)      :\ BE9D= 61 76       av
ADC #&64         :\ BE9F= 69 64       id
JSR &7053        :\ BEA1= 20 53 70     Sp
ADC &6E          :\ BEA4= 65 6E       en
EQUB &63         :\ BEA6= 63          c
ADC &72          :\ BEA7= 65 72       er
BBS 7,&FF,&BEAB  :\ BEA9= FF FF FF    ...
BBS 7,&FF,&BEAE  :\ BEAC= FF FF FF    ...
BBS 7,&FF,&BEB1  :\ BEAF= FF FF FF    ...
BBS 7,&FF,&BEB4  :\ BEB2= FF FF FF    ...
BBS 7,&FF,&BEB7  :\ BEB5= FF FF FF    ...
BBS 7,&FF,&BEBA  :\ BEB8= FF FF FF    ...
BBS 7,&FF,&BEBD  :\ BEBB= FF FF FF    ...
BBS 7,&FF,&BEC0  :\ BEBE= FF FF FF    ...
BBS 7,&FF,&BEC3  :\ BEC1= FF FF FF    ...
BBS 7,&FF,&BEC6  :\ BEC4= FF FF FF    ...
BBS 7,&FF,&BEC9  :\ BEC7= FF FF FF    ...
BBS 7,&FF,&BECC  :\ BECA= FF FF FF    ...
BBS 7,&FF,&BECF  :\ BECD= FF FF FF    ...
BBS 7,&FF,&BED2  :\ BED0= FF FF FF    ...
BBS 7,&FF,&BED5  :\ BED3= FF FF FF    ...
BBS 7,&FF,&BED8  :\ BED6= FF FF FF    ...
BBS 7,&FF,&BEDB  :\ BED9= FF FF FF    ...
BBS 7,&FF,&BEDE  :\ BEDC= FF FF FF    ...
BBS 7,&FF,&BEE1  :\ BEDF= FF FF FF    ...
BBS 7,&FF,&BEE4  :\ BEE2= FF FF FF    ...
BBS 7,&FF,&BEE7  :\ BEE5= FF FF FF    ...
BBS 7,&FF,&BEEA  :\ BEE8= FF FF FF    ...
BBS 7,&FF,&BEED  :\ BEEB= FF FF FF    ...
BBS 7,&FF,&BEF0  :\ BEEE= FF FF FF    ...
BBS 7,&FF,&BEF3  :\ BEF1= FF FF FF    ...
BBS 7,&FF,&BEF6  :\ BEF4= FF FF FF    ...
BBS 7,&FF,&BEF9  :\ BEF7= FF FF FF    ...
BBS 7,&FF,&BEFC  :\ BEFA= FF FF FF    ...
BBS 7,&FF,&BEFF  :\ BEFD= FF FF FF    ...
BBS 7,&FF,&BF02  :\ BF00= FF FF FF    ...
BBS 7,&FF,&BF05  :\ BF03= FF FF FF    ...
BBS 7,&FF,&BF08  :\ BF06= FF FF FF    ...
BBS 7,&FF,&BF0B  :\ BF09= FF FF FF    ...
BBS 7,&FF,&BF0E  :\ BF0C= FF FF FF    ...
BBS 7,&FF,&BF11  :\ BF0F= FF FF FF    ...
BBS 7,&FF,&BF14  :\ BF12= FF FF FF    ...
BBS 7,&FF,&BF17  :\ BF15= FF FF FF    ...
BBS 7,&FF,&BF1A  :\ BF18= FF FF FF    ...
BBS 7,&FF,&BF1D  :\ BF1B= FF FF FF    ...
BBS 7,&FF,&BF20  :\ BF1E= FF FF FF    ...
BBS 7,&FF,&BF23  :\ BF21= FF FF FF    ...
BBS 7,&FF,&BF26  :\ BF24= FF FF FF    ...
BBS 7,&FF,&BF29  :\ BF27= FF FF FF    ...
BBS 7,&FF,&BF2C  :\ BF2A= FF FF FF    ...
BBS 7,&FF,&BF2F  :\ BF2D= FF FF FF    ...
BBS 7,&FF,&BF32  :\ BF30= FF FF FF    ...
BBS 7,&FF,&BF35  :\ BF33= FF FF FF    ...
BBS 7,&FF,&BF38  :\ BF36= FF FF FF    ...
BBS 7,&FF,&BF3B  :\ BF39= FF FF FF    ...
BBS 7,&FF,&BF3E  :\ BF3C= FF FF FF    ...
BBS 7,&FF,&BF41  :\ BF3F= FF FF FF    ...
BBS 7,&FF,&BF44  :\ BF42= FF FF FF    ...
BBS 7,&FF,&BF47  :\ BF45= FF FF FF    ...
BBS 7,&FF,&BF4A  :\ BF48= FF FF FF    ...
BBS 7,&FF,&BF4D  :\ BF4B= FF FF FF    ...
BBS 7,&FF,&BF50  :\ BF4E= FF FF FF    ...
BBS 7,&FF,&BF53  :\ BF51= FF FF FF    ...
BBS 7,&FF,&BF56  :\ BF54= FF FF FF    ...
BBS 7,&FF,&BF59  :\ BF57= FF FF FF    ...
BBS 7,&FF,&BF5C  :\ BF5A= FF FF FF    ...
BBS 7,&FF,&BF5F  :\ BF5D= FF FF FF    ...
BBS 7,&FF,&BF62  :\ BF60= FF FF FF    ...
BBS 7,&FF,&BF65  :\ BF63= FF FF FF    ...
BBS 7,&FF,&BF68  :\ BF66= FF FF FF    ...
BBS 7,&FF,&BF6B  :\ BF69= FF FF FF    ...
BBS 7,&FF,&BF6E  :\ BF6C= FF FF FF    ...
BBS 7,&FF,&BF71  :\ BF6F= FF FF FF    ...
BBS 7,&FF,&BF74  :\ BF72= FF FF FF    ...
BBS 7,&FF,&BF77  :\ BF75= FF FF FF    ...
BBS 7,&FF,&BF7A  :\ BF78= FF FF FF    ...
BBS 7,&FF,&BF7D  :\ BF7B= FF FF FF    ...
BBS 7,&FF,&BF80  :\ BF7E= FF FF FF    ...
BBS 7,&FF,&BF83  :\ BF81= FF FF FF    ...
BBS 7,&FF,&BF86  :\ BF84= FF FF FF    ...
BBS 7,&FF,&BF89  :\ BF87= FF FF FF    ...
BBS 7,&FF,&BF8C  :\ BF8A= FF FF FF    ...
BBS 7,&FF,&BF8F  :\ BF8D= FF FF FF    ...
BBS 7,&FF,&BF92  :\ BF90= FF FF FF    ...
BBS 7,&FF,&BF95  :\ BF93= FF FF FF    ...
BBS 7,&FF,&BF98  :\ BF96= FF FF FF    ...
BBS 7,&FF,&BF9B  :\ BF99= FF FF FF    ...
BBS 7,&FF,&BF9E  :\ BF9C= FF FF FF    ...
BBS 7,&FF,&BFA1  :\ BF9F= FF FF FF    ...
BBS 7,&FF,&BFA4  :\ BFA2= FF FF FF    ...
BBS 7,&FF,&BFA7  :\ BFA5= FF FF FF    ...
BBS 7,&FF,&BFAA  :\ BFA8= FF FF FF    ...
BBS 7,&FF,&BFAD  :\ BFAB= FF FF FF    ...
BBS 7,&FF,&BFB0  :\ BFAE= FF FF FF    ...
BBS 7,&FF,&BFB3  :\ BFB1= FF FF FF    ...
BBS 7,&FF,&BFB6  :\ BFB4= FF FF FF    ...
BBS 7,&FF,&BFB9  :\ BFB7= FF FF FF    ...
BBS 7,&FF,&BFBC  :\ BFBA= FF FF FF    ...
BBS 7,&FF,&BFBF  :\ BFBD= FF FF FF    ...
BBS 7,&FF,&BFC2  :\ BFC0= FF FF FF    ...
BBS 7,&FF,&BFC5  :\ BFC3= FF FF FF    ...
BBS 7,&FF,&BFC8  :\ BFC6= FF FF FF    ...
BBS 7,&FF,&BFCB  :\ BFC9= FF FF FF    ...
BBS 7,&FF,&BFCE  :\ BFCC= FF FF FF    ...
BBS 7,&FF,&BFD1  :\ BFCF= FF FF FF    ...

\ BFCE..BFFF used to store CMOS bytes
\ -----------------------------------
BBS 7,&FF,&BFD4  :\ BFD2= FF FF FF    ...
BBS 7,&FF,&BFD7  :\ BFD5= FF FF FF    ...
BBS 7,&FF,&BFDA  :\ BFD8= FF FF FF    ...
BBS 7,&FF,&BFDD  :\ BFDB= FF FF FF    ...
BBS 7,&FF,&BFE0  :\ BFDE= FF FF FF    ...
BBS 7,&FF,&BFE3  :\ BFE1= FF FF FF    ...
BBS 7,&FF,&BFE6  :\ BFE4= FF FF FF    ...
BBS 7,&FF,&BFE9  :\ BFE7= FF FF FF    ...
BBS 7,&FF,&BFEC  :\ BFEA= FF FF FF    ...
BBS 7,&FF,&BFEF  :\ BFED= FF FF FF    ...
BBS 7,&FF,&BFF2  :\ BFF0= FF FF FF    ...
BBS 7,&FF,&BFF5  :\ BFF3= FF FF FF    ...
BBS 7,&FF,&BFF8  :\ BFF6= FF FF FF    ...
BBS 7,&FF,&BFFB  :\ BFF9= FF FF FF    ...
BBS 7,&FF,&BFFE  :\ BFFC= FF FF FF    ...
BBS 7,&4C,&C046  :\ BFFF= FF 4C 44    .LD
]NEXT
PRINT "*SAVE <file> ";~mcode%;" ";~O%;" ";~exec%;" ";~load%
END

RTC NetFS patch
---------------
8828 LDA &011C       -> JSR xxxx

8843 LSR A:ADC #&51  -> JSR yyyy

xxxx LDA &011C:AND #31:RTS

yyyy LSR A:STA &0118
LDA &011C:AND #&E0:LSR A:ORA &0118
ADC #81
CMP #100:BCC zzzz
SBC #100
.zzzz
RTS


0D80
0D81
0D82   b7=...
0D83
0D84   channel
0D85   channel
0D86/7 oldBRKV
0D8C   oldLangROM - &028C
0D94   Extention type Acorn/Aries/Solidisk/Watford
0D96   if=0, OSBYTE 0 calls MOS, if<>0, returns 3
0D97   Where is CMOS stored? b7=0->SRAM nn, b7=1->Page &01
0D98   Shadow state

039F/A0  oldCLIV
03A1/A2  oldBYTEV
03A3/A4  oldWORDV
03A5/A6  oldWRCHV

EQUS "Baud"   :EQUB &80 - As Master
EQUS "Boot"   :EQUB &81 - As Master
EQUS "Caps"   :EQUB &82 - As Master
EQUS "Data"   :EQUB &83 - As Master
EQUS "Delay"  :EQUB &84 - As Master
EQUS "Dir"    :EQUB &85 - As Master
EQUS "ExTube" :EQUB &86 - As Master
EQUS "FDrive" :EQUB &87 - As Master
EQUS "File"   :EQUB &88 - As Master
EQUS "Floppy" :EQUB &89
EQUS "Hard"   :EQUB &8A
EQUS "Ignore" :EQUB &8B
.L9682
EQUS "InTube" :EQUB &8C
EQUS "Lang"   :EQUB &8D
EQUS "Loud"   :EQUB &8E
EQUS "Mode"   :EQUB &8F - As Master
EQUS "No Boot":EQUB &90
EQUS "No Caps":EQUB &91
EQUS "No Dir" :EQUB &92
EQUS "No Scroll":EQUB &93
EQUS "NoTube" :EQUB &94
EQUS "Print"  :EQUB &95
EQUS "Quiet"  :EQUB &96
EQUS "Repeat" :EQUB &97
EQUS "Scroll" :EQUB &98
EQUS "ShCaps" :EQUB &99
EQUS "Tube"   :EQUB &9A
EQUS "TV"     :EQUB &9B
EQUS "Acorn"  :EQUB &9C
EQUS "Aries"  :EQUB &9D
EQUS "Solidisk":EQUB &9E
EQUS "Watford":EQUB &9F - Location 9.b0-b1
EQUS "Shadow" :EQUB &A0 - Location 9.b2-b3
EQUS "Dfs"    :EQUB &A1 - Location 9.b4
EQUS "Nfs"    :EQUB &A2 - Location 9.b4
EQUB &00

